#!/usr/bin/env python
# encoding: utf-8

"""Issue1173: Neue Felder entfernt/hinzugefügt.

Revision ID: 330a0d2cd2ad
Revises: bec9f887a95c
Create Date: 2016-03-07 11:41:25.740255

"""

# revision identifiers, used by Alembic.
revision = '330a0d2cd2ad'
down_revision = 'bec9f887a95c'

from alembic import op
import sqlalchemy as sa


INSERTS = """"""
DELETES = """"""


def iter_statements(stmts):
    for st in [x for x in stmts.split('\n') if x]:
        op.execute(st)


def upgrade():
    ### commands auto generated by Alembic - please adjust! ###
    op.add_column('outputindicators', sa.Column('course_date', sa.Date(), nullable=True))
    op.add_column('outputindicators', sa.Column('infomail', sa.Integer(), nullable=True))
    op.add_column('outputindicators', sa.Column('lm_employment_category_inactive_employed', sa.Integer(), nullable=True))
    op.add_column('outputindicators', sa.Column('person_federal_state', sa.Integer(), nullable=True))
    op.add_column('outputindicators', sa.Column('service_address_city', sa.String(), server_default='', nullable=True))
    op.add_column('outputindicators', sa.Column('service_address_housenr', sa.String(), server_default='', nullable=True))
    op.add_column('outputindicators', sa.Column('service_address_street', sa.String(), server_default='', nullable=True))
    op.add_column('outputindicators', sa.Column('service_address_zip_code', sa.String(), server_default='', nullable=True))
    op.add_column('outputindicators', sa.Column('service_name', sa.String(), server_default='', nullable=True))
    op.add_column('outputindicators', sa.Column('service_organisation', sa.String(), server_default='', nullable=True))
    op.add_column('outputindicators', sa.Column('service_website', sa.String(), server_default='', nullable=True))
    op.drop_column('outputindicators', 'motivation')
    op.drop_column('outputindicators', 'reason')
    ### end Alembic commands ###
    iter_statements(INSERTS)


def downgrade():
    ### commands auto generated by Alembic - please adjust! ###
    op.add_column('outputindicators', sa.Column('reason', sa.VARCHAR(), server_default=sa.text(u"''::character varying"), autoincrement=False, nullable=True))
    op.add_column('outputindicators', sa.Column('motivation', sa.VARCHAR(), server_default=sa.text(u"''::character varying"), autoincrement=False, nullable=True))
    op.drop_column('outputindicators', 'service_website')
    op.drop_column('outputindicators', 'service_organisation')
    op.drop_column('outputindicators', 'service_name')
    op.drop_column('outputindicators', 'service_address_zip_code')
    op.drop_column('outputindicators', 'service_address_street')
    op.drop_column('outputindicators', 'service_address_housenr')
    op.drop_column('outputindicators', 'service_address_city')
    op.drop_column('outputindicators', 'person_federal_state')
    op.drop_column('outputindicators', 'lm_employment_category_inactive_employed')
    op.drop_column('outputindicators', 'infomail')
    op.drop_column('outputindicators', 'course_date')
    ### end Alembic commands ###
    iter_statements(DELETES)
