"""add UUID update.

Revision ID: 538881227631
Revises: 99db69c1b3ca
Create Date: 2016-05-17 14:56:57.968894

"""

# revision identifiers, used by Alembic.
revision = '538881227631'
down_revision = '99db69c1b3ca'

from alembic import op
import sqlalchemy as sa


INSERTS = """"""
DELETES = """"""


def iter_statements(stmts):
    for st in [x for x in stmts.split('\n') if x]:
        op.execute(st)


def upgrade():
    ### commands auto generated by Alembic - please adjust! ###
    op.alter_column('actions', 'uuid',
               existing_type=sa.CHAR(length=32),
               type_=sa.CHAR(length=36),
               existing_nullable=True)
    op.alter_column('beneficiarys', 'uuid',
               existing_type=sa.CHAR(length=32),
               type_=sa.CHAR(length=36),
               existing_nullable=True)
    op.alter_column('contacts', 'uuid',
               existing_type=sa.CHAR(length=32),
               type_=sa.CHAR(length=36),
               existing_nullable=True)
    op.alter_column('forms', 'uuid',
               existing_type=sa.CHAR(length=32),
               type_=sa.CHAR(length=36),
               existing_nullable=True)
    op.alter_column('journals', 'uuid',
               existing_type=sa.CHAR(length=32),
               type_=sa.CHAR(length=36),
               existing_nullable=True)
    op.alter_column('modules', 'uuid',
               existing_type=sa.CHAR(length=32),
               type_=sa.CHAR(length=36),
               existing_nullable=True)
    op.alter_column('news', 'uuid',
               existing_type=sa.CHAR(length=32),
               type_=sa.CHAR(length=36),
               existing_nullable=True)
    op.alter_column('operations', 'uuid',
               existing_type=sa.CHAR(length=32),
               type_=sa.CHAR(length=36),
               existing_nullable=True)
    op.alter_column('organisations', 'uuid',
               existing_type=sa.CHAR(length=32),
               type_=sa.CHAR(length=36),
               existing_nullable=True)
    op.alter_column('outputindicators', 'uuid',
               existing_type=sa.CHAR(length=32),
               type_=sa.CHAR(length=36),
               existing_nullable=True)
    op.alter_column('participants', 'uuid',
               existing_type=sa.CHAR(length=32),
               type_=sa.CHAR(length=36),
               existing_nullable=True)
    op.alter_column('participations', 'uuid',
               existing_type=sa.CHAR(length=32),
               type_=sa.CHAR(length=36),
               existing_nullable=True)
    op.alter_column('printtemplates', 'uuid',
               existing_type=sa.CHAR(length=32),
               type_=sa.CHAR(length=36),
               existing_nullable=True)
    op.alter_column('profiles', 'uuid',
               existing_type=sa.CHAR(length=32),
               type_=sa.CHAR(length=36),
               existing_nullable=True)
    op.alter_column('projects', 'uuid',
               existing_type=sa.CHAR(length=32),
               type_=sa.CHAR(length=36),
               existing_nullable=True)
    op.alter_column('resultindicators', 'uuid',
               existing_type=sa.CHAR(length=32),
               type_=sa.CHAR(length=36),
               existing_nullable=True)
    op.alter_column('roles', 'uuid',
               existing_type=sa.CHAR(length=32),
               type_=sa.CHAR(length=36),
               existing_nullable=True)
    op.alter_column('targets', 'uuid',
               existing_type=sa.CHAR(length=32),
               type_=sa.CHAR(length=36),
               existing_nullable=True)
    op.alter_column('usergroups', 'uuid',
               existing_type=sa.CHAR(length=32),
               type_=sa.CHAR(length=36),
               existing_nullable=True)
    op.alter_column('users', 'uuid',
               existing_type=sa.CHAR(length=32),
               type_=sa.CHAR(length=36),
               existing_nullable=True)
    ### end Alembic commands ###
    iter_statements(INSERTS)


def downgrade():
    ### commands auto generated by Alembic - please adjust! ###
    op.alter_column('users', 'uuid',
               existing_type=sa.CHAR(length=36),
               type_=sa.CHAR(length=32),
               existing_nullable=True)
    op.alter_column('usergroups', 'uuid',
               existing_type=sa.CHAR(length=36),
               type_=sa.CHAR(length=32),
               existing_nullable=True)
    op.alter_column('targets', 'uuid',
               existing_type=sa.CHAR(length=36),
               type_=sa.CHAR(length=32),
               existing_nullable=True)
    op.alter_column('roles', 'uuid',
               existing_type=sa.CHAR(length=36),
               type_=sa.CHAR(length=32),
               existing_nullable=True)
    op.alter_column('resultindicators', 'uuid',
               existing_type=sa.CHAR(length=36),
               type_=sa.CHAR(length=32),
               existing_nullable=True)
    op.alter_column('projects', 'uuid',
               existing_type=sa.CHAR(length=36),
               type_=sa.CHAR(length=32),
               existing_nullable=True)
    op.alter_column('profiles', 'uuid',
               existing_type=sa.CHAR(length=36),
               type_=sa.CHAR(length=32),
               existing_nullable=True)
    op.alter_column('printtemplates', 'uuid',
               existing_type=sa.CHAR(length=36),
               type_=sa.CHAR(length=32),
               existing_nullable=True)
    op.alter_column('participations', 'uuid',
               existing_type=sa.CHAR(length=36),
               type_=sa.CHAR(length=32),
               existing_nullable=True)
    op.alter_column('participants', 'uuid',
               existing_type=sa.CHAR(length=36),
               type_=sa.CHAR(length=32),
               existing_nullable=True)
    op.alter_column('outputindicators', 'uuid',
               existing_type=sa.CHAR(length=36),
               type_=sa.CHAR(length=32),
               existing_nullable=True)
    op.alter_column('organisations', 'uuid',
               existing_type=sa.CHAR(length=36),
               type_=sa.CHAR(length=32),
               existing_nullable=True)
    op.alter_column('operations', 'uuid',
               existing_type=sa.CHAR(length=36),
               type_=sa.CHAR(length=32),
               existing_nullable=True)
    op.alter_column('news', 'uuid',
               existing_type=sa.CHAR(length=36),
               type_=sa.CHAR(length=32),
               existing_nullable=True)
    op.alter_column('modules', 'uuid',
               existing_type=sa.CHAR(length=36),
               type_=sa.CHAR(length=32),
               existing_nullable=True)
    op.alter_column('journals', 'uuid',
               existing_type=sa.CHAR(length=36),
               type_=sa.CHAR(length=32),
               existing_nullable=True)
    op.alter_column('forms', 'uuid',
               existing_type=sa.CHAR(length=36),
               type_=sa.CHAR(length=32),
               existing_nullable=True)
    op.alter_column('contacts', 'uuid',
               existing_type=sa.CHAR(length=36),
               type_=sa.CHAR(length=32),
               existing_nullable=True)
    op.alter_column('beneficiarys', 'uuid',
               existing_type=sa.CHAR(length=36),
               type_=sa.CHAR(length=32),
               existing_nullable=True)
    op.alter_column('actions', 'uuid',
               existing_type=sa.CHAR(length=36),
               type_=sa.CHAR(length=32),
               existing_nullable=True)
    ### end Alembic commands ###
    iter_statements(DELETES)
