# -*- coding: utf8 -*-
"""Update location for courses

See waskiq/issue2693

Revision ID: 57fad3556c15
Revises: f21152b17006
Create Date: 2017-05-19 14:49:58.270569

"""


# revision identifiers, used by Alembic.
revision = '57fad3556c15'
down_revision = 'f21152b17006'

from alembic import op
import sqlalchemy as sa


INSERTS = u"""
UPDATE eccourses set location='Breidenbach' where plz='35236';
UPDATE eccourses set location='Riesbürg' where plz='73469';
UPDATE eccourses set location='Dautphetal' where plz='35232';
UPDATE eccourses set location='Merzalben' where plz='66999';
UPDATE eccourses set location='Hüttlingen' where plz='73460';
UPDATE eccourses set location='Westhausen' where plz='73463';
UPDATE eccourses set location='Kirchheim am Ries' where plz='73467';
UPDATE eccourses set location='Steffenberg' where plz='35239';
UPDATE eccourses set location='Saulheim' where plz='55291';
UPDATE eccourses set location='Lörzweiler' where plz='55296';
UPDATE eccourses set location='Techentin ' where plz='19399';
UPDATE eccourses set location='Ganzlin' where plz='19395';
UPDATE eccourses set location='Nackenheim' where plz='55299';
UPDATE eccourses set location='Eglfing' where plz='82449';
UPDATE eccourses set location='Saulgrub' where plz='82442';
UPDATE eccourses set location='Schwaigen' where plz='82441';
UPDATE eccourses set location='Spatzenhausen' where plz='82447';
UPDATE eccourses set location='Gröbenzell' where plz='82194';
UPDATE eccourses set location='Schwaigen' where plz='82445';
UPDATE eccourses set location='Schlehdorf' where plz='82444';
UPDATE eccourses set location='Lauchheim, Stadt' where plz='73466';
UPDATE eccourses set location='Emmering' where plz='82223';
UPDATE eccourses set location='Seefeld' where plz='82229';
UPDATE eccourses set location='Schenkenzell' where plz='77773';
UPDATE eccourses set location='Straufhain' where plz='98646';
UPDATE eccourses set location='Neunkirchen' where plz='57290';
UPDATE eccourses set location='Weinbergen' where plz='99998';
UPDATE eccourses set location='Weberstedt' where plz='99991';
UPDATE eccourses set location='Burbach' where plz='57299';
UPDATE eccourses set location='Schlotheim, Stadt' where plz='99994';
UPDATE eccourses set location='Menteroda' where plz='99996';
UPDATE eccourses set location='Oderaue' where plz='16259';
UPDATE eccourses set location='Dettelbach, St' where plz='97337';
UPDATE eccourses set location='Wachau' where plz='01454';
UPDATE eccourses set location='Sommerach' where plz='97334';
UPDATE eccourses set location='Volkach, St' where plz='97332';
UPDATE eccourses set location='Hettstedt, Stadt' where plz='06333';
UPDATE eccourses set location='Ottendorf-Okrilla' where plz='01458';
UPDATE eccourses set location='Feldberger Seenlandschaft' where plz='17258';
UPDATE eccourses set location='Oldenburg (Oldenburg), Stadt' where plz='26125';
UPDATE eccourses set location='Zwingenberg, Stadt' where plz='64673';
UPDATE eccourses set location='München, Landeshauptstadt' where plz='81671';
UPDATE eccourses set location='Schwarz' where plz='17252';
UPDATE eccourses set location='Lindenfels, Stadt' where plz='64678';
UPDATE eccourses set location='Wustrow' where plz='17255';
UPDATE eccourses set location='Berlin, Stadt' where plz='10709';
UPDATE eccourses set location='Berlin, Stadt' where plz='10707';
UPDATE eccourses set location='Schaalby' where plz='24882';
UPDATE eccourses set location='Nübel' where plz='24881';
UPDATE eccourses set location='Treia' where plz='24887';
UPDATE eccourses set location='Sieverstedt' where plz='24885';
UPDATE eccourses set location='Selk' where plz='24884';
UPDATE eccourses set location='Bramsche, Stadt' where plz='49565';
UPDATE eccourses set location='Buxtehude, Hansestadt' where plz='21614';
UPDATE eccourses set location='Ulsnis' where plz='24888';
UPDATE eccourses set location='Bodenheim' where plz='55294';
UPDATE eccourses set location='Rohrenfels' where plz='86701';
UPDATE eccourses set location='Bochum, Stadt' where plz='44799';
UPDATE eccourses set location='Frauenneuharting' where plz='85617';
UPDATE eccourses set location='Kirchseeon, M' where plz='85614';
UPDATE eccourses set location='Bochum, Stadt' where plz='44791';
UPDATE eccourses set location='Bochum, Stadt' where plz='44793';
UPDATE eccourses set location='Bochum, Stadt' where plz='44795';
UPDATE eccourses set location='Bochum, Stadt' where plz='44797';
UPDATE eccourses set location='Wolferstadt' where plz='86709';
UPDATE eccourses set location='Neuberg' where plz='63543';
UPDATE eccourses set location='Perlesreut, M' where plz='94157';
UPDATE eccourses set location='Neukirchen vorm Wald' where plz='94154';
UPDATE eccourses set location='Zaisenhausen' where plz='75059';
UPDATE eccourses set location='Neuhaus a.Inn' where plz='94152';
UPDATE eccourses set location='Mauth' where plz='94151';
UPDATE eccourses set location='Gondelsheim' where plz='75053';
UPDATE eccourses set location='Gemmingen' where plz='75050';
UPDATE eccourses set location='Sulzfeld' where plz='75056';
UPDATE eccourses set location='Kürnbach' where plz='75057';
UPDATE eccourses set location='Philippsreut' where plz='94158';
UPDATE eccourses set location='Nesse-Apfelstädt' where plz='99192';
UPDATE eccourses set location='Vogelsberg' where plz='99195';
UPDATE eccourses set location='Mönchenholzhausen' where plz='99198';
UPDATE eccourses set location='Dallgow-Döberitz' where plz='14624';
UPDATE eccourses set location='Hemmingen' where plz='71282';
UPDATE eccourses set location='Weissach' where plz='71287';
UPDATE eccourses set location='Schönwalde-Glien' where plz='14621';
UPDATE eccourses set location='Goslar, Stadt' where plz='38644';
UPDATE eccourses set location='Goslar, Stadt' where plz='38640';
UPDATE eccourses set location='Goslar, Stadt' where plz='38642';
UPDATE eccourses set location='Hannover, Landeshauptstadt' where plz='30419';
UPDATE eccourses set location='Altena, Stadt' where plz='58762';
UPDATE eccourses set location='Ebersburg' where plz='36157';
UPDATE eccourses set location='Neuhof' where plz='36154';
UPDATE eccourses set location='Berlin, Stadt' where plz='13059';
UPDATE eccourses set location='Burghaun, Marktgemeinde' where plz='36151';
UPDATE eccourses set location='Berlin, Stadt' where plz='13053';
UPDATE eccourses set location='Berlin, Stadt' where plz='13051';
UPDATE eccourses set location='Schönau a.Königssee' where plz='83471';
UPDATE eccourses set location='Berlin, Stadt' where plz='13057';
UPDATE eccourses set location='Berlin, Stadt' where plz='13055';
UPDATE eccourses set location='Wellendingen' where plz='78669';
UPDATE eccourses set location='Unterstadion' where plz='89619';
UPDATE eccourses set location='Bösingen' where plz='78662';
UPDATE eccourses set location='Rottenacker' where plz='89616';
UPDATE eccourses set location='Öpfingen' where plz='89614';
UPDATE eccourses set location='Oberstadion' where plz='89613';
UPDATE eccourses set location='Villingendorf' where plz='78667';
UPDATE eccourses set location='Eschbronn' where plz='78664';
UPDATE eccourses set location='Oberdischingen' where plz='89610';
UPDATE eccourses set location='Grattersdorf' where plz='94541';
UPDATE eccourses set location='Kaarst, Stadt' where plz='41564';
UPDATE eccourses set location='Leipzig, Stadt' where plz='04177';
UPDATE eccourses set location='Haarbach' where plz='94542';
UPDATE eccourses set location='Neuenburg am Rhein, Stadt' where plz='79395';
UPDATE eccourses set location='Hofkirchen, M' where plz='94544';
UPDATE eccourses set location='Iggensbach' where plz='94547';
UPDATE eccourses set location='Innernzell' where plz='94548';
UPDATE eccourses set location='Leipzig, Stadt' where plz='04179';
UPDATE eccourses set location='Leipzig, Stadt' where plz='04178';
UPDATE eccourses set location='Werther' where plz='99735';
UPDATE eccourses set location='Nordhausen, Stadt' where plz='99734';
UPDATE eccourses set location='Bremerhaven, Stadt' where plz='27578';
UPDATE eccourses set location='Hamburg, Freie und Hansestadt' where plz='20259';
UPDATE eccourses set location='Bremerhaven, Stadt' where plz='27572';
UPDATE eccourses set location='Hamburg, Freie und Hansestadt' where plz='20253';
UPDATE eccourses set location='Bremerhaven, Stadt' where plz='27570';
UPDATE eccourses set location='Hamburg, Freie und Hansestadt' where plz='20251';
UPDATE eccourses set location='Bremerhaven, Stadt' where plz='27576';
UPDATE eccourses set location='Hamburg, Freie und Hansestadt' where plz='20257';
UPDATE eccourses set location='Bremerhaven, Stadt' where plz='27574';
UPDATE eccourses set location='Hamburg, Freie und Hansestadt' where plz='20255';
UPDATE eccourses set location='Zwickau, Stadt' where plz='08056';
UPDATE eccourses set location='Zwickau, Stadt' where plz='08058';
UPDATE eccourses set location='Schifferstadt, Stadt' where plz='67105';
UPDATE eccourses set location='Pockau-Lengefeld, Stadt' where plz='09514';
UPDATE eccourses set location='Schöpstal' where plz='02829';
UPDATE eccourses set location='Görlitz, Stadt' where plz='02828';
UPDATE eccourses set location='Bordelum' where plz='25852';
UPDATE eccourses set location='Görlitz, Stadt' where plz='02827';
UPDATE eccourses set location='Görlitz, Stadt' where plz='02826';
UPDATE eccourses set location='Linau' where plz='22959';
UPDATE eccourses set location='Glashütte, Stadt' where plz='01768';
UPDATE eccourses set location='Schiffdorf' where plz='27619';
UPDATE eccourses set location='Beverstedt' where plz='27616';
UPDATE eccourses set location='Loxstedt' where plz='27612';
UPDATE eccourses set location='Hohenberg-Krusemark' where plz='39596';
UPDATE eccourses set location='Löffingen, Stadt' where plz='79843';
UPDATE eccourses set location='Tangermünde, Stadt' where plz='39590';
UPDATE eccourses set location='Bismark (Altmark), Stadt' where plz='39599';
UPDATE eccourses set location='Schuttertal' where plz='77978';
UPDATE eccourses set location='Edemissen' where plz='31234';
UPDATE eccourses set location='Hartmannsdorf-Reichenau' where plz='01762';
UPDATE eccourses set location='Mahlberg, Stadt' where plz='77972';
UPDATE eccourses set location='Kippenheim' where plz='77971';
UPDATE eccourses set location='Rust' where plz='77977';
UPDATE eccourses set location='Ringsheim' where plz='77975';
UPDATE eccourses set location='Meißenheim' where plz='77974';
UPDATE eccourses set location='Schindhard' where plz='76887';
UPDATE eccourses set location='Bad Peterstal-Griesbach' where plz='72250';
UPDATE eccourses set location='Großrückerswalde' where plz='09518';
UPDATE eccourses set location='Lörrach, Stadt' where plz='79539';
UPDATE eccourses set location='Vorderweidenthal' where plz='76889';
UPDATE eccourses set location='Bonndorf im Schwarzwald, Stadt' where plz='79848';
UPDATE eccourses set location='Wolfsburg, Stadt' where plz='38448';
UPDATE eccourses set location='Sauerlach' where plz='82054';
UPDATE eccourses set location='Icking' where plz='82057';
UPDATE eccourses set location='Birgland' where plz='92262';
UPDATE eccourses set location='Jänschwalde' where plz='03197';
UPDATE eccourses set location='Ammerthal' where plz='92260';
UPDATE eccourses set location='Ensdorf' where plz='92266';
UPDATE eccourses set location='Edelsfeld' where plz='92265';
UPDATE eccourses set location='Riesa, Stadt' where plz='01587';
UPDATE eccourses set location='Etzelwang' where plz='92268';
UPDATE eccourses set location='Fensterbach' where plz='92269';
UPDATE eccourses set location='Großefehn' where plz='26629';
UPDATE eccourses set location='Bottenbach' where plz='66504';
UPDATE eccourses set location='Maßweiler' where plz='66506';
UPDATE eccourses set location='Reifenberg' where plz='66507';
UPDATE eccourses set location='Mauschbach' where plz='66500';
UPDATE eccourses set location='Kleinbundenbach' where plz='66501';
UPDATE eccourses set location='Dellfeld' where plz='66503';
UPDATE eccourses set location='Rieschweiler-Mühlbach' where plz='66509';
UPDATE eccourses set location='Schwarzerden' where plz='55629';
UPDATE eccourses set location='Hundsbach' where plz='55621';
UPDATE eccourses set location='Weiler bei Monzingen' where plz='55627';
UPDATE eccourses set location='Bundenbach' where plz='55626';
UPDATE eccourses set location='Weitersbach' where plz='55624';
UPDATE eccourses set location='Meersburg, Stadt' where plz='88709';
UPDATE eccourses set location='Halle (Saale), Stadt' where plz='06108';
UPDATE eccourses set location='Visselhövede, Stadt' where plz='27374';
UPDATE eccourses set location='Saarbrücken, Landeshauptstadt' where plz='66125';
UPDATE eccourses set location='Köln, Stadt' where plz='50677';
UPDATE eccourses set location='Köln, Stadt' where plz='50676';
UPDATE eccourses set location='Köln, Stadt' where plz='50674';
UPDATE eccourses set location='Köln, Stadt' where plz='50672';
UPDATE eccourses set location='Köln, Stadt' where plz='50670';
UPDATE eccourses set location='Eberbach, Stadt' where plz='69412';
UPDATE eccourses set location='Köln, Stadt' where plz='50679';
UPDATE eccourses set location='Köln, Stadt' where plz='50678';
UPDATE eccourses set location='Dillingen/ Saar, Stadt' where plz='66763';
UPDATE eccourses set location='Stauchitz' where plz='01594';
UPDATE eccourses set location='Bad Nauheim, Stadt' where plz='61231';
UPDATE eccourses set location='Schiltach, Stadt' where plz='77761';
UPDATE eccourses set location='Riesa, Stadt' where plz='01591';
UPDATE eccourses set location='Ober-Mörlen' where plz='61239';
UPDATE eccourses set location='Appenweier' where plz='77767';
UPDATE eccourses set location='Hausach, Stadt' where plz='77756';
UPDATE eccourses set location='Hohnstein, Stadt' where plz='01848';
UPDATE eccourses set location='Waldstetten' where plz='73072';
UPDATE eccourses set location='Lohmen' where plz='01847';
UPDATE eccourses set location='Neustadt i. Sa., Stadt' where plz='01844';
UPDATE eccourses set location='Süßen, Stadt' where plz='73079';
UPDATE eccourses set location='Lappersdorf, M' where plz='93138';
UPDATE eccourses set location='Mönchengladbach, Stadt' where plz='41065';
UPDATE eccourses set location='Burglengenfeld, St' where plz='93133';
UPDATE eccourses set location='Weiler' where plz='56825';
UPDATE eccourses set location='Immerath' where plz='56826';
UPDATE eccourses set location='Senheim' where plz='56820';
UPDATE eccourses set location='Ellenz-Poltersdorf' where plz='56821';
UPDATE eccourses set location='Büchel' where plz='56823';
UPDATE eccourses set location='Alflen' where plz='56828';
UPDATE eccourses set location='Pommern' where plz='56829';
UPDATE eccourses set location='Wildenberg' where plz='93359';
UPDATE eccourses set location='Köln, Stadt' where plz='51107';
UPDATE eccourses set location='Köln, Stadt' where plz='51105';
UPDATE eccourses set location='Köln, Stadt' where plz='51103';
UPDATE eccourses set location='Painten, M' where plz='93351';
UPDATE eccourses set location='Erlenbach a.Main, St' where plz='63906';
UPDATE eccourses set location='Rohr i.NB, M' where plz='93352';
UPDATE eccourses set location='Wildenberg' where plz='93354';
UPDATE eccourses set location='Köln, Stadt' where plz='51109';
UPDATE eccourses set location='Schonungen' where plz='97453';
UPDATE eccourses set location='Arnstein, St' where plz='97450';
UPDATE eccourses set location='Dittelbrunn' where plz='97456';
UPDATE eccourses set location='Brunsbüttel, Stadt' where plz='25541';
UPDATE eccourses set location='Wittenbergen' where plz='25548';
UPDATE eccourses set location='Nordheim' where plz='74226';
UPDATE eccourses set location='Baden-Baden, Stadt' where plz='76530';
UPDATE eccourses set location='Flein' where plz='74223';
UPDATE eccourses set location='Esch' where plz='54585';
UPDATE eccourses set location='Schwalmtal' where plz='36304';
UPDATE eccourses set location='Hagen am Teutoburger Wald' where plz='49170';
UPDATE eccourses set location='Hilter am Teutoburger Wald' where plz='49176';
UPDATE eccourses set location='Berlin, Stadt' where plz='14165';
UPDATE eccourses set location='Wülfrath, Stadt' where plz='42489';
UPDATE eccourses set location='Ostercappeln' where plz='49179';
UPDATE eccourses set location='Vechelde' where plz='38159';
UPDATE eccourses set location='Ziegelheim' where plz='04618';
UPDATE eccourses set location='Recklinghausen, Stadt' where plz='45657';
UPDATE eccourses set location='Freiberg, Stadt, Universitätsstadt' where plz='09599';
UPDATE eccourses set location='Chemnitz, Stadt' where plz='09228';
UPDATE eccourses set location='Leipzig, Stadt' where plz='04349';
UPDATE eccourses set location='Meuselwitz, Stadt' where plz='04610';
UPDATE eccourses set location='Leipzig, Stadt' where plz='04347';
UPDATE eccourses set location='Recklinghausen, Stadt' where plz='45659';
UPDATE eccourses set location='Lucka, Stadt' where plz='04613';
UPDATE eccourses set location='Korschenbroich, Stadt' where plz='41352';
UPDATE eccourses set location='Neukirchen/Erzgeb.' where plz='09221';
UPDATE eccourses set location='Schöppenstedt, Stadt' where plz='38154';
UPDATE eccourses set location='Siegen, Universitätsstadt' where plz='57080';
UPDATE eccourses set location='Müllheim, Stadt' where plz='79379';
UPDATE eccourses set location='Herne, Stadt' where plz='44651';
UPDATE eccourses set location='Herne, Stadt' where plz='44652';
UPDATE eccourses set location='Herne, Stadt' where plz='44653';
UPDATE eccourses set location='Anklam, Stadt' where plz='17389';
UPDATE eccourses set location='Rascheid' where plz='54413';
UPDATE eccourses set location='Hermeskeil, Stadt' where plz='54411';
UPDATE eccourses set location='Mönchengladbach, Stadt' where plz='41179';
UPDATE eccourses set location='Gerlingen, Stadt' where plz='70839';
UPDATE eccourses set location='Ratingen, Stadt' where plz='40880';
UPDATE eccourses set location='Ratingen, Stadt' where plz='40883';
UPDATE eccourses set location='Ratingen, Stadt' where plz='40882';
UPDATE eccourses set location='Ratingen, Stadt' where plz='40885';
UPDATE eccourses set location='Hückelhoven, Stadt' where plz='41836';
UPDATE eccourses set location='Marktleuthen, St' where plz='95168';
UPDATE eccourses set location='Kirchsahr' where plz='53505';
UPDATE eccourses set location='Wittingen, Stadt' where plz='29378';
UPDATE eccourses set location='Wittingen, Stadt' where plz='29379';
UPDATE eccourses set location='Grafschaft' where plz='53501';
UPDATE eccourses set location='Kiel, Landeshauptstadt' where plz='24146';
UPDATE eccourses set location='Kiel, Landeshauptstadt' where plz='24147';
UPDATE eccourses set location='Kiel, Landeshauptstadt' where plz='24145';
UPDATE eccourses set location='Winsen (Luhe), Stadt' where plz='21423';
UPDATE eccourses set location='Reichenau' where plz='78479';
UPDATE eccourses set location='Allensbach' where plz='78476';
UPDATE eccourses set location='Schimberg' where plz='37308';
UPDATE eccourses set location='Kiel, Landeshauptstadt' where plz='24148';
UPDATE eccourses set location='Kiel, Landeshauptstadt' where plz='24149';
UPDATE eccourses set location='Börtlingen' where plz='73104';
UPDATE eccourses set location='Monsheim' where plz='67590';
UPDATE eccourses set location='Wachenheim' where plz='67591';
UPDATE eccourses set location='Flörsheim-Dalsheim' where plz='67592';
UPDATE eccourses set location='Hannover, Landeshauptstadt' where plz='30629';
UPDATE eccourses set location='Bechtheim' where plz='67595';
UPDATE eccourses set location='Frettenheim' where plz='67596';
UPDATE eccourses set location='Gundersheim' where plz='67598';
UPDATE eccourses set location='Gundheim' where plz='67599';
UPDATE eccourses set location='Schloß Holte-Stukenbrock, Stadt' where plz='33758';
UPDATE eccourses set location='Winterberg, Stadt' where plz='59955';
UPDATE eccourses set location='Hannover, Landeshauptstadt' where plz='30627';
UPDATE eccourses set location='Hannover, Landeshauptstadt' where plz='30625';
UPDATE eccourses set location='Rhauderfehn' where plz='26817';
UPDATE eccourses set location='Berlin, Stadt' where plz='12249';
UPDATE eccourses set location='Diedorf, M' where plz='86420';
UPDATE eccourses set location='Westoverledingen' where plz='26810';
UPDATE eccourses set location='Dresden, Stadt' where plz='01279';
UPDATE eccourses set location='Burghausen, St' where plz='84489';
UPDATE eccourses set location='Dresden, Stadt' where plz='01277';
UPDATE eccourses set location='Lauter-Bernsbach, Stadt' where plz='08315';
UPDATE eccourses set location='Stoetze' where plz='29597';
UPDATE eccourses set location='Soltendieck' where plz='29594';
UPDATE eccourses set location='Düsseldorf, Stadt' where plz='40221';
UPDATE eccourses set location='Schwienau' where plz='29593';
UPDATE eccourses set location='Rätzlingen' where plz='29590';
UPDATE eccourses set location='Erzgebirgskreis' where plz='08312';
UPDATE eccourses set location='Hanhofen' where plz='67374';
UPDATE eccourses set location='Schechen' where plz='83135';
UPDATE eccourses set location='Harthausen' where plz='67376';
UPDATE eccourses set location='Gommersheim' where plz='67377';
UPDATE eccourses set location='Düsseldorf, Stadt' where plz='40229';
UPDATE eccourses set location='Nußdorf a.Inn' where plz='83131';
UPDATE eccourses set location='Pittenhart' where plz='83132';
UPDATE eccourses set location='Weste' where plz='29599';
UPDATE eccourses set location='Polling' where plz='82380';
UPDATE eccourses set location='Wakendorf II' where plz='24558';
UPDATE eccourses set location='Potsdam, Stadt' where plz='14478';
UPDATE eccourses set location='Bremen, Stadt' where plz='28359';
UPDATE eccourses set location='Potsdam, Stadt' where plz='14471';
UPDATE eccourses set location='Potsdam, Stadt' where plz='14473';
UPDATE eccourses set location='Potsdam, Stadt' where plz='14476';
UPDATE eccourses set location='Kusterdingen' where plz='72138';
UPDATE eccourses set location='Guxhagen' where plz='34302';
UPDATE eccourses set location='Niedenstein, Stadt' where plz='34305';
UPDATE eccourses set location='Oberhausen' where plz='82386';
UPDATE eccourses set location='Markt Nordheim, M' where plz='91478';
UPDATE eccourses set location='Bad Emstal' where plz='34308';
UPDATE eccourses set location='Langenfeld' where plz='91474';
UPDATE eccourses set location='Dettingen an der Iller' where plz='88451';
UPDATE eccourses set location='Ipsheim, M' where plz='91472';
UPDATE eccourses set location='Dettenhausen' where plz='72135';
UPDATE eccourses set location='Illesheim' where plz='91471';
UPDATE eccourses set location='Lichtenwald' where plz='73669';
UPDATE eccourses set location='Berglen' where plz='73663';
UPDATE eccourses set location='Urbach' where plz='73660';
UPDATE eccourses set location='Welzheim, Stadt' where plz='73667';
UPDATE eccourses set location='Baltmannsweiler' where plz='73666';
UPDATE eccourses set location='Merzalben' where plz='66978';
UPDATE eccourses set location='Rodalben, Stadt' where plz='66976';
UPDATE eccourses set location='Schöningen, Stadt' where plz='38364';
UPDATE eccourses set location='Burladingen, Stadt' where plz='72393';
UPDATE eccourses set location='Rennau' where plz='38368';
UPDATE eccourses set location='Hersbruck, St' where plz='91217';
UPDATE eccourses set location='Biedenkopf, Stadt' where plz='35216';
UPDATE eccourses set location='Kamsdorf' where plz='07334';
UPDATE eccourses set location='Unterwellenborn' where plz='07333';
UPDATE eccourses set location='Probstzella' where plz='07330';
UPDATE eccourses set location='Drognitz' where plz='07338';
UPDATE eccourses set location='Zirzow' where plz='17039';
UPDATE eccourses set location='Masserberg' where plz='98666';
UPDATE eccourses set location='Schleusegrund' where plz='98667';
UPDATE eccourses set location='Themar, Stadt' where plz='98660';
UPDATE eccourses set location='Westhausen' where plz='98663';
UPDATE eccourses set location='Veilsdorf' where plz='98669';
UPDATE eccourses set location='Oberkochen, Stadt' where plz='73447';
UPDATE eccourses set location='Mähren' where plz='56459';
UPDATE eccourses set location='Neresheim, Stadt' where plz='73441';
UPDATE eccourses set location='Westerburg, Stadt' where plz='56457';
UPDATE eccourses set location='Hilchenbach, Stadt' where plz='57271';
UPDATE eccourses set location='Hüllhorst' where plz='32609';
UPDATE eccourses set location='Sydower Fließ' where plz='16230';
UPDATE eccourses set location='Velten, Stadt' where plz='16727';
UPDATE eccourses set location='Wimmelburg' where plz='06313';
UPDATE eccourses set location='Friedrichshafen, Stadt' where plz='88048';
UPDATE eccourses set location='Schwallungen' where plz='98590';
UPDATE eccourses set location='Arnsdorf' where plz='01477';
UPDATE eccourses set location='Roßdorf' where plz='98597';
UPDATE eccourses set location='Bad Kissingen, GKSt' where plz='97688';
UPDATE eccourses set location='Friedrichshafen, Stadt' where plz='88045';
UPDATE eccourses set location='Friedrichshafen, Stadt' where plz='88046';
UPDATE eccourses set location='Wittenberge, Stadt' where plz='19322';
UPDATE eccourses set location='Bad Liebenstein, Stadt' where plz='36448';
UPDATE eccourses set location='Finnentrop' where plz='57413';
UPDATE eccourses set location='Ladbergen' where plz='49549';
UPDATE eccourses set location='Bad Camberg, Stadt' where plz='65520';
UPDATE eccourses set location='Niedernhausen' where plz='65527';
UPDATE eccourses set location='Osnabrück, Stadt' where plz='49090';
UPDATE eccourses set location='Waldems' where plz='65529';
UPDATE eccourses set location='Tecklenburg, Stadt' where plz='49545';
UPDATE eccourses set location='Wörth a.d.Isar' where plz='84109';
UPDATE eccourses set location='Niederaichbach' where plz='84100';
UPDATE eccourses set location='Obersüßbach' where plz='84101';
UPDATE eccourses set location='Postau' where plz='84103';
UPDATE eccourses set location='Mülheim an der Ruhr, Stadt' where plz='45468';
UPDATE eccourses set location='Volkenschwand' where plz='84106';
UPDATE eccourses set location='Weihmichl' where plz='84107';
UPDATE eccourses set location='Nürnberg' where plz='90480';
UPDATE eccourses set location='Nürnberg' where plz='90482';
UPDATE eccourses set location='Schriesheim, Stadt' where plz='69198';
UPDATE eccourses set location='Nürnberg' where plz='90489';
UPDATE eccourses set location='Walldorf, Stadt' where plz='69190';
UPDATE eccourses set location='Schermbeck' where plz='46514';
UPDATE eccourses set location='Melle, Stadt' where plz='49324';
UPDATE eccourses set location='Alpen' where plz='46519';
UPDATE eccourses set location='Melle, Stadt' where plz='49328';
UPDATE eccourses set location='Neukirchen, Stadt' where plz='34626';
UPDATE eccourses set location='Bad Frankenhausen/Kyffhäuser, Stadt' where plz='06567';
UPDATE eccourses set location='Hamburg, Freie und Hansestadt' where plz='22523';
UPDATE eccourses set location='Sankt Augustin, Stadt' where plz='53757';
UPDATE eccourses set location='Wustermark' where plz='14641';
UPDATE eccourses set location='Sassnitz, Stadt' where plz='18546';
UPDATE eccourses set location='Schwerte, Hansestadt an der Ruhr' where plz='58239';
UPDATE eccourses set location='Schneizlreuth' where plz='83458';
UPDATE eccourses set location='Dortmund, Stadt' where plz='44225';
UPDATE eccourses set location='Bebra, Stadt' where plz='36179';
UPDATE eccourses set location='Dortmund, Stadt' where plz='44227';
UPDATE eccourses set location='Dortmund, Stadt' where plz='44229';
UPDATE eccourses set location='Piding' where plz='83451';
UPDATE eccourses set location='Bayerisch Gmain' where plz='83457';
UPDATE eccourses set location='Anger' where plz='83454';
UPDATE eccourses set location='Floh-Seligenthal' where plz='98593';
UPDATE eccourses set location='Dormagen, Stadt' where plz='41542';
UPDATE eccourses set location='Berne' where plz='27804';
UPDATE eccourses set location='Dormagen, Stadt' where plz='41540';
UPDATE eccourses set location='Leipzig, Stadt' where plz='04157';
UPDATE eccourses set location='Stephansposching' where plz='94569';
UPDATE eccourses set location='Sankt Oswald-Riedlhütte' where plz='94568';
UPDATE eccourses set location='Sankt Oswald-Riedlhütte' where plz='94566';
UPDATE eccourses set location='Leipzig, Stadt' where plz='04159';
UPDATE eccourses set location='Leipzig, Stadt' where plz='04158';
UPDATE eccourses set location='Otzing' where plz='94563';
UPDATE eccourses set location='Wallerfing' where plz='94562';
UPDATE eccourses set location='Offenberg' where plz='94560';
UPDATE eccourses set location='Wolferschwenda' where plz='99713';
UPDATE eccourses set location='Waldsee' where plz='67165';
UPDATE eccourses set location='Erpolzheim' where plz='67167';
UPDATE eccourses set location='Otterstadt' where plz='67166';
UPDATE eccourses set location='Kallstadt' where plz='67169';
UPDATE eccourses set location='Großenehrich, Stadt' where plz='99718';
UPDATE eccourses set location='Bayerbach' where plz='94137';
UPDATE eccourses set location='Langenfeld (Rheinland), Stadt' where plz='40764';
UPDATE eccourses set location='Duisburg, Stadt' where plz='47239';
UPDATE eccourses set location='Leipzig, Stadt' where plz='04356';
UPDATE eccourses set location='Altlußheim' where plz='68804';
UPDATE eccourses set location='Neulußheim' where plz='68809';
UPDATE eccourses set location='Altenburg, Stadt' where plz='04600';
UPDATE eccourses set location='Emmelsbüll-Horsbüll' where plz='25899';
UPDATE eccourses set location='Rochau' where plz='39579';
UPDATE eccourses set location='Brotterode-Trusetal, Stadt' where plz='98596';
UPDATE eccourses set location='Stendal, Hansestadt' where plz='39576';
UPDATE eccourses set location='Schonach im Schwarzwald' where plz='78136';
UPDATE eccourses set location='Hornberg, Stadt' where plz='78132';
UPDATE eccourses set location='Nordharz' where plz='38871';
UPDATE eccourses set location='Auetal' where plz='31749';
UPDATE eccourses set location='Baiersbronn' where plz='72270';
UPDATE eccourses set location='Alpirsbach, Stadt' where plz='72275';
UPDATE eccourses set location='Berlin, Stadt' where plz='12589';
UPDATE eccourses set location='Berlin, Stadt' where plz='12587';
UPDATE eccourses set location='Bad Wildungen, Stadt' where plz='34537';
UPDATE eccourses set location='Aurich, Stadt' where plz='26603';
UPDATE eccourses set location='Bissingen, M' where plz='86657';
UPDATE eccourses set location='Harburg (Schwaben), St' where plz='86655';
UPDATE eccourses set location='Aurich, Stadt' where plz='26607';
UPDATE eccourses set location='Monheim, St' where plz='86653';
UPDATE eccourses set location='Aurich, Stadt' where plz='26605';
UPDATE eccourses set location='Schönsee, St' where plz='92539';
UPDATE eccourses set location='Pfreimd, St' where plz='92536';
UPDATE eccourses set location='Hirschau, St' where plz='92242';
UPDATE eccourses set location='Wernberg-Köblitz, M' where plz='92533';
UPDATE eccourses set location='Ottweiler, Stadt' where plz='66564';
UPDATE eccourses set location='Halle (Saale), Stadt' where plz='06124';
UPDATE eccourses set location='Halle (Saale), Stadt' where plz='06126';
UPDATE eccourses set location='Halle (Saale), Stadt' where plz='06120';
UPDATE eccourses set location='Halle (Saale), Stadt' where plz='06122';
UPDATE eccourses set location='Halle (Saale), Stadt' where plz='06128';
UPDATE eccourses set location='Grevenbroich, Stadt' where plz='41515';
UPDATE eccourses set location='Norderney, Stadt' where plz='26548';
UPDATE eccourses set location='Buchholz (Westerwald)' where plz='53567';
UPDATE eccourses set location='Neidenstein' where plz='74933';
UPDATE eccourses set location='Schülp b. Rendsburg' where plz='24768';
UPDATE eccourses set location='Lobbach' where plz='74931';
UPDATE eccourses set location='Siegelsbach' where plz='74936';
UPDATE eccourses set location='Spechbach' where plz='74937';
UPDATE eccourses set location='Reichartshausen' where plz='74934';
UPDATE eccourses set location='Wadgassen' where plz='66787';
UPDATE eccourses set location='Zuzenhausen' where plz='74939';
UPDATE eccourses set location='Rehlingen-Siersburg' where plz='66780';
UPDATE eccourses set location='Usingen, Stadt' where plz='61250';
UPDATE eccourses set location='Wiesbaden, Landeshauptstadt' where plz='65201';
UPDATE eccourses set location='Wiesbaden, Landeshauptstadt' where plz='65207';
UPDATE eccourses set location='Wiesbaden, Landeshauptstadt' where plz='65205';
UPDATE eccourses set location='Süßen, Stadt' where plz='73054';
UPDATE eccourses set location='Neu-Ulm, GKSt' where plz='89231';
UPDATE eccourses set location='Neu-Ulm, GKSt' where plz='89233';
UPDATE eccourses set location='Irmenach' where plz='56843';
UPDATE eccourses set location='Oberschneiding' where plz='94363';
UPDATE eccourses set location='Traben-Trarbach, Stadt' where plz='56841';
UPDATE eccourses set location='Düren, Stadt' where plz='52349';
UPDATE eccourses set location='Torgelow, Stadt' where plz='17358';
UPDATE eccourses set location='Perasdorf' where plz='94366';
UPDATE eccourses set location='Rain' where plz='94369';
UPDATE eccourses set location='Perkam' where plz='94368';
UPDATE eccourses set location='Heiligenhaus, Stadt' where plz='42579';
UPDATE eccourses set location='Berlin, Stadt' where plz='12685';
UPDATE eccourses set location='Selmsdorf' where plz='23923';
UPDATE eccourses set location='Unnau' where plz='57648';
UPDATE eccourses set location='Nistertal' where plz='57647';
UPDATE eccourses set location='Streithausen' where plz='57645';
UPDATE eccourses set location='Winkelbach' where plz='57644';
UPDATE eccourses set location='Alpenrod' where plz='57642';
UPDATE eccourses set location='Oberlahr' where plz='57641';
UPDATE eccourses set location='Sulingen, Stadt' where plz='27232';
UPDATE eccourses set location='Twistringen, Stadt' where plz='27239';
UPDATE eccourses set location='Markt Wald, M' where plz='86865';
UPDATE eccourses set location='Mickhausen' where plz='86866';
UPDATE eccourses set location='Jengen' where plz='86860';
UPDATE eccourses set location='Walkertshofen' where plz='86863';
UPDATE eccourses set location='Lamerdingen' where plz='86862';
UPDATE eccourses set location='Oberostendorf' where plz='86869';
UPDATE eccourses set location='Mittelneufnach' where plz='86868';
UPDATE eccourses set location='Wulfsmoor' where plz='25563';
UPDATE eccourses set location='Warringholz' where plz='25560';
UPDATE eccourses set location='Rethwisch' where plz='25566';
UPDATE eccourses set location='Wartenberg' where plz='36367';
UPDATE eccourses set location='Lautertal (Vogelsberg)' where plz='36369';
UPDATE eccourses set location='Krempermoor' where plz='25569';
UPDATE eccourses set location='Wartenberg, M' where plz='85447';
UPDATE eccourses set location='Oberding' where plz='85445';
UPDATE eccourses set location='Bad Wimpfen, Stadt' where plz='74206';
UPDATE eccourses set location='Berlin, Stadt' where plz='10825';
UPDATE eccourses set location='Gauting' where plz='82131';
UPDATE eccourses set location='Bad Essen' where plz='49152';
UPDATE eccourses set location='Essen, Stadt' where plz='45329';
UPDATE eccourses set location='Zettemin' where plz='17153';
UPDATE eccourses set location='Essen, Stadt' where plz='45327';
UPDATE eccourses set location='Essen, Stadt' where plz='45326';
UPDATE eccourses set location='Olbersdorf' where plz='02785';
UPDATE eccourses set location='Seifhennersdorf, Stadt' where plz='02782';
UPDATE eccourses set location='Zittau, Stadt' where plz='02788';
UPDATE eccourses set location='Ostprignitz-Ruppin' where plz='16918';
UPDATE eccourses set location='Obernburg a.Main, St' where plz='63785';
UPDATE eccourses set location='Berlin, Stadt' where plz='12209';
UPDATE eccourses set location='Wonfurt' where plz='97478';
UPDATE eccourses set location='Berlin, Stadt' where plz='12205';
UPDATE eccourses set location='Berlin, Stadt' where plz='12207';
UPDATE eccourses set location='Berlin, Stadt' where plz='12203';
UPDATE eccourses set location='Eicklingen' where plz='29358';
UPDATE eccourses set location='Eschede' where plz='29359';
UPDATE eccourses set location='Erlensee, Stadt' where plz='63526';
UPDATE eccourses set location='Issigau' where plz='95188';
UPDATE eccourses set location='Köditz' where plz='95189';
UPDATE eccourses set location='Sankt Katharinen (Landkreis Neuwied)' where plz='53562';
UPDATE eccourses set location='Eldingen' where plz='29351';
UPDATE eccourses set location='Adelheidsdorf' where plz='29352';
UPDATE eccourses set location='Gattendorf' where plz='95185';
UPDATE eccourses set location='Döhlau' where plz='95182';
UPDATE eccourses set location='Trogen' where plz='95183';
UPDATE eccourses set location='Bröckel' where plz='29356';
UPDATE eccourses set location='Embsen' where plz='21409';
UPDATE eccourses set location='Melbeck' where plz='21406';
UPDATE eccourses set location='Deutsch Evern' where plz='21407';
UPDATE eccourses set location='Reinstorf' where plz='21400';
UPDATE eccourses set location='Thomasburg' where plz='21401';
UPDATE eccourses set location='Wendisch Evern' where plz='21403';
UPDATE eccourses set location='Niederkrüchten' where plz='41372';
UPDATE eccourses set location='Brüggen, Burggemeinde' where plz='41379';
UPDATE eccourses set location='Staufen im Breisgau, Stadt' where plz='79219';
UPDATE eccourses set location='Schwerinsdorf' where plz='26835';
UPDATE eccourses set location='Bunde' where plz='26831';
UPDATE eccourses set location='Gimbsheim' where plz='67578';
UPDATE eccourses set location='Alsheim' where plz='67577';
UPDATE eccourses set location='Osthofen, Stadt' where plz='67574';
UPDATE eccourses set location='Eich' where plz='67575';
UPDATE eccourses set location='Baddeckenstedt' where plz='38271';
UPDATE eccourses set location='Elzach, Stadt' where plz='79215';
UPDATE eccourses set location='Stutensee, Stadt' where plz='76297';
UPDATE eccourses set location='Meitingen, M' where plz='86405';
UPDATE eccourses set location='Dresden, Stadt' where plz='01257';
UPDATE eccourses set location='Pfullingen, Stadt' where plz='72793';
UPDATE eccourses set location='Moringen, Stadt' where plz='37186';
UPDATE eccourses set location='Dresden, Stadt' where plz='01259';
UPDATE eccourses set location='Hardegsen, Stadt' where plz='37181';
UPDATE eccourses set location='Heere' where plz='38277';
UPDATE eccourses set location='Berlin, Stadt' where plz='12687';
UPDATE eccourses set location='Storkow (Mark), Stadt' where plz='15859';
UPDATE eccourses set location='Eisenberg (Pfalz), Stadt' where plz='67319';
UPDATE eccourses set location='Marxen' where plz='21439';
UPDATE eccourses set location='Hettenleidelheim' where plz='67310';
UPDATE eccourses set location='Tiefenthal' where plz='67311';
UPDATE eccourses set location='Wattenheim' where plz='67316';
UPDATE eccourses set location='Altleiningen' where plz='67317';
UPDATE eccourses set location='Zingst' where plz='18374';
UPDATE eccourses set location='Wieck a. Darß' where plz='18375';
UPDATE eccourses set location='Wiemersdorf' where plz='24576';
UPDATE eccourses set location='Laufenburg (Baden), Stadt' where plz='79725';
UPDATE eccourses set location='Münchsteinach' where plz='91456';
UPDATE eccourses set location='Wilhermsdorf, M' where plz='91452';
UPDATE eccourses set location='Halver, Stadt' where plz='58553';
UPDATE eccourses set location='Markt Erlbach, M' where plz='91459';
UPDATE eccourses set location='Rohr' where plz='91189';
UPDATE eccourses set location='Nieste' where plz='34329';
UPDATE eccourses set location='Körle' where plz='34327';
UPDATE eccourses set location='Morschen' where plz='34326';
UPDATE eccourses set location='Heideck, St' where plz='91180';
UPDATE eccourses set location='Malsfeld' where plz='34323';
UPDATE eccourses set location='Röttenbach' where plz='91187';
UPDATE eccourses set location='Söhrewald' where plz='34320';
UPDATE eccourses set location='Sachsenhagen, Stadt' where plz='31553';
UPDATE eccourses set location='Rodenberg, Stadt' where plz='31552';
UPDATE eccourses set location='Elze, Stadt' where plz='31008';
UPDATE eccourses set location='Suthfeld' where plz='31555';
UPDATE eccourses set location='Hohnhorst' where plz='31559';
UPDATE eccourses set location='Hagenburg, Flecken' where plz='31558';
UPDATE eccourses set location='Pirmasens, Stadt' where plz='66953';
UPDATE eccourses set location='Vinningen' where plz='66957';
UPDATE eccourses set location='Münchweiler an der Rodalb' where plz='66955';
UPDATE eccourses set location='Vinningen' where plz='66954';
UPDATE eccourses set location='Mainz, Stadt' where plz='55128';
UPDATE eccourses set location='Mainz, Stadt' where plz='55129';
UPDATE eccourses set location='Neunkirchen a.Sand' where plz='91233';
UPDATE eccourses set location='Twieflingen' where plz='38388';
UPDATE eccourses set location='Alfeld' where plz='91236';
UPDATE eccourses set location='Ingeleben' where plz='38385';
UPDATE eccourses set location='Gevensleben' where plz='38384';
UPDATE eccourses set location='Söllingen' where plz='38387';
UPDATE eccourses set location='Jerxheim' where plz='38381';
UPDATE eccourses set location='Bad Lauterberg im Harz, Stadt' where plz='37431';
UPDATE eccourses set location='Mainz, Stadt' where plz='55126';
UPDATE eccourses set location='Beierstedt' where plz='38382';
UPDATE eccourses set location='Sandersdorf-Brehna, Stadt' where plz='06809';
UPDATE eccourses set location='Bitterfeld-Wolfen, Stadt' where plz='06808';
UPDATE eccourses set location='Bitterfeld-Wolfen, Stadt' where plz='06803';
UPDATE eccourses set location='Raguhn-Jeßnitz, Stadt' where plz='06800';
UPDATE eccourses set location='Neustadt (Hessen), Stadt' where plz='35279';
UPDATE eccourses set location='Kirchhain, Stadt' where plz='35274';
UPDATE eccourses set location='Wittgendorf' where plz='07318';
UPDATE eccourses set location='Glasau' where plz='23719';
UPDATE eccourses set location='Malente' where plz='23717';
UPDATE eccourses set location='Kirchnüchel' where plz='23714';
UPDATE eccourses set location='Bosau' where plz='23715';
UPDATE eccourses set location='Brilon, Stadt' where plz='59929';
UPDATE eccourses set location='Zeschdorf' where plz='15326';
UPDATE eccourses set location='Letschin' where plz='15324';
UPDATE eccourses set location='Kempten (Allgäu)' where plz='87439';
UPDATE eccourses set location='Neutrebbin' where plz='15320';
UPDATE eccourses set location='Kempten (Allgäu)' where plz='87435';
UPDATE eccourses set location='Wessobrunn' where plz='82405';
UPDATE eccourses set location='Sindelsdorf' where plz='82404';
UPDATE eccourses set location='Seeshaupt' where plz='82402';
UPDATE eccourses set location='Zechin' where plz='15328';
UPDATE eccourses set location='Krailling' where plz='82152';
UPDATE eccourses set location='Oschersleben (Bode), Stadt' where plz='39387';
UPDATE eccourses set location='Dietingen' where plz='78661';
UPDATE eccourses set location='Roßdorf' where plz='64380';
UPDATE eccourses set location='Scheer, Stadt' where plz='72516';
UPDATE eccourses set location='Sigmaringendorf' where plz='72517';
UPDATE eccourses set location='Inzigkofen' where plz='72514';
UPDATE eccourses set location='Hettingen, Stadt' where plz='72513';
UPDATE eccourses set location='Stetten am kalten Markt' where plz='72510';
UPDATE eccourses set location='Bingen' where plz='72511';
UPDATE eccourses set location='Frittlingen' where plz='78665';
UPDATE eccourses set location='Löhne, Stadt' where plz='32584';
UPDATE eccourses set location='Veringenstadt, Stadt' where plz='72519';
UPDATE eccourses set location='Lindewitt' where plz='24969';
UPDATE eccourses set location='Wetzlar, Stadt' where plz='35584';
UPDATE eccourses set location='Wetzlar, Stadt' where plz='35585';
UPDATE eccourses set location='Wetzlar, Stadt' where plz='35586';
UPDATE eccourses set location='Wetzlar, Stadt' where plz='35580';
UPDATE eccourses set location='Wetzlar, Stadt' where plz='35581';
UPDATE eccourses set location='Wetzlar, Stadt' where plz='35582';
UPDATE eccourses set location='Wetzlar, Stadt' where plz='35583';
UPDATE eccourses set location='Stockhausen-Illfurth' where plz='56472';
UPDATE eccourses set location='Bad Marienberg (Westerwald), Stadt' where plz='56470';
UPDATE eccourses set location='Zehnhausen bei Rennerod' where plz='56477';
UPDATE eccourses set location='Zarrentin am Schaalsee, Stadt' where plz='19246';
UPDATE eccourses set location='Herford, Hansestadt' where plz='32052';
UPDATE eccourses set location='Wittendörp' where plz='19243';
UPDATE eccourses set location='Lübtheen, Stadt' where plz='19249';
UPDATE eccourses set location='Berlin, Stadt' where plz='12051';
UPDATE eccourses set location='Berlin, Stadt' where plz='12053';
UPDATE eccourses set location='Berlin, Stadt' where plz='12055';
UPDATE eccourses set location='Berlin, Stadt' where plz='12057';
UPDATE eccourses set location='Berlin, Stadt' where plz='12059';
UPDATE eccourses set location='Haan, Stadt' where plz='42781';
UPDATE eccourses set location='Tettnang, Stadt' where plz='88069';
UPDATE eccourses set location='Rommerskirchen' where plz='41569';
UPDATE eccourses set location='Ramhusen' where plz='25715';
UPDATE eccourses set location='Quickborn' where plz='25712';
UPDATE eccourses set location='Sandhausen' where plz='69207';
UPDATE eccourses set location='Friedrichskoog' where plz='25718';
UPDATE eccourses set location='Busenwurth' where plz='25719';
UPDATE eccourses set location='Offenbach am Main, Stadt' where plz='63069';
UPDATE eccourses set location='Lengerich, Stadt' where plz='49525';
UPDATE eccourses set location='Offenbach am Main, Stadt' where plz='63065';
UPDATE eccourses set location='Offenbach am Main, Stadt' where plz='63067';
UPDATE eccourses set location='Limburg a.d. Lahn, Kreisstadt' where plz='65549';
UPDATE eccourses set location='Netphen, Stadt' where plz='57250';
UPDATE eccourses set location='Tonna' where plz='99958';
UPDATE eccourses set location='Nürnberg' where plz='90469';
UPDATE eccourses set location='Urleben' where plz='99955';
UPDATE eccourses set location='Freudenberg, Stadt' where plz='57258';
UPDATE eccourses set location='Nürnberg' where plz='90461';
UPDATE eccourses set location='Dinslaken, Stadt' where plz='46537';
UPDATE eccourses set location='Dinslaken, Stadt' where plz='46535';
UPDATE eccourses set location='Dinslaken, Stadt' where plz='46539';
UPDATE eccourses set location='Calberlah' where plz='38547';
UPDATE eccourses set location='Dresden, Stadt' where plz='01069';
UPDATE eccourses set location='Johanniskirchen' where plz='84381';
UPDATE eccourses set location='Hillerse' where plz='38543';
UPDATE eccourses set location='Leiferde' where plz='38542';
UPDATE eccourses set location='Wittibreut' where plz='84384';
UPDATE eccourses set location='Egglham' where plz='84385';
UPDATE eccourses set location='Postmünster' where plz='84389';
UPDATE eccourses set location='Jesteburg' where plz='21266';
UPDATE eccourses set location='Warnkenhagen' where plz='17168';
UPDATE eccourses set location='Dresden, Stadt' where plz='01067';
UPDATE eccourses set location='Jandelsbrunn' where plz='94118';
UPDATE eccourses set location='Tiefenbach' where plz='94113';
UPDATE eccourses set location='Wegscheid, M' where plz='94110';
UPDATE eccourses set location='Hutthurm, M' where plz='94116';
UPDATE eccourses set location='Belm' where plz='49191';
UPDATE eccourses set location='Bad Kreuznach, Stadt' where plz='55543';
UPDATE eccourses set location='Pyrbaum, M' where plz='90602';
UPDATE eccourses set location='Attendorn, Hansestadt' where plz='57439';
UPDATE eccourses set location='Hennef (Sieg), Stadt' where plz='53773';
UPDATE eccourses set location='Rückersdorf' where plz='90607';
UPDATE eccourses set location='Ketzin/Havel, Stadt' where plz='14669';
UPDATE eccourses set location='Ummanz' where plz='18569';
UPDATE eccourses set location='Paderborn, Stadt' where plz='33098';
UPDATE eccourses set location='Bielefeld, Stadt' where plz='33729';
UPDATE eccourses set location='Brechen' where plz='65611';
UPDATE eccourses set location='Retzow' where plz='14662';
UPDATE eccourses set location='Insel Hiddensee' where plz='18565';
UPDATE eccourses set location='Vreden, Stadt' where plz='48691';
UPDATE eccourses set location='Bad Reichenhall, GKSt' where plz='83435';
UPDATE eccourses set location='Heringen/Helme, Stadt' where plz='99765';
UPDATE eccourses set location='Kinding, M' where plz='85125';
UPDATE eccourses set location='Buch a.Buchrain' where plz='85656';
UPDATE eccourses set location='Neuhof' where plz='36119';
UPDATE eccourses set location='Aying' where plz='85653';
UPDATE eccourses set location='Hepberg' where plz='85120';
UPDATE eccourses set location='Karlskron' where plz='85123';
UPDATE eccourses set location='Hitzhofen' where plz='85122';
UPDATE eccourses set location='Schlitz, Stadt' where plz='36110';
UPDATE eccourses set location='Oberdolling' where plz='85129';
UPDATE eccourses set location='Nassenfels, M' where plz='85128';
UPDATE eccourses set location='Forstern' where plz='85659';
UPDATE eccourses set location='Hilders' where plz='36115';
UPDATE eccourses set location='Lustadt' where plz='67363';
UPDATE eccourses set location='Neuötting, St' where plz='84524';
UPDATE eccourses set location='Oberhausen-Rheinhausen' where plz='68794';
UPDATE eccourses set location='Reilingen' where plz='68799';
UPDATE eccourses set location='Natendorf' where plz='29587';
UPDATE eccourses set location='Tittmoning, St' where plz='84529';
UPDATE eccourses set location='Lingenfeld' where plz='67360';
UPDATE eccourses set location='Markranstädt, Stadt' where plz='04420';
UPDATE eccourses set location='Taucha, Stadt' where plz='04425';
UPDATE eccourses set location='Weingarten (Pfalz)' where plz='67366';
UPDATE eccourses set location='Schwegenheim' where plz='67365';
UPDATE eccourses set location='Meckenheim' where plz='67149';
UPDATE eccourses set location='Forst an der Weinstraße' where plz='67147';
UPDATE eccourses set location='Deidesheim, Stadt' where plz='67146';
UPDATE eccourses set location='Calvörde' where plz='39638';
UPDATE eccourses set location='Oppenweiler' where plz='71570';
UPDATE eccourses set location='Allmersbach im Tal' where plz='71573';
UPDATE eccourses set location='Unterthingau, M' where plz='87647';
UPDATE eccourses set location='Wüstenrot' where plz='71577';
UPDATE eccourses set location='Burgstetten' where plz='71576';
UPDATE eccourses set location='Aspach' where plz='71579';
UPDATE eccourses set location='Westheim (Pfalz)' where plz='67368';
UPDATE eccourses set location='Tübingen, Universitätsstadt' where plz='72074';
UPDATE eccourses set location='Tübingen, Universitätsstadt' where plz='72076';
UPDATE eccourses set location='Ammerbuch' where plz='72070';
UPDATE eccourses set location='Tübingen, Universitätsstadt' where plz='72072';
UPDATE eccourses set location='Lahr/Schwarzwald, Stadt' where plz='77933';
UPDATE eccourses set location='Vahlbruch' where plz='37647';
UPDATE eccourses set location='Golmbach' where plz='37640';
UPDATE eccourses set location='Negenborn' where plz='37643';
UPDATE eccourses set location='Holenberg' where plz='37642';
UPDATE eccourses set location='Heinsen' where plz='37649';
UPDATE eccourses set location='St. Georgen im Schwarzwald, Stadt' where plz='78112';
UPDATE eccourses set location='Wildberg, Stadt' where plz='72218';
UPDATE eccourses set location='Waldeck, Stadt' where plz='34513';
UPDATE eccourses set location='Karlsruhe, Stadt' where plz='76228';
UPDATE eccourses set location='Karlsruhe, Stadt' where plz='76229';
UPDATE eccourses set location='Waldeck, Stadt' where plz='34516';
UPDATE eccourses set location='Dürmentingen' where plz='88525';
UPDATE eccourses set location='Diemelsee' where plz='34519';
UPDATE eccourses set location='Altensteig, Stadt' where plz='72213';
UPDATE eccourses set location='Karlsruhe, Stadt' where plz='76227';
UPDATE eccourses set location='Weil am Rhein, Stadt' where plz='79576';
UPDATE eccourses set location='Weißdorf' where plz='95234';
UPDATE eccourses set location='Stammbach, M' where plz='95236';
UPDATE eccourses set location='Weißdorf' where plz='95237';
UPDATE eccourses set location='Frankfurt am Main, Stadt' where plz='65929';
UPDATE eccourses set location='Helmbrechts, St' where plz='95233';
UPDATE eccourses set location='Zell im Fichtelgebirge, M' where plz='95239';
UPDATE eccourses set location='Ehingen' where plz='86678';
UPDATE eccourses set location='Ellgau' where plz='86679';
UPDATE eccourses set location='Baar (Schwaben)' where plz='86674';
UPDATE eccourses set location='Buchdorf' where plz='86675';
UPDATE eccourses set location='Ehekirchen' where plz='86676';
UPDATE eccourses set location='Brühl, Stadt' where plz='50321';
UPDATE eccourses set location='Thierhaupten, M' where plz='86672';
UPDATE eccourses set location='Bergheim' where plz='86673';
UPDATE eccourses set location='Duisburg, Stadt' where plz='47259';
UPDATE eccourses set location='Triptis, Stadt' where plz='07819';
UPDATE eccourses set location='Leutkirch im Allgäu, Stadt' where plz='88299';
UPDATE eccourses set location='Lütetsburg' where plz='26524';
UPDATE eccourses set location='Wirdum' where plz='26529';
UPDATE eccourses set location='Stemshorn' where plz='49448';
UPDATE eccourses set location='Angelbachtal' where plz='74918';
UPDATE eccourses set location='Kirchardt' where plz='74912';
UPDATE eccourses set location='Waibstadt, Stadt' where plz='74915';
UPDATE eccourses set location='Ehningen' where plz='71139';
UPDATE eccourses set location='Wang' where plz='85419';
UPDATE eccourses set location='Ortenberg' where plz='77799';
UPDATE eccourses set location='Waldsolms' where plz='35647';
UPDATE eccourses set location='München, Landeshauptstadt' where plz='81549';
UPDATE eccourses set location='Hohenahr' where plz='35644';
UPDATE eccourses set location='München, Landeshauptstadt' where plz='81547';
UPDATE eccourses set location='Göppingen, Stadt' where plz='73033';
UPDATE eccourses set location='Bischoffen' where plz='35649';
UPDATE eccourses set location='Steinach' where plz='77790';
UPDATE eccourses set location='München, Landeshauptstadt' where plz='81543';
UPDATE eccourses set location='Heiningen' where plz='73037';
UPDATE eccourses set location='München, Landeshauptstadt' where plz='81541';
UPDATE eccourses set location='Göppingen, Stadt' where plz='73035';
UPDATE eccourses set location='Bernhardswald' where plz='93170';
UPDATE eccourses set location='Wenzenbach' where plz='93173';
UPDATE eccourses set location='Altenthann' where plz='93177';
UPDATE eccourses set location='Beratzhausen, M' where plz='93176';
UPDATE eccourses set location='Brennberg' where plz='93179';
UPDATE eccourses set location='Zöllnitz' where plz='07768';
UPDATE eccourses set location='Overath, Stadt' where plz='51491';
UPDATE eccourses set location='Gutenstetten' where plz='91468';
UPDATE eccourses set location='Mastershausen' where plz='56869';
UPDATE eccourses set location='Wilhelmsburg' where plz='17379';
UPDATE eccourses set location='Saffig' where plz='56648';
UPDATE eccourses set location='Atting' where plz='94348';
UPDATE eccourses set location='Ascha' where plz='94347';
UPDATE eccourses set location='Urbach' where plz='56317';
UPDATE eccourses set location='Aholfing' where plz='94345';
UPDATE eccourses set location='Wiesenfelden' where plz='94344';
UPDATE eccourses set location='Hontheim' where plz='56864';
UPDATE eccourses set location='Walhausen' where plz='56865';
UPDATE eccourses set location='Kruft' where plz='56642';
UPDATE eccourses set location='Briedel' where plz='56867';
UPDATE eccourses set location='Kusterdingen' where plz='72127';
UPDATE eccourses set location='Kiebitzreihe' where plz='25368';
UPDATE eccourses set location='Klein Offenseth-Sparrieshoop' where plz='25365';
UPDATE eccourses set location='Westerhorn' where plz='25364';
UPDATE eccourses set location='Süderau' where plz='25361';
UPDATE eccourses set location='Pliezhausen' where plz='72124';
UPDATE eccourses set location='Ziethen' where plz='23909';
UPDATE eccourses set location='Calden' where plz='34379';
UPDATE eccourses set location='Weilrod' where plz='61276';
UPDATE eccourses set location='Bassum, Stadt' where plz='27211';
UPDATE eccourses set location='Köln, Stadt' where plz='51149';
UPDATE eccourses set location='Wehrheim' where plz='61273';
UPDATE eccourses set location='Dietersheim' where plz='91463';
UPDATE eccourses set location='Köln, Stadt' where plz='51143';
UPDATE eccourses set location='Köln, Stadt' where plz='51147';
UPDATE eccourses set location='Grävenwiesbach' where plz='61279';
UPDATE eccourses set location='Köln, Stadt' where plz='51145';
UPDATE eccourses set location='Türkheim, M' where plz='86842';
UPDATE eccourses set location='Oberottmarshausen' where plz='86845';
UPDATE eccourses set location='Gernsheim, Schöfferstadt' where plz='64579';
UPDATE eccourses set location='Mechernich, Stadt' where plz='53894';
UPDATE eccourses set location='Lauterbach (Hessen), Kreisstadt' where plz='36341';
UPDATE eccourses set location='Walpertskirchen' where plz='85469';
UPDATE eccourses set location='München, Landeshauptstadt' where plz='80638';
UPDATE eccourses set location='München, Landeshauptstadt' where plz='80639';
UPDATE eccourses set location='München, Landeshauptstadt' where plz='80636';
UPDATE eccourses set location='Bockhorn' where plz='85461';
UPDATE eccourses set location='Eitting' where plz='85462';
UPDATE eccourses set location='Finsing' where plz='85464';
UPDATE eccourses set location='Moosburg a.d.Isar, St' where plz='85465';
UPDATE eccourses set location='Ottenhofen' where plz='85467';
UPDATE eccourses set location='Stuttgart, Landeshauptstadt' where plz='70569';
UPDATE eccourses set location='Stuttgart, Landeshauptstadt' where plz='70565';
UPDATE eccourses set location='Stuttgart, Landeshauptstadt' where plz='70567';
UPDATE eccourses set location='Thalmässing, M' where plz='91177';
UPDATE eccourses set location='Stuttgart, Landeshauptstadt' where plz='70563';
UPDATE eccourses set location='Lörrach, Stadt' where plz='79541';
UPDATE eccourses set location='Bad Feilnbach' where plz='83075';
UPDATE eccourses set location='Salzkotten, Stadt' where plz='33154';
UPDATE eccourses set location='Würselen, Stadt' where plz='52146';
UPDATE eccourses set location='Altentreptow, Stadt' where plz='17087';
UPDATE eccourses set location='Donnersdorf' where plz='97499';
UPDATE eccourses set location='Werder' where plz='17089';
UPDATE eccourses set location='Dingolshausen' where plz='97497';
UPDATE eccourses set location='Bundorf' where plz='97494';
UPDATE eccourses set location='Bergrheinfeld' where plz='97493';
UPDATE eccourses set location='Poppenhausen' where plz='97490';
UPDATE eccourses set location='Aidhausen' where plz='97491';
UPDATE eccourses set location='Ockenfels' where plz='53545';
UPDATE eccourses set location='Kasbach-Ohlenberg' where plz='53547';
UPDATE eccourses set location='Neidenbach' where plz='54657';
UPDATE eccourses set location='Seligenstadt, Stadt' where plz='63500';
UPDATE eccourses set location='Langenselbold, Stadt' where plz='63505';
UPDATE eccourses set location='Melsdorf' where plz='24109';
UPDATE eccourses set location='Rietberg, Stadt' where plz='33397';
UPDATE eccourses set location='Kiel, Landeshauptstadt' where plz='24103';
UPDATE eccourses set location='Herzberg am Harz, Stadt' where plz='37434';
UPDATE eccourses set location='Kiel, Landeshauptstadt' where plz='24106';
UPDATE eccourses set location='Sonnenstein' where plz='37345';
UPDATE eccourses set location='Kiel, Landeshauptstadt' where plz='24105';
UPDATE eccourses set location='Greven, Stadt' where plz='48268';
UPDATE eccourses set location='Hannover, Landeshauptstadt' where plz='30175';
UPDATE eccourses set location='Welden, M' where plz='86465';
UPDATE eccourses set location='Südbrookmerland' where plz='26624';
UPDATE eccourses set location='Wildenfels, Stadt' where plz='08134';
UPDATE eccourses set location='Roth' where plz='56368';
UPDATE eccourses set location='Bad Salzuflen, Stadt' where plz='32107';
UPDATE eccourses set location='Mülsen' where plz='08132';
UPDATE eccourses set location='Hirschaid, M' where plz='96114';
UPDATE eccourses set location='Memmelsdorf' where plz='96117';
UPDATE eccourses set location='Mannheim, Universitätsstadt' where plz='68305';
UPDATE eccourses set location='Mannheim, Universitätsstadt' where plz='68307';
UPDATE eccourses set location='Mannheim, Universitätsstadt' where plz='68309';
UPDATE eccourses set location='Rheurdt' where plz='47509';
UPDATE eccourses set location='Großbeeren' where plz='15831';
UPDATE eccourses set location='Baruth/Mark, Stadt' where plz='15837';
UPDATE eccourses set location='Rangsdorf' where plz='15834';
UPDATE eccourses set location='Am Mellensee' where plz='15838';
UPDATE eccourses set location='Breitenbrunn/Erzgeb.' where plz='08359';
UPDATE eccourses set location='Wehingen' where plz='78564';
UPDATE eccourses set location='Fridingen an der Donau, Stadt' where plz='78567';
UPDATE eccourses set location='Düsseldorf, Stadt' where plz='40593';
UPDATE eccourses set location='Düsseldorf, Stadt' where plz='40591';
UPDATE eccourses set location='Raschau-Markersbach' where plz='08352';
UPDATE eccourses set location='Düsseldorf, Stadt' where plz='40597';
UPDATE eccourses set location='Düsseldorf, Stadt' where plz='40595';
UPDATE eccourses set location='Schalksmühle' where plz='58579';
UPDATE eccourses set location='Pruchten' where plz='18356';
UPDATE eccourses set location='Neuenkirchen' where plz='48485';
UPDATE eccourses set location='Gladbeck, Stadt' where plz='45964';
UPDATE eccourses set location='Gladbeck, Stadt' where plz='45966';
UPDATE eccourses set location='Spelle' where plz='48480';
UPDATE eccourses set location='Lengede' where plz='38268';
UPDATE eccourses set location='Sugenheim, M' where plz='91438';
UPDATE eccourses set location='Goldbach, M' where plz='63773';
UPDATE eccourses set location='Gladbeck, Stadt' where plz='45968';
UPDATE eccourses set location='Worms, Stadt' where plz='67550';
UPDATE eccourses set location='Worms, Stadt' where plz='67551';
UPDATE eccourses set location='Wadern, Stadt' where plz='66687';
UPDATE eccourses set location='Woltersdorf' where plz='21516';
UPDATE eccourses set location='Banteln' where plz='31029';
UPDATE eccourses set location='Gronau (Leine), Stadt' where plz='31028';
UPDATE eccourses set location='Weil im Schönbuch' where plz='71093';
UPDATE eccourses set location='Salzhemmendorf, Flecken' where plz='31020';
UPDATE eccourses set location='Neustadt am Rübenberge, Stadt' where plz='31535';
UPDATE eccourses set location='Bawinkel' where plz='49844';
UPDATE eccourses set location='Bergkamen, Stadt' where plz='59192';
UPDATE eccourses set location='Bönen' where plz='59199';
UPDATE eccourses set location='Sierksdorf' where plz='23730';
UPDATE eccourses set location='Riepsdorf' where plz='23738';
UPDATE eccourses set location='Mühlberg/Elbe, Stadt' where plz='04931';
UPDATE eccourses set location='Röderland' where plz='04932';
UPDATE eccourses set location='Hohenleipisch' where plz='04934';
UPDATE eccourses set location='Schlieben, Stadt' where plz='04936';
UPDATE eccourses set location='Uebigau-Wahrenbrück, Stadt' where plz='04938';
UPDATE eccourses set location='Wilsum' where plz='49849';
UPDATE eccourses set location='Puchheim, St' where plz='82178';
UPDATE eccourses set location='Ahlen, Stadt' where plz='59227';
UPDATE eccourses set location='Vierlinden' where plz='15306';
UPDATE eccourses set location='Ronnenberg, Stadt' where plz='30952';
UPDATE eccourses set location='Gladenbach, Stadt' where plz='35075';
UPDATE eccourses set location='Heilbronn, Stadt' where plz='74078';
UPDATE eccourses set location='Heilbronn, Stadt' where plz='74076';
UPDATE eccourses set location='Heilbronn, Stadt' where plz='74074';
UPDATE eccourses set location='Heilbronn, Stadt' where plz='74072';
UPDATE eccourses set location='Egenhofen' where plz='82281';
UPDATE eccourses set location='Hattenhofen' where plz='82285';
UPDATE eccourses set location='Schöngeising' where plz='82284';
UPDATE eccourses set location='Jesenwang' where plz='82287';
UPDATE eccourses set location='Hayingen, Stadt' where plz='72534';
UPDATE eccourses set location='Heroldstatt' where plz='72535';
UPDATE eccourses set location='Mehrstetten' where plz='72537';
UPDATE eccourses set location='Hohenstein' where plz='72531';
UPDATE eccourses set location='Gomadingen' where plz='72532';
UPDATE eccourses set location='Weißenfels, Stadt' where plz='06688';
UPDATE eccourses set location='Welschneudorf' where plz='56412';
UPDATE eccourses set location='Zehnhausen bei Wallmerod' where plz='56414';
UPDATE eccourses set location='Teuchern, Stadt' where plz='06682';
UPDATE eccourses set location='Lützen, Stadt' where plz='06686';
UPDATE eccourses set location='Moosbach, M' where plz='92709';
UPDATE eccourses set location='Mantel, M' where plz='92708';
UPDATE eccourses set location='Jagstzell' where plz='73489';
UPDATE eccourses set location='Ellenberg' where plz='73488';
UPDATE eccourses set location='Weiherhammer' where plz='92700';
UPDATE eccourses set location='Reuth b.Erbendorf' where plz='92703';
UPDATE eccourses set location='Kohlberg, M' where plz='92702';
UPDATE eccourses set location='Leuchtenberg, M' where plz='92705';
UPDATE eccourses set location='Adelmannsfelden' where plz='73486';
UPDATE eccourses set location='Unterschneidheim' where plz='73485';
UPDATE eccourses set location='Luhe-Wildenau, M' where plz='92706';
UPDATE eccourses set location='Vellahn' where plz='19260';
UPDATE eccourses set location='Leegebruch' where plz='16767';
UPDATE eccourses set location='Kremmen, Stadt' where plz='16766';
UPDATE eccourses set location='Hennigsdorf, Stadt' where plz='16761';
UPDATE eccourses set location='Pliening' where plz='85652';
UPDATE eccourses set location='Plötzkau' where plz='06425';
UPDATE eccourses set location='Hamburg, Freie und Hansestadt' where plz='22177';
UPDATE eccourses set location='Könnern, Stadt' where plz='06420';
UPDATE eccourses set location='Bad Salzuflen, Stadt' where plz='32108';
UPDATE eccourses set location='Langenargen' where plz='88085';
UPDATE eccourses set location='Hamburg, Freie und Hansestadt' where plz='22179';
UPDATE eccourses set location='München, Landeshauptstadt' where plz='80799';
UPDATE eccourses set location='Nußloch' where plz='69226';
UPDATE eccourses set location='Dossenheim' where plz='69221';
UPDATE eccourses set location='München, Landeshauptstadt' where plz='80798';
UPDATE eccourses set location='Lieth' where plz='25770';
UPDATE eccourses set location='Sankt Annen' where plz='25776';
UPDATE eccourses set location='Lunden' where plz='25774';
UPDATE eccourses set location='Süderheistedt' where plz='25779';
UPDATE eccourses set location='Recke' where plz='49509';
UPDATE eccourses set location='Lotte' where plz='49504';
UPDATE eccourses set location='Neuenbürg, Stadt' where plz='75305';
UPDATE eccourses set location='München, Landeshauptstadt' where plz='81735';
UPDATE eccourses set location='München, Landeshauptstadt' where plz='81737';
UPDATE eccourses set location='München, Landeshauptstadt' where plz='81739';
UPDATE eccourses set location='Nürnberg' where plz='90449';
UPDATE eccourses set location='Wilnsdorf' where plz='57234';
UPDATE eccourses set location='Südeichsfeld' where plz='99976';
UPDATE eccourses set location='Unstruttal' where plz='99974';
UPDATE eccourses set location='Wasserlosen' where plz='97535';
UPDATE eccourses set location='Waigolshausen' where plz='97534';
UPDATE eccourses set location='Wipfeld' where plz='97537';
UPDATE eccourses set location='Theres' where plz='97531';
UPDATE eccourses set location='Üchtelhausen' where plz='97532';
UPDATE eccourses set location='Wonfurt' where plz='97539';
UPDATE eccourses set location='Obernzell, M' where plz='94130';
UPDATE eccourses set location='Röhrnbach, M' where plz='94133';
UPDATE eccourses set location='Osterwieck, Stadt' where plz='38836';
UPDATE eccourses set location='Osterwieck, Stadt' where plz='38835';
UPDATE eccourses set location='Zirchow' where plz='17419';
UPDATE eccourses set location='Breitenberg' where plz='94139';
UPDATE eccourses set location='Huy' where plz='38838';
UPDATE eccourses set location='Stuttgart, Landeshauptstadt' where plz='70173';
UPDATE eccourses set location='Stuttgart, Landeshauptstadt' where plz='70176';
UPDATE eccourses set location='Stuttgart, Landeshauptstadt' where plz='70174';
UPDATE eccourses set location='Stuttgart, Landeshauptstadt' where plz='70178';
UPDATE eccourses set location='Friedewald' where plz='36289';
UPDATE eccourses set location='Hauneck' where plz='36282';
UPDATE eccourses set location='Oberaula' where plz='36280';
UPDATE eccourses set location='Neuenstein' where plz='36286';
UPDATE eccourses set location='Breitenbach a. Herzberg' where plz='36287';
UPDATE eccourses set location='Hohenroda' where plz='36284';
UPDATE eccourses set location='Görzke' where plz='14828';
UPDATE eccourses set location='Attenhofen' where plz='84091';
UPDATE eccourses set location='Planebruch' where plz='14822';
UPDATE eccourses set location='Rabenstein/Fläming' where plz='14823';
UPDATE eccourses set location='Wiesenburg/Mark' where plz='14827';
UPDATE eccourses set location='Ahlefeld-Bistensee' where plz='24358';
UPDATE eccourses set location='Essen, Stadt' where plz='45289';
UPDATE eccourses set location='Klingenberg' where plz='01774';
UPDATE eccourses set location='Eiterfeld, Marktgemeinde' where plz='36132';
UPDATE eccourses set location='Großenlüder' where plz='36137';
UPDATE eccourses set location='Kirchanschöring' where plz='83417';
UPDATE eccourses set location='Saaldorf-Surheim' where plz='83416';
UPDATE eccourses set location='Fridolfing' where plz='83413';
UPDATE eccourses set location='Brunsbek' where plz='22946';
UPDATE eccourses set location='Laufen, St' where plz='83410';
UPDATE eccourses set location='Lenting' where plz='85101';
UPDATE eccourses set location='Baar-Ebenhausen' where plz='85107';
UPDATE eccourses set location='Pförring, M' where plz='85104';
UPDATE eccourses set location='München, Landeshauptstadt' where plz='80469';
UPDATE eccourses set location='Zwenkau, Stadt' where plz='04442';
UPDATE eccourses set location='Burgkirchen a.d.Alz' where plz='84508';
UPDATE eccourses set location='Hummelfeld' where plz='24357';
UPDATE eccourses set location='Teising' where plz='84503';
UPDATE eccourses set location='Wieda' where plz='37447';
UPDATE eccourses set location='Filderstadt, Stadt' where plz='70794';
UPDATE eccourses set location='Wipperdorf' where plz='99752';
UPDATE eccourses set location='Sollstedt' where plz='99759';
UPDATE eccourses set location='Arendsee (Altmark), Stadt' where plz='39619';
UPDATE eccourses set location='Altenberg, Stadt' where plz='01778';
UPDATE eccourses set location='Göttingen, Stadt' where plz='37085';
UPDATE eccourses set location='Göttingen, Stadt' where plz='37083';
UPDATE eccourses set location='Wolfsheim' where plz='55578';
UPDATE eccourses set location='Göttingen, Stadt' where plz='37081';
UPDATE eccourses set location='Orsingen-Nenzingen' where plz='78359';
UPDATE eccourses set location='Mühlingen' where plz='78357';
UPDATE eccourses set location='Sipplingen' where plz='78354';
UPDATE eccourses set location='Weissach im Tal' where plz='71554';
UPDATE eccourses set location='Bodman-Ludwigshafen' where plz='78351';
UPDATE eccourses set location='Gudensberg, Stadt' where plz='34281';
UPDATE eccourses set location='Spangenberg, Liebenbachstadt' where plz='34286';
UPDATE eccourses set location='Berlin, Stadt' where plz='10829';
UPDATE eccourses set location='Zierenberg, Stadt' where plz='34289';
UPDATE eccourses set location='Parsau' where plz='38470';
UPDATE eccourses set location='Dortmund, Stadt' where plz='44369';
UPDATE eccourses set location='Werben (Elbe), Hansestadt' where plz='39539';
UPDATE eccourses set location='Bad Sassendorf' where plz='59505';
UPDATE eccourses set location='Lüdersfeld' where plz='31702';
UPDATE eccourses set location='Heuerßen' where plz='31700';
UPDATE eccourses set location='Heeßen' where plz='31707';
UPDATE eccourses set location='Ahnsen' where plz='31708';
UPDATE eccourses set location='Riede' where plz='27339';
UPDATE eccourses set location='Blumberg, Stadt' where plz='78176';
UPDATE eccourses set location='Meerbusch, Stadt' where plz='40670';
UPDATE eccourses set location='Burg, Stadt' where plz='39288';
UPDATE eccourses set location='Duisburg, Stadt' where plz='47279';
UPDATE eccourses set location='Kempen, Stadt' where plz='47906';
UPDATE eccourses set location='Viernheim, Stadt' where plz='68519';
UPDATE eccourses set location='Vahlde' where plz='27389';
UPDATE eccourses set location='Neumühle/Elster' where plz='07973';
UPDATE eccourses set location='Norden, Stadt' where plz='26506';
UPDATE eccourses set location='Salzgitter, Stadt' where plz='38226';
UPDATE eccourses set location='Umkirch' where plz='79224';
UPDATE eccourses set location='Schallstadt' where plz='79227';
UPDATE eccourses set location='Salzgitter, Stadt' where plz='38228';
UPDATE eccourses set location='Salzgitter, Stadt' where plz='38229';
UPDATE eccourses set location='Lorch, Stadt' where plz='73547';
UPDATE eccourses set location='Heubach, Stadt' where plz='73540';
UPDATE eccourses set location='Hüttenberg' where plz='35625';
UPDATE eccourses set location='Jena, Stadt' where plz='07743';
UPDATE eccourses set location='Nersingen' where plz='89278';
UPDATE eccourses set location='Jena, Stadt' where plz='07747';
UPDATE eccourses set location='Jena, Stadt' where plz='07745';
UPDATE eccourses set location='Teublitz, St' where plz='93158';
UPDATE eccourses set location='Bad Rodach, St' where plz='96476';
UPDATE eccourses set location='Jena, Stadt' where plz='07749';
UPDATE eccourses set location='Elchingen' where plz='89275';
UPDATE eccourses set location='Sinzing' where plz='93152';
UPDATE eccourses set location='Andernach, Stadt' where plz='56626';
UPDATE eccourses set location='Glückstadt, Stadt' where plz='25348';
UPDATE eccourses set location='Volsemenhusen' where plz='25693';
UPDATE eccourses set location='Zierow' where plz='23968';
UPDATE eccourses set location='Wismar, Hansestadt' where plz='23966';
UPDATE eccourses set location='Krailling' where plz='82349';
UPDATE eccourses set location='Andechs' where plz='82346';
UPDATE eccourses set location='Bernried am Starnberger See' where plz='82347';
UPDATE eccourses set location='Feldafing' where plz='82340';
UPDATE eccourses set location='Hattersheim am Main, Stadt' where plz='65795';
UPDATE eccourses set location='Pöcking' where plz='82343';
UPDATE eccourses set location='Oelixdorf' where plz='25524';
UPDATE eccourses set location='List auf Sylt' where plz='25992';
UPDATE eccourses set location='Bad Wörishofen, St' where plz='86825';
UPDATE eccourses set location='Mainhardt' where plz='74535';
UPDATE eccourses set location='Wolpertshausen' where plz='74532';
UPDATE eccourses set location='Löwenstein, Stadt' where plz='74245';
UPDATE eccourses set location='Eberstadt' where plz='74246';
UPDATE eccourses set location='Ellhofen' where plz='74248';
UPDATE eccourses set location='Öhringen, Stadt' where plz='74249';
UPDATE eccourses set location='Rosengarten' where plz='74538';
UPDATE eccourses set location='Steffeln' where plz='54597';
UPDATE eccourses set location='Neuhäusel' where plz='56335';
UPDATE eccourses set location='Simmern' where plz='56337';
UPDATE eccourses set location='Bad Bocklet, M' where plz='97708';
UPDATE eccourses set location='Winningen' where plz='56333';
UPDATE eccourses set location='Burkardroth, M' where plz='97705';
UPDATE eccourses set location='Braubach, Stadt' where plz='56338';
UPDATE eccourses set location='Poxdorf' where plz='91099';
UPDATE eccourses set location='Seelbach bei Hamm (Sieg)' where plz='57577';
UPDATE eccourses set location='Niederfischbach' where plz='57572';
UPDATE eccourses set location='Elkenroth' where plz='57578';
UPDATE eccourses set location='Malterdingen' where plz='79364';
UPDATE eccourses set location='Hildrizhausen' where plz='71157';
UPDATE eccourses set location='Braunschweig, Stadt' where plz='38120';
UPDATE eccourses set location='Aschaffenburg' where plz='63741';
UPDATE eccourses set location='Schneverdingen, Stadt' where plz='29640';
UPDATE eccourses set location='Aschaffenburg' where plz='63743';
UPDATE eccourses set location='Recklinghausen, Stadt' where plz='45661';
UPDATE eccourses set location='Oberreichenbach' where plz='91097';
UPDATE eccourses set location='Berlin, Stadt' where plz='12247';
UPDATE eccourses set location='Kohlberg' where plz='72664';
UPDATE eccourses set location='Radolfzell am Bodensee, Stadt' where plz='78315';
UPDATE eccourses set location='Sasbach am Kaiserstuhl' where plz='79361';
UPDATE eccourses set location='Absberg, M' where plz='91720';
UPDATE eccourses set location='Braunschweig, Stadt' where plz='38126';
UPDATE eccourses set location='Heusenstamm, Stadt' where plz='63150';
UPDATE eccourses set location='Lüneburg, Hansestadt' where plz='21337';
UPDATE eccourses set location='Toppenstedt' where plz='21442';
UPDATE eccourses set location='Lüneburg, Hansestadt' where plz='21335';
UPDATE eccourses set location='Kirchgellersen' where plz='21444';
UPDATE eccourses set location='Wulfsen' where plz='21445';
UPDATE eccourses set location='Hörden am Harz' where plz='37412';
UPDATE eccourses set location='Handorf' where plz='21447';
UPDATE eccourses set location='Radbruch' where plz='21449';
UPDATE eccourses set location='Lüneburg, Hansestadt' where plz='21339';
UPDATE eccourses set location='Dippoldiswalde, Stadt' where plz='01744';
UPDATE eccourses set location='Leipzig, Stadt' where plz='04328';
UPDATE eccourses set location='Taura' where plz='09249';
UPDATE eccourses set location='Dülmen, Stadt' where plz='48249';
UPDATE eccourses set location='Mühlau' where plz='09241';
UPDATE eccourses set location='Niederfrohna' where plz='09243';
UPDATE eccourses set location='Lichtenau' where plz='09244';
UPDATE eccourses set location='Chemnitz, Stadt' where plz='09247';
UPDATE eccourses set location='Hartenstein, Stadt' where plz='08118';
UPDATE eccourses set location='Todtenweis' where plz='86447';
UPDATE eccourses set location='Wilkau-Haßlau, Stadt' where plz='08112';
UPDATE eccourses set location='Affing' where plz='86444';
UPDATE eccourses set location='Lichtentanne' where plz='08115';
UPDATE eccourses set location='Mönchengladbach, Stadt' where plz='41199';
UPDATE eccourses set location='Stuttgart, Landeshauptstadt' where plz='70327';
UPDATE eccourses set location='Stuttgart, Landeshauptstadt' where plz='70329';
UPDATE eccourses set location='Spaichingen, Stadt' where plz='78549';
UPDATE eccourses set location='Marlow, Stadt' where plz='18337';
UPDATE eccourses set location='Semlow' where plz='18334';
UPDATE eccourses set location='Cuxhaven, Stadt' where plz='27472';
UPDATE eccourses set location='Cuxhaven, Stadt' where plz='27476';
UPDATE eccourses set location='Eichendorf, M' where plz='94428';
UPDATE eccourses set location='Cuxhaven, Stadt' where plz='27474';
UPDATE eccourses set location='Waldshut-Tiengen, Stadt' where plz='79761';
UPDATE eccourses set location='Arnstorf, M' where plz='94424';
UPDATE eccourses set location='Cuxhaven, Stadt' where plz='27478';
UPDATE eccourses set location='Uetze' where plz='31311';
UPDATE eccourses set location='Essen, Stadt' where plz='45307';
UPDATE eccourses set location='Obernheim-Kirchenarnbach' where plz='66919';
UPDATE eccourses set location='Wallhalben' where plz='66917';
UPDATE eccourses set location='Dunzweiler' where plz='66916';
UPDATE eccourses set location='Waldmohr' where plz='66914';
UPDATE eccourses set location='Merzig, Kreisstadt' where plz='66663';
UPDATE eccourses set location='Rohrberg' where plz='38489';
UPDATE eccourses set location='Braunschweig, Stadt' where plz='38122';
UPDATE eccourses set location='Remse' where plz='08373';
UPDATE eccourses set location='Glauchau, Stadt' where plz='08371';
UPDATE eccourses set location='Teugn' where plz='93356';
UPDATE eccourses set location='Thalheim/Erzgeb., Stadt' where plz='09380';
UPDATE eccourses set location='Neundorf (bei Lobenstein)' where plz='07356';
UPDATE eccourses set location='Wangels' where plz='23758';
UPDATE eccourses set location='Durach' where plz='87471';
UPDATE eccourses set location='Germering, GKSt' where plz='82110';
UPDATE eccourses set location='Korbach, Hansestadt' where plz='34497';
UPDATE eccourses set location='Buchenberg, M' where plz='87474';
UPDATE eccourses set location='Sulzberg, M' where plz='87477';
UPDATE eccourses set location='Braunschweig, Stadt' where plz='38124';
UPDATE eccourses set location='Schönewalde, Stadt' where plz='04916';
UPDATE eccourses set location='Elsterwerda, Stadt' where plz='04910';
UPDATE eccourses set location='Burgwedel, Stadt' where plz='30938';
UPDATE eccourses set location='Stadland' where plz='26936';
UPDATE eccourses set location='München, Landeshauptstadt' where plz='80939';
UPDATE eccourses set location='Neuenhagen bei Berlin' where plz='15366';
UPDATE eccourses set location='Köln, Stadt' where plz='50823';
UPDATE eccourses set location='Wunstorf, Stadt' where plz='31515';
UPDATE eccourses set location='Köln, Stadt' where plz='50827';
UPDATE eccourses set location='Köln, Stadt' where plz='50825';
UPDATE eccourses set location='Köln, Stadt' where plz='50829';
UPDATE eccourses set location='Bad Oeynhausen, Stadt' where plz='32549';
UPDATE eccourses set location='Bad Oeynhausen, Stadt' where plz='32545';
UPDATE eccourses set location='Bad Oeynhausen, Stadt' where plz='32547';
UPDATE eccourses set location='Schwarzheide, Stadt' where plz='01987';
UPDATE eccourses set location='Großräschen, Stadt' where plz='01983';
UPDATE eccourses set location='Aichstetten' where plz='88317';
UPDATE eccourses set location='Isny im Allgäu, Stadt' where plz='88316';
UPDATE eccourses set location='Metzingen, Stadt' where plz='72555';
UPDATE eccourses set location='Waldthurn, M' where plz='92727';
UPDATE eccourses set location='Waidhaus, M' where plz='92726';
UPDATE eccourses set location='Trabitz' where plz='92724';
UPDATE eccourses set location='Gleiritsch' where plz='92723';
UPDATE eccourses set location='Störnstein' where plz='92721';
UPDATE eccourses set location='Schwarzenbach' where plz='92720';
UPDATE eccourses set location='Weiherhammer' where plz='92729';
UPDATE eccourses set location='Kerpen, Kolpingstadt' where plz='50170';
UPDATE eccourses set location='Kerpen, Kolpingstadt' where plz='50171';
UPDATE eccourses set location='Schildetal ' where plz='19209';
UPDATE eccourses set location='Detmold, Stadt' where plz='32760';
UPDATE eccourses set location='Veelböken' where plz='19205';
UPDATE eccourses set location='Bernburg (Saale), Stadt' where plz='06406';
UPDATE eccourses set location='Hamburg, Freie und Hansestadt' where plz='22159';
UPDATE eccourses set location='Ilberstedt' where plz='06408';
UPDATE eccourses set location='Mühlhausen' where plz='69242';
UPDATE eccourses set location='Bammental' where plz='69245';
UPDATE eccourses set location='Varel, Stadt' where plz='26316';
UPDATE eccourses set location='Nübbel' where plz='24809';
UPDATE eccourses set location='Osnabrück, Stadt' where plz='49078';
UPDATE eccourses set location='Hadamar, Stadt' where plz='65589';
UPDATE eccourses set location='Bad Wildbad, Stadt' where plz='75323';
UPDATE eccourses set location='Tielen' where plz='24803';
UPDATE eccourses set location='Groß Vollstedt' where plz='24802';
UPDATE eccourses set location='Elsdorf-Westermühlen' where plz='24800';
UPDATE eccourses set location='Schömberg' where plz='75328';
UPDATE eccourses set location='Sophienhamm' where plz='24806';
UPDATE eccourses set location='Prinzenmoor' where plz='24805';
UPDATE eccourses set location='Hambach' where plz='65582';
UPDATE eccourses set location='Plochingen, Stadt' where plz='73207';
UPDATE eccourses set location='Mörsdorf' where plz='56290';
UPDATE eccourses set location='Rüber' where plz='56295';
UPDATE eccourses set location='Münstermaifeld, Stadt' where plz='56294';
UPDATE eccourses set location='Ochtendung' where plz='56299';
UPDATE eccourses set location='Pronstorf' where plz='23820';
UPDATE eccourses set location='Nürnberg' where plz='90427';
UPDATE eccourses set location='Nürnberg' where plz='90425';
UPDATE eccourses set location='Nürnberg' where plz='90429';
UPDATE eccourses set location='Seedorf' where plz='23823';
UPDATE eccourses set location='Schlüsselfeld, St' where plz='96132';
UPDATE eccourses set location='Neukirchen b.Hl.Blut, M' where plz='93453';
UPDATE eccourses set location='Tensfeld' where plz='23824';
UPDATE eccourses set location='Eschlkam, M' where plz='93458';
UPDATE eccourses set location='Michelau i.Steigerwald' where plz='97513';
UPDATE eccourses set location='Lülsfeld' where plz='97511';
UPDATE eccourses set location='Rannungen' where plz='97517';
UPDATE eccourses set location='Todesfelde' where plz='23826';
UPDATE eccourses set location='Oberaurach' where plz='97514';
UPDATE eccourses set location='Riedbach' where plz='97519';
UPDATE eccourses set location='Weiding' where plz='93495';
UPDATE eccourses set location='Wolgast, Stadt' where plz='17438';
UPDATE eccourses set location='Selfkant' where plz='52538';
UPDATE eccourses set location='Völschow' where plz='17129';
UPDATE eccourses set location='Übach-Palenberg, Stadt' where plz='52531';
UPDATE eccourses set location='Wernigerode, Stadt' where plz='38855';
UPDATE eccourses set location='Hedeper' where plz='38322';
UPDATE eccourses set location='Zandt' where plz='93499';
UPDATE eccourses set location='Swisttal' where plz='53913';
UPDATE eccourses set location='Weilerswist' where plz='53919';
UPDATE eccourses set location='Schopp' where plz='67707';
UPDATE eccourses set location='Linden' where plz='67706';
UPDATE eccourses set location='Coesfeld, Stadt' where plz='48653';
UPDATE eccourses set location='Solingen, Klingenstadt' where plz='42657';
UPDATE eccourses set location='Solingen, Klingenstadt' where plz='42655';
UPDATE eccourses set location='Solingen, Klingenstadt' where plz='42653';
UPDATE eccourses set location='Solingen, Klingenstadt' where plz='42651';
UPDATE eccourses set location='Solingen, Klingenstadt' where plz='42659';
UPDATE eccourses set location='Pleiskirchen' where plz='84568';
UPDATE eccourses set location='Mettenheim' where plz='84562';
UPDATE eccourses set location='Mehring' where plz='84561';
UPDATE eccourses set location='Großpösna' where plz='04463';
UPDATE eccourses set location='Perach' where plz='84567';
UPDATE eccourses set location='Zangberg' where plz='84564';
UPDATE eccourses set location='Leipzig' where plz='04460';
UPDATE eccourses set location='Essen, Stadt' where plz='45309';
UPDATE eccourses set location='Oedheim' where plz='74229';
UPDATE eccourses set location='Gelsenkirchen, Stadt' where plz='45879';
UPDATE eccourses set location='Obertshausen, Stadt' where plz='63179';
UPDATE eccourses set location='Planetal' where plz='14806';
UPDATE eccourses set location='Zirkow' where plz='18528';
UPDATE eccourses set location='Chemnitz, Stadt' where plz='09224';
UPDATE eccourses set location='Niestetal' where plz='34266';
UPDATE eccourses set location='Kaufungen' where plz='34260';
UPDATE eccourses set location='Schmalfeld' where plz='24640';
UPDATE eccourses set location='Tangerhütte, Stadt' where plz='39517';
UPDATE eccourses set location='Windischleuba' where plz='04617';
UPDATE eccourses set location='Holzminden, Stadt' where plz='37603';
UPDATE eccourses set location='Obersülzen' where plz='67271';
UPDATE eccourses set location='Weisenheim am Berg' where plz='67273';
UPDATE eccourses set location='Bockenheim an der Weinstraße' where plz='67278';
UPDATE eccourses set location='Winklarn, M' where plz='92559';
UPDATE eccourses set location='Neuburg a.d.Donau, GKSt' where plz='86633';
UPDATE eccourses set location='Zusamaltheim' where plz='86637';
UPDATE eccourses set location='Drebkau, Stadt' where plz='03116';
UPDATE eccourses set location='Stulln' where plz='92551';
UPDATE eccourses set location='Teunz' where plz='92552';
UPDATE eccourses set location='Thanstein' where plz='92554';
UPDATE eccourses set location='Trausnitz' where plz='92555';
UPDATE eccourses set location='Weiding' where plz='92557';
UPDATE eccourses set location='Brandenburg an der Havel, Stadt' where plz='14776';
UPDATE eccourses set location='Brandenburg an der Havel, Stadt' where plz='14774';
UPDATE eccourses set location='Kleinblittersdorf' where plz='66271';
UPDATE eccourses set location='Brandenburg an der Havel, Stadt' where plz='14772';
UPDATE eccourses set location='Brandenburg an der Havel, Stadt' where plz='14770';
UPDATE eccourses set location='Westensee' where plz='24259';
UPDATE eccourses set location='Fargau-Pratjau' where plz='24256';
UPDATE eccourses set location='Schwartbuck' where plz='24257';
UPDATE eccourses set location='Rumohr' where plz='24254';
UPDATE eccourses set location='Probsteierhagen' where plz='24253';
UPDATE eccourses set location='Wollin' where plz='14778';
UPDATE eccourses set location='Osdorf' where plz='24251';
UPDATE eccourses set location='Grefrath, Sport- und Freizeitgemeinde' where plz='47929';
UPDATE eccourses set location='Edingen-Neckarhausen' where plz='68535';
UPDATE eccourses set location='Westerrönfeld' where plz='24784';
UPDATE eccourses set location='Rickert' where plz='24787';
UPDATE eccourses set location='Holle' where plz='31188';
UPDATE eccourses set location='Rickert' where plz='24782';
UPDATE eccourses set location='Schacht-Audorf' where plz='24783';
UPDATE eccourses set location='Tettenweis' where plz='94167';
UPDATE eccourses set location='Giesen' where plz='31180';
UPDATE eccourses set location='Hausen' where plz='91353';
UPDATE eccourses set location='Hallerndorf' where plz='91352';
UPDATE eccourses set location='Gremsdorf' where plz='91350';
UPDATE eccourses set location='Geslau' where plz='91608';
UPDATE eccourses set location='Hiltpoltstein, M' where plz='91355';
UPDATE eccourses set location='Gallmersgarten' where plz='91605';
UPDATE eccourses set location='Flachslanden, M' where plz='91604';
UPDATE eccourses set location='Leutenbach' where plz='91359';
UPDATE eccourses set location='Pinzberg' where plz='91358';
UPDATE eccourses set location='Dombühl, M' where plz='91601';
UPDATE eccourses set location='Dürrwangen, M' where plz='91602';
UPDATE eccourses set location='Solms, Stadt' where plz='35606';
UPDATE eccourses set location='Obergröningen' where plz='73569';
UPDATE eccourses set location='Spraitbach' where plz='73565';
UPDATE eccourses set location='Essingen' where plz='73566';
UPDATE eccourses set location='Böbingen an der Rems' where plz='73560';
UPDATE eccourses set location='Mögglingen' where plz='73563';
UPDATE eccourses set location='Illertissen, St' where plz='89257';
UPDATE eccourses set location='Contwig' where plz='66497';
UPDATE eccourses set location='Heidenheim an der Brenz, Stadt' where plz='89520';
UPDATE eccourses set location='Senden, St' where plz='89250';
UPDATE eccourses set location='Zülow' where plz='19073';
UPDATE eccourses set location='Grambow' where plz='19071';
UPDATE eccourses set location='Uelitz' where plz='19077';
UPDATE eccourses set location='Warsow' where plz='19075';
UPDATE eccourses set location='Sukow' where plz='19079';
UPDATE eccourses set location='Siegburg, Stadt' where plz='53721';
UPDATE eccourses set location='Sensbachtal' where plz='64759';
UPDATE eccourses set location='Reichelsheim (Odenwald)' where plz='64753';
UPDATE eccourses set location='Krölpa' where plz='07387';
UPDATE eccourses set location='Lützelbach' where plz='64750';
UPDATE eccourses set location='Rothenberg' where plz='64757';
UPDATE eccourses set location='Mossautal' where plz='64756';
UPDATE eccourses set location='Eberbach, Stadt' where plz='64754';
UPDATE eccourses set location='Klütz, Stadt' where plz='23946';
UPDATE eccourses set location='Kalkhorst' where plz='23942';
UPDATE eccourses set location='Warnow' where plz='23948';
UPDATE eccourses set location='Sudwalde' where plz='27257';
UPDATE eccourses set location='Staffhorst' where plz='27254';
UPDATE eccourses set location='Schwaförden' where plz='27252';
UPDATE eccourses set location='Scholen' where plz='27251';
UPDATE eccourses set location='Wehrbleck' where plz='27259';
UPDATE eccourses set location='Tutzing' where plz='82327';
UPDATE eccourses set location='Burglauer' where plz='97724';
UPDATE eccourses set location='Fuchsstadt' where plz='97725';
UPDATE eccourses set location='Fuchsstadt' where plz='97727';
UPDATE eccourses set location='Nüdlingen' where plz='97720';
UPDATE eccourses set location='Oberthulba, M' where plz='97723';
UPDATE eccourses set location='Ramsthal' where plz='97729';
UPDATE eccourses set location='Weyer' where plz='56357';
UPDATE eccourses set location='Diethardt' where plz='56355';
UPDATE eccourses set location='Groß Luckow' where plz='17337';
UPDATE eccourses set location='Strasburg (Uckermark), Stadt' where plz='17335';
UPDATE eccourses set location='Berlin, Stadt' where plz='10318';
UPDATE eccourses set location='Berlin, Stadt' where plz='10319';
UPDATE eccourses set location='Mudersbach' where plz='57555';
UPDATE eccourses set location='Kemnath, St' where plz='95478';
UPDATE eccourses set location='Berlin, Stadt' where plz='10315';
UPDATE eccourses set location='Berlin, Stadt' where plz='10317';
UPDATE eccourses set location='Hösbach, M' where plz='63768';
UPDATE eccourses set location='Großostheim, M' where plz='63762';
UPDATE eccourses set location='München, Landeshauptstadt' where plz='81675';
UPDATE eccourses set location='Oldenburg (Oldenburg), Stadt' where plz='26127';
UPDATE eccourses set location='München, Landeshauptstadt' where plz='81677';
UPDATE eccourses set location='Weißenstadt, St' where plz='95163';
UPDATE eccourses set location='Oldenburg (Oldenburg), Stadt' where plz='26122';
UPDATE eccourses set location='Oldenburg (Oldenburg), Stadt' where plz='26123';
UPDATE eccourses set location='München, Landeshauptstadt' where plz='81673';
UPDATE eccourses set location='Oldenburg (Oldenburg), Stadt' where plz='26121';
UPDATE eccourses set location='Mayschoß' where plz='53508';
UPDATE eccourses set location='München, Landeshauptstadt' where plz='81679';
UPDATE eccourses set location='Oldenburg (Oldenburg), Stadt' where plz='26129';
UPDATE eccourses set location='Hammersbach' where plz='63546';
UPDATE eccourses set location='Stockstadt a.Main, M' where plz='63811';
UPDATE eccourses set location='Ottenhofen' where plz='85570';
UPDATE eccourses set location='Ronneburg' where plz='63549';
UPDATE eccourses set location='Neubiberg' where plz='85579';
UPDATE eccourses set location='Magdeburg, Landeshauptstadt' where plz='39104';
UPDATE eccourses set location='Meppen, Stadt' where plz='49716';
UPDATE eccourses set location='Rech' where plz='53506';
UPDATE eccourses set location='Wolfsburg, Stadt' where plz='38446';
UPDATE eccourses set location='Wolfsburg, Stadt' where plz='38444';
UPDATE eccourses set location='Dernau' where plz='53507';
UPDATE eccourses set location='Wolfsburg, Stadt' where plz='38442';
UPDATE eccourses set location='Wolfsburg, Stadt' where plz='38440';
UPDATE eccourses set location='Bad Füssing' where plz='94072';
UPDATE eccourses set location='Lütjensee' where plz='22952';
UPDATE eccourses set location='Pforzheim, Stadt' where plz='75173';
UPDATE eccourses set location='Pforzheim, Stadt' where plz='75172';
UPDATE eccourses set location='Pforzheim, Stadt' where plz='75175';
UPDATE eccourses set location='Grönwohld' where plz='22956';
UPDATE eccourses set location='Neulingen' where plz='75177';
UPDATE eccourses set location='Freiberg am Neckar, Stadt' where plz='71691';
UPDATE eccourses set location='Möglingen' where plz='71696';
UPDATE eccourses set location='Stadtkyll' where plz='54589';
UPDATE eccourses set location='Sachsen b.Ansbach' where plz='91623';
UPDATE eccourses set location='Berlin, Stadt' where plz='14169';
UPDATE eccourses set location='Rheinstetten, Stadt' where plz='76287';
UPDATE eccourses set location='Berlin, Stadt' where plz='14163';
UPDATE eccourses set location='Berlin, Stadt' where plz='14167';
UPDATE eccourses set location='Jünkerath' where plz='54584';
UPDATE eccourses set location='Lissendorf' where plz='54587';
UPDATE eccourses set location='Schüller' where plz='54586';
UPDATE eccourses set location='Ohrenbach' where plz='91620';
UPDATE eccourses set location='Schopfloch, M' where plz='91626';
UPDATE eccourses set location='Schnelldorf' where plz='91625';
UPDATE eccourses set location='Heroldsbach' where plz='91336';
UPDATE eccourses set location='Eschborn, Stadt' where plz='65760';
UPDATE eccourses set location='Ringgau' where plz='37296';
UPDATE eccourses set location='Berkatal' where plz='37297';
UPDATE eccourses set location='Lüdershagen' where plz='18314';
UPDATE eccourses set location='Herleshausen' where plz='37293';
UPDATE eccourses set location='Meißner' where plz='37290';
UPDATE eccourses set location='Saal' where plz='18317';
UPDATE eccourses set location='Aulendorf, Stadt' where plz='88326';
UPDATE eccourses set location='Weißenborn' where plz='37299';
UPDATE eccourses set location='Landau a.d.Isar, St' where plz='94405';
UPDATE eccourses set location='Georgensgmünd' where plz='91166';
UPDATE eccourses set location='Hilpoltstein, St' where plz='91161';
UPDATE eccourses set location='Westerheim' where plz='72589';
UPDATE eccourses set location='Hamburg, Freie und Hansestadt' where plz='21077';
UPDATE eccourses set location='Wohnste' where plz='27419';
UPDATE eccourses set location='Friedrichsdorf, Stadt' where plz='61381';
UPDATE eccourses set location='Wilstedt' where plz='27412';
UPDATE eccourses set location='Hamburg, Freie und Hansestadt' where plz='21073';
UPDATE eccourses set location='Essen, Stadt' where plz='45219';
UPDATE eccourses set location='Prien a.Chiemsee, M' where plz='83209';
UPDATE eccourses set location='Römerstein' where plz='72587';
UPDATE eccourses set location='Mandelbachtal' where plz='66399';
UPDATE eccourses set location='Oberthal' where plz='66649';
UPDATE eccourses set location='Namborn' where plz='66640';
UPDATE eccourses set location='Marpingen' where plz='66646';
UPDATE eccourses set location='Leisnig, Stadt' where plz='04703';
UPDATE eccourses set location='Waldenburg, Stadt' where plz='08396';
UPDATE eccourses set location='Schönberg' where plz='08393';
UPDATE eccourses set location='Neukirchen' where plz='23779';
UPDATE eccourses set location='Heiligenhafen, Stadt' where plz='23774';
UPDATE eccourses set location='Großenbrode' where plz='23775';
UPDATE eccourses set location='Neukirchen' where plz='23777';
UPDATE eccourses set location='Westhofen' where plz='67593';
UPDATE eccourses set location='Strausberg, Stadt' where plz='15344';
UPDATE eccourses set location='Rüdersdorf bei Berlin' where plz='15345';
UPDATE eccourses set location='Isernhagen' where plz='30916';
UPDATE eccourses set location='Chemnitz, Stadt' where plz='09131';
UPDATE eccourses set location='Altusried, M' where plz='87452';
UPDATE eccourses set location='Beckum, Stadt' where plz='59269';
UPDATE eccourses set location='Marburg, Universitätsstadt' where plz='35039';
UPDATE eccourses set location='Alfeld (Leine), Stadt' where plz='31061';
UPDATE eccourses set location='Marburg, Universitätsstadt' where plz='35037';
UPDATE eccourses set location='Bad Urach, Stadt' where plz='72574';
UPDATE eccourses set location='Bad Waldsee, Stadt' where plz='88339';
UPDATE eccourses set location='Eckartsberga, Stadt' where plz='06648';
UPDATE eccourses set location='Finneland ' where plz='06647';
UPDATE eccourses set location='Osterheide, gemfr. Bezirk' where plz='29664';
UPDATE eccourses set location='Querfurt, Stadt' where plz='06642';
UPDATE eccourses set location='Kalchreuth' where plz='91077';
UPDATE eccourses set location='Selters (Taunus)' where plz='65618';
UPDATE eccourses set location='Beselich' where plz='65614';
UPDATE eccourses set location='Volxheim' where plz='55546';
UPDATE eccourses set location='Bad Kreuznach, Stadt' where plz='55545';
UPDATE eccourses set location='Seeland, Stadt' where plz='06469';
UPDATE eccourses set location='Dinkelscherben, M' where plz='86424';
UPDATE eccourses set location='Falkenstein/Harz, Stadt' where plz='06463';
UPDATE eccourses set location='Seeland, Stadt' where plz='06464';
UPDATE eccourses set location='Seeland, Stadt' where plz='06467';
UPDATE eccourses set location='Seeland, Stadt' where plz='06466';
UPDATE eccourses set location='Bodenmais, M' where plz='94249';
UPDATE eccourses set location='Teisnach, M' where plz='94244';
UPDATE eccourses set location='Nürnberg' where plz='90408';
UPDATE eccourses set location='Nürnberg' where plz='90409';
UPDATE eccourses set location='Nürnberg' where plz='90402';
UPDATE eccourses set location='Nürnberg' where plz='90403';
UPDATE eccourses set location='Gummersbach, Stadt' where plz='51645';
UPDATE eccourses set location='Gummersbach, Stadt' where plz='51647';
UPDATE eccourses set location='Hohenwarth' where plz='93479';
UPDATE eccourses set location='Gummersbach, Stadt' where plz='51643';
UPDATE eccourses set location='Arrach' where plz='93474';
UPDATE eccourses set location='Blaibach' where plz='93476';
UPDATE eccourses set location='Gleißenberg' where plz='93477';
UPDATE eccourses set location='Scheßlitz, St' where plz='96110';
UPDATE eccourses set location='Arnbruck' where plz='93471';
UPDATE eccourses set location='Arnschwang' where plz='93473';
UPDATE eccourses set location='Oberharz am Brocken, Stadt' where plz='38877';
UPDATE eccourses set location='Geilenkirchen, Stadt' where plz='52511';
UPDATE eccourses set location='Wernigerode, Stadt' where plz='38875';
UPDATE eccourses set location='Zinnowitz' where plz='17454';
UPDATE eccourses set location='Demmin, Hansestadt' where plz='17109';
UPDATE eccourses set location='Zempin' where plz='17459';
UPDATE eccourses set location='Wernigerode, Stadt' where plz='38879';
UPDATE eccourses set location='Berlin, Stadt' where plz='13347';
UPDATE eccourses set location='Berlin, Stadt' where plz='13349';
UPDATE eccourses set location='Osterode am Harz' where plz='37534';
UPDATE eccourses set location='Berg' where plz='88276';
UPDATE eccourses set location='Meggerdorf' where plz='24861';
UPDATE eccourses set location='Uelsby' where plz='24860';
UPDATE eccourses set location='Klein Bennebek' where plz='24863';
UPDATE eccourses set location='Wang' where plz='85368';
UPDATE eccourses set location='Goltoft' where plz='24864';
UPDATE eccourses set location='Dannewerk' where plz='24867';
UPDATE eccourses set location='Busdorf' where plz='24866';
UPDATE eccourses set location='Dörpstedt' where plz='24869';
UPDATE eccourses set location='München, Landeshauptstadt' where plz='80797';
UPDATE eccourses set location='München, Landeshauptstadt' where plz='80796';
UPDATE eccourses set location='Hohenthann' where plz='84098';
UPDATE eccourses set location='Hamburg, Freie und Hansestadt' where plz='20146';
UPDATE eccourses set location='Hamburg, Freie und Hansestadt' where plz='20144';
UPDATE eccourses set location='Bayerbach b.Ergoldsbach' where plz='84092';
UPDATE eccourses set location='Hamburg, Freie und Hansestadt' where plz='20148';
UPDATE eccourses set location='Hamburg, Freie und Hansestadt' where plz='20149';
UPDATE eccourses set location='Herrngiersdorf' where plz='84097';
UPDATE eccourses set location='Elsendorf' where plz='84094';
UPDATE eccourses set location='Weihmichl' where plz='84095';
UPDATE eccourses set location='Zwickau, Stadt' where plz='08062';
UPDATE eccourses set location='Berlin, Stadt' where plz='12165';
UPDATE eccourses set location='Remscheid, Stadt' where plz='42899';
UPDATE eccourses set location='Berlin, Stadt' where plz='12167';
UPDATE eccourses set location='Berlin, Stadt' where plz='12161';
UPDATE eccourses set location='Berlin, Stadt' where plz='12163';
UPDATE eccourses set location='Berlin, Stadt' where plz='12169';
UPDATE eccourses set location='Remscheid, Stadt' where plz='42897';
UPDATE eccourses set location='Düsseldorf, Stadt' where plz='40225';
UPDATE eccourses set location='Kämpfelbach' where plz='75236';
UPDATE eccourses set location='Düsseldorf, Stadt' where plz='40227';
UPDATE eccourses set location='Zeiskam' where plz='67378';
UPDATE eccourses set location='Söchtenau' where plz='83139';
UPDATE eccourses set location='Nordleda' where plz='21765';
UPDATE eccourses set location='Weil der Stadt, Stadt' where plz='71263';
UPDATE eccourses set location='Düsseldorf, Stadt' where plz='40223';
UPDATE eccourses set location='Neuenkirchen' where plz='21763';
UPDATE eccourses set location='Otterndorf, Stadt' where plz='21762';
UPDATE eccourses set location='Römstedt' where plz='29591';
UPDATE eccourses set location='Lamstedt' where plz='21769';
UPDATE eccourses set location='Prutting' where plz='83134';
UPDATE eccourses set location='Au am Rhein' where plz='76474';
UPDATE eccourses set location='Nieheim, Stadt' where plz='33039';
UPDATE eccourses set location='Brakel, Stadt' where plz='33034';
UPDATE eccourses set location='Schonstett' where plz='83137';
UPDATE eccourses set location='Igersheim' where plz='97999';
UPDATE eccourses set location='Niederstetten, Stadt' where plz='97996';
UPDATE eccourses set location='Nohn' where plz='54578';
UPDATE eccourses set location='Creglingen, Stadt' where plz='97993';
UPDATE eccourses set location='Weikersheim, Stadt' where plz='97990';
UPDATE eccourses set location='München, Landeshauptstadt' where plz='80935';
UPDATE eccourses set location='München, Landeshauptstadt' where plz='80937';
UPDATE eccourses set location='Ovelgönne' where plz='26939';
UPDATE eccourses set location='München, Landeshauptstadt' where plz='80933';
UPDATE eccourses set location='Stadland' where plz='26935';
UPDATE eccourses set location='Stadland' where plz='26937';
UPDATE eccourses set location='Dudenhofen' where plz='67373';
UPDATE eccourses set location='Elsfleth, Stadt' where plz='26931';
UPDATE eccourses set location='Wangelnstedt' where plz='37627';
UPDATE eccourses set location='Halle' where plz='37620';
UPDATE eccourses set location='Winhöring' where plz='84543';
UPDATE eccourses set location='Aschau a.Inn' where plz='84544';
UPDATE eccourses set location='Dresden, Stadt' where plz='01159';
UPDATE eccourses set location='Egglkofen' where plz='84546';
UPDATE eccourses set location='Emmerting' where plz='84547';
UPDATE eccourses set location='Engelsberg' where plz='84549';
UPDATE eccourses set location='Dresden, Stadt' where plz='01156';
UPDATE eccourses set location='Dresden, Stadt' where plz='01157';
UPDATE eccourses set location='Freinsheim, Stadt' where plz='67251';
UPDATE eccourses set location='Tschernitz' where plz='03130';
UPDATE eccourses set location='Weisenheim am Sand' where plz='67256';
UPDATE eccourses set location='Schopp' where plz='67705';
UPDATE eccourses set location='Kleinniedesheim' where plz='67259';
UPDATE eccourses set location='Heßheim' where plz='67258';
UPDATE eccourses set location='Schallodenbach' where plz='67701';
UPDATE eccourses set location='Niederkirchen' where plz='67700';
UPDATE eccourses set location='München, Landeshauptstadt' where plz='81476';
UPDATE eccourses set location='Apen' where plz='26689';
UPDATE eccourses set location='Saterland' where plz='26683';
UPDATE eccourses set location='Vellmar, Stadt' where plz='34246';
UPDATE eccourses set location='Kaiserslautern, Stadt' where plz='67655';
UPDATE eccourses set location='Ottenhöfen im Schwarzwald' where plz='77883';
UPDATE eccourses set location='Sasbach' where plz='77880';
UPDATE eccourses set location='Sasbachwalden' where plz='77887';
UPDATE eccourses set location='Lauf' where plz='77886';
UPDATE eccourses set location='Leipzig, Stadt' where plz='04207';
UPDATE eccourses set location='Seebach' where plz='77889';
UPDATE eccourses set location='Neuhausen auf den Fildern' where plz='73765';
UPDATE eccourses set location='Ostfildern, Stadt' where plz='73760';
UPDATE eccourses set location='Reinsberg' where plz='09634';
UPDATE eccourses set location='Elmenhorst/Lichtenhagen' where plz='18107';
UPDATE eccourses set location='Rostock, Hansestadt' where plz='18106';
UPDATE eccourses set location='Leipzig, Stadt' where plz='04205';
UPDATE eccourses set location='Rostock, Hansestadt' where plz='18109';
UPDATE eccourses set location='Bremen, Stadt' where plz='28357';
UPDATE eccourses set location='Weihenzell' where plz='91629';
UPDATE eccourses set location='Steinsfeld' where plz='91628';
UPDATE eccourses set location='Gutach im Breisgau' where plz='79261';
UPDATE eccourses set location='Rügland' where plz='91622';
UPDATE eccourses set location='Eimeldingen' where plz='79591';
UPDATE eccourses set location='Heiligenstadt i.OFr., M' where plz='91332';
UPDATE eccourses set location='Schallbach' where plz='79597';
UPDATE eccourses set location='Bremen, Stadt' where plz='28355';
UPDATE eccourses set location='Rümmingen' where plz='79595';
UPDATE eccourses set location='Inzlingen' where plz='79594';
UPDATE eccourses set location='Burgdorf, Stadt' where plz='31303';
UPDATE eccourses set location='Igensdorf, M' where plz='91338';
UPDATE eccourses set location='Schwerin, Landeshauptstadt' where plz='19059';
UPDATE eccourses set location='Schwerin, Landeshauptstadt' where plz='19053';
UPDATE eccourses set location='Schwerin, Landeshauptstadt' where plz='19055';
UPDATE eccourses set location='Schwerin, Landeshauptstadt' where plz='19057';
UPDATE eccourses set location='Hamburg, Freie und Hansestadt' where plz='22303';
UPDATE eccourses set location='Hamburg, Freie und Hansestadt' where plz='22301';
UPDATE eccourses set location='Hamburg, Freie und Hansestadt' where plz='22307';
UPDATE eccourses set location='Hamburg, Freie und Hansestadt' where plz='22305';
UPDATE eccourses set location='Hamburg, Freie und Hansestadt' where plz='22309';
UPDATE eccourses set location='Deißlingen' where plz='78652';
UPDATE eccourses set location='Ofterdingen' where plz='72131';
UPDATE eccourses set location='Osterhofen, St' where plz='94486';
UPDATE eccourses set location='Frankfurt am Main, Stadt' where plz='65931';
UPDATE eccourses set location='Frankfurt am Main, Stadt' where plz='65933';
UPDATE eccourses set location='Frankfurt am Main, Stadt' where plz='65934';
UPDATE eccourses set location='Frankfurt am Main, Stadt' where plz='65936';
UPDATE eccourses set location='Spiegelau' where plz='94481';
UPDATE eccourses set location='Magdeburg, Landeshauptstadt' where plz='39130';
UPDATE eccourses set location='Pfakofen' where plz='93087';
UPDATE eccourses set location='Wörth a.d.Donau, St' where plz='93086';
UPDATE eccourses set location='Pentling' where plz='93080';
UPDATE eccourses set location='Obertraubling' where plz='93083';
UPDATE eccourses set location='Aufhausen' where plz='93089';
UPDATE eccourses set location='Jagstzell' where plz='74579';
UPDATE eccourses set location='Gruibingen' where plz='73235';
UPDATE eccourses set location='Blaufelden' where plz='74572';
UPDATE eccourses set location='Stemwede' where plz='32351';
UPDATE eccourses set location='Schrozberg, Stadt' where plz='74575';
UPDATE eccourses set location='Zimmerschied' where plz='56379';
UPDATE eccourses set location='Bad König, Stadt' where plz='64732';
UPDATE eccourses set location='Höchst i. Odw.' where plz='64739';
UPDATE eccourses set location='Bornheim, Stadt' where plz='53332';
UPDATE eccourses set location='Roth' where plz='57539';
UPDATE eccourses set location='Wissen, Stadt' where plz='57537';
UPDATE eccourses set location='Rüsselsheim am Main, Stadt' where plz='65428';
UPDATE eccourses set location='Schladt' where plz='54534';
UPDATE eccourses set location='Eggolsheim, M' where plz='91330';
UPDATE eccourses set location='Wuppertal, Stadt' where plz='42285';
UPDATE eccourses set location='Wettlingen' where plz='54646';
UPDATE eccourses set location='Wiesen' where plz='63831';
UPDATE eccourses set location='Wuppertal, Stadt' where plz='42281';
UPDATE eccourses set location='Schnakenbek' where plz='21481';
UPDATE eccourses set location='Wuppertal, Stadt' where plz='42283';
UPDATE eccourses set location='Wangelau' where plz='21483';
UPDATE eccourses set location='Kleinwallstadt, M' where plz='63839';
UPDATE eccourses set location='Wuppertal, Stadt' where plz='42289';
UPDATE eccourses set location='Kirchheim b.München' where plz='85551';
UPDATE eccourses set location='Scharnebeck' where plz='21379';
UPDATE eccourses set location='Freital, Stadt' where plz='01705';
UPDATE eccourses set location='Tosterglope' where plz='21371';
UPDATE eccourses set location='Salzhausen' where plz='21376';
UPDATE eccourses set location='Leubsdorf' where plz='09573';
UPDATE eccourses set location='Hauzenberg, St' where plz='94051';
UPDATE eccourses set location='Ehra-Lessien' where plz='38468';
UPDATE eccourses set location='Niederwiesa' where plz='09577';
UPDATE eccourses set location='Grafenhausen' where plz='79865';
UPDATE eccourses set location='Eppendorf' where plz='09575';
UPDATE eccourses set location='Groß Twülpstedt' where plz='38464';
UPDATE eccourses set location='Brome, Flecken' where plz='38465';
UPDATE eccourses set location='Feldberg (Schwarzwald)' where plz='79868';
UPDATE eccourses set location='Danndorf' where plz='38461';
UPDATE eccourses set location='Grafhorst' where plz='38462';
UPDATE eccourses set location='Jettingen' where plz='71131';
UPDATE eccourses set location='Odernheim am Glan' where plz='55571';
UPDATE eccourses set location='Asperg, Stadt' where plz='71679';
UPDATE eccourses set location='Berlin, Stadt' where plz='14109';
UPDATE eccourses set location='Marbach am Neckar, Stadt' where plz='71672';
UPDATE eccourses set location='Pfronten' where plz='87459';
UPDATE eccourses set location='Wasenbach' where plz='56370';
UPDATE eccourses set location='Ihlow' where plz='26632';
UPDATE eccourses set location='Waxweiler' where plz='54649';
UPDATE eccourses set location='Glattbach' where plz='63864';
UPDATE eccourses set location='Berlin, Stadt' where plz='13156';
UPDATE eccourses set location='Rennertshofen, M' where plz='86643';
UPDATE eccourses set location='Berlin, Stadt' where plz='13159';
UPDATE eccourses set location='Berlin, Stadt' where plz='13158';
UPDATE eccourses set location='Hemhofen' where plz='91334';
UPDATE eccourses set location='Seelbach' where plz='56377';
UPDATE eccourses set location='Schnaittenbach, St' where plz='92253';
UPDATE eccourses set location='Hamburg, Freie und Hansestadt' where plz='20357';
UPDATE eccourses set location='Hamburg, Freie und Hansestadt' where plz='20355';
UPDATE eccourses set location='Erzgebirgskreis' where plz='09395';
UPDATE eccourses set location='Auerbach' where plz='09392';
UPDATE eccourses set location='Oerel' where plz='27432';
UPDATE eccourses set location='Gornsdorf' where plz='09390';
UPDATE eccourses set location='Deggendorf, GKSt' where plz='94469';
UPDATE eccourses set location='Hamburg, Freie und Hansestadt' where plz='20359';
UPDATE eccourses set location='Niederwürschnitz' where plz='09399';
UPDATE eccourses set location='Staudach-Egerndach' where plz='83224';
UPDATE eccourses set location='Ludwigshafen am Rhein, Stadt' where plz='67065';
UPDATE eccourses set location='Ludwigshafen am Rhein, Stadt' where plz='67067';
UPDATE eccourses set location='Ludwigshafen am Rhein, Stadt' where plz='67061';
UPDATE eccourses set location='Ludwigshafen am Rhein, Stadt' where plz='67063';
UPDATE eccourses set location='Aschau i.Chiemgau' where plz='83229';
UPDATE eccourses set location='Mühlental' where plz='08626';
UPDATE eccourses set location='Kranenburg' where plz='47559';
UPDATE eccourses set location='Weißwasser/O.L., Stadt' where plz='02943';
UPDATE eccourses set location='Bedburg-Hau' where plz='47551';
UPDATE eccourses set location='Zschaitz-Ottewig' where plz='04720';
UPDATE eccourses set location='Villingen-Schwenningen, Stadt' where plz='78054';
UPDATE eccourses set location='Villingen-Schwenningen, Stadt' where plz='78056';
UPDATE eccourses set location='Villingen-Schwenningen, Stadt' where plz='78050';
UPDATE eccourses set location='Villingen-Schwenningen, Stadt' where plz='78052';
UPDATE eccourses set location='Freyung, St' where plz='94078';
UPDATE eccourses set location='Kröppelshagen-Fahrendorf' where plz='21529';
UPDATE eccourses set location='Wembach' where plz='79677';
UPDATE eccourses set location='Todtnau, Stadt' where plz='79674';
UPDATE eccourses set location='Hügelsheim' where plz='76549';
UPDATE eccourses set location='Wirsberg, M' where plz='95339';
UPDATE eccourses set location='Werben' where plz='03096';
UPDATE eccourses set location='Jerichow, Stadt' where plz='39307';
UPDATE eccourses set location='Kolkwitz' where plz='03099';
UPDATE eccourses set location='Mainleus, M' where plz='95336';
UPDATE eccourses set location='Nonnweiler' where plz='66620';
UPDATE eccourses set location='Nohfelden' where plz='66625';
UPDATE eccourses set location='Freisen' where plz='66629';
UPDATE eccourses set location='Steinberg' where plz='08237';
UPDATE eccourses set location='Kißlegg' where plz='88353';
UPDATE eccourses set location='Ostrach' where plz='88356';
UPDATE eccourses set location='Weißenfels, Stadt' where plz='06667';
UPDATE eccourses set location='Tettau' where plz='01945';
UPDATE eccourses set location='Kottmar' where plz='02739';
UPDATE eccourses set location='Bremen, Stadt' where plz='28777';
UPDATE eccourses set location='Bremen, Stadt' where plz='28779';
UPDATE eccourses set location='Hamburg, Freie und Hansestadt' where plz='22117';
UPDATE eccourses set location='Jessen (Elster), Stadt' where plz='06917';
UPDATE eccourses set location='Hamburg, Freie und Hansestadt' where plz='22113';
UPDATE eccourses set location='Hamburg, Freie und Hansestadt' where plz='22111';
UPDATE eccourses set location='Seeland, Stadt' where plz='06449';
UPDATE eccourses set location='Teuschnitz, St' where plz='96358';
UPDATE eccourses set location='Tettau, M' where plz='96355';
UPDATE eccourses set location='Wilhelmsthal' where plz='96352';
UPDATE eccourses set location='Langdorf' where plz='94264';
UPDATE eccourses set location='Patersdorf' where plz='94265';
UPDATE eccourses set location='Prackenbach' where plz='94267';
UPDATE eccourses set location='Kirchdorf i.Wald' where plz='94261';
UPDATE eccourses set location='Kollnburg' where plz='94262';
UPDATE eccourses set location='Würzburg' where plz='97080';
UPDATE eccourses set location='Würzburg' where plz='97082';
UPDATE eccourses set location='Calw, Stadt' where plz='75365';
UPDATE eccourses set location='Wernau (Neckar), Stadt' where plz='73249';
UPDATE eccourses set location='Pohlheim, Stadt' where plz='35415';
UPDATE eccourses set location='Hungen, Stadt' where plz='35410';
UPDATE eccourses set location='Wendlingen am Neckar, Stadt' where plz='73240';
UPDATE eccourses set location='Buseck' where plz='35418';
UPDATE eccourses set location='Dornum' where plz='26553';
UPDATE eccourses set location='Pommersfelden' where plz='96178';
UPDATE eccourses set location='Rattelsdorf, M' where plz='96179';
UPDATE eccourses set location='Bad Sobernheim, Stadt' where plz='55566';
UPDATE eccourses set location='Mühlhausen, M' where plz='96172';
UPDATE eccourses set location='Cham, St' where plz='93413';
UPDATE eccourses set location='Priesendorf' where plz='96170';
UPDATE eccourses set location='Pfarrweisach' where plz='96176';
UPDATE eccourses set location='Stadtlohn, Stadt' where plz='48703';
UPDATE eccourses set location='Oberharz am Brocken, Stadt' where plz='38899';
UPDATE eccourses set location='Halberstadt, Stadt' where plz='38895';
UPDATE eccourses set location='Aachen, Stadt' where plz='52066';
UPDATE eccourses set location='Wuppertal, Stadt' where plz='42287';
UPDATE eccourses set location='Aachen, Stadt' where plz='52062';
UPDATE eccourses set location='Heringen (Werra), Stadt' where plz='36266';
UPDATE eccourses set location='Rellingen' where plz='25462';
UPDATE eccourses set location='Philippsthal (Werra), Marktgemeinde' where plz='36269';
UPDATE eccourses set location='Halstenbek' where plz='25469';
UPDATE eccourses set location='Schweitenkirchen' where plz='85301';
UPDATE eccourses set location='Gerolsbach' where plz='85302';
UPDATE eccourses set location='Jetzendorf' where plz='85305';
UPDATE eccourses set location='Ilmmünster' where plz='85304';
UPDATE eccourses set location='Hettenshausen' where plz='85307';
UPDATE eccourses set location='Pörnbach' where plz='85309';
UPDATE eccourses set location='Haren (Ems), Stadt' where plz='49733';
UPDATE eccourses set location='Wolfratshausen, St' where plz='82515';
UPDATE eccourses set location='Kropp' where plz='24848';
UPDATE eccourses set location='Wallerfangen' where plz='66798';
UPDATE eccourses set location='Heek' where plz='48619';
UPDATE eccourses set location='Ostbevern' where plz='48346';
UPDATE eccourses set location='Horstmar, Stadt der Burgmannshöfe' where plz='48612';
UPDATE eccourses set location='Marienberg, Stadt' where plz='09496';
UPDATE eccourses set location='Rotenburg a. d. Fulda, Stadt' where plz='36199';
UPDATE eccourses set location='Zellingen, M' where plz='97225';
UPDATE eccourses set location='Rimpar, M' where plz='97222';
UPDATE eccourses set location='Rottendorf' where plz='97228';
UPDATE eccourses set location='Meschede, Kreis- und  Hochschulstadt' where plz='59872';
UPDATE eccourses set location='Berlin, Stadt' where plz='10439';
UPDATE eccourses set location='Berlin, Stadt' where plz='10435';
UPDATE eccourses set location='Berlin, Stadt' where plz='10437';
UPDATE eccourses set location='Bad Driburg, Stadt' where plz='33014';
UPDATE eccourses set location='Cappeln (Oldenburg)' where plz='49692';
UPDATE eccourses set location='Molbergen' where plz='49696';
UPDATE eccourses set location='Hemmoor, Stadt' where plz='21745';
UPDATE eccourses set location='Lindern (Oldenburg)' where plz='49699';
UPDATE eccourses set location='Stockach, Stadt' where plz='78333';
UPDATE eccourses set location='Öhningen' where plz='78337';
UPDATE eccourses set location='Höchenschwand' where plz='79862';
UPDATE eccourses set location='Immendingen' where plz='78194';
UPDATE eccourses set location='Brake (Unterweser), Stadt' where plz='26919';
UPDATE eccourses set location='Bräunlingen, Stadt' where plz='78199';
UPDATE eccourses set location='Dresden, Stadt' where plz='01139';
UPDATE eccourses set location='Schnackenburg, Stadt' where plz='29493';
UPDATE eccourses set location='Böhl-Iggelheim' where plz='67459';
UPDATE eccourses set location='Sippersfeld' where plz='67729';
UPDATE eccourses set location='Neu Darchau' where plz='29490';
UPDATE eccourses set location='Woltersdorf' where plz='29497';
UPDATE eccourses set location='Waddeweitz' where plz='29496';
UPDATE eccourses set location='Crimmitschau, Stadt' where plz='08451';
UPDATE eccourses set location='Stephanskirchen' where plz='83071';
UPDATE eccourses set location='Winnweiler' where plz='67722';
UPDATE eccourses set location='Zernien' where plz='29499';
UPDATE eccourses set location='Wiesengrund' where plz='03159';
UPDATE eccourses set location='Lohnsfeld' where plz='67727';
UPDATE eccourses set location='Imsbach' where plz='67725';
UPDATE eccourses set location='Neukirchen/Pleiße' where plz='08459';
UPDATE eccourses set location='Wahlstorf' where plz='24211';
UPDATE eccourses set location='Wisch' where plz='24217';
UPDATE eccourses set location='Tüttendorf' where plz='24214';
UPDATE eccourses set location='Kuchelmiß' where plz='18292';
UPDATE eccourses set location='Wardow' where plz='18299';
UPDATE eccourses set location='Neuengörs' where plz='23818';
UPDATE eccourses set location='Essen, Stadt' where plz='45133';
UPDATE eccourses set location='Edermünde' where plz='34225';
UPDATE eccourses set location='Loßburg' where plz='72290';
UPDATE eccourses set location='Vestenbergsgreuth, M' where plz='91315';
UPDATE eccourses set location='Münstertal/Schwarzwald' where plz='79244';
UPDATE eccourses set location='Grömbach' where plz='72294';
UPDATE eccourses set location='Ihringen' where plz='79241';
UPDATE eccourses set location='Schopfloch' where plz='72296';
UPDATE eccourses set location='Wörnersberg' where plz='72299';
UPDATE eccourses set location='Merzhausen' where plz='79249';
UPDATE eccourses set location='Neuental' where plz='34599';
UPDATE eccourses set location='Wabern' where plz='34590';
UPDATE eccourses set location='Knüllwald' where plz='34593';
UPDATE eccourses set location='Bad Zwesten' where plz='34596';
UPDATE eccourses set location='Langensendelbach' where plz='91094';
UPDATE eccourses set location='Homberg (Ohm), Stadt' where plz='35315';
UPDATE eccourses set location='Unterroth' where plz='89299';
UPDATE eccourses set location='Dischingen' where plz='89561';
UPDATE eccourses set location='Holzheim' where plz='89291';
UPDATE eccourses set location='Unterroth' where plz='89290';
UPDATE eccourses set location='Roggenburg' where plz='89297';
UPDATE eccourses set location='Nattheim' where plz='89564';
UPDATE eccourses set location='Sontheim an der Brenz' where plz='89567';
UPDATE eccourses set location='Oberroth' where plz='89294';
UPDATE eccourses set location='Delmenhorst, Stadt' where plz='27749';
UPDATE eccourses set location='Barsinghausen, Stadt' where plz='30890';
UPDATE eccourses set location='Uphusum' where plz='25923';
UPDATE eccourses set location='Stedesand' where plz='25920';
UPDATE eccourses set location='Neukirchen' where plz='25927';
UPDATE eccourses set location='Westre' where plz='25926';
UPDATE eccourses set location='Emmelsbüll-Horsbüll' where plz='25924';
UPDATE eccourses set location='Holzwickede' where plz='59439';
UPDATE eccourses set location='Bünde, Stadt' where plz='32257';
UPDATE eccourses set location='Langwedel, Flecken' where plz='27299';
UPDATE eccourses set location='Magdeburg, Landeshauptstadt' where plz='39112';
UPDATE eccourses set location='Magdeburg, Landeshauptstadt' where plz='39110';
UPDATE eccourses set location='Magdeburg, Landeshauptstadt' where plz='39116';
UPDATE eccourses set location='Theisseil' where plz='92660';
UPDATE eccourses set location='Magdeburg, Landeshauptstadt' where plz='39114';
UPDATE eccourses set location='Schwäbisch Gmünd, Stadt' where plz='73529';
UPDATE eccourses set location='Magdeburg, Landeshauptstadt' where plz='39118';
UPDATE eccourses set location='Enkirch' where plz='56850';
UPDATE eccourses set location='Karben, Stadt' where plz='61184';
UPDATE eccourses set location='Espelkamp, Stadt' where plz='32339';
UPDATE eccourses set location='Großenseebach' where plz='91091';
UPDATE eccourses set location='Bad Brückenau, St' where plz='97769';
UPDATE eccourses set location='Hamburg, Freie und Hansestadt' where plz='22589';
UPDATE eccourses set location='Hammelburg, St' where plz='97762';
UPDATE eccourses set location='Lindenberg i.Allgäu, St' where plz='88161';
UPDATE eccourses set location='Stiefenhofen' where plz='88167';
UPDATE eccourses set location='Erbach, Kreisstadt' where plz='64711';
UPDATE eccourses set location='Wanna' where plz='21776';
UPDATE eccourses set location='Oeversee' where plz='24988';
UPDATE eccourses set location='Dollerup' where plz='24989';
UPDATE eccourses set location='Rodewald' where plz='31637';
UPDATE eccourses set location='Handewitt' where plz='24983';
UPDATE eccourses set location='Wallsbüll' where plz='24980';
UPDATE eccourses set location='Mittelangeln' where plz='24986';
UPDATE eccourses set location='Weilersbach' where plz='91356';
UPDATE eccourses set location='Teningen' where plz='79312';
UPDATE eccourses set location='Westerrade' where plz='23815';
UPDATE eccourses set location='Poyenberg' where plz='25581';
UPDATE eccourses set location='Looft' where plz='25582';
UPDATE eccourses set location='Tackesdorf' where plz='25585';
UPDATE eccourses set location='Holstenniendorf' where plz='25584';
UPDATE eccourses set location='Münsterdorf' where plz='25587';
UPDATE eccourses set location='Oldendorf' where plz='25588';
UPDATE eccourses set location='Bad Zwischenahn' where plz='26160';
UPDATE eccourses set location='Dissen am Teutoburger Wald, Stadt' where plz='49201';
UPDATE eccourses set location='Linsengericht' where plz='63589';
UPDATE eccourses set location='Werpeloh' where plz='49751';
UPDATE eccourses set location='Bleckede, Stadt' where plz='21354';
UPDATE eccourses set location='Werlte' where plz='49757';
UPDATE eccourses set location='Wittorf' where plz='21357';
UPDATE eccourses set location='Mechtersen' where plz='21358';
UPDATE eccourses set location='Mömlingen' where plz='63853';
UPDATE eccourses set location='Waldaschaff' where plz='63857';
UPDATE eccourses set location='Gründau' where plz='63584';
UPDATE eccourses set location='Bannewitz' where plz='01728';
UPDATE eccourses set location='Wilsdruff, Stadt' where plz='01723';
UPDATE eccourses set location='Buggingen' where plz='79426';
UPDATE eccourses set location='Weilheim' where plz='79809';
UPDATE eccourses set location='Herten, Stadt' where plz='45699';
UPDATE eccourses set location='Hohentengen am Hochrhein' where plz='79801';
UPDATE eccourses set location='Passau' where plz='94032';
UPDATE eccourses set location='Eggingen' where plz='79805';
UPDATE eccourses set location='Passau' where plz='94034';
UPDATE eccourses set location='Lottstetten' where plz='79807';
UPDATE eccourses set location='Neuburg a.Inn' where plz='94036';
UPDATE eccourses set location='Steineroth' where plz='57518';
UPDATE eccourses set location='Iserlohn, Stadt' where plz='58642';
UPDATE eccourses set location='Neversdorf' where plz='23816';
UPDATE eccourses set location='Iserlohn, Stadt' where plz='58640';
UPDATE eccourses set location='Berlin, Stadt' where plz='14129';
UPDATE eccourses set location='Velgast' where plz='18469';
UPDATE eccourses set location='Tribsees, Stadt' where plz='18465';
UPDATE eccourses set location='Radeburg, Stadt' where plz='01471';
UPDATE eccourses set location='Weinstadt, Stadt' where plz='71384';
UPDATE eccourses set location='Weitenhagen' where plz='18461';
UPDATE eccourses set location='Seegebiet Mansfelder Land' where plz='06317';
UPDATE eccourses set location='Münster-Sarmsheim' where plz='55424';
UPDATE eccourses set location='Fulda, Stadt' where plz='36039';
UPDATE eccourses set location='Fulda, Stadt' where plz='36037';
UPDATE eccourses set location='Binz' where plz='18609';
UPDATE eccourses set location='Münster, Stadt' where plz='48153';
UPDATE eccourses set location='Münster, Stadt' where plz='48151';
UPDATE eccourses set location='Münster, Stadt' where plz='48157';
UPDATE eccourses set location='Leipzig, Stadt' where plz='04299';
UPDATE eccourses set location='Münster, Stadt' where plz='48155';
UPDATE eccourses set location='Münster, Stadt' where plz='48159';
UPDATE eccourses set location='Pegau, Stadt' where plz='04523';
UPDATE eccourses set location='Rednitzhembach' where plz='91126';
UPDATE eccourses set location='Plattling, St' where plz='94447';
UPDATE eccourses set location='Reit im Winkl' where plz='83242';
UPDATE eccourses set location='Unterwössen' where plz='83246';
UPDATE eccourses set location='Spiesen-Elversberg' where plz='66583';
UPDATE eccourses set location='Triebel/Vogtl.' where plz='08606';
UPDATE eccourses set location='Göda' where plz='02633';
UPDATE eccourses set location='Ostrau' where plz='04749';
UPDATE eccourses set location='Essing, M' where plz='93343';
UPDATE eccourses set location='Roßwein, Stadt' where plz='04741';
UPDATE eccourses set location='Hartha, Stadt' where plz='04746';
UPDATE eccourses set location='Bienenbüttel' where plz='29553';
UPDATE eccourses set location='Suderburg' where plz='29556';
UPDATE eccourses set location='Hohenau' where plz='94545';
UPDATE eccourses set location='Wrestedt' where plz='29559';
UPDATE eccourses set location='Hohndorf' where plz='09394';
UPDATE eccourses set location='Bad Dürrheim, Stadt' where plz='78073';
UPDATE eccourses set location='Böblingen, Stadt' where plz='71032';
UPDATE eccourses set location='Hamburg, Freie und Hansestadt' where plz='20354';
UPDATE eccourses set location='Böblingen, Stadt' where plz='71034';
UPDATE eccourses set location='Niedereschach' where plz='78078';
UPDATE eccourses set location='Pappenheim, St' where plz='91788';
UPDATE eccourses set location='Pleinfeld, M' where plz='91785';
UPDATE eccourses set location='Schopfheim, Stadt' where plz='79650';
UPDATE eccourses set location='Weißenburg i.Bay., GKSt' where plz='91781';
UPDATE eccourses set location='Zielitz' where plz='39326';
UPDATE eccourses set location='Möttingen' where plz='86753';
UPDATE eccourses set location='Köln, Stadt' where plz='50733';
UPDATE eccourses set location='Mönchsdeggingen' where plz='86751';
UPDATE eccourses set location='Megesheim' where plz='86750';
UPDATE eccourses set location='Wallerstein, M' where plz='86757';
UPDATE eccourses set location='Reimlingen' where plz='86756';
UPDATE eccourses set location='Köln, Stadt' where plz='50735';
UPDATE eccourses set location='Wechingen' where plz='86759';
UPDATE eccourses set location='Köln, Stadt' where plz='50739';
UPDATE eccourses set location='Goch, Stadt' where plz='47574';
UPDATE eccourses set location='Bous' where plz='66359';
UPDATE eccourses set location='St. Wendel, Kreisstadt' where plz='66606';
UPDATE eccourses set location='Großrosseln' where plz='66352';
UPDATE eccourses set location='Steina' where plz='01920';
UPDATE eccourses set location='Unterwaldhausen' where plz='88379';
UPDATE eccourses set location='Riedhausen' where plz='88377';
UPDATE eccourses set location='Königseggwald' where plz='88376';
UPDATE eccourses set location='Hoßkirch' where plz='88374';
UPDATE eccourses set location='Guggenhausen' where plz='88373';
UPDATE eccourses set location='Ebersbach-Musbach' where plz='88371';
UPDATE eccourses set location='Ebenweiler' where plz='88370';
UPDATE eccourses set location='Stoltebüll' where plz='24407';
UPDATE eccourses set location='Saustrup' where plz='24405';
UPDATE eccourses set location='Maasholm' where plz='24404';
UPDATE eccourses set location='Stoltebüll' where plz='24402';
UPDATE eccourses set location='Böel' where plz='24401';
UPDATE eccourses set location='Stoltebüll' where plz='24409';
UPDATE eccourses set location='Bremen, Stadt' where plz='28757';
UPDATE eccourses set location='Ebermannsdorf' where plz='92263';
UPDATE eccourses set location='Bremen, Stadt' where plz='28755';
UPDATE eccourses set location='Bremen, Stadt' where plz='28205';
UPDATE eccourses set location='Bremen, Stadt' where plz='28207';
UPDATE eccourses set location='Bremen, Stadt' where plz='28201';
UPDATE eccourses set location='Bremen, Stadt' where plz='28203';
UPDATE eccourses set location='Ludwigshafen am Rhein, Stadt' where plz='67069';
UPDATE eccourses set location='Weilburg, Stadt' where plz='35781';
UPDATE eccourses set location='Gersthofen, St' where plz='86368';
UPDATE eccourses set location='Weilmünster, Marktflecken' where plz='35789';
UPDATE eccourses set location='Asselfingen' where plz='89176';
UPDATE eccourses set location='Börslingen' where plz='89177';
UPDATE eccourses set location='Altheim (Alb)' where plz='89174';
UPDATE eccourses set location='Lonsee' where plz='89173';
UPDATE eccourses set location='Illerkirchberg' where plz='89171';
UPDATE eccourses set location='Beimerstetten' where plz='89179';
UPDATE eccourses set location='Steinheim, Stadt' where plz='32839';
UPDATE eccourses set location='Wilzenberg-Hußweiler' where plz='55767';
UPDATE eccourses set location='Schmißberg' where plz='55765';
UPDATE eccourses set location='Köln, Stadt' where plz='51065';
UPDATE eccourses set location='Witzin' where plz='19406';
UPDATE eccourses set location='Köln, Stadt' where plz='51067';
UPDATE eccourses set location='Köln, Stadt' where plz='51061';
UPDATE eccourses set location='Köln, Stadt' where plz='51063';
UPDATE eccourses set location='Augustdorf' where plz='32832';
UPDATE eccourses set location='Bissingen an der Teck' where plz='73266';
UPDATE eccourses set location='Dettingen unter Teck' where plz='73265';
UPDATE eccourses set location='Straßenhaus' where plz='56587';
UPDATE eccourses set location='Reichenbach an der Fils' where plz='73262';
UPDATE eccourses set location='Thalhausen' where plz='56584';
UPDATE eccourses set location='Ransbach-Baumbach, Stadt' where plz='56235';
UPDATE eccourses set location='Wittgert' where plz='56237';
UPDATE eccourses set location='Regen, St' where plz='94209';
UPDATE eccourses set location='Hochdorf' where plz='73269';
UPDATE eccourses set location='Erkenbrechtsweiler' where plz='73268';
UPDATE eccourses set location='Wettenberg' where plz='35435';
UPDATE eccourses set location='Lasbek' where plz='23847';
UPDATE eccourses set location='Burghaslach, M' where plz='96152';
UPDATE eccourses set location='Grabau' where plz='23845';
UPDATE eccourses set location='Travenbrück' where plz='23843';
UPDATE eccourses set location='Furth im Wald, St' where plz='93437';
UPDATE eccourses set location='Frensdorf' where plz='96158';
UPDATE eccourses set location='Schöntal' where plz='74214';
UPDATE eccourses set location='Oberhausen an der Nahe' where plz='55585';
UPDATE eccourses set location='Bad Kreuznach, Stadt' where plz='55583';
UPDATE eccourses set location='Schwabbruck' where plz='86986';
UPDATE eccourses set location='Schwabsoien' where plz='86987';
UPDATE eccourses set location='Prem' where plz='86984';
UPDATE eccourses set location='Lechbruck am See' where plz='86983';
UPDATE eccourses set location='Ingenried' where plz='86980';
UPDATE eccourses set location='Kinsau' where plz='86981';
UPDATE eccourses set location='Rudelzhausen' where plz='84104';
UPDATE eccourses set location='Wildsteig' where plz='86989';
UPDATE eccourses set location='Sontra, Stadt' where plz='36205';
UPDATE eccourses set location='Wildeck' where plz='36208';
UPDATE eccourses set location='Syke, Stadt' where plz='28857';
UPDATE eccourses set location='Geretsried, St' where plz='82538';
UPDATE eccourses set location='Dirmstein' where plz='67246';
UPDATE eccourses set location='Darmstadt, Wissenschaftsstadt' where plz='64297';
UPDATE eccourses set location='Darmstadt, Wissenschaftsstadt' where plz='64295';
UPDATE eccourses set location='Darmstadt, Wissenschaftsstadt' where plz='64293';
UPDATE eccourses set location='Darmstadt, Wissenschaftsstadt' where plz='64291';
UPDATE eccourses set location='Walsleben' where plz='16818';
UPDATE eccourses set location='Neuruppin, Stadt' where plz='16816';
UPDATE eccourses set location='Höchberg, M' where plz='97204';
UPDATE eccourses set location='Veitshöchheim' where plz='97209';
UPDATE eccourses set location='Bad Honnef, Stadt' where plz='53604';
UPDATE eccourses set location='Melle, Stadt' where plz='49326';
UPDATE eccourses set location='Rheinbach, Stadt' where plz='53359';
UPDATE eccourses set location='Rodgau, Stadt' where plz='63110';
UPDATE eccourses set location='Freiburg (Elbe), Flecken' where plz='21729';
UPDATE eccourses set location='Steinkirchen' where plz='21720';
UPDATE eccourses set location='Hollern-Twielenfleth' where plz='21723';
UPDATE eccourses set location='Estorf' where plz='21727';
UPDATE eccourses set location='Oldendorf' where plz='21726';
UPDATE eccourses set location='Chemnitz, Stadt' where plz='09120';
UPDATE eccourses set location='Chemnitz, Stadt' where plz='09123';
UPDATE eccourses set location='Chemnitz, Stadt' where plz='09122';
UPDATE eccourses set location='Chemnitz, Stadt' where plz='09125';
UPDATE eccourses set location='Beelen' where plz='48361';
UPDATE eccourses set location='Chemnitz, Stadt' where plz='09127';
UPDATE eccourses set location='Chemnitz, Stadt' where plz='09126';
UPDATE eccourses set location='Mönchengladbach, Stadt' where plz='41239';
UPDATE eccourses set location='Chemnitz, Stadt' where plz='09128';
UPDATE eccourses set location='Saerbeck, NRW-Klimakommune' where plz='48369';
UPDATE eccourses set location='Essenbach, M' where plz='84051';
UPDATE eccourses set location='Brunnen' where plz='86564';
UPDATE eccourses set location='Gachenbach' where plz='86565';
UPDATE eccourses set location='Hilgertshausen-Tandern' where plz='86567';
UPDATE eccourses set location='Lößnitz, Stadt' where plz='08294';
UPDATE eccourses set location='Aresing' where plz='86561';
UPDATE eccourses set location='Berg im Gau' where plz='86562';
UPDATE eccourses set location='Zwönitz, Stadt' where plz='08297';
UPDATE eccourses set location='Lohberg' where plz='93470';
UPDATE eccourses set location='Hollenbach' where plz='86568';
UPDATE eccourses set location='Schwalmtal' where plz='41366';
UPDATE eccourses set location='Dinklage, Stadt' where plz='49413';
UPDATE eccourses set location='Hamburg, Freie und Hansestadt' where plz='20097';
UPDATE eccourses set location='Wagenfeld' where plz='49419';
UPDATE eccourses set location='Ketsch' where plz='68775';
UPDATE eccourses set location='Münster' where plz='86692';
UPDATE eccourses set location='Mertingen' where plz='86690';
UPDATE eccourses set location='Oberhausen' where plz='86697';
UPDATE eccourses set location='Niederschönenfeld' where plz='86694';
UPDATE eccourses set location='Westendorf' where plz='86695';
UPDATE eccourses set location='Schenkendöbern' where plz='03172';
UPDATE eccourses set location='Selent' where plz='24238';
UPDATE eccourses set location='Witten, Stadt' where plz='58456';
UPDATE eccourses set location='Witten, Stadt' where plz='58455';
UPDATE eccourses set location='Witten, Stadt' where plz='58454';
UPDATE eccourses set location='Witten, Stadt' where plz='58453';
UPDATE eccourses set location='Schollene' where plz='14715';
UPDATE eccourses set location='Schönkirchen' where plz='24232';
UPDATE eccourses set location='Wendtorf' where plz='24235';
UPDATE eccourses set location='Bielefeld, Stadt' where plz='33699';
UPDATE eccourses set location='Hamburg, Freie und Hansestadt' where plz='22767';
UPDATE eccourses set location='Warstein, Stadt' where plz='59581';
UPDATE eccourses set location='Hannover, Landeshauptstadt' where plz='30521';
UPDATE eccourses set location='Lindhorst' where plz='31698';
UPDATE eccourses set location='Schramberg, Stadt' where plz='78713';
UPDATE eccourses set location='Seggebruch' where plz='31691';
UPDATE eccourses set location='Hespe' where plz='31693';
UPDATE eccourses set location='Rostock, Hansestadt' where plz='18147';
UPDATE eccourses set location='Rostock, Hansestadt' where plz='18146';
UPDATE eccourses set location='Wald' where plz='87616';
UPDATE eccourses set location='Schliersee, M' where plz='83727';
UPDATE eccourses set location='Lauterecken, Stadt' where plz='67742';
UPDATE eccourses set location='Grumbach' where plz='67745';
UPDATE eccourses set location='Wiesweiler' where plz='67744';
UPDATE eccourses set location='Unterjeckenbach' where plz='67746';
UPDATE eccourses set location='Offenbach-Hundheim' where plz='67749';
UPDATE eccourses set location='Odenbach' where plz='67748';
UPDATE eccourses set location='Oderwitz' where plz='02791';
UPDATE eccourses set location='Kolbermoor, St' where plz='83059';
UPDATE eccourses set location='Gerstetten' where plz='89547';
UPDATE eccourses set location='Herbrechtingen, Stadt' where plz='89542';
UPDATE eccourses set location='Sinzheim' where plz='76547';
UPDATE eccourses set location='Zarpen' where plz='23619';
UPDATE eccourses set location='Ratekau' where plz='23611';
UPDATE eccourses set location='Stockelsdorf' where plz='23617';
UPDATE eccourses set location='Neustadt a.Main' where plz='97845';
UPDATE eccourses set location='Wiesthal' where plz='97846';
UPDATE eccourses set location='Hafenlohr' where plz='97840';
UPDATE eccourses set location='Ennigerloh, Stadt' where plz='59320';
UPDATE eccourses set location='Trunkelsberg' where plz='87779';
UPDATE eccourses set location='Sontheim' where plz='87776';
UPDATE eccourses set location='Salgen' where plz='87775';
UPDATE eccourses set location='Pfaffenhausen, M' where plz='87772';
UPDATE eccourses set location='Pleß' where plz='87773';
UPDATE eccourses set location='Oberschönegg' where plz='87770';
UPDATE eccourses set location='Wadersloh' where plz='59329';
UPDATE eccourses set location='Soltau, Stadt' where plz='29614';
UPDATE eccourses set location='Esslingen am Neckar, Stadt' where plz='73728';
UPDATE eccourses set location='Wittdün auf Amrum' where plz='25946';
UPDATE eccourses set location='Bodelshausen' where plz='72411';
UPDATE eccourses set location='Jungingen' where plz='72417';
UPDATE eccourses set location='Grosselfingen' where plz='72415';
UPDATE eccourses set location='Rangendingen' where plz='72414';
UPDATE eccourses set location='Neufra' where plz='72419';
UPDATE eccourses set location='Riedlingen, Stadt' where plz='88499';
UPDATE eccourses set location='Barleben' where plz='39179';
UPDATE eccourses set location='Adelberg' where plz='73099';
UPDATE eccourses set location='Vohenstrauß, St' where plz='92648';
UPDATE eccourses set location='Sengenthal' where plz='92318';
UPDATE eccourses set location='Sülzetal' where plz='39171';
UPDATE eccourses set location='Heiningen' where plz='73092';
UPDATE eccourses set location='Möser' where plz='39175';
UPDATE eccourses set location='Albershausen' where plz='73095';
UPDATE eccourses set location='Sonneberg' where plz='96529';
UPDATE eccourses set location='Frankenblick' where plz='96528';
UPDATE eccourses set location='Lübbecke, Stadt' where plz='32312';
UPDATE eccourses set location='Wiesbaden, Landeshauptstadt' where plz='55246';
UPDATE eccourses set location='Steinach, Stadt' where plz='96523';
UPDATE eccourses set location='Neuhaus-Schierschnitz' where plz='96524';
UPDATE eccourses set location='Illmensee' where plz='88636';
UPDATE eccourses set location='Leibertingen' where plz='88637';
UPDATE eccourses set location='Herdwangen-Schönach' where plz='88634';
UPDATE eccourses set location='Hergatz' where plz='88145';
UPDATE eccourses set location='Pfullendorf, Stadt' where plz='88630';
UPDATE eccourses set location='Achberg' where plz='88147';
UPDATE eccourses set location='Nonnenhorn' where plz='88149';
UPDATE eccourses set location='Wald' where plz='88639';
UPDATE eccourses set location='Zierzow' where plz='19300';
UPDATE eccourses set location='Groß-Zimmern' where plz='64846';
UPDATE eccourses set location='Steinen' where plz='79585';
UPDATE eccourses set location='Hamminkeln, Stadt' where plz='46499';
UPDATE eccourses set location='Trebur' where plz='65468';
UPDATE eccourses set location='Wurmberg' where plz='75449';
UPDATE eccourses set location='Ginsheim-Gustavsburg, Stadt' where plz='65462';
UPDATE eccourses set location='Sternenfels' where plz='75447';
UPDATE eccourses set location='Wiernsheim' where plz='75446';
UPDATE eccourses set location='Ötisheim' where plz='75443';
UPDATE eccourses set location='Oberlangen' where plz='49779';
UPDATE eccourses set location='Herzlake' where plz='49770';
UPDATE eccourses set location='Lähden' where plz='49774';
UPDATE eccourses set location='Stockheim' where plz='97638';
UPDATE eccourses set location='Stavern' where plz='49777';
UPDATE eccourses set location='Titisee-Neustadt, Stadt' where plz='79822';
UPDATE eccourses set location='Remchingen' where plz='75196';
UPDATE eccourses set location='Berlin, Stadt' where plz='10629';
UPDATE eccourses set location='Berlin, Stadt' where plz='10623';
UPDATE eccourses set location='Berlin, Stadt' where plz='10625';
UPDATE eccourses set location='Berlin, Stadt' where plz='10627';
UPDATE eccourses set location='Langenberg' where plz='33449';
UPDATE eccourses set location='Gerolstein, Stadt' where plz='54568';
UPDATE eccourses set location='Herscheid' where plz='58849';
UPDATE eccourses set location='München, Landeshauptstadt' where plz='81545';
UPDATE eccourses set location='Plettenberg, Stadt' where plz='58840';
UPDATE eccourses set location='Felsberg, Stadt' where plz='34587';
UPDATE eccourses set location='Weiterstadt, Stadt' where plz='64331';
UPDATE eccourses set location='Borken (Hessen), Stadt' where plz='34582';
UPDATE eccourses set location='Sailauf' where plz='63877';
UPDATE eccourses set location='Mespelbrunn' where plz='63875';
UPDATE eccourses set location='Dammbach' where plz='63874';
UPDATE eccourses set location='Mespelbrunn' where plz='63872';
UPDATE eccourses set location='Heinrichsthal' where plz='63871';
UPDATE eccourses set location='Weibersbrunn' where plz='63879';
UPDATE eccourses set location='Ingolstadt' where plz='85049';
UPDATE eccourses set location='Wiedemar' where plz='04509';
UPDATE eccourses set location='Rheine, Stadt' where plz='48429';
UPDATE eccourses set location='Vollersroda' where plz='99438';
UPDATE eccourses set location='Wohlsborn' where plz='99439';
UPDATE eccourses set location='Duisburg, Stadt' where plz='47055';
UPDATE eccourses set location='Prohn' where plz='18445';
UPDATE eccourses set location='Ludwigsburg, Stadt' where plz='71636';
UPDATE eccourses set location='Wendorf' where plz='18442';
UPDATE eccourses set location='Ludwigsburg, Stadt' where plz='71638';
UPDATE eccourses set location='Naundorf' where plz='04769';
UPDATE eccourses set location='Imsbach' where plz='67817';
UPDATE eccourses set location='Schwabhausen' where plz='85247';
UPDATE eccourses set location='Eimke' where plz='29578';
UPDATE eccourses set location='Emmendorf' where plz='29579';
UPDATE eccourses set location='Dreieich, Stadt' where plz='63303';
UPDATE eccourses set location='Rosche' where plz='29571';
UPDATE eccourses set location='Ebstorf,Klosterflecken' where plz='29574';
UPDATE eccourses set location='Altenmedingen' where plz='29575';
UPDATE eccourses set location='Barum' where plz='29576';
UPDATE eccourses set location='Lübben (Spreewald), Stadt' where plz='15907';
UPDATE eccourses set location='Grenzach-Wyhlen' where plz='79639';
UPDATE eccourses set location='Berlin, Stadt' where plz='12487';
UPDATE eccourses set location='Warburg, Hansestadt' where plz='34414';
UPDATE eccourses set location='Berlin, Stadt' where plz='12489';
UPDATE eccourses set location='Westheide' where plz='39343';
UPDATE eccourses set location='Haldensleben, Stadt' where plz='39340';
UPDATE eccourses set location='Rodenbach' where plz='67688';
UPDATE eccourses set location='Westheide' where plz='39345';
UPDATE eccourses set location='Weilerbach' where plz='67685';
UPDATE eccourses set location='Mackenbach' where plz='67686';
UPDATE eccourses set location='Sembach' where plz='67680';
UPDATE eccourses set location='Sembach' where plz='67681';
UPDATE eccourses set location='Hohenaltheim' where plz='86739';
UPDATE eccourses set location='Deiningen' where plz='86738';
UPDATE eccourses set location='Stangheck' where plz='24395';
UPDATE eccourses set location='Boren' where plz='24392';
UPDATE eccourses set location='Steyerberg, Flecken' where plz='31595';
UPDATE eccourses set location='Oettingen i.Bay., St' where plz='86732';
UPDATE eccourses set location='Forheim' where plz='86735';
UPDATE eccourses set location='Stolzenau' where plz='31592';
UPDATE eccourses set location='Grödersby' where plz='24399';
UPDATE eccourses set location='Winnemark' where plz='24398';
UPDATE eccourses set location='Dresden, Stadt' where plz='01307';
UPDATE eccourses set location='Waldhufen' where plz='02906';
UPDATE eccourses set location='Dresden, Stadt' where plz='01309';
UPDATE eccourses set location='Großharthau' where plz='01909';
UPDATE eccourses set location='Naumburg (Saale), Stadt' where plz='06628';
UPDATE eccourses set location='Burkau' where plz='01906';
UPDATE eccourses set location='Steinigtwolmsdorf' where plz='01904';
UPDATE eccourses set location='Großröhrsdorf, Stadt' where plz='01900';
UPDATE eccourses set location='Sallgast' where plz='03238';
UPDATE eccourses set location='Dormagen, Stadt' where plz='41541';
UPDATE eccourses set location='Lehre' where plz='38165';
UPDATE eccourses set location='Nürtingen, Stadt' where plz='72622';
UPDATE eccourses set location='Cremlingen' where plz='38162';
UPDATE eccourses set location='Leipzig, Stadt' where plz='04155';
UPDATE eccourses set location='Dötlingen' where plz='27801';
UPDATE eccourses set location='Quedlinburg, Stadt' where plz='06485';
UPDATE eccourses set location='Quedlinburg, Stadt' where plz='06484';
UPDATE eccourses set location='Königsbrunn, St' where plz='86343';
UPDATE eccourses set location='Weißenbrunn' where plz='96317';
UPDATE eccourses set location='Erbach, Stadt' where plz='89155';
UPDATE eccourses set location='Hütschenhausen' where plz='66882';
UPDATE eccourses set location='Bedesbach' where plz='66885';
UPDATE eccourses set location='Welchweiler' where plz='66887';
UPDATE eccourses set location='Friesenhagen' where plz='51598';
UPDATE eccourses set location='Bad Homburg v. d. Höhe, Stadt' where plz='61350';
UPDATE eccourses set location='Bad Homburg v. d. Höhe, Stadt' where plz='61352';
UPDATE eccourses set location='Lemwerder' where plz='27809';
UPDATE eccourses set location='Schieder-Schwalenberg, Stadt' where plz='32816';
UPDATE eccourses set location='Morsbach' where plz='51597';
UPDATE eccourses set location='Gönnheim' where plz='67161';
UPDATE eccourses set location='Mülheim-Kärlich, Stadt' where plz='56218';
UPDATE eccourses set location='Zwiesel, St' where plz='94227';
UPDATE eccourses set location='Heuchelheim' where plz='35452';
UPDATE eccourses set location='Lollar, Stadt' where plz='35457';
UPDATE eccourses set location='Elmenhorst' where plz='23869';
UPDATE eccourses set location='Wöbbelin' where plz='19288';
UPDATE eccourses set location='Nahe' where plz='23866';
UPDATE eccourses set location='Sülfeld' where plz='23867';
UPDATE eccourses set location='Klein Wesenberg' where plz='23860';
UPDATE eccourses set location='Nienwohld' where plz='23863';
UPDATE eccourses set location='Belgern-Schildau, Stadt' where plz='04889';
UPDATE eccourses set location='Trossin' where plz='04880';
UPDATE eccourses set location='Beilrode' where plz='04886';
UPDATE eccourses set location='Frankfurt am Main, Stadt' where plz='60489';
UPDATE eccourses set location='Frankfurt am Main, Stadt' where plz='60488';
UPDATE eccourses set location='Frankfurt am Main, Stadt' where plz='60487';
UPDATE eccourses set location='Frankfurt am Main, Stadt' where plz='60486';
UPDATE eccourses set location='Hamburg, Freie und Hansestadt' where plz='22115';
UPDATE eccourses set location='Pinneberg, Stadt' where plz='25421';
UPDATE eccourses set location='Eschweiler, Stadt' where plz='52249';
UPDATE eccourses set location='Hörsel' where plz='99880';
UPDATE eccourses set location='Petriroda' where plz='99887';
UPDATE eccourses set location='Wölfis' where plz='99885';
UPDATE eccourses set location='Rheinsberg, Stadt' where plz='16837';
UPDATE eccourses set location='Vielitzsee' where plz='16835';
UPDATE eccourses set location='Ortenberg, Stadt' where plz='63683';
UPDATE eccourses set location='Panketal' where plz='16341';
UPDATE eccourses set location='Hamburg, Freie und Hansestadt' where plz='22119';
UPDATE eccourses set location='Rheinsberg, Stadt' where plz='16831';
UPDATE eccourses set location='Gedern, Stadt' where plz='63688';
UPDATE eccourses set location='Wandlitz' where plz='16348';
UPDATE eccourses set location='Berlin, Stadt' where plz='12107';
UPDATE eccourses set location='Berlin, Stadt' where plz='12105';
UPDATE eccourses set location='Berlin, Stadt' where plz='12103';
UPDATE eccourses set location='Berlin, Stadt' where plz='12101';
UPDATE eccourses set location='Berlin, Stadt' where plz='12109';
UPDATE eccourses set location='Koblenz, Stadt' where plz='56077';
UPDATE eccourses set location='Koblenz, Stadt' where plz='56076';
UPDATE eccourses set location='Koblenz, Stadt' where plz='56075';
UPDATE eccourses set location='Koblenz, Stadt' where plz='56073';
UPDATE eccourses set location='Koblenz, Stadt' where plz='56072';
UPDATE eccourses set location='Koblenz, Stadt' where plz='56070';
UPDATE eccourses set location='Güntersleben' where plz='97261';
UPDATE eccourses set location='Hausen b.Würzburg' where plz='97262';
UPDATE eccourses set location='Hettstadt' where plz='97265';
UPDATE eccourses set location='Uettingen' where plz='97264';
UPDATE eccourses set location='Himmelstadt' where plz='97267';
UPDATE eccourses set location='Bad Alexandersbad' where plz='95680';
UPDATE eccourses set location='Erfurt, Stadt' where plz='99089';
UPDATE eccourses set location='Brand' where plz='95682';
UPDATE eccourses set location='Falkenberg, M' where plz='95685';
UPDATE eccourses set location='Düsseldorf, Stadt' where plz='40237';
UPDATE eccourses set location='Wiesau, M' where plz='95689';
UPDATE eccourses set location='Friedenfels' where plz='95688';
UPDATE eccourses set location='Erfurt, Stadt' where plz='99087';
UPDATE eccourses set location='Erfurt, Stadt' where plz='99086';
UPDATE eccourses set location='Erfurt, Stadt' where plz='99085';
UPDATE eccourses set location='Erfurt, Stadt' where plz='99084';
UPDATE eccourses set location='Wistedt' where plz='21255';
UPDATE eccourses set location='Großenwörden' where plz='21706';
UPDATE eccourses set location='Handeloh' where plz='21256';
UPDATE eccourses set location='Ahlerstedt' where plz='21702';
UPDATE eccourses set location='Otter' where plz='21259';
UPDATE eccourses set location='Heidenau' where plz='21258';
UPDATE eccourses set location='Himmelpforten' where plz='21709';
UPDATE eccourses set location='Düsseldorf, Stadt' where plz='40233';
UPDATE eccourses set location='Pfeffenhausen, M' where plz='84076';
UPDATE eccourses set location='Nossen, Stadt' where plz='01683';
UPDATE eccourses set location='Au i.d.Hallertau, M' where plz='84072';
UPDATE eccourses set location='Weinböhla' where plz='01689';
UPDATE eccourses set location='Düsseldorf, Stadt' where plz='40231';
UPDATE eccourses set location='Bruckberg' where plz='84079';
UPDATE eccourses set location='Einbeck, Stadt' where plz='37574';
UPDATE eccourses set location='Nottuln' where plz='48301';
UPDATE eccourses set location='Senden' where plz='48308';
UPDATE eccourses set location='Mildenau' where plz='09456';
UPDATE eccourses set location='Laugna' where plz='86502';
UPDATE eccourses set location='Kutzenhausen' where plz='86500';
UPDATE eccourses set location='Dortmund, Stadt' where plz='44139';
UPDATE eccourses set location='Oberottmarshausen' where plz='86507';
UPDATE eccourses set location='Merching' where plz='86504';
UPDATE eccourses set location='Münsterhausen, M' where plz='86505';
UPDATE eccourses set location='Dortmund, Stadt' where plz='44135';
UPDATE eccourses set location='Dortmund, Stadt' where plz='44137';
UPDATE eccourses set location='Nordenham, Stadt' where plz='26954';
UPDATE eccourses set location='Neuenkirchen-Vörden' where plz='49434';
UPDATE eccourses set location='Beverungen, Stadt' where plz='37688';
UPDATE eccourses set location='Steinfeld (Oldenburg)' where plz='49439';
UPDATE eccourses set location='Düsseldorf, Stadt' where plz='40239';
UPDATE eccourses set location='Waghäusel, Stadt' where plz='68753';
UPDATE eccourses set location='Fellbach, Stadt' where plz='70734';
UPDATE eccourses set location='Fellbach, Stadt' where plz='70736';
UPDATE eccourses set location='Dortmund, Stadt' where plz='44359';
UPDATE eccourses set location='Werdau, Stadt' where plz='08412';
UPDATE eccourses set location='Dortmund, Stadt' where plz='44357';
UPDATE eccourses set location='Wetter (Ruhr), Stadt' where plz='58300';
UPDATE eccourses set location='Gelsenkirchen, Stadt' where plz='45886';
UPDATE eccourses set location='Kuhardt' where plz='76773';
UPDATE eccourses set location='Gelsenkirchen, Stadt' where plz='45884';
UPDATE eccourses set location='Hördt' where plz='76771';
UPDATE eccourses set location='Neuburg am Rhein' where plz='76776';
UPDATE eccourses set location='Gelsenkirchen, Stadt' where plz='45883';
UPDATE eccourses set location='Leimersheim' where plz='76774';
UPDATE eccourses set location='Gelsenkirchen, Stadt' where plz='45881';
UPDATE eccourses set location='Wörth am Rhein, Stadt' where plz='76779';
UPDATE eccourses set location='Gelsenkirchen, Stadt' where plz='45888';
UPDATE eccourses set location='Gelsenkirchen, Stadt' where plz='45889';
UPDATE eccourses set location='Hardt' where plz='78739';
UPDATE eccourses set location='Epfendorf' where plz='78736';
UPDATE eccourses set location='Fluorn-Winzeln' where plz='78737';
UPDATE eccourses set location='Lauterbach' where plz='78730';
UPDATE eccourses set location='Schiltach, Stadt' where plz='78733';
UPDATE eccourses set location='Horben' where plz='79289';
UPDATE eccourses set location='Gottenheim' where plz='79288';
UPDATE eccourses set location='Wald' where plz='87637';
UPDATE eccourses set location='Obergünzburg, M' where plz='87634';
UPDATE eccourses set location='Bollschweil' where plz='79283';
UPDATE eccourses set location='Ballrechten-Dottingen' where plz='79282';
UPDATE eccourses set location='Au' where plz='79280';
UPDATE eccourses set location='Glottertal' where plz='79286';
UPDATE eccourses set location='Ebringen' where plz='79285';
UPDATE eccourses set location='Gmund a.Tegernsee' where plz='83703';
UPDATE eccourses set location='Rottach-Egern' where plz='83700';
UPDATE eccourses set location='Kreuth' where plz='83707';
UPDATE eccourses set location='Untermünkheim' where plz='74547';
UPDATE eccourses set location='Weeze' where plz='47652';
UPDATE eccourses set location='Kammlach' where plz='87754';
UPDATE eccourses set location='Kirchhaslach' where plz='87755';
UPDATE eccourses set location='Salgen' where plz='87757';
UPDATE eccourses set location='Heimertingen' where plz='87751';
UPDATE eccourses set location='Holzgünz' where plz='87752';
UPDATE eccourses set location='Kronburg' where plz='87758';
UPDATE eccourses set location='Karlsruhe, Stadt' where plz='76199';
UPDATE eccourses set location='Vellberg, Stadt' where plz='74541';
UPDATE eccourses set location='Oelde, Stadt' where plz='59302';
UPDATE eccourses set location='Munster, Stadt' where plz='29633';
UPDATE eccourses set location='Naumburg, Stadt' where plz='34311';
UPDATE eccourses set location='Sohrschied' where plz='55487';
UPDATE eccourses set location='Unzenberg' where plz='55483';
UPDATE eccourses set location='Womrath' where plz='55481';
UPDATE eccourses set location='Eichenbühl' where plz='74731';
UPDATE eccourses set location='Trossingen, Stadt' where plz='78647';
UPDATE eccourses set location='Hardheim' where plz='74736';
UPDATE eccourses set location='Würzburg' where plz='97084';
UPDATE eccourses set location='Straßberg' where plz='72479';
UPDATE eccourses set location='Görwihl' where plz='79733';
UPDATE eccourses set location='Wolpertshausen' where plz='74549';
UPDATE eccourses set location='Frielendorf' where plz='34621';
UPDATE eccourses set location='Bitz' where plz='72475';
UPDATE eccourses set location='Winterlingen' where plz='72474';
UPDATE eccourses set location='Willingshausen' where plz='34628';
UPDATE eccourses set location='Berching, St' where plz='92334';
UPDATE eccourses set location='Parsberg, St' where plz='92331';
UPDATE eccourses set location='Beilngries, St' where plz='92339';
UPDATE eccourses set location='Dillenburg, Stadt' where plz='35689';
UPDATE eccourses set location='Dillenburg, Stadt' where plz='35688';
UPDATE eccourses set location='Dillenburg, Stadt' where plz='35687';
UPDATE eccourses set location='Dillenburg, Stadt' where plz='35686';
UPDATE eccourses set location='Dillenburg, Stadt' where plz='35685';
UPDATE eccourses set location='Dillenburg, Stadt' where plz='35684';
UPDATE eccourses set location='Dillenburg, Stadt' where plz='35683';
UPDATE eccourses set location='Fichtenberg' where plz='74427';
UPDATE eccourses set location='Wackernheim' where plz='55263';
UPDATE eccourses set location='Heidesheim am Rhein' where plz='55262';
UPDATE eccourses set location='Pirow' where plz='19348';
UPDATE eccourses set location='Billigheim' where plz='74842';
UPDATE eccourses set location='Nieder-Olm, Stadt' where plz='55268';
UPDATE eccourses set location='Obrigheim' where plz='74847';
UPDATE eccourses set location='Wiesbaden, Landeshauptstadt' where plz='65199';
UPDATE eccourses set location='Allstedt, Stadt' where plz='06542';
UPDATE eccourses set location='Arnstein, Stadt' where plz='06543';
UPDATE eccourses set location='Wiesbaden, Landeshauptstadt' where plz='65193';
UPDATE eccourses set location='Wiesbaden, Landeshauptstadt' where plz='65191';
UPDATE eccourses set location='Wiesbaden, Landeshauptstadt' where plz='65197';
UPDATE eccourses set location='Wiesbaden, Landeshauptstadt' where plz='65195';
UPDATE eccourses set location='Groß-Umstadt, Stadt' where plz='64823';
UPDATE eccourses set location='Hemsbach, Stadt' where plz='69502';
UPDATE eccourses set location='Berlin, Stadt' where plz='10999';
UPDATE eccourses set location='Mörlenbach' where plz='69509';
UPDATE eccourses set location='Berlin, Stadt' where plz='10997';
UPDATE eccourses set location='Willenscharen' where plz='24616';
UPDATE eccourses set location='Wiedenborstel' where plz='24613';
UPDATE eccourses set location='Trappenkamp' where plz='24610';
UPDATE eccourses set location='Tarbek' where plz='24619';
UPDATE eccourses set location='Flensburg, Stadt' where plz='24944';
UPDATE eccourses set location='Tastrup' where plz='24943';
UPDATE eccourses set location='Flensburg, Stadt' where plz='24941';
UPDATE eccourses set location='Bad Pyrmont, Stadt' where plz='31812';
UPDATE eccourses set location='München, Landeshauptstadt' where plz='81369';
UPDATE eccourses set location='Schnelldorf' where plz='74594';
UPDATE eccourses set location='Langenburg, Stadt' where plz='74595';
UPDATE eccourses set location='Jagstzell' where plz='74597';
UPDATE eccourses set location='Bamberg' where plz='96050';
UPDATE eccourses set location='Kirchberg an der Jagst, Stadt' where plz='74592';
UPDATE eccourses set location='Bamberg' where plz='96052';
UPDATE eccourses set location='Niederkassel, Stadt' where plz='53859';
UPDATE eccourses set location='Wallhausen' where plz='74599';
UPDATE eccourses set location='Zella-Mehlis, Stadt' where plz='98544';
UPDATE eccourses set location='Wölfershausen' where plz='98547';
UPDATE eccourses set location='Sigmarszell' where plz='88175';
UPDATE eccourses set location='Berlin, Stadt' where plz='13469';
UPDATE eccourses set location='Wusterwitz' where plz='14789';
UPDATE eccourses set location='Berlin, Stadt' where plz='13467';
UPDATE eccourses set location='Berlin, Stadt' where plz='13465';
UPDATE eccourses set location='Wolnzach, M' where plz='85283';
UPDATE eccourses set location='Bielefeld, Stadt' where plz='33607';
UPDATE eccourses set location='Vilseck, St' where plz='92249';
UPDATE eccourses set location='Staudernheim' where plz='55568';
UPDATE eccourses set location='Süpplingen' where plz='38373';
UPDATE eccourses set location='Nußbaum' where plz='55569';
UPDATE eccourses set location='Pfungstadt, Stadt' where plz='64319';
UPDATE eccourses set location='Wolferstadt' where plz='86650';
UPDATE eccourses set location='Westergellersen' where plz='21394';
UPDATE eccourses set location='Tespe' where plz='21395';
UPDATE eccourses set location='Vastorf' where plz='21397';
UPDATE eccourses set location='Reppenstedt' where plz='21391';
UPDATE eccourses set location='Miltenberg, St' where plz='63897';
UPDATE eccourses set location='Pettstadt' where plz='96175';
UPDATE eccourses set location='Neetze' where plz='21398';
UPDATE eccourses set location='Kitzscher, Stadt' where plz='04567';
UPDATE eccourses set location='Böhlen, Stadt' where plz='04564';
UPDATE eccourses set location='Regis-Breitingen, Stadt' where plz='04565';
UPDATE eccourses set location='Hamburg, Freie und Hansestadt' where plz='27499';
UPDATE eccourses set location='Helgoland' where plz='27498';
UPDATE eccourses set location='Kümmersbruck' where plz='92245';
UPDATE eccourses set location='Aachen, Stadt' where plz='52068';
UPDATE eccourses set location='Bad Brambach' where plz='08648';
UPDATE eccourses set location='Bad Elster, Stadt' where plz='08645';
UPDATE eccourses set location='Aachen, Stadt' where plz='52064';
UPDATE eccourses set location='Mühlhausen-Ehingen' where plz='78259';
UPDATE eccourses set location='Eigeltingen' where plz='78253';
UPDATE eccourses set location='Harsewinkel, Die Mähdrescherstadt' where plz='33428';
UPDATE eccourses set location='Tengen, Stadt' where plz='78250';
UPDATE eccourses set location='Steißlingen' where plz='78256';
UPDATE eccourses set location='Ubstadt-Weiher' where plz='76698';
UPDATE eccourses set location='Forst' where plz='76694';
UPDATE eccourses set location='Eggenstein-Leopoldshafen' where plz='76344';
UPDATE eccourses set location='Rödermark, Stadt' where plz='63322';
UPDATE eccourses set location='Egelsbach' where plz='63329';
UPDATE eccourses set location='Dresden, Stadt' where plz='01097';
UPDATE eccourses set location='Witzenhausen, Stadt' where plz='37218';
UPDATE eccourses set location='Witzenhausen, Stadt' where plz='37216';
UPDATE eccourses set location='Witzenhausen, Stadt' where plz='37217';
UPDATE eccourses set location='Witzenhausen, Stadt' where plz='37214';
UPDATE eccourses set location='Witzenhausen, Stadt' where plz='37215';
UPDATE eccourses set location='Dresden, Stadt' where plz='01099';
UPDATE eccourses set location='Witzenhausen, Stadt' where plz='37213';
UPDATE eccourses set location='Willebadessen, Stadt' where plz='34439';
UPDATE eccourses set location='Luckau, Stadt' where plz='15926';
UPDATE eccourses set location='Borgentreich, Orgelstadt' where plz='34434';
UPDATE eccourses set location='Emden, Stadt' where plz='26721';
UPDATE eccourses set location='Emden, Stadt' where plz='26723';
UPDATE eccourses set location='Emden, Stadt' where plz='26725';
UPDATE eccourses set location='Bodenwöhr' where plz='92439';
UPDATE eccourses set location='Guttenberg' where plz='95358';
UPDATE eccourses set location='Bruck i.d.OPf., M' where plz='92436';
UPDATE eccourses set location='Presseck, M' where plz='95355';
UPDATE eccourses set location='Wefensleben' where plz='39365';
UPDATE eccourses set location='Thanstein' where plz='92431';
UPDATE eccourses set location='Rabel' where plz='24376';
UPDATE eccourses set location='Rothenburg/O.L., Stadt' where plz='02929';
UPDATE eccourses set location='Dresden, Stadt' where plz='01326';
UPDATE eccourses set location='Dresden, Stadt' where plz='01324';
UPDATE eccourses set location='Kodersdorf' where plz='02923';
UPDATE eccourses set location='Mannheim, Universitätsstadt' where plz='68259';
UPDATE eccourses set location='Tröbitz' where plz='03253';
UPDATE eccourses set location='Bremen, Stadt' where plz='28717';
UPDATE eccourses set location='Krefeld, Stadt' where plz='47798';
UPDATE eccourses set location='Krefeld, Stadt' where plz='47799';
UPDATE eccourses set location='Bremen, Stadt' where plz='28719';
UPDATE eccourses set location='Endingen am Kaiserstuhl, Stadt' where plz='79346';
UPDATE eccourses set location='Oberboihingen' where plz='72644';
UPDATE eccourses set location='Kenzingen, Stadt' where plz='79341';
UPDATE eccourses set location='Rheinfelden (Baden), Stadt' where plz='79618';
UPDATE eccourses set location='Wolfschlugen' where plz='72649';
UPDATE eccourses set location='Freiamt' where plz='79348';
UPDATE eccourses set location='Zell unter Aichelberg' where plz='73119';
UPDATE eccourses set location='Schlat' where plz='73114';
UPDATE eccourses set location='Wangen' where plz='73117';
UPDATE eccourses set location='Lauterstein, Stadt' where plz='73111';
UPDATE eccourses set location='Hattenhofen' where plz='73110';
UPDATE eccourses set location='Ottenbach' where plz='73113';
UPDATE eccourses set location='Köln, Stadt' where plz='50999';
UPDATE eccourses set location='Köln, Stadt' where plz='50996';
UPDATE eccourses set location='Köln, Stadt' where plz='50997';
UPDATE eccourses set location='Pressig, M' where plz='96332';
UPDATE eccourses set location='Blaustein, Stadt' where plz='89134';
UPDATE eccourses set location='Ludwigsstadt, St' where plz='96337';
UPDATE eccourses set location='Ansbach' where plz='91522';
UPDATE eccourses set location='Frankfurt am Main, Stadt' where plz='60318';
UPDATE eccourses set location='Frankfurt am Main, Stadt' where plz='60316';
UPDATE eccourses set location='Frankfurt am Main, Stadt' where plz='60314';
UPDATE eccourses set location='Frankfurt am Main, Stadt' where plz='60313';
UPDATE eccourses set location='Frankfurt am Main, Stadt' where plz='60311';
UPDATE eccourses set location='Frankfurt am Main, Stadt' where plz='60310';
UPDATE eccourses set location='Lilienthal' where plz='28865';
UPDATE eccourses set location='Wattendorf' where plz='96196';
UPDATE eccourses set location='Hemmingen, Stadt' where plz='30966';
UPDATE eccourses set location='Untermerzbach' where plz='96190';
UPDATE eccourses set location='Viereth-Trunstadt' where plz='96191';
UPDATE eccourses set location='Wachenroth, M' where plz='96193';
UPDATE eccourses set location='Zapfendorf, M' where plz='96199';
UPDATE eccourses set location='Weyher in der Pfalz' where plz='76835';
UPDATE eccourses set location='Impflingen' where plz='76831';
UPDATE eccourses set location='Walsheim' where plz='76833';
UPDATE eccourses set location='Gera, Stadt' where plz='07552';
UPDATE eccourses set location='Gera, Stadt' where plz='07551';
UPDATE eccourses set location='Zedlitz' where plz='07557';
UPDATE eccourses set location='Schwaara' where plz='07554';
UPDATE eccourses set location='Kriftel' where plz='65830';
UPDATE eccourses set location='Liederbach am Taunus' where plz='65835';
UPDATE eccourses set location='Haselünne, Stadt' where plz='49740';
UPDATE eccourses set location='Bottrop, Stadt' where plz='46240';
UPDATE eccourses set location='Vogt' where plz='88267';
UPDATE eccourses set location='Argenbühl' where plz='88260';
UPDATE eccourses set location='Oberhausen, Stadt' where plz='46049';
UPDATE eccourses set location='Velbert, Stadt' where plz='42549';
UPDATE eccourses set location='Oberhausen, Stadt' where plz='46047';
UPDATE eccourses set location='Oberhausen, Stadt' where plz='46045';
UPDATE eccourses set location='Ittlingen' where plz='74930';
UPDATE eccourses set location='Stolberg (Rhld.), Kupferstadt' where plz='52222';
UPDATE eccourses set location='Stolberg (Rhld.), Kupferstadt' where plz='52223';
UPDATE eccourses set location='Stolberg (Rhld.), Kupferstadt' where plz='52224';
UPDATE eccourses set location='Stebach' where plz='56276';
UPDATE eccourses set location='Mistelbach' where plz='95511';
UPDATE eccourses set location='Dietenhofen, M' where plz='90599';
UPDATE eccourses set location='Bonn, Stadt' where plz='53179';
UPDATE eccourses set location='Neustadt am Kulm, St' where plz='95514';
UPDATE eccourses set location='Seybothenreuth' where plz='95517';
UPDATE eccourses set location='Bonn, Stadt' where plz='53175';
UPDATE eccourses set location='Bonn, Stadt' where plz='53177';
UPDATE eccourses set location='Schwanstetten, M' where plz='90596';
UPDATE eccourses set location='Bonn, Stadt' where plz='53173';
UPDATE eccourses set location='Hiddenhausen' where plz='32120';
UPDATE eccourses set location='Nidda, Stadt' where plz='63667';
UPDATE eccourses set location='Altenberge' where plz='48341';
UPDATE eccourses set location='Eisenheim, M' where plz='97247';
UPDATE eccourses set location='Winterhausen, M' where plz='97246';
UPDATE eccourses set location='Hamburg, Freie und Hansestadt' where plz='21129';
UPDATE eccourses set location='Bütthard, M' where plz='97244';
UPDATE eccourses set location='Bieberehren' where plz='97243';
UPDATE eccourses set location='Oberpleichfeld' where plz='97241';
UPDATE eccourses set location='Eisingen' where plz='97249';
UPDATE eccourses set location='Egestorf' where plz='21272';
UPDATE eccourses set location='Hanstedt' where plz='21271';
UPDATE eccourses set location='Nortrup' where plz='49638';
UPDATE eccourses set location='Undeloh' where plz='21274';
UPDATE eccourses set location='Badbergen' where plz='49635';
UPDATE eccourses set location='Wenzendorf' where plz='21279';
UPDATE eccourses set location='Essen (Oldenburg)' where plz='49632';
UPDATE eccourses set location='Klipphausen' where plz='01665';
UPDATE eccourses set location='Meißen, Stadt' where plz='01662';
UPDATE eccourses set location='Havixbeck' where plz='48329';
UPDATE eccourses set location='Wiesbaden, Landeshauptstadt' where plz='65203';
UPDATE eccourses set location='Königswalde' where plz='09471';
UPDATE eccourses set location='Jöhstadt, Stadt' where plz='09477';
UPDATE eccourses set location='Crottendorf' where plz='09474';
UPDATE eccourses set location='Waidhofen' where plz='86529';
UPDATE eccourses set location='Quernheim' where plz='49459';
UPDATE eccourses set location='Frankfurt am Main, Stadt' where plz='60596';
UPDATE eccourses set location='Holdorf' where plz='49451';
UPDATE eccourses set location='Wetschen' where plz='49453';
UPDATE eccourses set location='Drebber' where plz='49457';
UPDATE eccourses set location='Bakum' where plz='49456';
UPDATE eccourses set location='Neuhausen/Erzgeb.' where plz='09544';
UPDATE eccourses set location='Schwaikheim' where plz='71409';
UPDATE eccourses set location='Altdorf' where plz='71155';
UPDATE eccourses set location='Nufringen' where plz='71154';
UPDATE eccourses set location='Korb' where plz='71404';
UPDATE eccourses set location='Mötzingen' where plz='71159';
UPDATE eccourses set location='Geldern, Stadt' where plz='47608';
UPDATE eccourses set location='Frankfurt am Main, Stadt' where plz='60598';
UPDATE eccourses set location='Schweich, Stadt' where plz='54338';
UPDATE eccourses set location='Kirschkau' where plz='07919';
UPDATE eccourses set location='Wasserliesch' where plz='54332';
UPDATE eccourses set location='Pellingen' where plz='54331';
UPDATE eccourses set location='Iffezheim' where plz='76473';
UPDATE eccourses set location='Jockgrim' where plz='76751';
UPDATE eccourses set location='Bellheim' where plz='76756';
UPDATE eccourses set location='Eiselfing' where plz='83549';
UPDATE eccourses set location='Albaching' where plz='83544';
UPDATE eccourses set location='Babensham' where plz='83547';
UPDATE eccourses set location='Gars a.Inn, M' where plz='83546';
UPDATE eccourses set location='Markneukirchen, Stadt' where plz='08258';
UPDATE eccourses set location='Rott a.Inn' where plz='83543';
UPDATE eccourses set location='Rheinberg, Stadt' where plz='47495';
UPDATE eccourses set location='Thulendorf' where plz='18184';
UPDATE eccourses set location='Graal-Müritz' where plz='18181';
UPDATE eccourses set location='Rövershagen' where plz='18182';
UPDATE eccourses set location='Hopferau' where plz='87659';
UPDATE eccourses set location='Bidingen' where plz='87651';
UPDATE eccourses set location='Baisweil' where plz='87650';
UPDATE eccourses set location='Friesenried' where plz='87653';
UPDATE eccourses set location='Friesenried' where plz='87654';
UPDATE eccourses set location='Görisried' where plz='87657';
UPDATE eccourses set location='Germaringen' where plz='87656';
UPDATE eccourses set location='Brannenburg' where plz='83098';
UPDATE eccourses set location='Lüchow (Wendland), Stadt' where plz='29439';
UPDATE eccourses set location='Obernholz' where plz='29386';
UPDATE eccourses set location='Bad Endorf, M' where plz='83093';
UPDATE eccourses set location='Bad Bodenteich, Flecken' where plz='29389';
UPDATE eccourses set location='Dortmund, Stadt' where plz='44379';
UPDATE eccourses set location='Saarbrücken, Landeshauptstadt' where plz='66128';
UPDATE eccourses set location='Saarbrücken, Landeshauptstadt' where plz='66129';
UPDATE eccourses set location='Saarbrücken, Landeshauptstadt' where plz='66123';
UPDATE eccourses set location='Saarbrücken, Landeshauptstadt' where plz='66121';
UPDATE eccourses set location='Saarbrücken, Landeshauptstadt' where plz='66126';
UPDATE eccourses set location='Saarbrücken, Landeshauptstadt' where plz='66127';
UPDATE eccourses set location='Lauterach' where plz='89584';
UPDATE eccourses set location='Vöhringen' where plz='72189';
UPDATE eccourses set location='Markt Rettenbach, M' where plz='87733';
UPDATE eccourses set location='Bad Grönenbach, M' where plz='87730';
UPDATE eccourses set location='Böhen' where plz='87736';
UPDATE eccourses set location='Pleß' where plz='87737';
UPDATE eccourses set location='Benningen' where plz='87734';
UPDATE eccourses set location='Starzach' where plz='72181';
UPDATE eccourses set location='Breddorf' where plz='27726';
UPDATE eccourses set location='Breitenbrunn' where plz='87739';
UPDATE eccourses set location='Eutingen im Gäu' where plz='72184';
UPDATE eccourses set location='Ritterhude' where plz='27721';
UPDATE eccourses set location='Sulz am Neckar, Stadt' where plz='72186';
UPDATE eccourses set location='Werne, Stadt' where plz='59368';
UPDATE eccourses set location='Sylt' where plz='25980';
UPDATE eccourses set location='Bad Salzdetfurth, Stadt' where plz='31162';
UPDATE eccourses set location='Bockenem, Stadt' where plz='31167';
UPDATE eccourses set location='Rosenthal, Stadt' where plz='35119';
UPDATE eccourses set location='Münchhausen' where plz='35117';
UPDATE eccourses set location='Hatzfeld (Eder), Stadt' where plz='35116';
UPDATE eccourses set location='Haina (Kloster)' where plz='35114';
UPDATE eccourses set location='Fronhausen' where plz='35112';
UPDATE eccourses set location='Frankenau, Stadt' where plz='35110';
UPDATE eccourses set location='Simmern/ Hunsrück, Stadt' where plz='55469';
UPDATE eccourses set location='Kandern, Stadt' where plz='79400';
UPDATE eccourses set location='Petershagen, Stadt' where plz='32469';
UPDATE eccourses set location='Albstadt, Stadt' where plz='72459';
UPDATE eccourses set location='Albstadt, Stadt' where plz='72458';
UPDATE eccourses set location='Zörbig, Stadt' where plz='06780';
UPDATE eccourses set location='Böbing' where plz='82389';
UPDATE eccourses set location='Oranienbaum-Wörlitz, Stadt' where plz='06785';
UPDATE eccourses set location='Tannheim' where plz='88459';
UPDATE eccourses set location='Ingoldingen' where plz='88456';
UPDATE eccourses set location='Kirchdorf an der Iller' where plz='88457';
UPDATE eccourses set location='Hochdorf' where plz='88454';
UPDATE eccourses set location='Hohenpeißenberg' where plz='82383';
UPDATE eccourses set location='Erolzheim' where plz='88453';
UPDATE eccourses set location='Kirchdorf an der Iller' where plz='88450';
UPDATE eccourses set location='Antdorf' where plz='82387';
UPDATE eccourses set location='Bochum, Stadt' where plz='44805';
UPDATE eccourses set location='Postbauer-Heng, M' where plz='92353';
UPDATE eccourses set location='Bochum, Stadt' where plz='44807';
UPDATE eccourses set location='Bochum, Stadt' where plz='44801';
UPDATE eccourses set location='Bochum, Stadt' where plz='44803';
UPDATE eccourses set location='Velburg, St' where plz='92355';
UPDATE eccourses set location='Seubersdorf i.d.OPf.' where plz='92358';
UPDATE eccourses set location='Bochum, Stadt' where plz='44809';
UPDATE eccourses set location='Wattenbek' where plz='24582';
UPDATE eccourses set location='Schülp b. Nortorf' where plz='24589';
UPDATE eccourses set location='Kronberg im Taunus, Stadt' where plz='61476';
UPDATE eccourses set location='Mitterfels, M' where plz='94360';
UPDATE eccourses set location='Vlotho, Stadt' where plz='32602';
UPDATE eccourses set location='Glashütten' where plz='61479';
UPDATE eccourses set location='Neukirchen' where plz='94362';
UPDATE eccourses set location='Hamburg, Freie und Hansestadt' where plz='22299';
UPDATE eccourses set location='Hamburg, Freie und Hansestadt' where plz='22529';
UPDATE eccourses set location='Hamburg, Freie und Hansestadt' where plz='22527';
UPDATE eccourses set location='Hamburg, Freie und Hansestadt' where plz='22297';
UPDATE eccourses set location='Markdorf, Stadt' where plz='88677';
UPDATE eccourses set location='Dieburg, Stadt' where plz='64807';
UPDATE eccourses set location='Sande' where plz='26452';
UPDATE eccourses set location='Schmalensee' where plz='24638';
UPDATE eccourses set location='Padenstedt' where plz='24634';
UPDATE eccourses set location='Rickling' where plz='24635';
UPDATE eccourses set location='Groß Buchwald' where plz='24637';
UPDATE eccourses set location='Langwedel' where plz='24631';
UPDATE eccourses set location='Lentföhrden' where plz='24632';
UPDATE eccourses set location='Deggingen' where plz='73326';
UPDATE eccourses set location='Rastede' where plz='26180';
UPDATE eccourses set location='Edewecht' where plz='26188';
UPDATE eccourses set location='Kuchen' where plz='73329';
UPDATE eccourses set location='Springe, Stadt' where plz='31832';
UPDATE eccourses set location='Neudenau, Stadt' where plz='74861';
UPDATE eccourses set location='Binau' where plz='74862';
UPDATE eccourses set location='Fahrenbach' where plz='74864';
UPDATE eccourses set location='Neckarzimmern' where plz='74865';
UPDATE eccourses set location='Neunkirchen' where plz='74867';
UPDATE eccourses set location='Schwarzach' where plz='74869';
UPDATE eccourses set location='Schönau a.d.Brend' where plz='97659';
UPDATE eccourses set location='Bastheim' where plz='97654';
UPDATE eccourses set location='Sandberg' where plz='97657';
UPDATE eccourses set location='Nordheim v.d.Rhön' where plz='97650';
UPDATE eccourses set location='Bischofsheim a.d.Rhön, St' where plz='97653';
UPDATE eccourses set location='Berlin, Stadt' where plz='13403';
UPDATE eccourses set location='Berlin, Stadt' where plz='13405';
UPDATE eccourses set location='Berlin, Stadt' where plz='13407';
UPDATE eccourses set location='Berlin, Stadt' where plz='13409';
UPDATE eccourses set location='Sörup' where plz='24966';
UPDATE eccourses set location='Munkbrarup' where plz='24960';
UPDATE eccourses set location='Tarp' where plz='24963';
UPDATE eccourses set location='Rees, Stadt' where plz='46459';
UPDATE eccourses set location='München, Landeshauptstadt' where plz='81929';
UPDATE eccourses set location='Moritzburg' where plz='01468';
UPDATE eccourses set location='Ober-Ramstadt, Stadt' where plz='64372';
UPDATE eccourses set location='München, Landeshauptstadt' where plz='81925';
UPDATE eccourses set location='München, Landeshauptstadt' where plz='81927';
UPDATE eccourses set location='Bottrop, Stadt' where plz='46236';
UPDATE eccourses set location='Bottrop, Stadt' where plz='46238';
UPDATE eccourses set location='Mittweida, Stadt, Hochschulstadt' where plz='09648';
UPDATE eccourses set location='Schüttorf, Stadt' where plz='48465';
UPDATE eccourses set location='Marl, Stadt' where plz='45768';
UPDATE eccourses set location='Eitorf' where plz='53783';
UPDATE eccourses set location='Winnenden, Stadt' where plz='71364';
UPDATE eccourses set location='Engen, Stadt' where plz='78234';
UPDATE eccourses set location='Puschwitz' where plz='02699';
UPDATE eccourses set location='Rielasingen-Worblingen' where plz='78239';
UPDATE eccourses set location='Castrop-Rauxel, Stadt' where plz='44581';
UPDATE eccourses set location='Malschwitz' where plz='02694';
UPDATE eccourses set location='Obergurig' where plz='02692';
UPDATE eccourses set location='Balve, Stadt' where plz='58802';
UPDATE eccourses set location='Spangdahlem' where plz='54529';
UPDATE eccourses set location='Salmtal' where plz='54528';
UPDATE eccourses set location='Neuenrade, Stadt' where plz='58809';
UPDATE eccourses set location='Klausen' where plz='54524';
UPDATE eccourses set location='Hetzerath' where plz='54523';
UPDATE eccourses set location='Hannover, Landeshauptstadt' where plz='30179';
UPDATE eccourses set location='Hannover, Landeshauptstadt' where plz='30177';
UPDATE eccourses set location='Kamen, Stadt' where plz='59174';
UPDATE eccourses set location='Hannover, Landeshauptstadt' where plz='30173';
UPDATE eccourses set location='Hannover, Landeshauptstadt' where plz='30171';
UPDATE eccourses set location='Bensheim, Stadt' where plz='64625';
UPDATE eccourses set location='Hoogstede' where plz='49846';
UPDATE eccourses set location='Hessisch Lichtenau, Stadt' where plz='37235';
UPDATE eccourses set location='Witzeeze' where plz='21514';
UPDATE eccourses set location='Uelsen' where plz='49843';
UPDATE eccourses set location='Dürbheim' where plz='78589';
UPDATE eccourses set location='Denkingen' where plz='78588';
UPDATE eccourses set location='Deilingen' where plz='78586';
UPDATE eccourses set location='Bubsheim' where plz='78585';
UPDATE eccourses set location='Böttingen' where plz='78583';
UPDATE eccourses set location='Balgheim' where plz='78582';
UPDATE eccourses set location='Egesheim' where plz='78580';
UPDATE eccourses set location='Simbach a.Inn, St' where plz='84359';
UPDATE eccourses set location='Seeon-Seebruck' where plz='83376';
UPDATE eccourses set location='Vachendorf' where plz='83377';
UPDATE eccourses set location='Traunreut, St' where plz='83374';
UPDATE eccourses set location='Taching a.See' where plz='83373';
UPDATE eccourses set location='Seeon-Seebruck' where plz='83370';
UPDATE eccourses set location='Traunreut, St' where plz='83371';
UPDATE eccourses set location='Wonneberg' where plz='83379';
UPDATE eccourses set location='Krefeld, Stadt' where plz='47804';
UPDATE eccourses set location='Krefeld, Stadt' where plz='47805';
UPDATE eccourses set location='Krefeld, Stadt' where plz='47807';
UPDATE eccourses set location='Krefeld, Stadt' where plz='47800';
UPDATE eccourses set location='Krefeld, Stadt' where plz='47802';
UPDATE eccourses set location='Krefeld, Stadt' where plz='47803';
UPDATE eccourses set location='Thumby' where plz='24351';
UPDATE eccourses set location='Völklingen, Stadt' where plz='66333';
UPDATE eccourses set location='Krefeld, Stadt' where plz='47809';
UPDATE eccourses set location='Rieseby' where plz='24354';
UPDATE eccourses set location='Waldkirch, Stadt' where plz='79183';
UPDATE eccourses set location='Pfinztal' where plz='76327';
UPDATE eccourses set location='Bad Krozingen, Stadt' where plz='79189';
UPDATE eccourses set location='Rimsting' where plz='83253';
UPDATE eccourses set location='Düsseldorf, Stadt' where plz='40468';
UPDATE eccourses set location='Schwielowsee' where plz='14548';
UPDATE eccourses set location='Werder (Havel), Stadt' where plz='14542';
UPDATE eccourses set location='Beelitz, Stadt' where plz='14547';
UPDATE eccourses set location='Unterensingen' where plz='72669';
UPDATE eccourses set location='Wyhl am Kaiserstuhl' where plz='79369';
UPDATE eccourses set location='Gnotzheim, M' where plz='91728';
UPDATE eccourses set location='Haundorf' where plz='91729';
UPDATE eccourses set location='Gerolfingen' where plz='91726';
UPDATE eccourses set location='Grafenberg' where plz='72661';
UPDATE eccourses set location='Möhrendorf' where plz='91096';
UPDATE eccourses set location='Großbettlingen' where plz='72663';
UPDATE eccourses set location='Arberg, M' where plz='91722';
UPDATE eccourses set location='Dittenheim' where plz='91723';
UPDATE eccourses set location='Forchheim' where plz='79362';
UPDATE eccourses set location='Schlaitdorf' where plz='72667';
UPDATE eccourses set location='Ziertheim' where plz='89446';
UPDATE eccourses set location='Zöschingen' where plz='89447';
UPDATE eccourses set location='Langwieden' where plz='66849';
UPDATE eccourses set location='Schwenningen' where plz='89443';
UPDATE eccourses set location='Lutzingen' where plz='89440';
UPDATE eccourses set location='Medlingen' where plz='89441';
UPDATE eccourses set location='Windelsbach' where plz='91541';
UPDATE eccourses set location='Treffelstein' where plz='93492';
UPDATE eccourses set location='Rohlstorf' where plz='23821';
UPDATE eccourses set location='Stamsried, M' where plz='93491';
UPDATE eccourses set location='Weißbach' where plz='74679';
UPDATE eccourses set location='Willmering' where plz='93497';
UPDATE eccourses set location='Waffenbrunn' where plz='93494';
UPDATE eccourses set location='Weyhe' where plz='28844';
UPDATE eccourses set location='Wittenborn' where plz='23829';
UPDATE eccourses set location='Dörzbach' where plz='74677';
UPDATE eccourses set location='Niedernhall, Stadt' where plz='74676';
UPDATE eccourses set location='Forchtenberg, Stadt' where plz='74670';
UPDATE eccourses set location='Mulfingen' where plz='74673';
UPDATE eccourses set location='Duisburg, Stadt' where plz='47119';
UPDATE eccourses set location='Eppstein, Stadt' where plz='65817';
UPDATE eccourses set location='Bergfeld' where plz='38467';
UPDATE eccourses set location='Laußig' where plz='04849';
UPDATE eccourses set location='Bad Soden am Taunus, Stadt' where plz='65812';
UPDATE eccourses set location='Prezelle' where plz='29491';
UPDATE eccourses set location='Münchweiler an der Alsenz' where plz='67728';
UPDATE eccourses set location='Gschwend' where plz='74417';
UPDATE eccourses set location='Hohen Neuendorf, Stadt' where plz='16562';
UPDATE eccourses set location='Stützerbach' where plz='98714';
UPDATE eccourses set location='Neusiß' where plz='98716';
UPDATE eccourses set location='Berlin, Stadt' where plz='12679';
UPDATE eccourses set location='Stützerbach' where plz='98711';
UPDATE eccourses set location='Petersberg' where plz='06193';
UPDATE eccourses set location='Trebel' where plz='29494';
UPDATE eccourses set location='Salzatal' where plz='06198';
UPDATE eccourses set location='Müden (Mosel)' where plz='56254';
UPDATE eccourses set location='Treis-Karden' where plz='56253';
UPDATE eccourses set location='Dortmund, Stadt' where plz='44319';
UPDATE eccourses set location='Hamburg, Freie und Hansestadt' where plz='21079';
UPDATE eccourses set location='Solingen, Klingenstadt' where plz='42697';
UPDATE eccourses set location='Hamburg, Freie und Hansestadt' where plz='21075';
UPDATE eccourses set location='Schwedt/Oder, Stadt' where plz='16303';
UPDATE eccourses set location='Solingen, Klingenstadt' where plz='42699';
UPDATE eccourses set location='Tantow' where plz='16307';
UPDATE eccourses set location='Zichow' where plz='16306';
UPDATE eccourses set location='Viersen, Stadt' where plz='41748';
UPDATE eccourses set location='Taufkirchen' where plz='82024';
UPDATE eccourses set location='Hergersweiler' where plz='76872';
UPDATE eccourses set location='Seevetal' where plz='21218';
UPDATE eccourses set location='Coswig, Stadt' where plz='01640';
UPDATE eccourses set location='Bad Grund (Harz)' where plz='37539';
UPDATE eccourses set location='Quakenbrück, Stadt' where plz='49610';
UPDATE eccourses set location='Seevetal' where plz='21217';
UPDATE eccourses set location='Eisingen' where plz='75239';
UPDATE eccourses set location='Thum, Stadt' where plz='09419';
UPDATE eccourses set location='Tiefenbronn' where plz='75233';
UPDATE eccourses set location='Furth' where plz='84032';
UPDATE eccourses set location='Landshut' where plz='84034';
UPDATE eccourses set location='Kumhausen' where plz='84036';
UPDATE eccourses set location='Ibbenbüren, Stadt' where plz='49477';
UPDATE eccourses set location='Garching b.München, St' where plz='85748';
UPDATE eccourses set location='München, Landeshauptstadt' where plz='80999';
UPDATE eccourses set location='Windesheim' where plz='55452';
UPDATE eccourses set location='München, Landeshauptstadt' where plz='80993';
UPDATE eccourses set location='München, Landeshauptstadt' where plz='80992';
UPDATE eccourses set location='München, Landeshauptstadt' where plz='80997';
UPDATE eccourses set location='Ibbenbüren, Stadt' where plz='49479';
UPDATE eccourses set location='Xanten, Stadt' where plz='46509';
UPDATE eccourses set location='Troisdorf, Stadt' where plz='53844';
UPDATE eccourses set location='Troisdorf, Stadt' where plz='53840';
UPDATE eccourses set location='Troisdorf, Stadt' where plz='53842';
UPDATE eccourses set location='Leinfelden-Echterdingen, Stadt' where plz='70771';
UPDATE eccourses set location='Ralingen' where plz='54310';
UPDATE eccourses set location='Pickließem' where plz='54647';
UPDATE eccourses set location='Zemmer' where plz='54313';
UPDATE eccourses set location='Zerf' where plz='54314';
UPDATE eccourses set location='Schöndorf' where plz='54316';
UPDATE eccourses set location='Thomm' where plz='54317';
UPDATE eccourses set location='Mertesdorf' where plz='54318';
UPDATE eccourses set location='Retschow' where plz='18211';
UPDATE eccourses set location='Aidlingen' where plz='71134';
UPDATE eccourses set location='Trebbin, Stadt' where plz='14959';
UPDATE eccourses set location='Trebsen/Mulde, Stadt' where plz='04687';
UPDATE eccourses set location='Naunhof, Stadt' where plz='04683';
UPDATE eccourses set location='Colditz, Stadt' where plz='04680';
UPDATE eccourses set location='Leipzig' where plz='04688';
UPDATE eccourses set location='Treuen, Stadt' where plz='08233';
UPDATE eccourses set location='Vogtareuth' where plz='83569';
UPDATE eccourses set location='Oppach' where plz='02736';
UPDATE eccourses set location='Ellefeld' where plz='08236';
UPDATE eccourses set location='Ebersbach-Neugersdorf, Stadt' where plz='02730';
UPDATE eccourses set location='Kubschütz' where plz='02733';
UPDATE eccourses set location='Rechtmehring' where plz='83562';
UPDATE eccourses set location='Ramerberg' where plz='83561';
UPDATE eccourses set location='Falkenstein/Vogtl., Stadt' where plz='08239';
UPDATE eccourses set location='Unterreit' where plz='83567';
UPDATE eccourses set location='Aßling' where plz='83565';
UPDATE eccourses set location='Soyen' where plz='83564';
UPDATE eccourses set location='Kamp-Lintfort, Stadt' where plz='47475';
UPDATE eccourses set location='Stöttwang' where plz='87677';
UPDATE eccourses set location='Rettenbach a.Auerberg' where plz='87675';
UPDATE eccourses set location='Ruderatshofen' where plz='87674';
UPDATE eccourses set location='Roßhaupten' where plz='87672';
UPDATE eccourses set location='Markt Rettenbach, M' where plz='87671';
UPDATE eccourses set location='Westendorf' where plz='87679';
UPDATE eccourses set location='Schillingstedt' where plz='99625';
UPDATE eccourses set location='Rudersdorf' where plz='99628';
UPDATE eccourses set location='Erkrath, Fundort des Neanderthalers, Stadt' where plz='40699';
UPDATE eccourses set location='Ratingen, Stadt' where plz='40878';
UPDATE eccourses set location='Wallstawe ' where plz='29413';
UPDATE eccourses set location='Salzwedel, Hansestadt' where plz='29410';
UPDATE eccourses set location='Kuhfelde' where plz='29416';
UPDATE eccourses set location='Küssaberg' where plz='79790';
UPDATE eccourses set location='Wutöschingen' where plz='79793';
UPDATE eccourses set location='Jestetten' where plz='79798';
UPDATE eccourses set location='Tegau' where plz='07907';
UPDATE eccourses set location='Mindelheim, St' where plz='87719';
UPDATE eccourses set location='Lüdinghausen, Stadt' where plz='59348';
UPDATE eccourses set location='Urspringen' where plz='97828';
UPDATE eccourses set location='Börde-Hakel' where plz='39448';
UPDATE eccourses set location='Rheinau, Stadt' where plz='77866';
UPDATE eccourses set location='Hecklingen, Stadt' where plz='39444';
UPDATE eccourses set location='Staßfurt, Stadt' where plz='39446';
UPDATE eccourses set location='Staßfurt, Stadt' where plz='39443';
UPDATE eccourses set location='Stöckse' where plz='31638';
UPDATE eccourses set location='Linsburg' where plz='31636';
UPDATE eccourses set location='Hildesheim, Stadt' where plz='31141';
UPDATE eccourses set location='Steimbke' where plz='31634';
UPDATE eccourses set location='Husum' where plz='31632';
UPDATE eccourses set location='Leese' where plz='31633';
UPDATE eccourses set location='Zeil a.Main, St' where plz='97475';
UPDATE eccourses set location='Heitersheim, Stadt' where plz='79423';
UPDATE eccourses set location='Schwendi' where plz='88477';
UPDATE eccourses set location='Eschbach' where plz='79427';
UPDATE eccourses set location='Laupheim, Stadt' where plz='88471';
UPDATE eccourses set location='Auggen' where plz='79424';
UPDATE eccourses set location='Warmsroth' where plz='55442';
UPDATE eccourses set location='Malsburg-Marzell' where plz='79429';
UPDATE eccourses set location='Waldlaubersheim' where plz='55444';
UPDATE eccourses set location='Bitterfeld-Wolfen, Stadt' where plz='06766';
UPDATE eccourses set location='Gießen, Universitätsstadt' where plz='35390';
UPDATE eccourses set location='Gießen, Universitätsstadt' where plz='35392';
UPDATE eccourses set location='Gießen, Universitätsstadt' where plz='35394';
UPDATE eccourses set location='Gießen, Universitätsstadt' where plz='35396';
UPDATE eccourses set location='Gießen, Universitätsstadt' where plz='35398';
UPDATE eccourses set location='Gersheim' where plz='66453';
UPDATE eccourses set location='Bexbach, Stadt' where plz='66450';
UPDATE eccourses set location='Kirkel' where plz='66459';
UPDATE eccourses set location='Spiekeroog' where plz='26474';
UPDATE eccourses set location='Thale, Stadt' where plz='06502';
UPDATE eccourses set location='Harz' where plz='06507';
UPDATE eccourses set location='Weidhausen b.Coburg' where plz='96279';
UPDATE eccourses set location='Marktzeuln, M' where plz='96275';
UPDATE eccourses set location='Itzgrund' where plz='96274';
UPDATE eccourses set location='Schneckenlohe' where plz='96277';
UPDATE eccourses set location='Niederfüllbach' where plz='96271';
UPDATE eccourses set location='Hochstadt a.Main' where plz='96272';
UPDATE eccourses set location='Hamburg, Freie und Hansestadt' where plz='22761';
UPDATE eccourses set location='Hamburg, Freie und Hansestadt' where plz='22763';
UPDATE eccourses set location='Hamburg, Freie und Hansestadt' where plz='22765';
UPDATE eccourses set location='Illingen' where plz='75428';
UPDATE eccourses set location='Hamburg, Freie und Hansestadt' where plz='22769';
UPDATE eccourses set location='Glatten' where plz='72293';
UPDATE eccourses set location='Oestrich-Winkel, Stadt' where plz='65375';
UPDATE eccourses set location='Seewald' where plz='72297';
UPDATE eccourses set location='Aerzen, Flecken' where plz='31855';
UPDATE eccourses set location='Engelskirchen' where plz='51766';
UPDATE eccourses set location='Vielank' where plz='19303';
UPDATE eccourses set location='Neustadt-Glewe, Stadt' where plz='19306';
UPDATE eccourses set location='Sinsheim, Stadt' where plz='74889';
UPDATE eccourses set location='Lenzerwische' where plz='19309';
UPDATE eccourses set location='Münstermaifeld, Stadt' where plz='56754';
UPDATE eccourses set location='Klötze, Stadt' where plz='38486';
UPDATE eccourses set location='Welling' where plz='56753';
UPDATE eccourses set location='Polch, Stadt' where plz='56751';
UPDATE eccourses set location='Wülfershausen a.d.Saale' where plz='97633';
UPDATE eccourses set location='Trappstadt, M' where plz='97631';
UPDATE eccourses set location='Leienkaul' where plz='56759';
UPDATE eccourses set location='Grasellenbach' where plz='64689';
UPDATE eccourses set location='Höchstädt i.Fichtelgebirge' where plz='95186';
UPDATE eccourses set location='Ueß' where plz='56767';
UPDATE eccourses set location='Einhausen' where plz='64683';
UPDATE eccourses set location='Vettelschoß' where plz='53560';
UPDATE eccourses set location='Lautertal (Odenwald)' where plz='64686';
UPDATE eccourses set location='Röhrmoos' where plz='85244';
UPDATE eccourses set location='Ahnsbeck' where plz='29353';
UPDATE eccourses set location='Hebertshausen' where plz='85241';
UPDATE eccourses set location='Heilbronn, Stadt' where plz='74080';
UPDATE eccourses set location='Heilbronn, Stadt' where plz='74081';
UPDATE eccourses set location='Beedenbostel' where plz='29355';
UPDATE eccourses set location='Bruchhausen-Vilsen, Flecken' where plz='27305';
UPDATE eccourses set location='Berg' where plz='95180';
UPDATE eccourses set location='Kirchlinteln' where plz='27308';
UPDATE eccourses set location='Reinheim, Stadt' where plz='64354';
UPDATE eccourses set location='Zehdenick, Stadt' where plz='16792';
UPDATE eccourses set location='Brackenheim, Stadt' where plz='74336';
UPDATE eccourses set location='Fürstenberg/Havel, Stadt' where plz='16798';
UPDATE eccourses set location='Reinsberg' where plz='09629';
UPDATE eccourses set location='Herten, Stadt' where plz='45701';
UPDATE eccourses set location='Rechenberg-Bienenmühle' where plz='09623';
UPDATE eccourses set location='Bobritzsch-Hilbersdorf' where plz='09627';
UPDATE eccourses set location='Neuwittenbek' where plz='24161';
UPDATE eccourses set location='Pullenreuth' where plz='95700';
UPDATE eccourses set location='Pechbrunn' where plz='95701';
UPDATE eccourses set location='Plößberg, M' where plz='95703';
UPDATE eccourses set location='Pullenreuth' where plz='95704';
UPDATE eccourses set location='Schirnding, M' where plz='95706';
UPDATE eccourses set location='Thierstein, M' where plz='95707';
UPDATE eccourses set location='Klettbach' where plz='99102';
UPDATE eccourses set location='Zimmernsupra' where plz='99100';
UPDATE eccourses set location='Stade, Hansestadt' where plz='21684';
UPDATE eccourses set location='Stade, Hansestadt' where plz='21682';
UPDATE eccourses set location='Stade, Hansestadt' where plz='21683';
UPDATE eccourses set location='Stade, Hansestadt' where plz='21680';
UPDATE eccourses set location='Borchen' where plz='33178';
UPDATE eccourses set location='Bad Lippspringe, Stadt' where plz='33175';
UPDATE eccourses set location='Stuttgart, Landeshauptstadt' where plz='70437';
UPDATE eccourses set location='Stuttgart, Landeshauptstadt' where plz='70435';
UPDATE eccourses set location='Stuttgart, Landeshauptstadt' where plz='70439';
UPDATE eccourses set location='Thüngen, M' where plz='97289';
UPDATE eccourses set location='Berlin, Stadt' where plz='10249';
UPDATE eccourses set location='Berlin, Stadt' where plz='10243';
UPDATE eccourses set location='Berlin, Stadt' where plz='10247';
UPDATE eccourses set location='Berlin, Stadt' where plz='10245';
UPDATE eccourses set location='Tangstedt' where plz='22889';
UPDATE eccourses set location='Riedenheim' where plz='97283';
UPDATE eccourses set location='Triftern, M' where plz='84371';
UPDATE eccourses set location='Hohenstein-Ernstthal, Stadt' where plz='09337';
UPDATE eccourses set location='Kirchdorf a.Inn' where plz='84375';
UPDATE eccourses set location='Katzwinkel (Sieg)' where plz='57581';
UPDATE eccourses set location='Wedel, Stadt' where plz='22880';
UPDATE eccourses set location='Dietersburg' where plz='84378';
UPDATE eccourses set location='Barsbüttel' where plz='22885';
UPDATE eccourses set location='Remlingen, M' where plz='97280';
UPDATE eccourses set location='Seeon-Seebruck' where plz='83358';
UPDATE eccourses set location='Grabenstätt' where plz='83355';
UPDATE eccourses set location='Altenmarkt a.d.Alz' where plz='83352';
UPDATE eccourses set location='Kellmünz a.d.Iller, M' where plz='89293';
UPDATE eccourses set location='Frechen, Stadt' where plz='50226';
UPDATE eccourses set location='Osterberg' where plz='89296';
UPDATE eccourses set location='Mannheim, Universitätsstadt' where plz='68219';
UPDATE eccourses set location='Karlsbad' where plz='76307';
UPDATE eccourses set location='Hannover, Landeshauptstadt' where plz='30159';
UPDATE eccourses set location='Düsseldorf, Stadt' where plz='40489';
UPDATE eccourses set location='Werther (Westf.), Stadt' where plz='33824';
UPDATE eccourses set location='Borgholzhausen, Stadt' where plz='33829';
UPDATE eccourses set location='Braunschweig, Stadt' where plz='38106';
UPDATE eccourses set location='Braunschweig, Stadt' where plz='38104';
UPDATE eccourses set location='Braunschweig, Stadt' where plz='38102';
UPDATE eccourses set location='Braunschweig, Stadt' where plz='38100';
UPDATE eccourses set location='Braunschweig, Stadt' where plz='38108';
UPDATE eccourses set location='Engstingen' where plz='72829';
UPDATE eccourses set location='Breuna' where plz='34479';
UPDATE eccourses set location='Twistetal' where plz='34477';
UPDATE eccourses set location='Sonnenbühl' where plz='72820';
UPDATE eccourses set location='Diemelstadt, Stadt' where plz='34474';
UPDATE eccourses set location='Wannweil' where plz='72827';
UPDATE eccourses set location='Volkmarsen, Stadt' where plz='34471';
UPDATE eccourses set location='Haiger, Stadt' where plz='35708';
UPDATE eccourses set location='Schellweiler' where plz='66869';
UPDATE eccourses set location='Kindsbach' where plz='66862';
UPDATE eccourses set location='Erlangen' where plz='91052';
UPDATE eccourses set location='Heilsbronn, St' where plz='91560';
UPDATE eccourses set location='Neuendettelsau' where plz='91564';
UPDATE eccourses set location='Herrieden, St' where plz='91567';
UPDATE eccourses set location='Buckenhof' where plz='91054';
UPDATE eccourses set location='Windeck' where plz='51570';
UPDATE eccourses set location='Sankt Peter-Ording' where plz='25826';
UPDATE eccourses set location='Vollstedt' where plz='25821';
UPDATE eccourses set location='Duisburg, Stadt' where plz='47138';
UPDATE eccourses set location='Duisburg, Stadt' where plz='47139';
UPDATE eccourses set location='Künzelsau, Stadt' where plz='74653';
UPDATE eccourses set location='Wipperfürth, Hansestadt' where plz='51688';
UPDATE eccourses set location='Duisburg, Stadt' where plz='47137';
UPDATE eccourses set location='Hochstadt (Pfalz)' where plz='76879';
UPDATE eccourses set location='Immenstadt i.Allgäu, St' where plz='87509';
UPDATE eccourses set location='Kandel, Stadt' where plz='76870';
UPDATE eccourses set location='Torgau, Stadt' where plz='04861';
UPDATE eccourses set location='Torgau, Stadt' where plz='04860';
UPDATE eccourses set location='Offenbach an der Queich' where plz='76877';
UPDATE eccourses set location='Lautertal' where plz='96486';
UPDATE eccourses set location='Dörfles-Esbach' where plz='96487';
UPDATE eccourses set location='Meeder' where plz='96484';
UPDATE eccourses set location='Ahorn' where plz='96482';
UPDATE eccourses set location='Glienicke/Nordbahn' where plz='16548';
UPDATE eccourses set location='Hohen Neuendorf, Stadt' where plz='16540';
UPDATE eccourses set location='Birkenwerder' where plz='16547';
UPDATE eccourses set location='Kemberg, Stadt' where plz='06901';
UPDATE eccourses set location='Wald-Michelbach' where plz='69483';
UPDATE eccourses set location='Birkenau' where plz='69488';
UPDATE eccourses set location='Rüdnitz' where plz='16321';
UPDATE eccourses set location='Bad Soden-Salmünster, Stadt' where plz='63628';
UPDATE eccourses set location='Mücheln (Geiseltal), Stadt' where plz='06249';
UPDATE eccourses set location='Aachen, Stadt' where plz='52080';
UPDATE eccourses set location='Theilheim' where plz='97288';
UPDATE eccourses set location='Thiendorf' where plz='01561';
UPDATE eccourses set location='Retzstadt' where plz='97282';
UPDATE eccourses set location='Braunsbedra, Stadt' where plz='06242';
UPDATE eccourses set location='Winterhausen, M' where plz='97286';
UPDATE eccourses set location='Tauberrettersheim' where plz='97285';
UPDATE eccourses set location='Bad Lauchstädt, Goethestadt' where plz='06246';
UPDATE eccourses set location='Löhnberg' where plz='35792';
UPDATE eccourses set location='Keltern' where plz='75210';
UPDATE eccourses set location='Lommatzsch, Stadt' where plz='01623';
UPDATE eccourses set location='Birkenfeld' where plz='75217';
UPDATE eccourses set location='Amtsberg' where plz='09439';
UPDATE eccourses set location='Gornau/Erzgeb.' where plz='09437';
UPDATE eccourses set location='Zschopau, Stadt' where plz='09434';
UPDATE eccourses set location='Großolbersdorf' where plz='09432';
UPDATE eccourses set location='Drebach' where plz='09430';
UPDATE eccourses set location='Burgthann' where plz='90559';
UPDATE eccourses set location='Seukendorf' where plz='90556';
UPDATE eccourses set location='Nazza' where plz='99826';
UPDATE eccourses set location='Röthenbach a.d.Pegnitz, St' where plz='90552';
UPDATE eccourses set location='Hörselberg-Hainich' where plz='99820';
UPDATE eccourses set location='Kleinich' where plz='54483';
UPDATE eccourses set location='Maring-Noviand' where plz='54484';
UPDATE eccourses set location='Mülheim an der Mosel' where plz='54486';
UPDATE eccourses set location='Wintrich' where plz='54487';
UPDATE eccourses set location='Mettingen' where plz='49497';
UPDATE eccourses set location='Westerkappeln' where plz='49492';
UPDATE eccourses set location='Viöl' where plz='25884';
UPDATE eccourses set location='Altenbuch' where plz='97901';
UPDATE eccourses set location='Collenberg' where plz='97903';
UPDATE eccourses set location='Freiensteinau' where plz='36399';
UPDATE eccourses set location='Lennestadt, Stadt' where plz='57368';
UPDATE eccourses set location='Steinau an der Straße, Brüder-Grimm-Stadt' where plz='36396';
UPDATE eccourses set location='Sinntal' where plz='36391';
UPDATE eccourses set location='Havelsee, Stadt' where plz='14798';
UPDATE eccourses set location='Satow' where plz='18239';
UPDATE eccourses set location='Schankweiler' where plz='54668';
UPDATE eccourses set location='Großbeeren' where plz='14979';
UPDATE eccourses set location='Bielefeld, Stadt' where plz='33619';
UPDATE eccourses set location='Neubukow, Stadt' where plz='18233';
UPDATE eccourses set location='Bielefeld, Stadt' where plz='33617';
UPDATE eccourses set location='Irrel' where plz='54666';
UPDATE eccourses set location='Rerik, Stadt' where plz='18230';
UPDATE eccourses set location='Bielefeld, Stadt' where plz='33613';
UPDATE eccourses set location='Speicher, Stadt' where plz='54662';
UPDATE eccourses set location='Kloster Lehnin' where plz='14797';
UPDATE eccourses set location='Parthenstein' where plz='04668';
UPDATE eccourses set location='Oberschleißheim' where plz='85764';
UPDATE eccourses set location='Herne, Stadt' where plz='44629';
UPDATE eccourses set location='Herne, Stadt' where plz='44628';
UPDATE eccourses set location='Herne, Stadt' where plz='44625';
UPDATE eccourses set location='Herne, Stadt' where plz='44627';
UPDATE eccourses set location='Herne, Stadt' where plz='44623';
UPDATE eccourses set location='Schwäbisch Gmünd, Stadt' where plz='73525';
UPDATE eccourses set location='Taufkirchen (Vils)' where plz='84416';
UPDATE eccourses set location='Täferrot' where plz='73527';
UPDATE eccourses set location='Schwindegg' where plz='84419';
UPDATE eccourses set location='Neuenkirchen' where plz='29643';
UPDATE eccourses set location='Billerbeck, Stadt' where plz='48727';
UPDATE eccourses set location='Rosendahl' where plz='48720';
UPDATE eccourses set location='Gartow, Flecken' where plz='29471';
UPDATE eccourses set location='Göhrde' where plz='29473';
UPDATE eccourses set location='Damnatz' where plz='29472';
UPDATE eccourses set location='Gorleben' where plz='29475';
UPDATE eccourses set location='Gusborn' where plz='29476';
UPDATE eccourses set location='Marnheim' where plz='67297';
UPDATE eccourses set location='Höhbeck' where plz='29478';
UPDATE eccourses set location='Bolanden' where plz='67295';
UPDATE eccourses set location='Stetten' where plz='67294';
UPDATE eccourses set location='Naila, St' where plz='95119';
UPDATE eccourses set location='Ruppertsecken' where plz='67292';
UPDATE eccourses set location='Gärtringen' where plz='71116';
UPDATE eccourses set location='Filderstadt, Stadt' where plz='71111';
UPDATE eccourses set location='Hilden, Stadt' where plz='40724';
UPDATE eccourses set location='Bietigheim' where plz='76467';
UPDATE eccourses set location='Neustetten' where plz='72149';
UPDATE eccourses set location='Muggensturm' where plz='76461';
UPDATE eccourses set location='Hirrlingen' where plz='72145';
UPDATE eccourses set location='Dußlingen' where plz='72144';
UPDATE eccourses set location='Nehren' where plz='72147';
UPDATE eccourses set location='Walddorfhäslach' where plz='72141';
UPDATE eccourses set location='Cloppenburg, Stadt' where plz='49661';
UPDATE eccourses set location='Steinhöfel' where plz='15518';
UPDATE eccourses set location='Oberweser' where plz='34399';
UPDATE eccourses set location='Grebenstein, Stadt' where plz='34393';
UPDATE eccourses set location='Liebenau, Stadt' where plz='34396';
UPDATE eccourses set location='Fürstenwalde/Spree, Stadt' where plz='15517';
UPDATE eccourses set location='Bomlitz' where plz='29699';
UPDATE eccourses set location='Wietzen' where plz='31613';
UPDATE eccourses set location='Liebenau, Flecken' where plz='31618';
UPDATE eccourses set location='Binnen' where plz='31619';
UPDATE eccourses set location='Walsrode, Stadt' where plz='29693';
UPDATE eccourses set location='Duderstadt, Stadt' where plz='37115';
UPDATE eccourses set location='Zimmern unter der Burg' where plz='72369';
UPDATE eccourses set location='Kassel, documenta-Stadt' where plz='34134';
UPDATE eccourses set location='Kassel, documenta-Stadt' where plz='34132';
UPDATE eccourses set location='Kassel, documenta-Stadt' where plz='34130';
UPDATE eccourses set location='Kassel, documenta-Stadt' where plz='34131';
UPDATE eccourses set location='Hausen am Tann' where plz='72361';
UPDATE eccourses set location='Nusplingen' where plz='72362';
UPDATE eccourses set location='Ratshausen' where plz='72365';
UPDATE eccourses set location='Obernheim' where plz='72364';
UPDATE eccourses set location='Weilen unter den Rinnen' where plz='72367';
UPDATE eccourses set location='Abenberg, St' where plz='91183';
UPDATE eccourses set location='Büchenbach' where plz='91186';
UPDATE eccourses set location='Hirschberg, Stadt' where plz='07927';
UPDATE eccourses set location='Gefell, Stadt' where plz='07926';
UPDATE eccourses set location='Ziegenrück, Stadt' where plz='07924';
UPDATE eccourses set location='Tanna, Stadt' where plz='07922';
UPDATE eccourses set location='Saalburg-Ebersdorf, Stadt' where plz='07929';
UPDATE eccourses set location='Straelen, Stadt' where plz='47638';
UPDATE eccourses set location='Sangerhausen, Stadt' where plz='06526';
UPDATE eccourses set location='Wallhausen' where plz='06528';
UPDATE eccourses set location='Schortens, Stadt' where plz='26419';
UPDATE eccourses set location='Neuss, Stadt' where plz='41466';
UPDATE eccourses set location='Wölpinghausen' where plz='31556';
UPDATE eccourses set location='Berlin, Stadt' where plz='12349';
UPDATE eccourses set location='Minden, Stadt' where plz='32423';
UPDATE eccourses set location='Breitscheid' where plz='55422';
UPDATE eccourses set location='Waldalgesheim' where plz='55425';
UPDATE eccourses set location='Minden, Stadt' where plz='32427';
UPDATE eccourses set location='Minden, Stadt' where plz='32425';
UPDATE eccourses set location='Untersiemau' where plz='96253';
UPDATE eccourses set location='Ebensfeld, M' where plz='96250';
UPDATE eccourses set location='Redwitz a.d.Rodach' where plz='96257';
UPDATE eccourses set location='Weitersburg' where plz='56191';
UPDATE eccourses set location='Roding, St' where plz='93426';
UPDATE eccourses set location='Martinroda' where plz='98693';
UPDATE eccourses set location='Butzbach, Friedrich-Ludwig-Weidig-Stadt' where plz='35510';
UPDATE eccourses set location='Münzenberg, Stadt' where plz='35516';
UPDATE eccourses set location='Rockenberg' where plz='35519';
UPDATE eccourses set location='Regensburg' where plz='93047';
UPDATE eccourses set location='Regensburg' where plz='93049';
UPDATE eccourses set location='Zislow' where plz='17209';
UPDATE eccourses set location='Hamburg, Freie und Hansestadt' where plz='22587';
UPDATE eccourses set location='Ruhstorf a.d.Rott, M' where plz='94099';
UPDATE eccourses set location='Rotthalmünster, M' where plz='94094';
UPDATE eccourses set location='Sietow' where plz='17207';
UPDATE eccourses set location='Frankfurt am Main, Stadt' where plz='60529';
UPDATE eccourses set location='Süderdorf' where plz='25782';
UPDATE eccourses set location='Dellstedt' where plz='25786';
UPDATE eccourses set location='Sarzbüttel' where plz='25785';
UPDATE eccourses set location='Wallen' where plz='25788';
UPDATE eccourses set location='Bollendorf' where plz='54669';
UPDATE eccourses set location='Dachau, GKSt' where plz='85221';
UPDATE eccourses set location='Markt Indersdorf, M' where plz='85229';
UPDATE eccourses set location='Fürstenfeldbruck, GKSt' where plz='82256';
UPDATE eccourses set location='Preist' where plz='54664';
UPDATE eccourses set location='Thedinghausen' where plz='27321';
UPDATE eccourses set location='Schwarme' where plz='27327';
UPDATE eccourses set location='Schweringen' where plz='27324';
UPDATE eccourses set location='Oberhausen, Stadt' where plz='46147';
UPDATE eccourses set location='Oberhausen, Stadt' where plz='46145';
UPDATE eccourses set location='Rhede, Stadt' where plz='46414';
UPDATE eccourses set location='Heidelberg, Stadt' where plz='69123';
UPDATE eccourses set location='Happurg' where plz='91230';
UPDATE eccourses set location='Groß-Bieberau, Stadt' where plz='64401';
UPDATE eccourses set location='Ziesar, Stadt' where plz='14793';
UPDATE eccourses set location='Fränkisch-Crumbach' where plz='64407';
UPDATE eccourses set location='Heidelberg, Stadt' where plz='69126';
UPDATE eccourses set location='Fischbachtal' where plz='64405';
UPDATE eccourses set location='Bickenbach' where plz='64404';
UPDATE eccourses set location='Essen, Stadt' where plz='45143';
UPDATE eccourses set location='Essen, Stadt' where plz='45141';
UPDATE eccourses set location='Essen, Stadt' where plz='45147';
UPDATE eccourses set location='Essen, Stadt' where plz='45145';
UPDATE eccourses set location='Kröpelin, Stadt' where plz='18236';
UPDATE eccourses set location='Winterburg' where plz='55595';
UPDATE eccourses set location='Bielefeld, Stadt' where plz='33611';
UPDATE eccourses set location='Künzell' where plz='36093';
UPDATE eccourses set location='Vorra' where plz='91235';
UPDATE eccourses set location='Vaterstetten' where plz='85598';
UPDATE eccourses set location='Vaterstetten' where plz='85599';
UPDATE eccourses set location='Vaterstetten' where plz='85591';
UPDATE eccourses set location='Brackenheim, Stadt' where plz='74357';
UPDATE eccourses set location='Solingen, Klingenstadt' where plz='42719';
UPDATE eccourses set location='Niederneisen' where plz='65629';
UPDATE eccourses set location='Iphofen, St' where plz='97346';
UPDATE eccourses set location='Offenhausen' where plz='91238';
UPDATE eccourses set location='Seinsheim, M' where plz='97342';
UPDATE eccourses set location='Seinsheim, M' where plz='97340';
UPDATE eccourses set location='Offenhausen' where plz='91239';
UPDATE eccourses set location='Wülfershausen a.d.Saale' where plz='97618';
UPDATE eccourses set location='Mainz, Stadt' where plz='55122';
UPDATE eccourses set location='Willanzheim, M' where plz='97348';
UPDATE eccourses set location='Suhl, Stadt' where plz='98528';
UPDATE eccourses set location='Stuttgart, Landeshauptstadt' where plz='70182';
UPDATE eccourses set location='Stuttgart, Landeshauptstadt' where plz='70180';
UPDATE eccourses set location='Stuttgart, Landeshauptstadt' where plz='70186';
UPDATE eccourses set location='Stuttgart, Landeshauptstadt' where plz='70184';
UPDATE eccourses set location='Mainz, Stadt' where plz='55124';
UPDATE eccourses set location='Stuttgart, Landeshauptstadt' where plz='70188';
UPDATE eccourses set location='Bispingen' where plz='29646';
UPDATE eccourses set location='Mainz, Stadt' where plz='55127';
UPDATE eccourses set location='Berlin, Stadt' where plz='12359';
UPDATE eccourses set location='Kröning' where plz='84178';
UPDATE eccourses set location='Schalkham' where plz='84175';
UPDATE eccourses set location='Berlin, Stadt' where plz='12353';
UPDATE eccourses set location='Gottfrieding' where plz='84177';
UPDATE eccourses set location='Berlin, Stadt' where plz='12351';
UPDATE eccourses set location='Baierbach' where plz='84171';
UPDATE eccourses set location='Berlin, Stadt' where plz='12357';
UPDATE eccourses set location='Berlin, Stadt' where plz='12355';
UPDATE eccourses set location='Bad Neuenahr-Ahrweiler, Stadt' where plz='53474';
UPDATE eccourses set location='Triberg im Schwarzwald, Stadt' where plz='78098';
UPDATE eccourses set location='Lingen (Ems), Stadt' where plz='49808';
UPDATE eccourses set location='Lingen (Ems), Stadt' where plz='49809';
UPDATE eccourses set location='Mockrehna' where plz='04862';
UPDATE eccourses set location='Meinhard' where plz='37276';
UPDATE eccourses set location='Weißenborn/Erzgeb.' where plz='09600';
UPDATE eccourses set location='Oberlungwitz, Stadt' where plz='09353';
UPDATE eccourses set location='Lichtenstein/Sa., Stadt' where plz='09350';
UPDATE eccourses set location='Großschirma, Stadt' where plz='09603';
UPDATE eccourses set location='St. Egidien' where plz='09356';
UPDATE eccourses set location='Leipzig, Stadt' where plz='04277';
UPDATE eccourses set location='Haltern am See, Stadt' where plz='45721';
UPDATE eccourses set location='Gersdorf' where plz='09355';
UPDATE eccourses set location='Leipzig, Stadt' where plz='04279';
UPDATE eccourses set location='Chieming' where plz='83339';
UPDATE eccourses set location='Neuhausen/Spree' where plz='03058';
UPDATE eccourses set location='Cottbus, Stadt' where plz='03055';
UPDATE eccourses set location='Cottbus, Stadt' where plz='03054';
UPDATE eccourses set location='Cottbus, Stadt' where plz='03053';
UPDATE eccourses set location='Cottbus, Stadt' where plz='03052';
UPDATE eccourses set location='Inzell' where plz='83334';
UPDATE eccourses set location='Cottbus, Stadt' where plz='03050';
UPDATE eccourses set location='Trier, Stadt' where plz='54295';
UPDATE eccourses set location='Trier, Stadt' where plz='54294';
UPDATE eccourses set location='Trier, Stadt' where plz='54296';
UPDATE eccourses set location='Trier, Stadt' where plz='54290';
UPDATE eccourses set location='Trier, Stadt' where plz='54293';
UPDATE eccourses set location='Trier, Stadt' where plz='54292';
UPDATE eccourses set location='Welschbillig' where plz='54298';
UPDATE eccourses set location='Wickede (Ruhr)' where plz='58739';
UPDATE eccourses set location='Goslar, Stadt' where plz='38690';
UPDATE eccourses set location='Mannheim, Universitätsstadt' where plz='68239';
UPDATE eccourses set location='Fröndenberg/Ruhr, Stadt' where plz='58730';
UPDATE eccourses set location='Graben-Neudorf' where plz='76676';
UPDATE eccourses set location='Steinhagen' where plz='33803';
UPDATE eccourses set location='Eningen unter Achalm' where plz='72800';
UPDATE eccourses set location='Lichtenstein' where plz='72805';
UPDATE eccourses set location='Überherrn' where plz='66802';
UPDATE eccourses set location='Ensdorf' where plz='66806';
UPDATE eccourses set location='Nalbach' where plz='66809';
UPDATE eccourses set location='Kürten' where plz='51515';
UPDATE eccourses set location='Schönau-Berzdorf a. d. Eigen' where plz='02899';
UPDATE eccourses set location='Vierkirchen' where plz='02894';
UPDATE eccourses set location='Rauschwitz' where plz='07607';
UPDATE eccourses set location='Dillingen a.d.Donau, GKSt' where plz='89407';
UPDATE eccourses set location='Lübeck, Hansestadt' where plz='23570';
UPDATE eccourses set location='Hamm, Stadt' where plz='59065';
UPDATE eccourses set location='Hamm, Stadt' where plz='59067';
UPDATE eccourses set location='Hamm, Stadt' where plz='59063';
UPDATE eccourses set location='Aurach' where plz='91589';
UPDATE eccourses set location='Lichtenau, M' where plz='91586';
UPDATE eccourses set location='Adelshofen' where plz='91587';
UPDATE eccourses set location='Hamm, Stadt' where plz='59069';
UPDATE eccourses set location='Wettringen' where plz='91583';
UPDATE eccourses set location='Petersaurach' where plz='91580';
UPDATE eccourses set location='Friesoythe, Stadt' where plz='26169';
UPDATE eccourses set location='Lambrecht (Pfalz), Stadt' where plz='67466';
UPDATE eccourses set location='Lambsheim' where plz='67468';
UPDATE eccourses set location='Neuenstein, Stadt' where plz='74632';
UPDATE eccourses set location='Kupferzell' where plz='74635';
UPDATE eccourses set location='Zweiflingen' where plz='74639';
UPDATE eccourses set location='Waldenburg, Stadt' where plz='74638';
UPDATE eccourses set location='Wennigsen (Deister)' where plz='30974';
UPDATE eccourses set location='Annweiler am Trifels, Stadt' where plz='76857';
UPDATE eccourses set location='Annweiler am Trifels, Stadt' where plz='76855';
UPDATE eccourses set location='Reutlingen, Stadt' where plz='72770';
UPDATE eccourses set location='Wurzen, Stadt' where plz='04808';
UPDATE eccourses set location='Unterhaching' where plz='82008';
UPDATE eccourses set location='Wildsteig' where plz='82409';
UPDATE eccourses set location='Frankfurt (Oder), Stadt' where plz='15234';
UPDATE eccourses set location='Jacobsdorf' where plz='15236';
UPDATE eccourses set location='Sonthofen, St' where plz='87527';
UPDATE eccourses set location='Frankfurt (Oder), Stadt' where plz='15232';
UPDATE eccourses set location='Stocksee' where plz='24326';
UPDATE eccourses set location='Sulzbach-Rosenberg, St' where plz='92237';
UPDATE eccourses set location='Kempten (Allgäu)' where plz='87437';
UPDATE eccourses set location='Pielenhofen' where plz='93188';
UPDATE eccourses set location='Reichenbach' where plz='93189';
UPDATE eccourses set location='Weinsberg, Stadt' where plz='74189';
UPDATE eccourses set location='Michelsneukirchen' where plz='93185';
UPDATE eccourses set location='Pettendorf' where plz='93186';
UPDATE eccourses set location='Deuerling' where plz='93180';
UPDATE eccourses set location='Obersulm' where plz='74182';
UPDATE eccourses set location='Duggendorf' where plz='93182';
UPDATE eccourses set location='Kallmünz, M' where plz='93183';
UPDATE eccourses set location='Rottenbuch' where plz='82401';
UPDATE eccourses set location='Hasbergen' where plz='49205';
UPDATE eccourses set location='Neuwied, Stadt' where plz='56564';
UPDATE eccourses set location='Neuwied, Stadt' where plz='56567';
UPDATE eccourses set location='Neuwied, Stadt' where plz='56566';
UPDATE eccourses set location='Weinheim, Stadt' where plz='69469';
UPDATE eccourses set location='Hamburg, Freie und Hansestadt' where plz='21031';
UPDATE eccourses set location='Hamburg, Freie und Hansestadt' where plz='21033';
UPDATE eccourses set location='Hamburg, Freie und Hansestadt' where plz='21035';
UPDATE eccourses set location='Hamburg, Freie und Hansestadt' where plz='21037';
UPDATE eccourses set location='Delbrück, Stadt' where plz='33129';
UPDATE eccourses set location='Hamburg, Freie und Hansestadt' where plz='21039';
UPDATE eccourses set location='Wächtersbach, Stadt' where plz='63607';
UPDATE eccourses set location='Hamburg, Freie und Hansestadt' where plz='22045';
UPDATE eccourses set location='Reinhardtsdorf-Schöna' where plz='01814';
UPDATE eccourses set location='Hamburg, Freie und Hansestadt' where plz='22047';
UPDATE eccourses set location='Bad Gottleuba-Berggießhübel, Stadt' where plz='01816';
UPDATE eccourses set location='Hamburg, Freie und Hansestadt' where plz='22041';
UPDATE eccourses set location='Darmstadt, Wissenschaftsstadt' where plz='64283';
UPDATE eccourses set location='Hamburg, Freie und Hansestadt' where plz='22043';
UPDATE eccourses set location='Rehau, St' where plz='95111';
UPDATE eccourses set location='Bessenbach' where plz='63856';
UPDATE eccourses set location='Hamburg, Freie und Hansestadt' where plz='22049';
UPDATE eccourses set location='Steigra' where plz='06268';
UPDATE eccourses set location='Unterdießen' where plz='86925';
UPDATE eccourses set location='Greifenberg' where plz='86926';
UPDATE eccourses set location='Wardenburg' where plz='26203';
UPDATE eccourses set location='Gengenbach, Stadt' where plz='77723';
UPDATE eccourses set location='Eresing' where plz='86922';
UPDATE eccourses set location='Finning' where plz='86923';
UPDATE eccourses set location='Hofstetten' where plz='86928';
UPDATE eccourses set location='Penzing' where plz='86929';
UPDATE eccourses set location='Hatten' where plz='26209';
UPDATE eccourses set location='Jameln' where plz='29479';
UPDATE eccourses set location='Wuppertal, Stadt' where plz='42389';
UPDATE eccourses set location='Wingst' where plz='21789';
UPDATE eccourses set location='Südlohn' where plz='46354';
UPDATE eccourses set location='Oberndorf' where plz='21787';
UPDATE eccourses set location='Georgsmarienhütte, Stadt' where plz='49124';
UPDATE eccourses set location='Neuhaus (Oste), Flecken' where plz='21785';
UPDATE eccourses set location='Geversdorf' where plz='21784';
UPDATE eccourses set location='Bülkau' where plz='21782';
UPDATE eccourses set location='Cadenberge' where plz='21781';
UPDATE eccourses set location='Wülknitz' where plz='01609';
UPDATE eccourses set location='Roßtal, M' where plz='90574';
UPDATE eccourses set location='Berlin, Stadt' where plz='13581';
UPDATE eccourses set location='Berlin, Stadt' where plz='13583';
UPDATE eccourses set location='Berlin, Stadt' where plz='13585';
UPDATE eccourses set location='Berlin, Stadt' where plz='13587';
UPDATE eccourses set location='Berlin, Stadt' where plz='13589';
UPDATE eccourses set location='Langenzenn, St' where plz='90579';
UPDATE eccourses set location='Bonn, Stadt' where plz='53119';
UPDATE eccourses set location='Bonn, Stadt' where plz='53117';
UPDATE eccourses set location='Bonn, Stadt' where plz='53115';
UPDATE eccourses set location='Bonn, Stadt' where plz='53113';
UPDATE eccourses set location='Bonn, Stadt' where plz='53111';
UPDATE eccourses set location='Vacha, Stadt' where plz='36404';
UPDATE eccourses set location='Ruppichteroth' where plz='53809';
UPDATE eccourses set location='Much' where plz='53804';
UPDATE eccourses set location='Winterscheid' where plz='54608';
UPDATE eccourses set location='Dettighofen' where plz='79802';
UPDATE eccourses set location='Niederer Fläming' where plz='14913';
UPDATE eccourses set location='Dogern' where plz='79804';
UPDATE eccourses set location='Nordhorn, Stadt' where plz='48529';
UPDATE eccourses set location='Geithain, Stadt' where plz='04643';
UPDATE eccourses set location='Nordhorn, Stadt' where plz='48527';
UPDATE eccourses set location='Flöha, Stadt' where plz='09557';
UPDATE eccourses set location='Telgte, Stadt' where plz='48291';
UPDATE eccourses set location='Kirchdorf' where plz='83527';
UPDATE eccourses set location='München, Landeshauptstadt' where plz='80333';
UPDATE eccourses set location='München, Landeshauptstadt' where plz='80331';
UPDATE eccourses set location='München, Landeshauptstadt' where plz='80337';
UPDATE eccourses set location='München, Landeshauptstadt' where plz='80336';
UPDATE eccourses set location='München, Landeshauptstadt' where plz='80335';
UPDATE eccourses set location='München, Landeshauptstadt' where plz='80339';
UPDATE eccourses set location='Steinkirchen' where plz='84439';
UPDATE eccourses set location='Kirchberg' where plz='84434';
UPDATE eccourses set location='Lengdorf' where plz='84435';
UPDATE eccourses set location='Reichertsheim' where plz='84437';
UPDATE eccourses set location='Rattenkirchen' where plz='84431';
UPDATE eccourses set location='Hohenpolding' where plz='84432';
UPDATE eccourses set location='Dahme-Spreewald' where plz='15751';
UPDATE eccourses set location='Halbe' where plz='15757';
UPDATE eccourses set location='Wippingen' where plz='26892';
UPDATE eccourses set location='Heidesee' where plz='15754';
UPDATE eccourses set location='Presseck, M' where plz='95131';
UPDATE eccourses set location='Reichenbach im Vogtland, Stadt' where plz='08491';
UPDATE eccourses set location='Neumark' where plz='08496';
UPDATE eccourses set location='Faßberg' where plz='29328';
UPDATE eccourses set location='Clenze, Flecken' where plz='29459';
UPDATE eccourses set location='Hitzacker (Elbe), Stadt' where plz='29456';
UPDATE eccourses set location='Bad Steben, M' where plz='95138';
UPDATE eccourses set location='Südheide' where plz='29320';
UPDATE eccourses set location='Dannenberg (Elbe), Stadt' where plz='29451';
UPDATE eccourses set location='Wiendorf' where plz='18258';
UPDATE eccourses set location='Langenhagen, Stadt' where plz='30851';
UPDATE eccourses set location='Langenhagen, Stadt' where plz='30853';
UPDATE eccourses set location='Ascheberg' where plz='59387';
UPDATE eccourses set location='Durmersheim' where plz='76448';
UPDATE eccourses set location='Sulz am Neckar, Stadt' where plz='72160';
UPDATE eccourses set location='Wiesent' where plz='93109';
UPDATE eccourses set location='Kettershausen' where plz='86498';
UPDATE eccourses set location='Iserlohn, Stadt' where plz='58644';
UPDATE eccourses set location='Bückeburg, Stadt' where plz='31675';
UPDATE eccourses set location='Emersacker' where plz='86494';
UPDATE eccourses set location='Eurasburg' where plz='86495';
UPDATE eccourses set location='Horgau' where plz='86497';
UPDATE eccourses set location='Willingen' where plz='56479';
UPDATE eccourses set location='Egling a.d.Paar' where plz='86492';
UPDATE eccourses set location='Friedland' where plz='37133';
UPDATE eccourses set location='Gleichen' where plz='37130';
UPDATE eccourses set location='Waake' where plz='37136';
UPDATE eccourses set location='Adelebsen, Flecken' where plz='37139';
UPDATE eccourses set location='Wetterzeube' where plz='06722';
UPDATE eccourses set location='Osterfeld, Stadt' where plz='06721';
UPDATE eccourses set location='Zahna-Elster, Stadt' where plz='06895';
UPDATE eccourses set location='Mühlenbach' where plz='77796';
UPDATE eccourses set location='Elsteraue' where plz='06729';
UPDATE eccourses set location='Hochdorf' where plz='88436';
UPDATE eccourses set location='Maselheim' where plz='88437';
UPDATE eccourses set location='Bochum, Stadt' where plz='44867';
UPDATE eccourses set location='Bochum, Stadt' where plz='44866';
UPDATE eccourses set location='Ribnitz-Damgarten, Stadt' where plz='18311';
UPDATE eccourses set location='Dielkirchen' where plz='67811';
UPDATE eccourses set location='Braunschweig, Stadt' where plz='38114';
UPDATE eccourses set location='Sankt Alban' where plz='67813';
UPDATE eccourses set location='Jakobsweiler' where plz='67814';
UPDATE eccourses set location='Bochum, Stadt' where plz='44869';
UPDATE eccourses set location='Standenbühl' where plz='67816';
UPDATE eccourses set location='Braunschweig, Stadt' where plz='38116';
UPDATE eccourses set location='Hanau, Brüder-Grimm-Stadt' where plz='63454';
UPDATE eccourses set location='Hanau, Brüder-Grimm-Stadt' where plz='63456';
UPDATE eccourses set location='Bremen, Stadt' where plz='28329';
UPDATE eccourses set location='Bremen, Stadt' where plz='28327';
UPDATE eccourses set location='Bremen, Stadt' where plz='28325';
UPDATE eccourses set location='Hanau, Brüder-Grimm-Stadt' where plz='63450';
UPDATE eccourses set location='Hamburg, Freie und Hansestadt' where plz='22549';
UPDATE eccourses set location='Bötzingen' where plz='79268';
UPDATE eccourses set location='Schwarmstedt' where plz='29690';
UPDATE eccourses set location='Weenzen' where plz='31096';
UPDATE eccourses set location='Harbarnsen' where plz='31097';
UPDATE eccourses set location='Marienhagen' where plz='31094';
UPDATE eccourses set location='Hoyershausen' where plz='31093';
UPDATE eccourses set location='Coppengrave' where plz='31091';
UPDATE eccourses set location='Frickenhausen' where plz='72636';
UPDATE eccourses set location='Wangerland' where plz='26434';
UPDATE eccourses set location='Woltershausen' where plz='31099';
UPDATE eccourses set location='Bad Staffelstein, St' where plz='96231';
UPDATE eccourses set location='Herford, Hansestadt' where plz='32051';
UPDATE eccourses set location='Ebersdorf b.Coburg' where plz='96237';
UPDATE eccourses set location='Bad Arolsen, Stadt' where plz='34454';
UPDATE eccourses set location='Voigtsdorf' where plz='17349';
UPDATE eccourses set location='Simmelsdorf' where plz='91245';
UPDATE eccourses set location='Reichenschwand' where plz='91244';
UPDATE eccourses set location='Vorra' where plz='91247';
UPDATE eccourses set location='Schladen-Werla' where plz='38315';
UPDATE eccourses set location='Börßum' where plz='38312';
UPDATE eccourses set location='Ottensoos' where plz='91242';
UPDATE eccourses set location='Weigendorf' where plz='91249';
UPDATE eccourses set location='Harschbach' where plz='56307';
UPDATE eccourses set location='Rosenfeld, Stadt' where plz='72348';
UPDATE eccourses set location='Amstetten' where plz='73340';
UPDATE eccourses set location='Bad Ditzenbach' where plz='73342';
UPDATE eccourses set location='Sankt Englmar' where plz='94379';
UPDATE eccourses set location='Aalen, Stadt' where plz='73432';
UPDATE eccourses set location='Aalen, Stadt' where plz='73433';
UPDATE eccourses set location='Aalen, Stadt' where plz='73430';
UPDATE eccourses set location='Aalen, Stadt' where plz='73431';
UPDATE eccourses set location='Wiesensteig, Stadt' where plz='73349';
UPDATE eccourses set location='Neuwied, Stadt' where plz='56170';
UPDATE eccourses set location='Wetzlar, Stadt' where plz='35579';
UPDATE eccourses set location='Wetzlar, Stadt' where plz='35578';
UPDATE eccourses set location='Wetzlar, Stadt' where plz='35576';
UPDATE eccourses set location='Burtenbach, M' where plz='89349';
UPDATE eccourses set location='Leipheim, St' where plz='89340';
UPDATE eccourses set location='Jettingen-Scheppach, M' where plz='89343';
UPDATE eccourses set location='Aislingen, M' where plz='89344';
UPDATE eccourses set location='Bubesheim' where plz='89347';
UPDATE eccourses set location='Bibertal' where plz='89346';
UPDATE eccourses set location='Farchant' where plz='82490';
UPDATE eccourses set location='Grainau' where plz='82491';
UPDATE eccourses set location='Owingen' where plz='88696';
UPDATE eccourses set location='Krün' where plz='82493';
UPDATE eccourses set location='Uhldingen-Mühlhofen' where plz='88690';
UPDATE eccourses set location='Oberau' where plz='82496';
UPDATE eccourses set location='Deggenhausertal' where plz='88693';
UPDATE eccourses set location='Frickingen' where plz='88699';
UPDATE eccourses set location='Heppenheim (Bergstraße), Kreisstadt' where plz='64646';
UPDATE eccourses set location='Bad Wurzach, Stadt' where plz='88410';
UPDATE eccourses set location='Köln, Stadt' where plz='50968';
UPDATE eccourses set location='Steinhausen an der Rottum' where plz='88416';
UPDATE eccourses set location='Althegnenberg' where plz='82278';
UPDATE eccourses set location='Eching am Ammersee' where plz='82279';
UPDATE eccourses set location='Emmering' where plz='82275';
UPDATE eccourses set location='Adelshofen' where plz='82276';
UPDATE eccourses set location='Moorenweis' where plz='82272';
UPDATE eccourses set location='Ilmtal' where plz='99326';
UPDATE eccourses set location='Erzhausen' where plz='64390';
UPDATE eccourses set location='Modautal' where plz='64397';
UPDATE eccourses set location='Brensbach' where plz='64395';
UPDATE eccourses set location='Bitterfeld-Wolfen, Stadt' where plz='06749';
UPDATE eccourses set location='Sersheim' where plz='74372';
UPDATE eccourses set location='Zaberfeld' where plz='74374';
UPDATE eccourses set location='Gemmrigheim' where plz='74376';
UPDATE eccourses set location='Ingersheim' where plz='74379';
UPDATE eccourses set location='Grünhainichen' where plz='09579';
UPDATE eccourses set location='Ludwigsfelde, Stadt' where plz='14974';
UPDATE eccourses set location='Aldenhoven' where plz='52457';
UPDATE eccourses set location='Inden' where plz='52459';
UPDATE eccourses set location='Templin, Stadt' where plz='17268';
UPDATE eccourses set location='Stuttgart, Landeshauptstadt' where plz='70619';
UPDATE eccourses set location='Simonswald' where plz='79263';
UPDATE eccourses set location='Ostelsheim' where plz='75395';
UPDATE eccourses set location='Oberreichenbach' where plz='75394';
UPDATE eccourses set location='Simmozheim' where plz='75397';
UPDATE eccourses set location='Serba' where plz='07616';
UPDATE eccourses set location='Gechingen' where plz='75391';
UPDATE eccourses set location='Deckenpfronn' where plz='75392';
UPDATE eccourses set location='Surwold' where plz='26903';
UPDATE eccourses set location='Unterreichenbach' where plz='75399';
UPDATE eccourses set location='Essen, Stadt' where plz='45127';
UPDATE eccourses set location='Parkstetten' where plz='94365';
UPDATE eccourses set location='Essen, Stadt' where plz='45128';
UPDATE eccourses set location='Bodenkirchen' where plz='84155';
UPDATE eccourses set location='Waldorf' where plz='53498';
UPDATE eccourses set location='Diepholz, Stadt' where plz='49356';
UPDATE eccourses set location='Ringe' where plz='49824';
UPDATE eccourses set location='Osterwald' where plz='49828';
UPDATE eccourses set location='Schönau' where plz='84337';
UPDATE eccourses set location='Mitterskirchen' where plz='84335';
UPDATE eccourses set location='Malgersdorf' where plz='84333';
UPDATE eccourses set location='Norderstedt, Stadt' where plz='22848';
UPDATE eccourses set location='Norderstedt, Stadt' where plz='22844';
UPDATE eccourses set location='Norderstedt, Stadt' where plz='22846';
UPDATE eccourses set location='Greifswald, Hansestadt' where plz='17489';
UPDATE eccourses set location='Unterdietfurt' where plz='84339';
UPDATE eccourses set location='Krumbach (Schwaben), St' where plz='86381';
UPDATE eccourses set location='Neuss, Stadt' where plz='41468';
UPDATE eccourses set location='Neuss, Stadt' where plz='41469';
UPDATE eccourses set location='Neuss, Stadt' where plz='41460';
UPDATE eccourses set location='Neuss, Stadt' where plz='41462';
UPDATE eccourses set location='Neuss, Stadt' where plz='41464';
UPDATE eccourses set location='Oelsnitz/Erzgeb., Stadt' where plz='09376';
UPDATE eccourses set location='Rosenbach/Vogtl.' where plz='08539';
UPDATE eccourses set location='Weischlitz' where plz='08538';
UPDATE eccourses set location='Düsseldorf, Stadt' where plz='40547';
UPDATE eccourses set location='Menden (Sauerland), Stadt' where plz='58710';
UPDATE eccourses set location='Halle (Westf.), Stadt' where plz='33790';
UPDATE eccourses set location='Falkensee, Stadt' where plz='14612';
UPDATE eccourses set location='Clausthal-Zellerfeld, Berg- und Universitätsstadt' where plz='38678';
UPDATE eccourses set location='Hannover, Landeshauptstadt' where plz='30449';
UPDATE eccourses set location='Schwieberdingen' where plz='71706';
UPDATE eccourses set location='Hohenhameln' where plz='31249';
UPDATE eccourses set location='Schwieberdingen' where plz='71701';
UPDATE eccourses set location='Zickhusen' where plz='19069';
UPDATE eccourses set location='Ilsede' where plz='31241';
UPDATE eccourses set location='Ilsede' where plz='31246';
UPDATE eccourses set location='Lambrechtshagen' where plz='18069';
UPDATE eccourses set location='Eching' where plz='85386';
UPDATE eccourses set location='Schwanewede' where plz='28790';
UPDATE eccourses set location='Wittelshofen' where plz='91749';
UPDATE eccourses set location='Frauenau' where plz='94518';
UPDATE eccourses set location='Röckingen' where plz='91740';
UPDATE eccourses set location='Theilenhofen' where plz='91741';
UPDATE eccourses set location='Kleines Wiesental' where plz='79692';
UPDATE eccourses set location='Unterschwaningen' where plz='91743';
UPDATE eccourses set location='Utzenfeld' where plz='79694';
UPDATE eccourses set location='Wieden' where plz='79695';
UPDATE eccourses set location='Weidenbach, M' where plz='91746';
UPDATE eccourses set location='Westheim' where plz='91747';
UPDATE eccourses set location='Wackersberg' where plz='83646';
UPDATE eccourses set location='Kaiserslautern, Stadt' where plz='67663';
UPDATE eccourses set location='Waldleiningen' where plz='67661';
UPDATE eccourses set location='Teisendorf, M' where plz='83317';
UPDATE eccourses set location='Lübeck, Hansestadt' where plz='23554';
UPDATE eccourses set location='Lübeck, Hansestadt' where plz='23556';
UPDATE eccourses set location='Sulzbach/ Saar, Stadt' where plz='66280';
UPDATE eccourses set location='Quierschied' where plz='66287';
UPDATE eccourses set location='Neunkirchen, Kreisstadt' where plz='66538';
UPDATE eccourses set location='Lübeck, Hansestadt' where plz='23552';
UPDATE eccourses set location='Zöschingen' where plz='89428';
UPDATE eccourses set location='Bachhagel' where plz='89429';
UPDATE eccourses set location='Lübeck, Hansestadt' where plz='23558';
UPDATE eccourses set location='Lebach, Stadt' where plz='66822';
UPDATE eccourses set location='Braunsbach' where plz='74542';
UPDATE eccourses set location='Süderstapel' where plz='25868';
UPDATE eccourses set location='Gröde' where plz='25869';
UPDATE eccourses set location='Kirrweiler (Pfalz)' where plz='67489';
UPDATE eccourses set location='Kolkerheide' where plz='25862';
UPDATE eccourses set location='Sankt Martin' where plz='67487';
UPDATE eccourses set location='Olderup' where plz='25860';
UPDATE eccourses set location='Mildstedt' where plz='25866';
UPDATE eccourses set location='Kleinfischlingen' where plz='67483';
UPDATE eccourses set location='Edenkoben, Stadt' where plz='67480';
UPDATE eccourses set location='Sterley' where plz='23883';
UPDATE eccourses set location='Niendorf/ Stecknitz' where plz='23881';
UPDATE eccourses set location='Duisburg, Stadt' where plz='47178';
UPDATE eccourses set location='Duisburg, Stadt' where plz='47179';
UPDATE eccourses set location='Öhringen, Stadt' where plz='74613';
UPDATE eccourses set location='Neuried' where plz='82061';
UPDATE eccourses set location='Baierbrunn' where plz='82065';
UPDATE eccourses set location='Fritzlar, Dom- und Kaiserstadt' where plz='34560';
UPDATE eccourses set location='Schäftlarn' where plz='82067';
UPDATE eccourses set location='Machern' where plz='04828';
UPDATE eccourses set location='Machern' where plz='04827';
UPDATE eccourses set location='Brandis, Stadt' where plz='04824';
UPDATE eccourses set location='Brandis, Stadt' where plz='04821';
UPDATE eccourses set location='Herborn, Stadt' where plz='35745';
UPDATE eccourses set location='Mainz, Stadt' where plz='55120';
UPDATE eccourses set location='Plate' where plz='19086';
UPDATE eccourses set location='Burscheid, Stadt' where plz='51399';
UPDATE eccourses set location='Laumersheim' where plz='67229';
UPDATE eccourses set location='Berlin, Stadt' where plz='12619';
UPDATE eccourses set location='Lübbow' where plz='29488';
UPDATE eccourses set location='Zwiefalten' where plz='88529';
UPDATE eccourses set location='Lemgow' where plz='29485';
UPDATE eccourses set location='Bad Salzschlirf' where plz='36364';
UPDATE eccourses set location='Luckau (Wendland)' where plz='29487';
UPDATE eccourses set location='Frankenthal (Pfalz), Stadt' where plz='67227';
UPDATE eccourses set location='Stolpen, Stadt' where plz='01833';
UPDATE eccourses set location='Küsten' where plz='29482';
UPDATE eccourses set location='Thaining' where plz='86943';
UPDATE eccourses set location='Berlin, Stadt' where plz='13627';
UPDATE eccourses set location='Eresing' where plz='86941';
UPDATE eccourses set location='Vilgertshofen' where plz='86946';
UPDATE eccourses set location='Wolfach, Stadt' where plz='77709';
UPDATE eccourses set location='Unterdießen' where plz='86944';
UPDATE eccourses set location='Oberkirch, Stadt' where plz='77704';
UPDATE eccourses set location='Windach' where plz='86949';
UPDATE eccourses set location='Berlin, Stadt' where plz='13629';
UPDATE eccourses set location='Holm' where plz='25488';
UPDATE eccourses set location='Haseldorf' where plz='25489';
UPDATE eccourses set location='Appen' where plz='25482';
UPDATE eccourses set location='Langeln' where plz='25485';
UPDATE eccourses set location='Alveslohe' where plz='25486';
UPDATE eccourses set location='Schondra, M' where plz='97795';
UPDATE eccourses set location='Rieneck, St' where plz='97794';
UPDATE eccourses set location='Wartmannsroth' where plz='97797';
UPDATE eccourses set location='Obersinn, M' where plz='97791';
UPDATE eccourses set location='Riedenberg' where plz='97792';
UPDATE eccourses set location='Zeitlofs, M' where plz='97799';
UPDATE eccourses set location='Erkelenz, Stadt' where plz='41812';
UPDATE eccourses set location='Klotten' where plz='56818';
UPDATE eccourses set location='Wirfus' where plz='56814';
UPDATE eccourses set location='Rohrbach' where plz='76865';
UPDATE eccourses set location='Valwig' where plz='56812';
UPDATE eccourses set location='Zirndorf, St' where plz='90513';
UPDATE eccourses set location='Viersen, Stadt' where plz='41751';
UPDATE eccourses set location='Gotha, Stadt' where plz='99867';
UPDATE eccourses set location='Hörsel' where plz='99869';
UPDATE eccourses set location='Bielefeld, Stadt' where plz='33689';
UPDATE eccourses set location='Altdorf b.Nürnberg, St' where plz='90518';
UPDATE eccourses set location='Schöneberg' where plz='57638';
UPDATE eccourses set location='Rodenbach bei Puderbach' where plz='57639';
UPDATE eccourses set location='Sörth' where plz='57636';
UPDATE eccourses set location='Wölmersen' where plz='57635';
UPDATE eccourses set location='Ziegenhain' where plz='57632';
UPDATE eccourses set location='Kelheim, St' where plz='93309';
UPDATE eccourses set location='Schweinfurt' where plz='97422';
UPDATE eccourses set location='Schweinfurt' where plz='97421';
UPDATE eccourses set location='Schweinfurt' where plz='97424';
UPDATE eccourses set location='Teterow, Stadt' where plz='17166';
UPDATE eccourses set location='Krayenberggemeinde' where plz='36460';
UPDATE eccourses set location='Minden, Stadt' where plz='32429';
UPDATE eccourses set location='Zella/Rhön' where plz='36466';
UPDATE eccourses set location='Tiefenort' where plz='36469';
UPDATE eccourses set location='Bruchköbel, Stadt' where plz='63486';
UPDATE eccourses set location='München, Landeshauptstadt' where plz='80686';
UPDATE eccourses set location='Kirchdorf a.d.Amper' where plz='85414';
UPDATE eccourses set location='München, Landeshauptstadt' where plz='80689';
UPDATE eccourses set location='Langenbach' where plz='85416';
UPDATE eccourses set location='Hohenkammer' where plz='85411';
UPDATE eccourses set location='Haag a.d.Amper' where plz='85410';
UPDATE eccourses set location='Hörgertshausen' where plz='85413';
UPDATE eccourses set location='Julbach' where plz='84387';
UPDATE eccourses set location='Wildenbörten' where plz='04626';
UPDATE eccourses set location='Hohen Neuendorf, Stadt' where plz='16556';
UPDATE eccourses set location='Obersontheim' where plz='74423';
UPDATE eccourses set location='Bühlertann' where plz='74424';
UPDATE eccourses set location='Gefrees, St' where plz='95482';
UPDATE eccourses set location='Wolfsegg' where plz='93195';
UPDATE eccourses set location='Warmensteinach' where plz='95485';
UPDATE eccourses set location='Eckersdorf' where plz='95488';
UPDATE eccourses set location='Wuppertal, Stadt' where plz='42107';
UPDATE eccourses set location='Wuppertal, Stadt' where plz='42105';
UPDATE eccourses set location='Wellen' where plz='54441';
UPDATE eccourses set location='Himmelkron' where plz='95460';
UPDATE eccourses set location='Wuppertal, Stadt' where plz='42109';
UPDATE eccourses set location='Schulzendorf' where plz='15732';
UPDATE eccourses set location='Zeuthen' where plz='15738';
UPDATE eccourses set location='Wirft' where plz='53534';
UPDATE eccourses set location='Wershofen' where plz='53533';
UPDATE eccourses set location='Welcherath' where plz='53539';
UPDATE eccourses set location='Kirchenlamitz, St' where plz='95158';
UPDATE eccourses set location='Langen (Hessen), Stadt' where plz='63225';
UPDATE eccourses set location='Lohheide, gemfr. Bezirk' where plz='29303';
UPDATE eccourses set location='Selbitz, St' where plz='95152';
UPDATE eccourses set location='Melsungen, Stadt' where plz='34212';
UPDATE eccourses set location='Leinefelde-Worbis, Stadt' where plz='37339';
UPDATE eccourses set location='Lalendorf' where plz='18279';
UPDATE eccourses set location='Zehna' where plz='18276';
UPDATE eccourses set location='Buchloe, St' where plz='86807';
UPDATE eccourses set location='Bielefeld, Stadt' where plz='33659';
UPDATE eccourses set location='Güstrow, Stadt' where plz='18273';
UPDATE eccourses set location='Hannover, Landeshauptstadt' where plz='30657';
UPDATE eccourses set location='Hannover, Landeshauptstadt' where plz='30655';
UPDATE eccourses set location='Reinhardshagen' where plz='34359';
UPDATE eccourses set location='Hannover, Landeshauptstadt' where plz='30659';
UPDATE eccourses set location='Kassel, documenta-Stadt' where plz='34355';
UPDATE eccourses set location='Bestwig' where plz='59909';
UPDATE eccourses set location='Hof' where plz='95032';
UPDATE eccourses set location='Hof' where plz='95030';
UPDATE eccourses set location='Stadthagen, Stadt' where plz='31655';
UPDATE eccourses set location='Northeim, Stadt' where plz='37154';
UPDATE eccourses set location='Tuntenhausen' where plz='83104';
UPDATE eccourses set location='Speyer, Stadt' where plz='67346';
UPDATE eccourses set location='Rohrdorf' where plz='83101';
UPDATE eccourses set location='Großkarolinenfeld' where plz='83109';
UPDATE eccourses set location='Augsburg' where plz='86161';
UPDATE eccourses set location='Augsburg' where plz='86163';
UPDATE eccourses set location='Augsburg' where plz='86165';
UPDATE eccourses set location='Augsburg' where plz='86167';
UPDATE eccourses set location='Augsburg' where plz='86169';
UPDATE eccourses set location='Floß, M' where plz='92685';
UPDATE eccourses set location='Lüdenscheid, Stadt' where plz='58507';
UPDATE eccourses set location='Bremen, Stadt' where plz='28307';
UPDATE eccourses set location='Lüdenscheid, Stadt' where plz='58509';
UPDATE eccourses set location='Bremen, Stadt' where plz='28309';
UPDATE eccourses set location='Vestenbergsgreuth, M' where plz='91487';
UPDATE eccourses set location='Karlsruhe, Stadt' where plz='76135';
UPDATE eccourses set location='Sugenheim, M' where plz='91484';
UPDATE eccourses set location='Oberscheinfeld, M' where plz='91483';
UPDATE eccourses set location='Eltmann, St' where plz='97483';
UPDATE eccourses set location='Münchsteinach' where plz='91481';
UPDATE eccourses set location='Karlsruhe, Stadt' where plz='76133';
UPDATE eccourses set location='Rottenburg am Neckar, Stadt' where plz='72108';
UPDATE eccourses set location='Karlsruhe, Stadt' where plz='76139';
UPDATE eccourses set location='Wilhelmsdorf' where plz='91489';
UPDATE eccourses set location='Bonn, Stadt' where plz='53225';
UPDATE eccourses set location='Battenberg (Eder), Stadt' where plz='35088';
UPDATE eccourses set location='Bad Endbach' where plz='35080';
UPDATE eccourses set location='Wetter (Hessen), Stadt' where plz='35083';
UPDATE eccourses set location='Ebsdorfergrund' where plz='35085';
UPDATE eccourses set location='Rheinhausen' where plz='79365';
UPDATE eccourses set location='Lichtenfels, St' where plz='96215';
UPDATE eccourses set location='Rheinbreitbach' where plz='53619';
UPDATE eccourses set location='Erzgebirgskreis' where plz='09517';
UPDATE eccourses set location='Waldstetten, M' where plz='89367';
UPDATE eccourses set location='Röfingen' where plz='89365';
UPDATE eccourses set location='Rettenbach' where plz='89364';
UPDATE eccourses set location='Rettenbach' where plz='89362';
UPDATE eccourses set location='Landensberg' where plz='89361';
UPDATE eccourses set location='Weisweil' where plz='79367';
UPDATE eccourses set location='Köln, Stadt' where plz='50737';
UPDATE eccourses set location='Barntrup, Stadt' where plz='32683';
UPDATE eccourses set location='Bergneustadt, Stadt' where plz='51702';
UPDATE eccourses set location='Wörrstadt, Stadt' where plz='55286';
UPDATE eccourses set location='Marienheide' where plz='51709';
UPDATE eccourses set location='Kalletal' where plz='32689';
UPDATE eccourses set location='Betzigau' where plz='87488';
UPDATE eccourses set location='Friedberg (Hessen), Kreisstadt' where plz='61169';
UPDATE eccourses set location='Nesselwang, M' where plz='87484';
UPDATE eccourses set location='Garmisch-Partenkirchen, M' where plz='82475';
UPDATE eccourses set location='Weitnau, M' where plz='87480';
UPDATE eccourses set location='Rimbach' where plz='64668';
UPDATE eccourses set location='Alsbach-Hähnlein' where plz='64665';
UPDATE eccourses set location='Sottrum' where plz='27367';
UPDATE eccourses set location='Walluf' where plz='65396';
UPDATE eccourses set location='Sauerthal' where plz='65391';
UPDATE eccourses set location='Welzheim, Stadt' where plz='73635';
UPDATE eccourses set location='Kiedrich' where plz='65399';
UPDATE eccourses set location='Boppard, Stadt' where plz='56154';
UPDATE eccourses set location='Herrsching a.Ammersee' where plz='82211';
UPDATE eccourses set location='Maisach' where plz='82216';
UPDATE eccourses set location='Frankfurt am Main, Stadt' where plz='60528';
UPDATE eccourses set location='Gaimersheim, M' where plz='85080';
UPDATE eccourses set location='Reichertshofen, M' where plz='85084';
UPDATE eccourses set location='Walheim' where plz='74399';
UPDATE eccourses set location='Pfaffenhofen' where plz='74397';
UPDATE eccourses set location='Hessigheim' where plz='74394';
UPDATE eccourses set location='Mundelsheim' where plz='74395';
UPDATE eccourses set location='Freudental' where plz='74392';
UPDATE eccourses set location='Erligheim' where plz='74391';
UPDATE eccourses set location='Kottenheim' where plz='56736';
UPDATE eccourses set location='Rechlin' where plz='17248';
UPDATE eccourses set location='Alsdorf, Stadt' where plz='52477';
UPDATE eccourses set location='Molfsee' where plz='24113';
UPDATE eccourses set location='Olpe, Stadt' where plz='57462';
UPDATE eccourses set location='Papenburg, Stadt' where plz='26871';
UPDATE eccourses set location='Bersenbrück, Stadt' where plz='49593';
UPDATE eccourses set location='Alfhausen' where plz='49594';
UPDATE eccourses set location='Gehrde' where plz='49596';
UPDATE eccourses set location='Rieste' where plz='49597';
UPDATE eccourses set location='Voltlage' where plz='49599';
UPDATE eccourses set location='Dingolfing, St' where plz='84130';
UPDATE eccourses set location='Vilsbiburg, St' where plz='84137';
UPDATE eccourses set location='Münchsmünster' where plz='85126';
UPDATE eccourses set location='Wiesloch, Stadt' where plz='69168';
UPDATE eccourses set location='Glonn, M' where plz='85625';
UPDATE eccourses set location='Feldkirchen' where plz='85622';
UPDATE eccourses set location='Braunsbedra, Stadt' where plz='06259';
UPDATE eccourses set location='Hagen, Stadt der FernUniversität' where plz='58089';
UPDATE eccourses set location='Vechta, Stadt' where plz='49377';
UPDATE eccourses set location='Meinersen' where plz='38536';
UPDATE eccourses set location='Schenefeld, Stadt' where plz='22869';
UPDATE eccourses set location='Philippsreut' where plz='94146';
UPDATE eccourses set location='Vordorf' where plz='38533';
UPDATE eccourses set location='Didderse' where plz='38530';
UPDATE eccourses set location='Fürsteneck' where plz='94142';
UPDATE eccourses set location='Rinchnach' where plz='94269';
UPDATE eccourses set location='Walzbachtal' where plz='75045';
UPDATE eccourses set location='Kirchham' where plz='94148';
UPDATE eccourses set location='Müden (Aller)' where plz='38539';
UPDATE eccourses set location='Egmating' where plz='85658';
UPDATE eccourses set location='Bergisch Gladbach, Stadt' where plz='51467';
UPDATE eccourses set location='Mering, M' where plz='86415';
UPDATE eccourses set location='Schlierbach' where plz='73278';
UPDATE eccourses set location='Worms, Stadt' where plz='67549';
UPDATE eccourses set location='Bergisch Gladbach, Stadt' where plz='51469';
UPDATE eccourses set location='Rietschen' where plz='02956';
UPDATE eccourses set location='Freiburg im Breisgau, Stadt' where plz='79108';
UPDATE eccourses set location='Isselburg, Stadt' where plz='46419';
UPDATE eccourses set location='Freiburg im Breisgau, Stadt' where plz='79100';
UPDATE eccourses set location='Freiburg im Breisgau, Stadt' where plz='79102';
UPDATE eccourses set location='Freiburg im Breisgau, Stadt' where plz='79104';
UPDATE eccourses set location='Freiburg im Breisgau, Stadt' where plz='79106';
UPDATE eccourses set location='Hofbieber' where plz='36145';
UPDATE eccourses set location='Bischofswiesen' where plz='83483';
UPDATE eccourses set location='Stuttgart, Landeshauptstadt' where plz='70499';
UPDATE eccourses set location='Ramsau b.Berchtesgaden' where plz='83486';
UPDATE eccourses set location='Tann (Rhön), Stadt' where plz='36142';
UPDATE eccourses set location='Kalbach' where plz='36148';
UPDATE eccourses set location='Udenheim' where plz='55288';
UPDATE eccourses set location='Kirchberg an der Murr' where plz='71729';
UPDATE eccourses set location='Castrop-Rauxel, Stadt' where plz='44579';
UPDATE eccourses set location='Benningen am Neckar' where plz='71726';
UPDATE eccourses set location='Oberhausen, Stadt' where plz='46149';
UPDATE eccourses set location='Beilstein, Stadt' where plz='71720';
UPDATE eccourses set location='Großbottwar, Stadt' where plz='71723';
UPDATE eccourses set location='Eging a.See, M' where plz='94535';
UPDATE eccourses set location='Eppenschlag' where plz='94536';
UPDATE eccourses set location='Auerbach' where plz='94530';
UPDATE eccourses set location='Außernzell' where plz='94532';
UPDATE eccourses set location='Buchhofen' where plz='94533';
UPDATE eccourses set location='Fürstenstein' where plz='94538';
UPDATE eccourses set location='Grafling' where plz='94539';
UPDATE eccourses set location='Hamburg, Freie und Hansestadt' where plz='20249';
UPDATE eccourses set location='Bremerhaven, Stadt' where plz='27568';
UPDATE eccourses set location='Fußgönheim' where plz='67136';
UPDATE eccourses set location='Denklingen' where plz='86920';
UPDATE eccourses set location='Birkenheide' where plz='67134';
UPDATE eccourses set location='Maxdorf' where plz='67133';
UPDATE eccourses set location='Westerstetten' where plz='89198';
UPDATE eccourses set location='Delmenhorst, Stadt' where plz='27755';
UPDATE eccourses set location='Weißbach' where plz='07646';
UPDATE eccourses set location='Nellingen' where plz='89191';
UPDATE eccourses set location='Rammingen' where plz='89192';
UPDATE eccourses set location='Schnürpflingen' where plz='89194';
UPDATE eccourses set location='Heidelberg, Stadt' where plz='69121';
UPDATE eccourses set location='Delmenhorst, Stadt' where plz='27753';
UPDATE eccourses set location='Heidelberg, Stadt' where plz='69120';
UPDATE eccourses set location='Geestland, Stadt' where plz='27624';
UPDATE eccourses set location='Hagen im Bremischen' where plz='27628';
UPDATE eccourses set location='Trierweiler' where plz='54311';
UPDATE eccourses set location='Seeth' where plz='25840';
UPDATE eccourses set location='Ockholm' where plz='25842';
UPDATE eccourses set location='Pellworm' where plz='25845';
UPDATE eccourses set location='Boxberg, Stadt' where plz='97944';
UPDATE eccourses set location='Pellworm' where plz='25849';
UPDATE eccourses set location='Heidelberg, Stadt' where plz='69124';
UPDATE eccourses set location='Tauberbischofsheim, Stadt' where plz='97941';
UPDATE eccourses set location='Peine, Stadt' where plz='31224';
UPDATE eccourses set location='Friesenheim' where plz='77948';
UPDATE eccourses set location='Peine, Stadt' where plz='31226';
UPDATE eccourses set location='Peine, Stadt' where plz='31228';
UPDATE eccourses set location='Messel' where plz='64409';
UPDATE eccourses set location='Duisburg, Stadt' where plz='47198';
UPDATE eccourses set location='Duisburg, Stadt' where plz='47199';
UPDATE eccourses set location='Berlin, Stadt' where plz='14199';
UPDATE eccourses set location='Berlin, Stadt' where plz='12555';
UPDATE eccourses set location='Pullach i.Isartal' where plz='82049';
UPDATE eccourses set location='Berlin, Stadt' where plz='12557';
UPDATE eccourses set location='Berlin, Stadt' where plz='12559';
UPDATE eccourses set location='Edertal' where plz='34549';
UPDATE eccourses set location='Essen, Stadt' where plz='45144';
UPDATE eccourses set location='Bremen, Stadt' where plz='28759';
UPDATE eccourses set location='Oberhaching' where plz='82041';
UPDATE eccourses set location='Turnow-Preilack' where plz='03185';
UPDATE eccourses set location='Freudenberg' where plz='92272';
UPDATE eccourses set location='Hirschbach' where plz='92275';
UPDATE eccourses set location='Gebenbach' where plz='92274';
UPDATE eccourses set location='Hohenburg, M' where plz='92277';
UPDATE eccourses set location='Schönebeck (Elbe), Stadt' where plz='39217';
UPDATE eccourses set location='Schönebeck (Elbe), Stadt' where plz='39218';
UPDATE eccourses set location='Illschwang' where plz='92278';
UPDATE eccourses set location='Siegbach' where plz='35768';
UPDATE eccourses set location='Köln, Stadt' where plz='50939';
UPDATE eccourses set location='Köln, Stadt' where plz='50931';
UPDATE eccourses set location='Köln, Stadt' where plz='50933';
UPDATE eccourses set location='Sinn' where plz='35764';
UPDATE eccourses set location='Köln, Stadt' where plz='50935';
UPDATE eccourses set location='Köln, Stadt' where plz='50937';
UPDATE eccourses set location='Simmertal' where plz='55618';
UPDATE eccourses set location='Hennweiler' where plz='55619';
UPDATE eccourses set location='Stetten' where plz='88719';
UPDATE eccourses set location='Daisendorf' where plz='88718';
UPDATE eccourses set location='Halle (Saale), Stadt' where plz='06118';
UPDATE eccourses set location='Halle (Saale), Stadt' where plz='06114';
UPDATE eccourses set location='Halle (Saale), Stadt' where plz='06116';
UPDATE eccourses set location='Halle (Saale), Stadt' where plz='06110';
UPDATE eccourses set location='Halle (Saale), Stadt' where plz='06112';
UPDATE eccourses set location='Baltrum' where plz='26579';
UPDATE eccourses set location='Mudau' where plz='69427';
UPDATE eccourses set location='Eberbach, Stadt' where plz='69429';
UPDATE eccourses set location='Nordseeinsel Memmert, gemfr. Gebiet' where plz='26571';
UPDATE eccourses set location='Schwalbach' where plz='66773';
UPDATE eccourses set location='Wöllstadt' where plz='61206';
UPDATE eccourses set location='Reichelsheim (Wetterau), Stadt' where plz='61203';
UPDATE eccourses set location='Wölfersheim' where plz='61200';
UPDATE eccourses set location='Wölfersheim' where plz='61209';
UPDATE eccourses set location='Riesa, Stadt' where plz='01589';
UPDATE eccourses set location='Uhingen, Stadt' where plz='73066';
UPDATE eccourses set location='Ebersbach an der Fils, Stadt' where plz='73061';
UPDATE eccourses set location='Sebnitz, Stadt' where plz='01855';
UPDATE eccourses set location='München, Landeshauptstadt' where plz='81249';
UPDATE eccourses set location='Sprockhövel, Stadt' where plz='45549';
UPDATE eccourses set location='München, Landeshauptstadt' where plz='81539';
UPDATE eccourses set location='München, Landeshauptstadt' where plz='81241';
UPDATE eccourses set location='München, Landeshauptstadt' where plz='81243';
UPDATE eccourses set location='München, Landeshauptstadt' where plz='81245';
UPDATE eccourses set location='München, Landeshauptstadt' where plz='81247';
UPDATE eccourses set location='Neckartenzlingen' where plz='72654';
UPDATE eccourses set location='Merzenich' where plz='52399';
UPDATE eccourses set location='Besigheim, Stadt' where plz='74354';
UPDATE eccourses set location='Leiblfing' where plz='94339';
UPDATE eccourses set location='Windberg' where plz='94336';
UPDATE eccourses set location='Hürtgenwald' where plz='52393';
UPDATE eccourses set location='Vettweiß' where plz='52391';
UPDATE eccourses set location='Heimbach, Stadt' where plz='52396';
UPDATE eccourses set location='Geiselhöring, St' where plz='94333';
UPDATE eccourses set location='Salching' where plz='94330';
UPDATE eccourses set location='Wahlrod' where plz='57614';
UPDATE eccourses set location='Suhl, Stadt' where plz='98527';
UPDATE eccourses set location='Altenkirchen (Westerwald), Stadt' where plz='57610';
UPDATE eccourses set location='Kroppach' where plz='57612';
UPDATE eccourses set location='Wutha-Farnroda' where plz='99848';
UPDATE eccourses set location='Wendelstein, M' where plz='90530';
UPDATE eccourses set location='Seebach' where plz='99846';
UPDATE eccourses set location='Seebach' where plz='99842';
UPDATE eccourses set location='Feucht, M' where plz='90537';
UPDATE eccourses set location='Mönchberg, M' where plz='63933';
UPDATE eccourses set location='Neunkirchen' where plz='63930';
UPDATE eccourses set location='Kirchzell, M' where plz='63931';
UPDATE eccourses set location='Schneeberg, M' where plz='63936';
UPDATE eccourses set location='Weilbach, M' where plz='63937';
UPDATE eccourses set location='Röllbach' where plz='63934';
UPDATE eccourses set location='Abensberg, St' where plz='93326';
UPDATE eccourses set location='Wörth a.Main, St' where plz='63939';
UPDATE eccourses set location='Herzogenrath, Stadt' where plz='52134';
UPDATE eccourses set location='Neubrandenburg, Stadt' where plz='17033';
UPDATE eccourses set location='Neubrandenburg, Stadt' where plz='17034';
UPDATE eccourses set location='Salz' where plz='97616';
UPDATE eccourses set location='Neubrandenburg, Stadt' where plz='17036';
UPDATE eccourses set location='Werneck, M' where plz='97440';
UPDATE eccourses set location='Gerolzhofen, St' where plz='97447';
UPDATE eccourses set location='Düsseldorf, Stadt' where plz='40211';
UPDATE eccourses set location='Kalchreuth' where plz='90562';
UPDATE eccourses set location='Erlenbach' where plz='74235';
UPDATE eccourses set location='Abstatt' where plz='74232';
UPDATE eccourses set location='Hardthausen am Kocher' where plz='74239';
UPDATE eccourses set location='Krautheim, Stadt' where plz='74238';
UPDATE eccourses set location='Bohmte' where plz='49163';
UPDATE eccourses set location='Suhl, Stadt' where plz='98529';
UPDATE eccourses set location='Erding, GKSt' where plz='85435';
UPDATE eccourses set location='Recklinghausen, Stadt' where plz='45665';
UPDATE eccourses set location='Recklinghausen, Stadt' where plz='45663';
UPDATE eccourses set location='Steinfurt, Stadt' where plz='48565';
UPDATE eccourses set location='Burkhardtsdorf' where plz='09235';
UPDATE eccourses set location='Leipzig, Stadt' where plz='04357';
UPDATE eccourses set location='Claußnitz' where plz='09236';
UPDATE eccourses set location='Windischleuba' where plz='04603';
UPDATE eccourses set location='Hartmannsdorf' where plz='09232';
UPDATE eccourses set location='Saaleplatte' where plz='99518';
UPDATE eccourses set location='Ilmtal-Weinstraße' where plz='99510';
UPDATE eccourses set location='Herne, Stadt' where plz='44649';
UPDATE eccourses set location='Pritzwalk, Stadt' where plz='16928';
UPDATE eccourses set location='Züsch' where plz='54422';
UPDATE eccourses set location='Reinsfeld' where plz='54421';
UPDATE eccourses set location='Naurath (Wald)' where plz='54426';
UPDATE eccourses set location='Kell am See' where plz='54427';
UPDATE eccourses set location='Thalfang' where plz='54424';
UPDATE eccourses set location='Köln, Stadt' where plz='51069';
UPDATE eccourses set location='Waldweiler' where plz='54429';
UPDATE eccourses set location='Mönchengladbach, Stadt' where plz='41169';
UPDATE eccourses set location='Lieberose, Stadt' where plz='15868';
UPDATE eccourses set location='Wendisch Rietz' where plz='15864';
UPDATE eccourses set location='Königs Wusterhausen, Stadt' where plz='15713';
UPDATE eccourses set location='Königs Wusterhausen, Stadt' where plz='15712';
UPDATE eccourses set location='Königs Wusterhausen, Stadt' where plz='15711';
UPDATE eccourses set location='Eschede' where plz='29361';
UPDATE eccourses set location='Konradsreuth' where plz='95176';
UPDATE eccourses set location='Hohne' where plz='29362';
UPDATE eccourses set location='Schönwald, St' where plz='95173';
UPDATE eccourses set location='Langlingen' where plz='29364';
UPDATE eccourses set location='Steinhorst' where plz='29367';
UPDATE eccourses set location='Ummern' where plz='29369';
UPDATE eccourses set location='Wimbach' where plz='53518';
UPDATE eccourses set location='Kornwestheim, Stadt' where plz='70806';
UPDATE eccourses set location='Hoppstädten-Weiersbach' where plz='55768';
UPDATE eccourses set location='Geroldsgrün' where plz='95179';
UPDATE eccourses set location='Stelle' where plz='21435';
UPDATE eccourses set location='Marschacht' where plz='21436';
UPDATE eccourses set location='Kiel, Landeshauptstadt' where plz='24159';
UPDATE eccourses set location='Brackel' where plz='21438';
UPDATE eccourses set location='Wüstheuterode' where plz='37318';
UPDATE eccourses set location='Wintersheim' where plz='67587';
UPDATE eccourses set location='Hillesheim' where plz='67586';
UPDATE eccourses set location='Dorn-Dürkheim' where plz='67585';
UPDATE eccourses set location='Guntersblum' where plz='67583';
UPDATE eccourses set location='Mettenheim' where plz='67582';
UPDATE eccourses set location='Hamm am Rhein' where plz='67580';
UPDATE eccourses set location='Melsbach' where plz='56581';
UPDATE eccourses set location='München, Landeshauptstadt' where plz='80805';
UPDATE eccourses set location='München, Landeshauptstadt' where plz='80804';
UPDATE eccourses set location='München, Landeshauptstadt' where plz='80807';
UPDATE eccourses set location='München, Landeshauptstadt' where plz='80801';
UPDATE eccourses set location='München, Landeshauptstadt' where plz='80803';
UPDATE eccourses set location='München, Landeshauptstadt' where plz='80802';
UPDATE eccourses set location='München, Landeshauptstadt' where plz='80809';
UPDATE eccourses set location='Moormerland' where plz='26802';
UPDATE eccourses set location='Nörten-Hardenberg, Flecken' where plz='37176';
UPDATE eccourses set location='Uslar, Stadt' where plz='37170';
UPDATE eccourses set location='Ziegendorf' where plz='19372';
UPDATE eccourses set location='Waldkraiburg, St' where plz='84478';
UPDATE eccourses set location='Niederbreitbach' where plz='56589';
UPDATE eccourses set location='Amerang' where plz='83123';
UPDATE eccourses set location='Himbergen' where plz='29584';
UPDATE eccourses set location='Freisbach' where plz='67361';
UPDATE eccourses set location='Waldbreitbach' where plz='56588';
UPDATE eccourses set location='Gerdau' where plz='29581';
UPDATE eccourses set location='Flintsbach a.Inn' where plz='83126';
UPDATE eccourses set location='Eggstätt' where plz='83125';
UPDATE eccourses set location='Hanstedt' where plz='29582';
UPDATE eccourses set location='Höslwang' where plz='83129';
UPDATE eccourses set location='Halfing' where plz='83128';
UPDATE eccourses set location='Oetzen' where plz='29588';
UPDATE eccourses set location='Neumühle/Elster' where plz='07980';
UPDATE eccourses set location='Elsterberg, Stadt' where plz='07985';
UPDATE eccourses set location='Mohlsdorf-Teichwolframsdorf' where plz='07987';
UPDATE eccourses set location='Immenhausen, Stadt' where plz='34376';
UPDATE eccourses set location='Hagenbüchach' where plz='91469';
UPDATE eccourses set location='Ortenburg, M' where plz='94496';
UPDATE eccourses set location='Ergersheim' where plz='91465';
UPDATE eccourses set location='Gerhardshofen' where plz='91466';
UPDATE eccourses set location='Baudenbach, M' where plz='91460';
UPDATE eccourses set location='Bad Säckingen, Stadt' where plz='79713';
UPDATE eccourses set location='Dachsbach, M' where plz='91462';
UPDATE eccourses set location='Urbach' where plz='73655';
UPDATE eccourses set location='Winterbach' where plz='73650';
UPDATE eccourses set location='Ruppertsweiler' where plz='66981';
UPDATE eccourses set location='Ertingen' where plz='88521';
UPDATE eccourses set location='Thaleischweiler-Fröschen' where plz='66987';
UPDATE eccourses set location='Petersberg' where plz='66989';
UPDATE eccourses set location='Unlingen' where plz='88527';
UPDATE eccourses set location='Uttenweiler' where plz='88524';
UPDATE eccourses set location='Mainz, Stadt' where plz='55116';
UPDATE eccourses set location='Mainz, Stadt' where plz='55118';
UPDATE eccourses set location='Helmstedt, Stadt' where plz='38350';
UPDATE eccourses set location='Lauf a.d.Pegnitz, St' where plz='91207';
UPDATE eccourses set location='Neuler' where plz='73479';
UPDATE eccourses set location='Breitbrunn' where plz='96151';
UPDATE eccourses set location='Eching' where plz='84174';
UPDATE eccourses set location='Buttenheim, M' where plz='96155';
UPDATE eccourses set location='Ebrach, M' where plz='96157';
UPDATE eccourses set location='Gehlsbach' where plz='19386';
UPDATE eccourses set location='Buch a.Erlbach' where plz='84172';
UPDATE eccourses set location='Üttfeld' where plz='54619';
UPDATE eccourses set location='Windbergen' where plz='25729';
UPDATE eccourses set location='Bornholt' where plz='25725';
UPDATE eccourses set location='Schmedeswurth' where plz='25724';
UPDATE eccourses set location='Süderhastedt' where plz='25727';
UPDATE eccourses set location='Eggstedt' where plz='25721';
UPDATE eccourses set location='Weßling' where plz='82234';
UPDATE eccourses set location='Wörthsee' where plz='82237';
UPDATE eccourses set location='Alling' where plz='82239';
UPDATE eccourses set location='Westerwalsede' where plz='27386';
UPDATE eccourses set location='Scheeßel' where plz='27383';
UPDATE eccourses set location='Nievern' where plz='56132';
UPDATE eccourses set location='Fachbach' where plz='56133';
UPDATE eccourses set location='Nievern' where plz='56130';
UPDATE eccourses set location='Sachsenbrunn' where plz='98678';
UPDATE eccourses set location='Büdesheim' where plz='54610';
UPDATE eccourses set location='Auengrund' where plz='98673';
UPDATE eccourses set location='Südeichsfeld' where plz='99988';
UPDATE eccourses set location='Wawern' where plz='54612';
UPDATE eccourses set location='Vogtei' where plz='99986';
UPDATE eccourses set location='Winringen' where plz='54614';
UPDATE eccourses set location='Parsteinsee' where plz='16248';
UPDATE eccourses set location='Schorfheide' where plz='16244';
UPDATE eccourses set location='Ziethen' where plz='16247';
UPDATE eccourses set location='Wiesenbronn' where plz='97320';
UPDATE eccourses set location='Radebeul, Stadt' where plz='01445';
UPDATE eccourses set location='Unterschönau' where plz='98587';
UPDATE eccourses set location='Wilhelmshaven, Stadt' where plz='26386';
UPDATE eccourses set location='Wilhelmshaven, Stadt' where plz='26384';
UPDATE eccourses set location='Wilhelmshaven, Stadt' where plz='26382';
UPDATE eccourses set location='Wilhelmshaven, Stadt' where plz='26388';
UPDATE eccourses set location='Wilhelmshaven, Stadt' where plz='26389';
UPDATE eccourses set location='Wohlde' where plz='24899';
UPDATE eccourses set location='Idstein, Stadt' where plz='65510';
UPDATE eccourses set location='Twedt' where plz='24894';
UPDATE eccourses set location='Kettenkamp' where plz='49577';
UPDATE eccourses set location='Treia' where plz='24896';
UPDATE eccourses set location='Ulsnis' where plz='24897';
UPDATE eccourses set location='Süderfahrenstedt' where plz='24890';
UPDATE eccourses set location='Uelsby' where plz='24891';
UPDATE eccourses set location='Taarstedt' where plz='24893';
UPDATE eccourses set location='Mülheim an der Ruhr, Stadt' where plz='45479';
UPDATE eccourses set location='Mülheim an der Ruhr, Stadt' where plz='45478';
UPDATE eccourses set location='Nürnberg' where plz='90491';
UPDATE eccourses set location='Mülheim an der Ruhr, Stadt' where plz='45473';
UPDATE eccourses set location='Mülheim an der Ruhr, Stadt' where plz='45472';
UPDATE eccourses set location='Mülheim an der Ruhr, Stadt' where plz='45470';
UPDATE eccourses set location='Leimen, Stadt' where plz='69181';
UPDATE eccourses set location='Mülheim an der Ruhr, Stadt' where plz='45476';
UPDATE eccourses set location='Mülheim an der Ruhr, Stadt' where plz='45475';
UPDATE eccourses set location='Bochum, Stadt' where plz='44789';
UPDATE eccourses set location='Aschheim' where plz='85609';
UPDATE eccourses set location='Zorneding' where plz='85604';
UPDATE eccourses set location='Bochum, Stadt' where plz='44787';
UPDATE eccourses set location='Mannheim, Universitätsstadt' where plz='68165';
UPDATE eccourses set location='Mannheim, Universitätsstadt' where plz='68167';
UPDATE eccourses set location='Mannheim, Universitätsstadt' where plz='68161';
UPDATE eccourses set location='Mannheim, Universitätsstadt' where plz='68163';
UPDATE eccourses set location='Mannheim, Universitätsstadt' where plz='68169';
UPDATE eccourses set location='Saldenburg' where plz='94163';
UPDATE eccourses set location='Ruderting' where plz='94161';
UPDATE eccourses set location='Ringelai' where plz='94160';
UPDATE eccourses set location='Gifhorn, Stadt' where plz='38518';
UPDATE eccourses set location='Stubenberg' where plz='94166';
UPDATE eccourses set location='Sonnen' where plz='94164';
UPDATE eccourses set location='Zenting' where plz='94169';
UPDATE eccourses set location='Berlin, Stadt' where plz='10715';
UPDATE eccourses set location='Berlin, Stadt' where plz='10717';
UPDATE eccourses set location='Berlin, Stadt' where plz='10711';
UPDATE eccourses set location='Berlin, Stadt' where plz='10713';
UPDATE eccourses set location='Witterda' where plz='99189';
UPDATE eccourses set location='Berlin, Stadt' where plz='10719';
UPDATE eccourses set location='Wimsheim' where plz='71299';
UPDATE eccourses set location='Brieselang' where plz='14656';
UPDATE eccourses set location='Heimsheim, Stadt' where plz='71296';
UPDATE eccourses set location='Mönsheim' where plz='71297';
UPDATE eccourses set location='Backnang, Stadt' where plz='71522';
UPDATE eccourses set location='Friolzheim' where plz='71292';
UPDATE eccourses set location='Poppenhausen (Wasserkuppe)' where plz='36163';
UPDATE eccourses set location='Dipperz' where plz='36160';
UPDATE eccourses set location='Nüsttal' where plz='36167';
UPDATE eccourses set location='Haunetal' where plz='36166';
UPDATE eccourses set location='Schönbach' where plz='02708';
UPDATE eccourses set location='Rasdorf, Point-Alpha-Gemeinde' where plz='36169';
UPDATE eccourses set location='Griesingen' where plz='89608';
UPDATE eccourses set location='Schelklingen, Stadt' where plz='89601';
UPDATE eccourses set location='Leipzig, Stadt' where plz='04275';
UPDATE eccourses set location='Allmendingen' where plz='89604';
UPDATE eccourses set location='Altheim' where plz='89605';
UPDATE eccourses set location='Emerkingen' where plz='89607';
UPDATE eccourses set location='Mariaposching' where plz='94553';
UPDATE eccourses set location='Künzing' where plz='94550';
UPDATE eccourses set location='Schaufling' where plz='94551';
UPDATE eccourses set location='Neuschönau' where plz='94556';
UPDATE eccourses set location='Niederalteich' where plz='94557';
UPDATE eccourses set location='Herzogenaurach, St' where plz='91074';
UPDATE eccourses set location='Limburgerhof' where plz='67117';
UPDATE eccourses set location='Mutterstadt' where plz='67112';
UPDATE eccourses set location='Zwickau, Stadt' where plz='08066';
UPDATE eccourses set location='Zwickau, Stadt' where plz='08064';
UPDATE eccourses set location='Holzkirchen, M' where plz='83607';
UPDATE eccourses set location='Zwickau, Stadt' where plz='08060';
UPDATE eccourses set location='Lippstadt, Stadt' where plz='59555';
UPDATE eccourses set location='Lippstadt, Stadt' where plz='59557';
UPDATE eccourses set location='Lippstadt, Stadt' where plz='59556';
UPDATE eccourses set location='Lippstadt, Stadt' where plz='59558';
UPDATE eccourses set location='Geestland, Stadt' where plz='27607';
UPDATE eccourses set location='Kappel-Grafenhausen' where plz='77966';
UPDATE eccourses set location='Seelbach' where plz='77960';
UPDATE eccourses set location='Schwanau' where plz='77963';
UPDATE eccourses set location='Lauda-Königshofen, Stadt' where plz='97922';
UPDATE eccourses set location='Dunningen' where plz='78655';
UPDATE eccourses set location='Königsfeld im Schwarzwald' where plz='78126';
UPDATE eccourses set location='Furtwangen im Schwarzwald, Stadt' where plz='78120';
UPDATE eccourses set location='Zimmern ob Rottweil' where plz='78658';
UPDATE eccourses set location='Leer (Ostfriesland), Stadt' where plz='26789';
UPDATE eccourses set location='Cottbus, Stadt' where plz='03051';
UPDATE eccourses set location='Siehdichum' where plz='15299';
UPDATE eccourses set location='Ziltendorf' where plz='15295';
UPDATE eccourses set location='Buttenwiesen' where plz='86647';
UPDATE eccourses set location='Rain, St' where plz='86641';
UPDATE eccourses set location='Neukirchen b.Sulzbach-Rosenberg' where plz='92259';
UPDATE eccourses set location='Hahnbach, M' where plz='92256';
UPDATE eccourses set location='Winklarn, M' where plz='92526';
UPDATE eccourses set location='Schwarzenfeld, M' where plz='92521';
UPDATE eccourses set location='Wiesmoor, Stadt' where plz='26639';
UPDATE eccourses set location='Eppelborn' where plz='66571';
UPDATE eccourses set location='Schiffweiler' where plz='66578';
UPDATE eccourses set location='Hamburg, Freie und Hansestadt' where plz='22399';
UPDATE eccourses set location='Hamburg, Freie und Hansestadt' where plz='22391';
UPDATE eccourses set location='Halle (Saale), Stadt' where plz='06132';
UPDATE eccourses set location='Hamburg, Freie und Hansestadt' where plz='22393';
UPDATE eccourses set location='Halle (Saale), Stadt' where plz='06130';
UPDATE eccourses set location='Hamburg, Freie und Hansestadt' where plz='22395';
UPDATE eccourses set location='Hamburg, Freie und Hansestadt' where plz='22397';
UPDATE eccourses set location='Köln, Stadt' where plz='50667';
UPDATE eccourses set location='Köln, Stadt' where plz='50668';
UPDATE eccourses set location='Westerholt' where plz='26556';
UPDATE eccourses set location='Helmstadt-Bargen' where plz='74921';
UPDATE eccourses set location='Epfenbach' where plz='74925';
UPDATE eccourses set location='Neckarbischofsheim, Stadt' where plz='74924';
UPDATE eccourses set location='Eschelbronn' where plz='74927';
UPDATE eccourses set location='Hüffenhardt' where plz='74928';
UPDATE eccourses set location='Saarwellingen' where plz='66793';
UPDATE eccourses set location='Schmölln-Putzkau' where plz='01877';
UPDATE eccourses set location='Bad Peterstal-Griesbach' where plz='77740';
UPDATE eccourses set location='Neuried' where plz='77743';
UPDATE eccourses set location='Schutterwald' where plz='77746';
UPDATE eccourses set location='Hohberg' where plz='77749';
UPDATE eccourses set location='Regenstauf, M' where plz='93128';
UPDATE eccourses set location='Straubing' where plz='94315';
UPDATE eccourses set location='Zell (Mosel), Stadt' where plz='56856';
UPDATE eccourses set location='Zell (Mosel), Stadt' where plz='56859';
UPDATE eccourses set location='Würrich' where plz='56858';
UPDATE eccourses set location='Schönaich' where plz='71101';
UPDATE eccourses set location='Wittlingen' where plz='79599';
UPDATE eccourses set location='Kirchdorf' where plz='93348';
UPDATE eccourses set location='Mindelstetten' where plz='93349';
UPDATE eccourses set location='Saal a.d.Donau' where plz='93342';
UPDATE eccourses set location='Klingenberg a.Main, St' where plz='63911';
UPDATE eccourses set location='Ihrlerstein' where plz='93346';
UPDATE eccourses set location='Weilbach, M' where plz='63916';
UPDATE eccourses set location='Hausen' where plz='93345';
UPDATE eccourses set location='Aasbüttel' where plz='25557';
UPDATE eccourses set location='Neuendorf-Sachsenbande' where plz='25554';
UPDATE eccourses set location='Winseldorf' where plz='25551';
UPDATE eccourses set location='Schwalmtal' where plz='36318';
UPDATE eccourses set location='Leingarten' where plz='74211';
UPDATE eccourses set location='Moosinning' where plz='85452';
UPDATE eccourses set location='Wörth' where plz='85457';
UPDATE eccourses set location='Wartenberg, M' where plz='85456';
UPDATE eccourses set location='Berglern' where plz='85459';
UPDATE eccourses set location='Möckmühl, Stadt' where plz='74219';
UPDATE eccourses set location='Schöffengrund' where plz='35641';
UPDATE eccourses set location='Hückeswagen, Schloss-Stadt' where plz='42499';
UPDATE eccourses set location='Wuppertal, Stadt' where plz='42329';
UPDATE eccourses set location='Wuppertal, Stadt' where plz='42327';
UPDATE eccourses set location='Bissendorf' where plz='49143';
UPDATE eccourses set location='Hamburg, Freie und Hansestadt' where plz='20099';
UPDATE eccourses set location='Jüchen' where plz='41363';
UPDATE eccourses set location='Limbach-Oberfrohna, Stadt' where plz='09212';
UPDATE eccourses set location='Burgstädt, Stadt' where plz='09217';
UPDATE eccourses set location='Hamburg, Freie und Hansestadt' where plz='20095';
UPDATE eccourses set location='Warendorf, Stadt' where plz='48231';
UPDATE eccourses set location='Gutach (Schwarzwaldbahn)' where plz='77793';
UPDATE eccourses set location='Berlin, Stadt' where plz='10369';
UPDATE eccourses set location='Berlin, Stadt' where plz='10365';
UPDATE eccourses set location='Berlin, Stadt' where plz='10367';
UPDATE eccourses set location='Berghaupten' where plz='77791';
UPDATE eccourses set location='Großschönau' where plz='02799';
UPDATE eccourses set location='Ohlsbach' where plz='77797';
UPDATE eccourses set location='Wittstock/Dosse, Stadt' where plz='16909';
UPDATE eccourses set location='Oybin' where plz='02797';
UPDATE eccourses set location='Jonsdorf, Kurort' where plz='02796';
UPDATE eccourses set location='Leutersdorf' where plz='02794';
UPDATE eccourses set location='Niederwerrn' where plz='97464';
UPDATE eccourses set location='Hofheim i.UFr., St' where plz='97461';
UPDATE eccourses set location='Lautenbach' where plz='77794';
UPDATE eccourses set location='Gochsheim' where plz='97469';
UPDATE eccourses set location='Tauche' where plz='15848';
UPDATE eccourses set location='Korntal-Münchingen, Stadt' where plz='70825';
UPDATE eccourses set location='Coburg' where plz='96450';
UPDATE eccourses set location='Erpel' where plz='53579';
UPDATE eccourses set location='Windhagen' where plz='53578';
UPDATE eccourses set location='Thierstein, M' where plz='95199';
UPDATE eccourses set location='Eschede' where plz='29348';
UPDATE eccourses set location='Röslau' where plz='95195';
UPDATE eccourses set location='Regnitzlosau' where plz='95194';
UPDATE eccourses set location='Schauenstein, St' where plz='95197';
UPDATE eccourses set location='Unkel, Stadt' where plz='53572';
UPDATE eccourses set location='Leupoldsgrün' where plz='95191';
UPDATE eccourses set location='Wienhausen, Klostergemeinde' where plz='29342';
UPDATE eccourses set location='Neustadt (Wied)' where plz='53577';
UPDATE eccourses set location='Lichtenberg, St' where plz='95192';
UPDATE eccourses set location='Höhn' where plz='56462';
UPDATE eccourses set location='Neu-Isenburg, Stadt' where plz='63263';
UPDATE eccourses set location='Konstanz, Universitätsstadt' where plz='78462';
UPDATE eccourses set location='Konstanz, Universitätsstadt' where plz='78464';
UPDATE eccourses set location='Konstanz, Universitätsstadt' where plz='78465';
UPDATE eccourses set location='Konstanz, Universitätsstadt' where plz='78467';
UPDATE eccourses set location='Fischingen' where plz='79592';
UPDATE eccourses set location='Kissing' where plz='86438';
UPDATE eccourses set location='Weener, Stadt' where plz='26826';
UPDATE eccourses set location='Wulften am Harz' where plz='37199';
UPDATE eccourses set location='Wahlsburg' where plz='37194';
UPDATE eccourses set location='Hattorf am Harz' where plz='37197';
UPDATE eccourses set location='Katlenburg-Lindau' where plz='37191';
UPDATE eccourses set location='Lampertheim, Stadt' where plz='68623';
UPDATE eccourses set location='Niedertaufkirchen' where plz='84494';
UPDATE eccourses set location='Zellertal' where plz='67308';
UPDATE eccourses set location='Schönheide' where plz='08304';
UPDATE eccourses set location='Düsseldorf, Stadt' where plz='40235';
UPDATE eccourses set location='Düsseldorf, Stadt' where plz='40545';
UPDATE eccourses set location='Bad Schlema' where plz='08301';
UPDATE eccourses set location='Düsseldorf, Stadt' where plz='40549';
UPDATE eccourses set location='Ramsen' where plz='67305';
UPDATE eccourses set location='Kerzenheim' where plz='67304';
UPDATE eccourses set location='Göllheim' where plz='67307';
UPDATE eccourses set location='Eibenstock, Stadt' where plz='08309';
UPDATE eccourses set location='Potsdam, Stadt' where plz='14469';
UPDATE eccourses set location='Meinerzhagen, Stadt' where plz='58540';
UPDATE eccourses set location='Potsdam, Stadt' where plz='14467';
UPDATE eccourses set location='Soest, Stadt' where plz='59494';
UPDATE eccourses set location='Schwörstadt' where plz='79739';
UPDATE eccourses set location='Emskirchen, M' where plz='91448';
UPDATE eccourses set location='Habichtswald' where plz='34317';
UPDATE eccourses set location='Espenau' where plz='34314';
UPDATE eccourses set location='Scheinfeld, St' where plz='91443';
UPDATE eccourses set location='Murg' where plz='79730';
UPDATE eccourses set location='Herrischried' where plz='79737';
UPDATE eccourses set location='Rickenbach' where plz='79736';
UPDATE eccourses set location='Marburg, Universitätsstadt' where plz='35041';
UPDATE eccourses set location='Marburg, Universitätsstadt' where plz='35043';
UPDATE eccourses set location='Osterheide, gemfr. Bezirk' where plz='29683';
UPDATE eccourses set location='Lemberg' where plz='66969';
UPDATE eccourses set location='Leinburg' where plz='91227';
UPDATE eccourses set location='Büddenstedt' where plz='38372';
UPDATE eccourses set location='Pommelsbrunn' where plz='91224';
UPDATE eccourses set location='Räbke' where plz='38375';
UPDATE eccourses set location='Süpplingenburg' where plz='38376';
UPDATE eccourses set location='Schnaittach, M' where plz='91220';
UPDATE eccourses set location='Warberg' where plz='38378';
UPDATE eccourses set location='Wolsdorf' where plz='38379';
UPDATE eccourses set location='Mainz, Stadt' where plz='55131';
UPDATE eccourses set location='Mainz, Stadt' where plz='55130';
UPDATE eccourses set location='Raubach' where plz='56316';
UPDATE eccourses set location='Reil' where plz='56861';
UPDATE eccourses set location='Pünderich' where plz='56862';
UPDATE eccourses set location='Stadtallendorf, Stadt' where plz='35260';
UPDATE eccourses set location='Straßkirchen' where plz='94342';
UPDATE eccourses set location='Wabern' where plz='34576';
UPDATE eccourses set location='Vogelsang-Warsin' where plz='17375';
UPDATE eccourses set location='Süsel' where plz='23701';
UPDATE eccourses set location='Wallgau' where plz='82432';
UPDATE eccourses set location='Bad Kohlgrub' where plz='82433';
UPDATE eccourses set location='Kochel a.See' where plz='82431';
UPDATE eccourses set location='Eglfing' where plz='82436';
UPDATE eccourses set location='Bad Bayersoien' where plz='82435';
UPDATE eccourses set location='Eschenlohe' where plz='82438';
UPDATE eccourses set location='Großweil' where plz='82439';
UPDATE eccourses set location='Berlin, Stadt' where plz='12459';
UPDATE eccourses set location='Schwanebeck, Stadt' where plz='39397';
UPDATE eccourses set location='Völpke' where plz='39393';
UPDATE eccourses set location='Marnerdeich' where plz='25709';
UPDATE eccourses set location='Nordermeldorf' where plz='25704';
UPDATE eccourses set location='Krauchenwies' where plz='72505';
UPDATE eccourses set location='Hettingen, Stadt' where plz='72501';
UPDATE eccourses set location='Hasselroth' where plz='63594';
UPDATE eccourses set location='Rhönblick' where plz='98617';
UPDATE eccourses set location='Laer' where plz='48366';
UPDATE eccourses set location='Neresheim, Stadt' where plz='73450';
UPDATE eccourses set location='Aalen, Stadt' where plz='73453';
UPDATE eccourses set location='Essingen' where plz='73457';
UPDATE eccourses set location='Lahnstein, Stadt' where plz='56112';
UPDATE eccourses set location='Mönchengladbach, Stadt' where plz='41236';
UPDATE eccourses set location='Rottenburg a.d.Laaber, St' where plz='84056';
UPDATE eccourses set location='Leichlingen (Rheinland), Blütenstadt' where plz='42799';
UPDATE eccourses set location='Mönchengladbach, Stadt' where plz='41238';
UPDATE eccourses set location='Eberswalde, Stadt' where plz='16227';
UPDATE eccourses set location='Eberswalde, Stadt' where plz='16225';
UPDATE eccourses set location='Klostermansfeld' where plz='06308';
UPDATE eccourses set location='Dresden, Stadt' where plz='01465';
UPDATE eccourses set location='Stadtbergen, St' where plz='86391';
UPDATE eccourses set location='Eppelheim, Stadt' where plz='69214';
UPDATE eccourses set location='Bobingen, St' where plz='86399';
UPDATE eccourses set location='Offenbach am Main, Stadt' where plz='63075';
UPDATE eccourses set location='Offenbach am Main, Stadt' where plz='63073';
UPDATE eccourses set location='Neu Wulmstorf' where plz='21629';
UPDATE eccourses set location='Offenbach am Main, Stadt' where plz='63071';
UPDATE eccourses set location='Odenthal' where plz='51519';
UPDATE eccourses set location='Osnabrück, Stadt' where plz='49088';
UPDATE eccourses set location='Osnabrück, Stadt' where plz='49082';
UPDATE eccourses set location='Osnabrück, Stadt' where plz='49080';
UPDATE eccourses set location='Osnabrück, Stadt' where plz='49086';
UPDATE eccourses set location='Osnabrück, Stadt' where plz='49084';
UPDATE eccourses set location='Nürnberg' where plz='90478';
UPDATE eccourses set location='Nürnberg' where plz='90475';
UPDATE eccourses set location='Wielenbach' where plz='82362';
UPDATE eccourses set location='Nürnberg' where plz='90471';
UPDATE eccourses set location='Nürnberg' where plz='90473';
UPDATE eccourses set location='Pastetten' where plz='85669';
UPDATE eccourses set location='Hohenbrunn' where plz='85662';
UPDATE eccourses set location='Forstinning' where plz='85661';
UPDATE eccourses set location='Oberpframmern' where plz='85667';
UPDATE eccourses set location='Hohenlinden' where plz='85664';
UPDATE eccourses set location='Moosach' where plz='85665';
UPDATE eccourses set location='Walkendorf' where plz='17179';
UPDATE eccourses set location='Witzmannsberg' where plz='94104';
UPDATE eccourses set location='Untergriesbach, M' where plz='94107';
UPDATE eccourses set location='Trautskirchen' where plz='90619';
UPDATE eccourses set location='Berlin, Stadt' where plz='10777';
UPDATE eccourses set location='Augsburg' where plz='86150';
UPDATE eccourses set location='Winkelhaid' where plz='90610';
UPDATE eccourses set location='Großhabersdorf' where plz='90613';
UPDATE eccourses set location='Berlin, Stadt' where plz='10779';
UPDATE eccourses set location='Ammerndorf, M' where plz='90614';
UPDATE eccourses set location='Puschendorf' where plz='90617';
UPDATE eccourses set location='Trautskirchen' where plz='90616';
UPDATE eccourses set location='Bielefeld, Stadt' where plz='33739';
UPDATE eccourses set location='Büttelborn' where plz='64572';
UPDATE eccourses set location='Wiek' where plz='18556';
UPDATE eccourses set location='Sagard' where plz='18551';
UPDATE eccourses set location='Hallbergmoos' where plz='85399';
UPDATE eccourses set location='Ahaus, Stadt' where plz='48683';
UPDATE eccourses set location='Halvesbostel' where plz='21646';
UPDATE eccourses set location='Berlin, Stadt' where plz='13089';
UPDATE eccourses set location='Berlin, Stadt' where plz='13088';
UPDATE eccourses set location='Berlin, Stadt' where plz='13086';
UPDATE eccourses set location='Petersberg' where plz='36100';
UPDATE eccourses set location='Flieden' where plz='36103';
UPDATE eccourses set location='Regesbostel' where plz='21649';
UPDATE eccourses set location='Kevelaer, Stadt' where plz='47626';
UPDATE eccourses set location='Stammham' where plz='84533';
UPDATE eccourses set location='Kevelaer, Stadt' where plz='47627';
UPDATE eccourses set location='Zangberg' where plz='84539';
UPDATE eccourses set location='Erlangen' where plz='91058';
UPDATE eccourses set location='Zenting' where plz='94579';
UPDATE eccourses set location='Markkleeberg, Stadt' where plz='04416';
UPDATE eccourses set location='Schaufling' where plz='94571';
UPDATE eccourses set location='Schöfweg' where plz='94572';
UPDATE eccourses set location='Wallerfing' where plz='94574';
UPDATE eccourses set location='Windorf, M' where plz='94575';
UPDATE eccourses set location='Erlangen' where plz='91056';
UPDATE eccourses set location='Winzer, M' where plz='94577';
UPDATE eccourses set location='Feldkirchen-Westerham' where plz='83620';
UPDATE eccourses set location='Bismark (Altmark), Stadt' where plz='39624';
UPDATE eccourses set location='Dietramszell' where plz='83623';
UPDATE eccourses set location='Otterfing' where plz='83624';
UPDATE eccourses set location='Weyarn' where plz='83626';
UPDATE eccourses set location='Warngau' where plz='83627';
UPDATE eccourses set location='Sondershausen, Stadt' where plz='99706';
UPDATE eccourses set location='Bismark (Altmark), Stadt' where plz='39629';
UPDATE eccourses set location='Külsheim, Stadt' where plz='97900';
UPDATE eccourses set location='Wester-Ohrstedt' where plz='25885';
UPDATE eccourses set location='Winnert' where plz='25887';
UPDATE eccourses set location='Dorfprozelten' where plz='97904';
UPDATE eccourses set location='Westerhever' where plz='25881';
UPDATE eccourses set location='Tetenbüll' where plz='25882';
UPDATE eccourses set location='Schollbrunn' where plz='97907';
UPDATE eccourses set location='Stadtprozelten, St' where plz='97909';
UPDATE eccourses set location='Witzwort' where plz='25889';
UPDATE eccourses set location='Willingen (Upland)' where plz='34508';
UPDATE eccourses set location='Asbach-Bäumenheim' where plz='86663';
UPDATE eccourses set location='Tapfheim' where plz='86660';
UPDATE eccourses set location='Burgheim, M' where plz='86666';
UPDATE eccourses set location='Königsmoos' where plz='86669';
UPDATE eccourses set location='Karlshuld' where plz='86668';
UPDATE eccourses set location='Nabburg, St' where plz='92507';
UPDATE eccourses set location='Duisburg, Stadt' where plz='47226';
UPDATE eccourses set location='München, Landeshauptstadt' where plz='80637';
UPDATE eccourses set location='Illingen' where plz='66557';
UPDATE eccourses set location='Duisburg, Stadt' where plz='47228';
UPDATE eccourses set location='Duisburg, Stadt' where plz='47229';
UPDATE eccourses set location='Waldburg' where plz='88289';
UPDATE eccourses set location='Grünkraut' where plz='88287';
UPDATE eccourses set location='Bodnegg' where plz='88285';
UPDATE eccourses set location='Wolpertswende' where plz='88284';
UPDATE eccourses set location='Schlier' where plz='88281';
UPDATE eccourses set location='Großheide' where plz='26532';
UPDATE eccourses set location='Nürnberg' where plz='90459';
UPDATE eccourses set location='Meckesheim' where plz='74909';
UPDATE eccourses set location='Bad Rappenau, Stadt' where plz='74906';
UPDATE eccourses set location='Oberndorf a.Lech' where plz='86698';
UPDATE eccourses set location='Pulsnitz, Stadt' where plz='01896';
UPDATE eccourses set location='Sünching' where plz='93104';
UPDATE eccourses set location='Tegernheim' where plz='93105';
UPDATE eccourses set location='Thalmassing' where plz='93107';
UPDATE eccourses set location='Pfakofen' where plz='93101';
UPDATE eccourses set location='Pfatter' where plz='93102';
UPDATE eccourses set location='Achterwehr' where plz='24239';
UPDATE eccourses set location='Hohenfels' where plz='78355';
UPDATE eccourses set location='Rathenow, Stadt' where plz='14712';
UPDATE eccourses set location='Kirchlengern' where plz='32278';
UPDATE eccourses set location='Witten, Stadt' where plz='58452';
UPDATE eccourses set location='Wehr' where plz='56653';
UPDATE eccourses set location='Galenberg' where plz='56651';
UPDATE eccourses set location='Rattenberg' where plz='94371';
UPDATE eccourses set location='Brohl-Lützing' where plz='56656';
UPDATE eccourses set location='Woldegk, Stadt' where plz='17348';
UPDATE eccourses set location='Stallwang' where plz='94375';
UPDATE eccourses set location='Puderbach' where plz='56305';
UPDATE eccourses set location='Frankfurt (Oder), Stadt' where plz='15230';
UPDATE eccourses set location='Burgbrohl' where plz='56659';
UPDATE eccourses set location='Düren, Stadt' where plz='52355';
UPDATE eccourses set location='Düren, Stadt' where plz='52353';
UPDATE eccourses set location='Düren, Stadt' where plz='52351';
UPDATE eccourses set location='Berlin, Stadt' where plz='13509';
UPDATE eccourses set location='Berlin, Stadt' where plz='13503';
UPDATE eccourses set location='Berlin, Stadt' where plz='13505';
UPDATE eccourses set location='Berlin, Stadt' where plz='13507';
UPDATE eccourses set location='Stepenitztal' where plz='23936';
UPDATE eccourses set location='Penzberg, St' where plz='82377';
UPDATE eccourses set location='Taunusstein, Stadt' where plz='65232';
UPDATE eccourses set location='Hochheim am Main, Stadt' where plz='65239';
UPDATE eccourses set location='Ockenheim' where plz='55437';
UPDATE eccourses set location='Mörfelden-Walldorf, Stadt' where plz='64546';
UPDATE eccourses set location='Walkertshofen' where plz='86877';
UPDATE eccourses set location='Tussenhausen, M' where plz='86874';
UPDATE eccourses set location='Waal, M' where plz='86875';
UPDATE eccourses set location='Scherstetten' where plz='86872';
UPDATE eccourses set location='Rammingen' where plz='86871';
UPDATE eccourses set location='Gau-Algesheim, Stadt' where plz='55435';
UPDATE eccourses set location='Wiedergeltingen' where plz='86879';
UPDATE eccourses set location='Euskirchen, Stadt' where plz='53881';
UPDATE eccourses set location='Neuenbrook' where plz='25578';
UPDATE eccourses set location='Rade' where plz='25579';
UPDATE eccourses set location='Beringstedt' where plz='25575';
UPDATE eccourses set location='Brokdorf' where plz='25576';
UPDATE eccourses set location='Vaale' where plz='25572';
UPDATE eccourses set location='Dammfleth' where plz='25573';
UPDATE eccourses set location='Neuburg a.Inn' where plz='94127';
UPDATE eccourses set location='Büchlberg' where plz='94124';
UPDATE eccourses set location='Salzweg' where plz='94121';
UPDATE eccourses set location='Stuttgart, Landeshauptstadt' where plz='70597';
UPDATE eccourses set location='Stuttgart, Landeshauptstadt' where plz='70599';
UPDATE eccourses set location='Osloß' where plz='38557';
UPDATE eccourses set location='Karlstein a.Main' where plz='63791';
UPDATE eccourses set location='Kahl a.Main' where plz='63796';
UPDATE eccourses set location='Berlin, Stadt' where plz='12279';
UPDATE eccourses set location='Stadtlauringen, M' where plz='97488';
UPDATE eccourses set location='Königsberg i.Bay., St' where plz='97486';
UPDATE eccourses set location='Berlin, Stadt' where plz='12277';
UPDATE eccourses set location='Bad Hönningen, Stadt' where plz='53557';
UPDATE eccourses set location='Bonn, Stadt' where plz='53227';
UPDATE eccourses set location='Remseck am Neckar, Stadt' where plz='70378';
UPDATE eccourses set location='Stuttgart, Landeshauptstadt' where plz='70374';
UPDATE eccourses set location='Stuttgart, Landeshauptstadt' where plz='70376';
UPDATE eccourses set location='Bonn, Stadt' where plz='53229';
UPDATE eccourses set location='Stuttgart, Landeshauptstadt' where plz='70372';
UPDATE eccourses set location='Mainhausen' where plz='63533';
UPDATE eccourses set location='Großkrotzenburg' where plz='63538';
UPDATE eccourses set location='Kronshagen' where plz='24119';
UPDATE eccourses set location='Kiel, Landeshauptstadt' where plz='24118';
UPDATE eccourses set location='Arzfeld' where plz='54687';
UPDATE eccourses set location='Wachstedt' where plz='37359';
UPDATE eccourses set location='Kiel, Landeshauptstadt' where plz='24111';
UPDATE eccourses set location='Niederorschel' where plz='37355';
UPDATE eccourses set location='Reipeldingen' where plz='54689';
UPDATE eccourses set location='Kiel, Landeshauptstadt' where plz='24114';
UPDATE eccourses set location='Silberhausen' where plz='37351';
UPDATE eccourses set location='Kiel, Landeshauptstadt' where plz='24116';
UPDATE eccourses set location='Leipzig, Stadt' where plz='04315';
UPDATE eccourses set location='Leipzig, Stadt' where plz='04317';
UPDATE eccourses set location='Leipzig, Stadt' where plz='04316';
UPDATE eccourses set location='Leipzig, Stadt' where plz='04319';
UPDATE eccourses set location='Leipzig, Stadt' where plz='04318';
UPDATE eccourses set location='Struppen' where plz='01796';
UPDATE eccourses set location='Castrop-Rauxel, Stadt' where plz='44575';
UPDATE eccourses set location='Wachenheim an der Weinstraße, Stadt' where plz='67098';
UPDATE eccourses set location='Castrop-Rauxel, Stadt' where plz='44577';
UPDATE eccourses set location='Ostrhauderfehn' where plz='26842';
UPDATE eccourses set location='Nortmoor' where plz='26845';
UPDATE eccourses set location='Jemgum' where plz='26844';
UPDATE eccourses set location='Detern, Flecken' where plz='26847';
UPDATE eccourses set location='Filsum' where plz='26849';
UPDATE eccourses set location='Worms, Stadt' where plz='67547';
UPDATE eccourses set location='Beckedorf' where plz='31699';
UPDATE eccourses set location='Bürstadt, Stadt' where plz='68642';
UPDATE eccourses set location='Biblis' where plz='68647';
UPDATE eccourses set location='Groß-Rohrheim' where plz='68649';
UPDATE eccourses set location='Berlin, Stadt' where plz='14193';
UPDATE eccourses set location='Berlin, Stadt' where plz='14197';
UPDATE eccourses set location='Berlin, Stadt' where plz='14195';
UPDATE eccourses set location='Blankenfelde-Mahlow' where plz='15827';
UPDATE eccourses set location='Stützengrün' where plz='08328';
UPDATE eccourses set location='Düsseldorf, Stadt' where plz='40219';
UPDATE eccourses set location='Schwarzburg' where plz='07427';
UPDATE eccourses set location='Bockau' where plz='08324';
UPDATE eccourses set location='Düsseldorf, Stadt' where plz='40215';
UPDATE eccourses set location='Düsseldorf, Stadt' where plz='40217';
UPDATE eccourses set location='Düsseldorf, Stadt' where plz='40210';
UPDATE eccourses set location='Zschorlau' where plz='08321';
UPDATE eccourses set location='Düsseldorf, Stadt' where plz='40212';
UPDATE eccourses set location='Düsseldorf, Stadt' where plz='40213';
UPDATE eccourses set location='Winsen' where plz='24568';
UPDATE eccourses set location='Kierspe, Stadt' where plz='58566';
UPDATE eccourses set location='Weede' where plz='23795';
UPDATE eccourses set location='Wustrow' where plz='18347';
UPDATE eccourses set location='Medebach, Hansestadt' where plz='59964';
UPDATE eccourses set location='Bromskirchen' where plz='59969';
UPDATE eccourses set location='Geeste' where plz='49744';
UPDATE eccourses set location='Köln, Stadt' where plz='50859';
UPDATE eccourses set location='Köln, Stadt' where plz='50858';
UPDATE eccourses set location='Rehburg-Loccum, Stadt' where plz='31547';
UPDATE eccourses set location='Frankenberg (Eder), Stadt' where plz='35066';
UPDATE eccourses set location='Bad Nenndorf, Stadt' where plz='31542';
UPDATE eccourses set location='Remptendorf' where plz='07368';
UPDATE eccourses set location='Pulheim, Stadt' where plz='50259';
UPDATE eccourses set location='Schlegel' where plz='07366';
UPDATE eccourses set location='Spatzenhausen' where plz='82418';
UPDATE eccourses set location='Olching, St' where plz='82140';
UPDATE eccourses set location='Urbach' where plz='73614';
UPDATE eccourses set location='Gutsbezirk Münsingen, gemeindefreies Gebiet' where plz='72525';
UPDATE eccourses set location='Walldorf' where plz='98639';
UPDATE eccourses set location='Wasungen, Stadt' where plz='98634';
UPDATE eccourses set location='Grabfeld' where plz='98631';
UPDATE eccourses set location='Bruckmühl, M' where plz='83052';
UPDATE eccourses set location='Herford, Hansestadt' where plz='32049';
UPDATE eccourses set location='Tessin b. Boizenburg' where plz='19258';
UPDATE eccourses set location='Berlin, Stadt' where plz='12043';
UPDATE eccourses set location='Meckenbeuren' where plz='88074';
UPDATE eccourses set location='Berlin, Stadt' where plz='12047';
UPDATE eccourses set location='Berlin, Stadt' where plz='12045';
UPDATE eccourses set location='Tettnang, Stadt' where plz='88079';
UPDATE eccourses set location='Berlin, Stadt' where plz='12049';
UPDATE eccourses set location='Südliches Anhalt, Stadt' where plz='06369';
UPDATE eccourses set location='Köthen (Anhalt), Stadt' where plz='06366';
UPDATE eccourses set location='Westerdeichstrich' where plz='25761';
UPDATE eccourses set location='Neckarsteinach, Stadt' where plz='69239';
UPDATE eccourses set location='Oesterwurth' where plz='25764';
UPDATE eccourses set location='Beldorf' where plz='25767';
UPDATE eccourses set location='Rauenberg, Stadt' where plz='69231';
UPDATE eccourses set location='Dielheim' where plz='69234';
UPDATE eccourses set location='Beckdorf' where plz='21643';
UPDATE eccourses set location='Nottensdorf' where plz='21640';
UPDATE eccourses set location='Apensen' where plz='21641';
UPDATE eccourses set location='Lienen' where plz='49536';
UPDATE eccourses set location='Moisburg' where plz='21647';
UPDATE eccourses set location='Sauensiek' where plz='21644';
UPDATE eccourses set location='Allershausen' where plz='85391';
UPDATE eccourses set location='Wolfersdorf' where plz='85395';
UPDATE eccourses set location='Balduinstein' where plz='65558';
UPDATE eccourses set location='Limburg a.d. Lahn, Kreisstadt' where plz='65552';
UPDATE eccourses set location='Limburg a.d. Lahn, Kreisstadt' where plz='65553';
UPDATE eccourses set location='Limburg a.d. Lahn, Kreisstadt' where plz='65550';
UPDATE eccourses set location='Limburg a.d. Lahn, Kreisstadt' where plz='65551';
UPDATE eccourses set location='Limburg a.d. Lahn, Kreisstadt' where plz='65556';
UPDATE eccourses set location='Limburg a.d. Lahn, Kreisstadt' where plz='65554';
UPDATE eccourses set location='Limburg a.d. Lahn, Kreisstadt' where plz='65555';
UPDATE eccourses set location='Bahretal' where plz='01819';
UPDATE eccourses set location='Kreuztal, Stadt' where plz='57223';
UPDATE eccourses set location='Steinhöring' where plz='85643';
UPDATE eccourses set location='Nürnberg' where plz='90453';
UPDATE eccourses set location='Weberstedt' where plz='99947';
UPDATE eccourses set location='Nürnberg' where plz='90451';
UPDATE eccourses set location='Nürnberg' where plz='90455';
UPDATE eccourses set location='Isenbüttel' where plz='38550';
UPDATE eccourses set location='Vordorf' where plz='38551';
UPDATE eccourses set location='Wasbüttel' where plz='38553';
UPDATE eccourses set location='Weyhausen' where plz='38554';
UPDATE eccourses set location='Bokensdorf' where plz='38556';
UPDATE eccourses set location='Neukalen, Stadt' where plz='17154';
UPDATE eccourses set location='Wagenhoff' where plz='38559';
UPDATE eccourses set location='Dargun, Stadt' where plz='17159';
UPDATE eccourses set location='Usedom, Stadt' where plz='17406';
UPDATE eccourses set location='Dahlem' where plz='53949';
UPDATE eccourses set location='Blankenheim' where plz='53945';
UPDATE eccourses set location='Nettersheim' where plz='53947';
UPDATE eccourses set location='Hellenthal' where plz='53940';
UPDATE eccourses set location='Bielefeld, Stadt' where plz='33719';
UPDATE eccourses set location='Werdohl, Stadt' where plz='58791';
UPDATE eccourses set location='Langweid a.Lech' where plz='86462';
UPDATE eccourses set location='Oppenau, Stadt' where plz='77728';
UPDATE eccourses set location='Eichenzell' where plz='36124';
UPDATE eccourses set location='Gersfeld (Rhön), Stadt' where plz='36129';
UPDATE eccourses set location='Putzbrunn' where plz='85640';
UPDATE eccourses set location='Walting' where plz='85137';
UPDATE eccourses set location='Stammham' where plz='85134';
UPDATE eccourses set location='Titting, M' where plz='85135';
UPDATE eccourses set location='Schernfeld' where plz='85132';
UPDATE eccourses set location='Vaterstetten' where plz='85646';
UPDATE eccourses set location='Pollenfeld' where plz='85131';
UPDATE eccourses set location='Brunnthal' where plz='85649';
UPDATE eccourses set location='Wettstetten' where plz='85139';
UPDATE eccourses set location='Niedertaufkirchen' where plz='84513';
UPDATE eccourses set location='Schkeuditz, Stadt' where plz='04435';
UPDATE eccourses set location='St. Leon-Rot' where plz='68789';
UPDATE eccourses set location='Garching a.d.Alz' where plz='84518';
UPDATE eccourses set location='Brühl' where plz='68782';
UPDATE eccourses set location='Leipzig, Stadt' where plz='04129';
UPDATE eccourses set location='Bremerhaven, Stadt' where plz='27580';
UPDATE eccourses set location='Rethem (Aller), Stadt' where plz='27336';
UPDATE eccourses set location='Ellerstadt' where plz='67158';
UPDATE eccourses set location='Friedelsheim' where plz='67159';
UPDATE eccourses set location='Harztor' where plz='99768';
UPDATE eccourses set location='Waldsassen, St' where plz='95652';
UPDATE eccourses set location='Stetten' where plz='87778';
UPDATE eccourses set location='Niederkirchen bei Deidesheim' where plz='67150';
UPDATE eccourses set location='Ruppertsberg' where plz='67152';
UPDATE eccourses set location='Karbach, M' where plz='97842';
UPDATE eccourses set location='Freilassing, St' where plz='83395';
UPDATE eccourses set location='Wachenheim an der Weinstraße, Stadt' where plz='67157';
UPDATE eccourses set location='Poseritz' where plz='18574';
UPDATE eccourses set location='Affalterbach' where plz='71563';
UPDATE eccourses set location='Sulzbach an der Murr' where plz='71560';
UPDATE eccourses set location='Dormagen, Stadt' where plz='41539';
UPDATE eccourses set location='Althütte' where plz='71566';
UPDATE eccourses set location='Samtens' where plz='18573';
UPDATE eccourses set location='Moos' where plz='78345';
UPDATE eccourses set location='Gaienhofen' where plz='78343';
UPDATE eccourses set location='Edermünde' where plz='34295';
UPDATE eccourses set location='Ahnatal' where plz='34292';
UPDATE eccourses set location='Roden' where plz='97849';
UPDATE eccourses set location='Helsa' where plz='34298';
UPDATE eccourses set location='Möhnesee' where plz='59519';
UPDATE eccourses set location='Lippetal' where plz='59510';
UPDATE eccourses set location='Welver' where plz='59514';
UPDATE eccourses set location='Luhden' where plz='31711';
UPDATE eccourses set location='Buchholz' where plz='31710';
UPDATE eccourses set location='Niedernwöhren' where plz='31712';
UPDATE eccourses set location='Meerbeck' where plz='31715';
UPDATE eccourses set location='Lauenhagen' where plz='31714';
UPDATE eccourses set location='Nordsehl' where plz='31717';
UPDATE eccourses set location='Wiedensahl, Flecken' where plz='31719';
UPDATE eccourses set location='Pollhagen' where plz='31718';
UPDATE eccourses set location='Heiden' where plz='46359';
UPDATE eccourses set location='Römerberg' where plz='67354';
UPDATE eccourses set location='Donaueschingen, Stadt' where plz='78166';
UPDATE eccourses set location='Herbertingen' where plz='88518';
UPDATE eccourses set location='Nagold, Stadt' where plz='72202';
UPDATE eccourses set location='Langenenslingen' where plz='88515';
UPDATE eccourses set location='Mengen, Stadt' where plz='88512';
UPDATE eccourses set location='Meerbusch, Stadt' where plz='40667';
UPDATE eccourses set location='Meerbusch, Stadt' where plz='40668';
UPDATE eccourses set location='Osterburg (Altmark), Hansestadt' where plz='39606';
UPDATE eccourses set location='Donauwörth, GKSt' where plz='86609';
UPDATE eccourses set location='Uplengen' where plz='26670';
UPDATE eccourses set location='Barßel' where plz='26676';
UPDATE eccourses set location='Neustadt/Harz' where plz='99762';
UPDATE eccourses set location='Pforzheim, Stadt' where plz='75179';
UPDATE eccourses set location='Weira' where plz='07806';
UPDATE eccourses set location='Duisburg, Stadt' where plz='47249';
UPDATE eccourses set location='Hamburg, Freie und Hansestadt' where plz='22359';
UPDATE eccourses set location='Teutschenthal' where plz='06179';
UPDATE eccourses set location='Hamburg, Freie und Hansestadt' where plz='22607';
UPDATE eccourses set location='Hamburg, Freie und Hansestadt' where plz='22605';
UPDATE eccourses set location='Arzberg, St' where plz='95659';
UPDATE eccourses set location='Salzgitter, Stadt' where plz='38239';
UPDATE eccourses set location='Oberharmersbach' where plz='77784';
UPDATE eccourses set location='Mutlangen' where plz='73557';
UPDATE eccourses set location='Nordrach' where plz='77787';
UPDATE eccourses set location='Waldstetten' where plz='73550';
UPDATE eccourses set location='Schwäbisch Gmünd, Stadt' where plz='73553';
UPDATE eccourses set location='Schwaig b.Nürnberg' where plz='90571';
UPDATE eccourses set location='Zimmern' where plz='07774';
UPDATE eccourses set location='Sinzing' where plz='93161';
UPDATE eccourses set location='Rettenbach' where plz='93167';
UPDATE eccourses set location='Laaber, M' where plz='93164';
UPDATE eccourses set location='Zimmern' where plz='07778';
UPDATE eccourses set location='Nickenich' where plz='56645';
UPDATE eccourses set location='Loitzendorf' where plz='94359';
UPDATE eccourses set location='Sankt Goar, Stadt' where plz='56329';
UPDATE eccourses set location='Falkenfels' where plz='94350';
UPDATE eccourses set location='Kretz' where plz='56630';
UPDATE eccourses set location='Rhens, Stadt' where plz='56321';
UPDATE eccourses set location='Haibach' where plz='94353';
UPDATE eccourses set location='Haselbach' where plz='94354';
UPDATE eccourses set location='Düsseldorf, Stadt' where plz='40599';
UPDATE eccourses set location='Plaidt' where plz='56637';
UPDATE eccourses set location='Stallwang' where plz='94357';
UPDATE eccourses set location='Sommerland' where plz='25379';
UPDATE eccourses set location='Krempdorf' where plz='25376';
UPDATE eccourses set location='Kollmar' where plz='25377';
UPDATE eccourses set location='Ellerhoop' where plz='25373';
UPDATE eccourses set location='Seester' where plz='25370';
UPDATE eccourses set location='Seestermühe' where plz='25371';
UPDATE eccourses set location='Silz' where plz='17214';
UPDATE eccourses set location='Rondeshagen' where plz='23919';
UPDATE eccourses set location='Ziethen' where plz='23911';
UPDATE eccourses set location='Neu-Anspach, Stadt' where plz='61267';
UPDATE eccourses set location='Nauheim' where plz='64569';
UPDATE eccourses set location='Amberg' where plz='86854';
UPDATE eccourses set location='Hiltenfingen' where plz='86856';
UPDATE eccourses set location='Hurlach' where plz='86857';
UPDATE eccourses set location='Fischach, M' where plz='86850';
UPDATE eccourses set location='Langerringen' where plz='86853';
UPDATE eccourses set location='Untereisesheim' where plz='74257';
UPDATE eccourses set location='Roigheim' where plz='74255';
UPDATE eccourses set location='Offenau' where plz='74254';
UPDATE eccourses set location='Massenbachhausen' where plz='74252';
UPDATE eccourses set location='Lehrensteinsfeld' where plz='74251';
UPDATE eccourses set location='Grebenhain' where plz='36355';
UPDATE eccourses set location='Widdern, Stadt' where plz='74259';
UPDATE eccourses set location='Wuppertal, Stadt' where plz='42369';
UPDATE eccourses set location='Eggesin, Stadt' where plz='17367';
UPDATE eccourses set location='Kreuzau' where plz='52372';
UPDATE eccourses set location='Oerlenbach' where plz='97714';
UPDATE eccourses set location='Sulzthal, M' where plz='97717';
UPDATE eccourses set location='Thundorf i.UFr.' where plz='97711';
UPDATE eccourses set location='Langerwehe' where plz='52379';
UPDATE eccourses set location='Meyenburg, Stadt' where plz='16945';
UPDATE eccourses set location='Triglitz' where plz='16949';
UPDATE eccourses set location='Rechberghausen' where plz='73098';
UPDATE eccourses set location='Simmerath' where plz='52152';
UPDATE eccourses set location='Wolde' where plz='17091';
UPDATE eccourses set location='Pragsdorf' where plz='17094';
UPDATE eccourses set location='Roetgen, Tor zur Eifel' where plz='52159';
UPDATE eccourses set location='Friedland, Stadt' where plz='17098';
UPDATE eccourses set location='Genzkow' where plz='17099';
UPDATE eccourses set location='Rodenbach' where plz='63517';
UPDATE eccourses set location='Hainburg' where plz='63512';
UPDATE eccourses set location='Essen, Stadt' where plz='45356';
UPDATE eccourses set location='Essen, Stadt' where plz='45357';
UPDATE eccourses set location='Essen, Stadt' where plz='45355';
UPDATE eccourses set location='Pfaffroda' where plz='09526';
UPDATE eccourses set location='Ziemetshausen, M' where plz='86473';
UPDATE eccourses set location='Thannhausen, St' where plz='86470';
UPDATE eccourses set location='Neuburg a.d.Kammel, M' where plz='86476';
UPDATE eccourses set location='Adelsried' where plz='86477';
UPDATE eccourses set location='Aichen' where plz='86479';
UPDATE eccourses set location='Emsbüren' where plz='48488';
UPDATE eccourses set location='Rheinbrohl' where plz='56598';
UPDATE eccourses set location='Leutesdorf' where plz='56599';
UPDATE eccourses set location='Berlin, Stadt' where plz='13127';
UPDATE eccourses set location='Mönchengladbach, Stadt' where plz='41189';
UPDATE eccourses set location='Berlin, Stadt' where plz='13125';
UPDATE eccourses set location='Zossen, Stadt' where plz='15806';
UPDATE eccourses set location='Dortmund, Stadt' where plz='44339';
UPDATE eccourses set location='Berlin, Stadt' where plz='13129';
UPDATE eccourses set location='Emmingen-Liptingen' where plz='78576';
UPDATE eccourses set location='Baesweiler, Stadt' where plz='52499';
UPDATE eccourses set location='Johanngeorgenstadt, Stadt' where plz='08349';
UPDATE eccourses set location='Wurmlingen' where plz='78573';
UPDATE eccourses set location='Mühlheim an der Donau, Stadt' where plz='78570';
UPDATE eccourses set location='Schwarzenberg/Erzgeb., Stadt' where plz='08340';
UPDATE eccourses set location='Grünhain-Beierfeld, Stadt' where plz='08344';
UPDATE eccourses set location='Mosbach, Stadt' where plz='74821';
UPDATE eccourses set location='Trinwillershagen' where plz='18320';
UPDATE eccourses set location='Hopsten' where plz='48496';
UPDATE eccourses set location='Gnarrenburg' where plz='27442';
UPDATE eccourses set location='Wettringen' where plz='48493';
UPDATE eccourses set location='Ühlingen-Birkendorf' where plz='79777';
UPDATE eccourses set location='Roth, St' where plz='91154';
UPDATE eccourses set location='Mamming' where plz='94437';
UPDATE eccourses set location='Albbruck' where plz='79774';
UPDATE eccourses set location='Pilsting, M' where plz='94431';
UPDATE eccourses set location='Wasserburg (Bodensee)' where plz='88142';
UPDATE eccourses set location='Klettgau' where plz='79771';
UPDATE eccourses set location='Salzbergen' where plz='48499';
UPDATE eccourses set location='Heiligenberg' where plz='88633';
UPDATE eccourses set location='Mettlach' where plz='66693';
UPDATE eccourses set location='Beuron' where plz='88631';
UPDATE eccourses set location='Uedem' where plz='47589';
UPDATE eccourses set location='Lauta, Stadt' where plz='02991';
UPDATE eccourses set location='Sindelfingen, Stadt' where plz='71067';
UPDATE eccourses set location='Bernsdorf, Stadt' where plz='02994';
UPDATE eccourses set location='Wittichenau, Stadt' where plz='02997';
UPDATE eccourses set location='Düsseldorf, Stadt' where plz='40589';
UPDATE eccourses set location='Duisburg, Stadt' where plz='47057';
UPDATE eccourses set location='Riepsdorf' where plz='23743';
UPDATE eccourses set location='Wurzbach, Stadt' where plz='07343';
UPDATE eccourses set location='Schönwalde am Bungsberg' where plz='23744';
UPDATE eccourses set location='Grömitz' where plz='23747';
UPDATE eccourses set location='Kellenhusen (Ostsee)' where plz='23746';
UPDATE eccourses set location='Grube' where plz='23749';
UPDATE eccourses set location='Duisburg, Stadt' where plz='47059';
UPDATE eccourses set location='Duisburg, Stadt' where plz='47058';
UPDATE eccourses set location='Lindlar' where plz='51789';
UPDATE eccourses set location='Gräfelfing' where plz='82166';
UPDATE eccourses set location='Uebigau-Wahrenbrück, Stadt' where plz='04924';
UPDATE eccourses set location='Schraden' where plz='04928';
UPDATE eccourses set location='Faulbach' where plz='97906';
UPDATE eccourses set location='Rüdersdorf bei Berlin' where plz='15378';
UPDATE eccourses set location='Petershagen/Eggersdorf' where plz='15370';
UPDATE eccourses set location='Müncheberg, Stadt' where plz='15374';
UPDATE eccourses set location='Waldsieversdorf' where plz='15377';
UPDATE eccourses set location='Seelze, Stadt' where plz='30926';
UPDATE eccourses set location='Despetal' where plz='31035';
UPDATE eccourses set location='Eime, Flecken' where plz='31036';
UPDATE eccourses set location='Betheln' where plz='31032';
UPDATE eccourses set location='Brüggen' where plz='31033';
UPDATE eccourses set location='Remshalden' where plz='73630';
UPDATE eccourses set location='Rheden' where plz='31039';
UPDATE eccourses set location='Mittelstetten' where plz='82293';
UPDATE eccourses set location='Landsberied' where plz='82290';
UPDATE eccourses set location='Oberschweinbach' where plz='82291';
UPDATE eccourses set location='Schöngeising' where plz='82296';
UPDATE eccourses set location='Steindorf' where plz='82297';
UPDATE eccourses set location='Oberschweinbach' where plz='82294';
UPDATE eccourses set location='Türkenfeld' where plz='82299';
UPDATE eccourses set location='Rosenberg' where plz='73494';
UPDATE eccourses set location='Stödtlen' where plz='73495';
UPDATE eccourses set location='Tannhausen' where plz='73497';
UPDATE eccourses set location='Neuler' where plz='73491';
UPDATE eccourses set location='Rainau' where plz='73492';
UPDATE eccourses set location='Wört' where plz='73499';
UPDATE eccourses set location='Bechtsrieth' where plz='92718';
UPDATE eccourses set location='Pirk' where plz='92712';
UPDATE eccourses set location='Kerpen, Kolpingstadt' where plz='50169';
UPDATE eccourses set location='Parkstein, M' where plz='92711';
UPDATE eccourses set location='Reuth b.Erbendorf' where plz='92717';
UPDATE eccourses set location='Pleystein, St' where plz='92714';
UPDATE eccourses set location='Püchersreuth' where plz='92715';
UPDATE eccourses set location='Stechlin' where plz='16775';
UPDATE eccourses set location='Vellahn' where plz='19273';
UPDATE eccourses set location='Mansfeld, Stadt' where plz='06343';
UPDATE eccourses set location='Gerbstedt, Stadt' where plz='06347';
UPDATE eccourses set location='Eriskirch' where plz='88097';
UPDATE eccourses set location='Oberteuringen' where plz='88094';
UPDATE eccourses set location='Immenstaad am Bodensee' where plz='88090';
UPDATE eccourses set location='Gaiberg' where plz='69251';
UPDATE eccourses set location='Schönau, Stadt' where plz='69250';
UPDATE eccourses set location='Heiligkreuzsteinach' where plz='69253';
UPDATE eccourses set location='Malsch' where plz='69254';
UPDATE eccourses set location='Wiesenbach' where plz='69257';
UPDATE eccourses set location='Mauer' where plz='69256';
UPDATE eccourses set location='Wilhelmsfeld' where plz='69259';
UPDATE eccourses set location='Wesseln' where plz='25746';
UPDATE eccourses set location='Schuby' where plz='24837';
UPDATE eccourses set location='Höfen an der Enz' where plz='75339';
UPDATE eccourses set location='Engelsbrand' where plz='75331';
UPDATE eccourses set location='Enzklösterle' where plz='75337';
UPDATE eccourses set location='Dobel' where plz='75335';
UPDATE eccourses set location='Straubenhardt' where plz='75334';
UPDATE eccourses set location='Nürnberg' where plz='90431';
UPDATE eccourses set location='Nürnberg' where plz='90439';
UPDATE eccourses set location='Bad Kötzting, St' where plz='93444';
UPDATE eccourses set location='Ermershausen' where plz='96126';
UPDATE eccourses set location='Bischberg' where plz='96120';
UPDATE eccourses set location='Litzendorf' where plz='96123';
UPDATE eccourses set location='Strullendorf' where plz='96129';
UPDATE eccourses set location='Sennfeld' where plz='97526';
UPDATE eccourses set location='Schwebheim' where plz='97525';
UPDATE eccourses set location='Sand a.Main' where plz='97522';
UPDATE eccourses set location='Schwanfeld' where plz='97523';
UPDATE eccourses set location='Röthlein' where plz='97520';
UPDATE eccourses set location='Sulzdorf a.d.Lederhecke' where plz='97528';
UPDATE eccourses set location='Sulzheim' where plz='97529';
UPDATE eccourses set location='Moltzow' where plz='17139';
UPDATE eccourses set location='Pudagla' where plz='17429';
UPDATE eccourses set location='Bretten, Stadt' where plz='75015';
UPDATE eccourses set location='Wegeleben, Stadt' where plz='38828';
UPDATE eccourses set location='Harsleben' where plz='38829';
UPDATE eccourses set location='Waldfeucht' where plz='52525';
UPDATE eccourses set location='Halberstadt, Stadt' where plz='38822';
UPDATE eccourses set location='Heringsdorf' where plz='17424';
UPDATE eccourses set location='Frankfurt am Main, Stadt' where plz='60438';
UPDATE eccourses set location='Frankfurt am Main, Stadt' where plz='60439';
UPDATE eccourses set location='Frankfurt am Main, Stadt' where plz='60433';
UPDATE eccourses set location='Frankfurt am Main, Stadt' where plz='60431';
UPDATE eccourses set location='Frankfurt am Main, Stadt' where plz='60437';
UPDATE eccourses set location='Frankfurt am Main, Stadt' where plz='60435';
UPDATE eccourses set location='Kall' where plz='53925';
UPDATE eccourses set location='Hainewalde' where plz='02779';
UPDATE eccourses set location='Hamburg, Freie und Hansestadt' where plz='22609';
UPDATE eccourses set location='Ainring' where plz='83404';
UPDATE eccourses set location='Ernsgaden' where plz='85119';
UPDATE eccourses set location='Buxheim' where plz='85114';
UPDATE eccourses set location='Egweil' where plz='85116';
UPDATE eccourses set location='Eitensheim' where plz='85117';
UPDATE eccourses set location='Kipfenberg, M' where plz='85110';
UPDATE eccourses set location='Adelschlag' where plz='85111';
UPDATE eccourses set location='Böhmfeld' where plz='85113';
UPDATE eccourses set location='Unterneukirchen' where plz='84579';
UPDATE eccourses set location='Borsdorf' where plz='04451';
UPDATE eccourses set location='Leipzig, Stadt' where plz='04105';
UPDATE eccourses set location='Grevenbroich, Stadt' where plz='41516';
UPDATE eccourses set location='Grevenbroich, Stadt' where plz='41517';
UPDATE eccourses set location='Reischach' where plz='84571';
UPDATE eccourses set location='Polling' where plz='84570';
UPDATE eccourses set location='Schönberg' where plz='84573';
UPDATE eccourses set location='Taufkirchen' where plz='84574';
UPDATE eccourses set location='Tüßling, M' where plz='84577';
UPDATE eccourses set location='Teising' where plz='84576';
UPDATE eccourses set location='Arnsberg, Stadt' where plz='59759';
UPDATE eccourses set location='München, Landeshauptstadt' where plz='80634';
UPDATE eccourses set location='Oer-Erkenschwick, Stadt' where plz='45739';
UPDATE eccourses set location='Arnsberg, Stadt' where plz='59757';
UPDATE eccourses set location='Arnsberg, Stadt' where plz='59755';
UPDATE eccourses set location='Mühlheim am Main, Stadt' where plz='63165';
UPDATE eccourses set location='Waldershof, St' where plz='95679';
UPDATE eccourses set location='Wiesau, M' where plz='95676';
UPDATE eccourses set location='Bärnau, St' where plz='95671';
UPDATE eccourses set location='Neuss, Stadt' where plz='41472';
UPDATE eccourses set location='Auenwald' where plz='71549';
UPDATE eccourses set location='Zarrendorf' where plz='18510';
UPDATE eccourses set location='Versmold, Stadt' where plz='33775';
UPDATE eccourses set location='Fichtenberg' where plz='71540';
UPDATE eccourses set location='Wüstenrot' where plz='71543';
UPDATE eccourses set location='Aspach' where plz='71546';
UPDATE eccourses set location='Freiburg im Breisgau, Stadt' where plz='79098';
UPDATE eccourses set location='Fuldabrück' where plz='34277';
UPDATE eccourses set location='Schauenburg' where plz='34270';
UPDATE eccourses set location='Wust-Fischbeck' where plz='39524';
UPDATE eccourses set location='Vöhrenbach, Stadt' where plz='78147';
UPDATE eccourses set location='Schramberg, Stadt' where plz='78144';
UPDATE eccourses set location='Schönwald im Schwarzwald' where plz='78141';
UPDATE eccourses set location='Rinteln, Stadt' where plz='31737';
UPDATE eccourses set location='Gütenbach' where plz='78148';
UPDATE eccourses set location='Dresden, Stadt' where plz='01169';
UPDATE eccourses set location='Höxter, Stadt' where plz='37671';
UPDATE eccourses set location='Westerstede, Stadt' where plz='26655';
UPDATE eccourses set location='Stadlern' where plz='92549';
UPDATE eccourses set location='Schwarzach b.Nabburg' where plz='92548';
UPDATE eccourses set location='Möser' where plz='39291';
UPDATE eccourses set location='Niedermurach' where plz='92545';
UPDATE eccourses set location='Guteneck' where plz='92543';
UPDATE eccourses set location='Dieterskirchen' where plz='92542';
UPDATE eccourses set location='Neupetershain' where plz='03103';
UPDATE eccourses set location='Altendorf' where plz='92540';
UPDATE eccourses set location='Heusweiler' where plz='66265';
UPDATE eccourses set location='Klein Barkau' where plz='24245';
UPDATE eccourses set location='Felm' where plz='24244';
UPDATE eccourses set location='Rodenbek' where plz='24247';
UPDATE eccourses set location='Sören' where plz='24241';
UPDATE eccourses set location='Felde' where plz='24242';
UPDATE eccourses set location='Duisburg, Stadt' where plz='47269';
UPDATE eccourses set location='Tönisvorst, Stadt' where plz='47918';
UPDATE eccourses set location='Ahlen, Stadt' where plz='59229';
UPDATE eccourses set location='Algermissen' where plz='31191';
UPDATE eccourses set location='Sehlem' where plz='31196';
UPDATE eccourses set location='Neuhof' where plz='31195';
UPDATE eccourses set location='Diekholzen' where plz='31199';
UPDATE eccourses set location='Tetenhusen' where plz='24799';
UPDATE eccourses set location='Oldenhütten' where plz='24793';
UPDATE eccourses set location='Neu Duvenstedt' where plz='24791';
UPDATE eccourses set location='Schülldorf' where plz='24790';
UPDATE eccourses set location='Tackesdorf' where plz='24797';
UPDATE eccourses set location='Krummwisch' where plz='24796';
UPDATE eccourses set location='Schacht-Audorf' where plz='24794';
UPDATE eccourses set location='Lörrach, Stadt' where plz='79540';
UPDATE eccourses set location='Haiterbach, Stadt' where plz='72221';
UPDATE eccourses set location='Ettlingen, Stadt' where plz='76275';
UPDATE eccourses set location='Vogtsburg im Kaiserstuhl, Stadt' where plz='79235';
UPDATE eccourses set location='Ebhausen' where plz='72224';
UPDATE eccourses set location='Teupitz, Stadt' where plz='15755';
UPDATE eccourses set location='Simmersfeld' where plz='72226';
UPDATE eccourses set location='Egenhausen' where plz='72227';
UPDATE eccourses set location='Rohrdorf' where plz='72229';
UPDATE eccourses set location='Ehrenkirchen' where plz='79238';
UPDATE eccourses set location='Wiesenthau' where plz='91369';
UPDATE eccourses set location='Heuchlingen' where plz='73572';
UPDATE eccourses set location='Göggingen' where plz='73571';
UPDATE eccourses set location='Spraitbach' where plz='73577';
UPDATE eccourses set location='Leinzell' where plz='73575';
UPDATE eccourses set location='Iggingen' where plz='73574';
UPDATE eccourses set location='Schechingen' where plz='73579';
UPDATE eccourses set location='Winterbach (Pfalz)' where plz='66484';
UPDATE eccourses set location='Leun, Stadt' where plz='35638';
UPDATE eccourses set location='Maßweiler' where plz='66482';
UPDATE eccourses set location='Lahnau' where plz='35633';
UPDATE eccourses set location='Ehringshausen' where plz='35630';
UPDATE eccourses set location='Langelsheim, Stadt' where plz='38685';
UPDATE eccourses set location='Leverkusen, Stadt' where plz='51371';
UPDATE eccourses set location='Steinberg am See' where plz='93149';
UPDATE eccourses set location='Leverkusen, Stadt' where plz='51373';
UPDATE eccourses set location='Vöhringen, St' where plz='89269';
UPDATE eccourses set location='Leverkusen, Stadt' where plz='51375';
UPDATE eccourses set location='Ratekau' where plz='23689';
UPDATE eccourses set location='Leverkusen, Stadt' where plz='51377';
UPDATE eccourses set location='Scharbeutz' where plz='23684';
UPDATE eccourses set location='Maxhütte-Haidhof, St' where plz='93142';
UPDATE eccourses set location='Zöllnitz' where plz='07751';
UPDATE eccourses set location='Weißenhorn, St' where plz='89264';
UPDATE eccourses set location='Scharbeutz' where plz='23683';
UPDATE eccourses set location='Lutzhorn' where plz='25355';
UPDATE eccourses set location='Mylau, Stadt' where plz='08499';
UPDATE eccourses set location='Sommerland' where plz='25358';
UPDATE eccourses set location='Wietze' where plz='29323';
UPDATE eccourses set location='Biberach' where plz='77781';
UPDATE eccourses set location='Metelsdorf' where plz='23972';
UPDATE eccourses set location='Wismar, Hansestadt' where plz='23970';
UPDATE eccourses set location='Neuburg' where plz='23974';
UPDATE eccourses set location='Hamburg, Freie und Hansestadt' where plz='22081';
UPDATE eccourses set location='Hamburg, Freie und Hansestadt' where plz='22083';
UPDATE eccourses set location='Hamburg, Freie und Hansestadt' where plz='22085';
UPDATE eccourses set location='Hamburg, Freie und Hansestadt' where plz='22087';
UPDATE eccourses set location='Hamburg, Freie und Hansestadt' where plz='22089';
UPDATE eccourses set location='Berg' where plz='82335';
UPDATE eccourses set location='Ettringen' where plz='86833';
UPDATE eccourses set location='Schwabmünchen, St' where plz='86830';
UPDATE eccourses set location='Untermeitingen' where plz='86836';
UPDATE eccourses set location='Preußisch Oldendorf, Stadt' where plz='32361';
UPDATE eccourses set location='Rahden, Stadt' where plz='32369';
UPDATE eccourses set location='Wuppertal, Stadt' where plz='42349';
UPDATE eccourses set location='Lindau (Bodensee), GKSt' where plz='88131';
UPDATE eccourses set location='Bocholt, Stadt' where plz='46399';
UPDATE eccourses set location='Bocholt, Stadt' where plz='46397';
UPDATE eccourses set location='Bocholt, Stadt' where plz='46395';
UPDATE eccourses set location='Weißensberg' where plz='88138';
UPDATE eccourses set location='Kamp-Bornhofen' where plz='56341';
UPDATE eccourses set location='Osterspai' where plz='56340';
UPDATE eccourses set location='Sankt Goarshausen, Loreleystadt, Stadt' where plz='56346';
UPDATE eccourses set location='Weisel' where plz='56349';
UPDATE eccourses set location='Weisel' where plz='56348';
UPDATE eccourses set location='Zerrenthin' where plz='17309';
UPDATE eccourses set location='Gräfendorf' where plz='97737';
UPDATE eccourses set location='Pfronstetten' where plz='72539';
UPDATE eccourses set location='Grünheide (Mark)' where plz='15537';
UPDATE eccourses set location='Bindlach' where plz='95463';
UPDATE eccourses set location='Herdorf, Stadt' where plz='57562';
UPDATE eccourses set location='Weidenberg, M' where plz='95466';
UPDATE eccourses set location='Speichersdorf' where plz='95469';
UPDATE eccourses set location='Kottgeisering' where plz='82288';
UPDATE eccourses set location='Langenhagen, Stadt' where plz='30855';
UPDATE eccourses set location='Alzenau, St' where plz='63755';
UPDATE eccourses set location='Oldenburg (Oldenburg), Stadt' where plz='26135';
UPDATE eccourses set location='München, Landeshauptstadt' where plz='81825';
UPDATE eccourses set location='München, Landeshauptstadt' where plz='81827';
UPDATE eccourses set location='Oldenburg (Oldenburg), Stadt' where plz='26131';
UPDATE eccourses set location='Oldenburg (Oldenburg), Stadt' where plz='26133';
UPDATE eccourses set location='München, Landeshauptstadt' where plz='81829';
UPDATE eccourses set location='Grafing b.München, St' where plz='85567';
UPDATE eccourses set location='Lehrte, Stadt' where plz='31275';
UPDATE eccourses set location='Ebersberg, St' where plz='85560';
UPDATE eccourses set location='Montabaur, Stadt' where plz='56410';
UPDATE eccourses set location='Freigericht' where plz='63579';
UPDATE eccourses set location='Gelnhausen, Barbarossast., Krst.' where plz='63571';
UPDATE eccourses set location='Witzhave' where plz='22969';
UPDATE eccourses set location='Tremsbüttel' where plz='22967';
UPDATE eccourses set location='Steinburg' where plz='22964';
UPDATE eccourses set location='Todendorf' where plz='22965';
UPDATE eccourses set location='Siek' where plz='22962';
UPDATE eccourses set location='Velpke' where plz='38458';
UPDATE eccourses set location='Hoisdorf' where plz='22961';
UPDATE eccourses set location='Pockau-Lengefeld, Stadt' where plz='09509';
UPDATE eccourses set location='Remseck am Neckar, Stadt' where plz='71686';
UPDATE eccourses set location='Altenmünster' where plz='86450';
UPDATE eccourses set location='Dasing' where plz='86453';
UPDATE eccourses set location='Lünen, Stadt' where plz='44534';
UPDATE eccourses set location='Gablingen' where plz='86456';
UPDATE eccourses set location='Lünen, Stadt' where plz='44536';
UPDATE eccourses set location='Wachtberg' where plz='53343';
UPDATE eccourses set location='Herzebrock-Clarholz' where plz='33442';
UPDATE eccourses set location='Stegaurach' where plz='96135';
UPDATE eccourses set location='Sindelfingen, Stadt' where plz='71063';
UPDATE eccourses set location='Waldkappel, Stadt' where plz='37284';
UPDATE eccourses set location='Wehretal' where plz='37287';
UPDATE eccourses set location='Wanfried, Stadt' where plz='37281';
UPDATE eccourses set location='Gosheim' where plz='78559';
UPDATE eccourses set location='Potsdam, Stadt' where plz='14482';
UPDATE eccourses set location='Frittlingen' where plz='78554';
UPDATE eccourses set location='Sindelfingen, Stadt' where plz='71069';
UPDATE eccourses set location='Lohra' where plz='35102';
UPDATE eccourses set location='Loffenau' where plz='76597';
UPDATE eccourses set location='Reisbach, M' where plz='94419';
UPDATE eccourses set location='Greding, St' where plz='91171';
UPDATE eccourses set location='Bielefeld, Stadt' where plz='33615';
UPDATE eccourses set location='Spalt, St' where plz='91174';
UPDATE eccourses set location='Treuchtlingen, St' where plz='91757';
UPDATE eccourses set location='Kirchberg, Stadt' where plz='08107';
UPDATE eccourses set location='Ludwigshafen am Rhein, Stadt' where plz='67059';
UPDATE eccourses set location='Quirnbach/ Pfalz' where plz='66909';
UPDATE eccourses set location='Ulm, Universitätsstadt' where plz='89079';
UPDATE eccourses set location='Losheim am See' where plz='66679';
UPDATE eccourses set location='Ulm, Universitätsstadt' where plz='89077';
UPDATE eccourses set location='Schönenberg-Kübelberg' where plz='66901';
UPDATE eccourses set location='Ulm, Universitätsstadt' where plz='89075';
UPDATE eccourses set location='Ohmbach' where plz='66903';
UPDATE eccourses set location='Brücken (Pfalz)' where plz='66904';
UPDATE eccourses set location='Rehweiler' where plz='66907';
UPDATE eccourses set location='Vorbach' where plz='91281';
UPDATE eccourses set location='Plech, M' where plz='91282';
UPDATE eccourses set location='Neuhaus a.d.Pegnitz, M' where plz='91284';
UPDATE eccourses set location='Plech, M' where plz='91287';
UPDATE eccourses set location='Obertrubach' where plz='91286';
UPDATE eccourses set location='Schnabelwaid, M' where plz='91289';
UPDATE eccourses set location='Waldesch' where plz='56323';
UPDATE eccourses set location='Spay' where plz='56322';
UPDATE eccourses set location='Fischbach' where plz='67677';
UPDATE eccourses set location='Fehmarn, Stadt' where plz='23769';
UPDATE eccourses set location='Berlin, Stadt' where plz='12437';
UPDATE eccourses set location='Dietmannsried, M' where plz='87463';
UPDATE eccourses set location='Berlin, Stadt' where plz='12435';
UPDATE eccourses set location='Oy-Mittelberg' where plz='87466';
UPDATE eccourses set location='Kirchroth' where plz='94356';
UPDATE eccourses set location='Wedemark' where plz='30900';
UPDATE eccourses set location='Berlin, Stadt' where plz='12439';
UPDATE eccourses set location='Hamburg, Freie und Hansestadt' where plz='22175';
UPDATE eccourses set location='Köln, Stadt' where plz='50769';
UPDATE eccourses set location='Northeim' where plz='37547';
UPDATE eccourses set location='Köln, Stadt' where plz='50765';
UPDATE eccourses set location='Köln, Stadt' where plz='50767';
UPDATE eccourses set location='Tettau' where plz='01990';
UPDATE eccourses set location='Schipkau' where plz='01993';
UPDATE eccourses set location='Schipkau' where plz='01994';
UPDATE eccourses set location='Senftenberg, Stadt' where plz='01996';
UPDATE eccourses set location='Schipkau' where plz='01998';
UPDATE eccourses set location='Kassel, documenta-Stadt' where plz='34119';
UPDATE eccourses set location='Dernbach (Westerwald)' where plz='56428';
UPDATE eccourses set location='Wensin' where plz='23827';
UPDATE eccourses set location='Nienburg (Saale), Stadt' where plz='06429';
UPDATE eccourses set location='Wirges, Stadt' where plz='56422';
UPDATE eccourses set location='Staudt' where plz='56424';
UPDATE eccourses set location='Chemnitz, Stadt' where plz='09130';
UPDATE eccourses set location='Siershahn' where plz='56427';
UPDATE eccourses set location='Höringen' where plz='67724';
UPDATE eccourses set location='Rot an der Rot' where plz='88430';
UPDATE eccourses set location='Wohratal' where plz='35288';
UPDATE eccourses set location='Rauschenberg, Stadt' where plz='35282';
UPDATE eccourses set location='Amöneburg, Stadt' where plz='35287';
UPDATE eccourses set location='Gemünden (Wohra), Stadt' where plz='35285';
UPDATE eccourses set location='Bretzenheim' where plz='55559';
UPDATE eccourses set location='Kassel, documenta-Stadt' where plz='34117';
UPDATE eccourses set location='Essen, Stadt' where plz='45277';
UPDATE eccourses set location='Wedendorfersee' where plz='19217';
UPDATE eccourses set location='Hamburg, Freie und Hansestadt' where plz='22149';
UPDATE eccourses set location='Hamburg, Freie und Hansestadt' where plz='22419';
UPDATE eccourses set location='Hamburg, Freie und Hansestadt' where plz='22145';
UPDATE eccourses set location='Hamburg, Freie und Hansestadt' where plz='22147';
UPDATE eccourses set location='Hamburg, Freie und Hansestadt' where plz='22143';
UPDATE eccourses set location='Kriegsfeld' where plz='67819';
UPDATE eccourses set location='Dornburg' where plz='65599';
UPDATE eccourses set location='Hünfelden' where plz='65597';
UPDATE eccourses set location='Runkel, Stadt' where plz='65594';
UPDATE eccourses set location='Zilshausen' where plz='56288';
UPDATE eccourses set location='Böbrach' where plz='94255';
UPDATE eccourses set location='Drachselsried' where plz='94256';
UPDATE eccourses set location='Schwall' where plz='56281';
UPDATE eccourses set location='Bischofsmais' where plz='94253';
UPDATE eccourses set location='Bayerisch Eisenstein' where plz='94252';
UPDATE eccourses set location='Nürnberg' where plz='90419';
UPDATE eccourses set location='Nürnberg' where plz='90411';
UPDATE eccourses set location='Hallstadt, St' where plz='96103';
UPDATE eccourses set location='Vogtlandkreis' where plz='08265';
UPDATE eccourses set location='Ebern, St' where plz='96106';
UPDATE eccourses set location='Treffelstein' where plz='93464';
UPDATE eccourses set location='Miltach' where plz='93468';
UPDATE eccourses set location='Zemitz' where plz='17440';
UPDATE eccourses set location='Grettstadt' where plz='97508';
UPDATE eccourses set location='Wipfeld' where plz='97509';
UPDATE eccourses set location='Warrenzin' where plz='17111';
UPDATE eccourses set location='Trassenheide' where plz='17449';
UPDATE eccourses set location='Geldersheim' where plz='97505';
UPDATE eccourses set location='Grafenrheinfeld' where plz='97506';
UPDATE eccourses set location='Stettfeld' where plz='97500';
UPDATE eccourses set location='Euerbach' where plz='97502';
UPDATE eccourses set location='Gädheim' where plz='97503';
UPDATE eccourses set location='Berlin, Stadt' where plz='13351';
UPDATE eccourses set location='Berlin, Stadt' where plz='13353';
UPDATE eccourses set location='Berlin, Stadt' where plz='13355';
UPDATE eccourses set location='Berlin, Stadt' where plz='13357';
UPDATE eccourses set location='Berlin, Stadt' where plz='13359';
UPDATE eccourses set location='Bad Münstereifel, Stadt' where plz='53902';
UPDATE eccourses set location='Wenden' where plz='57482';
UPDATE eccourses set location='Bovenden, Flecken' where plz='37120';
UPDATE eccourses set location='Drolshagen, Stadt' where plz='57489';
UPDATE eccourses set location='Zülpich, Stadt' where plz='53909';
UPDATE eccourses set location='Ludwigsau' where plz='36251';
UPDATE eccourses set location='Sehestedt' where plz='24814';
UPDATE eccourses set location='Stafstedt' where plz='24816';
UPDATE eccourses set location='Tetenhusen' where plz='24817';
UPDATE eccourses set location='Owschlag' where plz='24811';
UPDATE eccourses set location='Schülp b. Rendsburg' where plz='24813';
UPDATE eccourses set location='Freising, GKSt' where plz='85356';
UPDATE eccourses set location='Freising, GKSt' where plz='85354';
UPDATE eccourses set location='Todenbüttel' where plz='24819';
UPDATE eccourses set location='Aiglsbach' where plz='84089';
UPDATE eccourses set location='Neufahrn i.NB' where plz='84088';
UPDATE eccourses set location='Schöppingen' where plz='48624';
UPDATE eccourses set location='Metelen' where plz='48629';
UPDATE eccourses set location='Laberweinting' where plz='84082';
UPDATE eccourses set location='Langquaid, M' where plz='84085';
UPDATE eccourses set location='Obermeitingen' where plz='86859';
UPDATE eccourses set location='Sulzbach a.Main, M' where plz='63834';
UPDATE eccourses set location='Lohne (Oldenburg), Stadt' where plz='49393';
UPDATE eccourses set location='Voerde (Niederrhein), Stadt' where plz='46562';
UPDATE eccourses set location='Hünxe' where plz='46569';
UPDATE eccourses set location='Mönchengladbach, Stadt' where plz='41068';
UPDATE eccourses set location='Mönchengladbach, Stadt' where plz='41069';
UPDATE eccourses set location='Riedstadt, Stadt' where plz='64560';
UPDATE eccourses set location='Mönchengladbach, Stadt' where plz='41066';
UPDATE eccourses set location='Mönchengladbach, Stadt' where plz='41061';
UPDATE eccourses set location='Eslohe (Sauerland)' where plz='59889';
UPDATE eccourses set location='Mönchengladbach, Stadt' where plz='41063';
UPDATE eccourses set location='Oebisfelde-Weferlingen, Stadt' where plz='39646';
UPDATE eccourses set location='Tegernsee, St' where plz='83684';
UPDATE eccourses set location='Gardelegen, Hansestadt' where plz='39649';
UPDATE eccourses set location='Herbstein, Stadt' where plz='36358';
UPDATE eccourses set location='Marktredwitz, GKSt' where plz='95615';
UPDATE eccourses set location='Löningen, Stadt' where plz='49624';
UPDATE eccourses set location='Gevelsberg, Stadt' where plz='58285';
UPDATE eccourses set location='Göttingen, Stadt' where plz='37077';
UPDATE eccourses set location='Göttingen, Stadt' where plz='37075';
UPDATE eccourses set location='Göttingen, Stadt' where plz='37073';
UPDATE eccourses set location='Schwäbisch Hall, Stadt' where plz='74523';
UPDATE eccourses set location='Lohfelden' where plz='34253';
UPDATE eccourses set location='Ebershausen' where plz='86491';
UPDATE eccourses set location='Kastl' where plz='84556';
UPDATE eccourses set location='Jettenbach' where plz='84555';
UPDATE eccourses set location='Pegestorf' where plz='37619';
UPDATE eccourses set location='Halsbach' where plz='84553';
UPDATE eccourses set location='Geratskirchen' where plz='84552';
UPDATE eccourses set location='Feichten a.d.Alz' where plz='84550';
UPDATE eccourses set location='Taufkirchen' where plz='84559';
UPDATE eccourses set location='Tyrlaching' where plz='84558';
UPDATE eccourses set location='Rosenheim' where plz='83026';
UPDATE eccourses set location='Rosenheim' where plz='83024';
UPDATE eccourses set location='Rosenheim' where plz='83022';
UPDATE eccourses set location='Ludwigsburg, Stadt' where plz='71634';
UPDATE eccourses set location='Grünstadt, Stadt' where plz='67269';
UPDATE eccourses set location='Düsseldorf, Stadt' where plz='40629';
UPDATE eccourses set location='Erftstadt, Stadt' where plz='50374';
UPDATE eccourses set location='Hamburg, Freie und Hansestadt' where plz='22547';
UPDATE eccourses set location='Düsseldorf, Stadt' where plz='40625';
UPDATE eccourses set location='Düsseldorf, Stadt' where plz='40627';
UPDATE eccourses set location='Nürnberg' where plz='90441';
UPDATE eccourses set location='Nürnberg' where plz='90443';
UPDATE eccourses set location='Ladenburg, Stadt' where plz='68526';
UPDATE eccourses set location='Deizisau' where plz='73779';
UPDATE eccourses set location='Altbach' where plz='73776';
UPDATE eccourses set location='Denkendorf' where plz='73770';
UPDATE eccourses set location='Aichwald' where plz='73773';
UPDATE eccourses set location='Munningen' where plz='86754';
UPDATE eccourses set location='Sehlde' where plz='38279';
UPDATE eccourses set location='Egloffstein, M' where plz='91349';
UPDATE eccourses set location='Obernzenn, M' where plz='91619';
UPDATE eccourses set location='Wiesenttal, M' where plz='91344';
UPDATE eccourses set location='Oberdachstetten' where plz='91617';
UPDATE eccourses set location='Wiesenttal, M' where plz='91346';
UPDATE eccourses set location='Burgdorf' where plz='38272';
UPDATE eccourses set location='Haverlah' where plz='38275';
UPDATE eccourses set location='Elbe' where plz='38274';
UPDATE eccourses set location='Insingen' where plz='91610';
UPDATE eccourses set location='Lehrberg, M' where plz='91611';
UPDATE eccourses set location='Aßlar, Stadt' where plz='35614';
UPDATE eccourses set location='Braunfels, Stadt' where plz='35619';
UPDATE eccourses set location='Sehnde, Stadt' where plz='31319';
UPDATE eccourses set location='Hermaringen' where plz='89537';
UPDATE eccourses set location='Bergisch Gladbach, Stadt' where plz='51429';
UPDATE eccourses set location='Bergisch Gladbach, Stadt' where plz='51427';
UPDATE eccourses set location='Hude (Oldb)' where plz='27798';
UPDATE eccourses set location='Wildeshausen, Stadt' where plz='27793';
UPDATE eccourses set location='Klein Nordende' where plz='25336';
UPDATE eccourses set location='Seeth-Ekholt' where plz='25337';
UPDATE eccourses set location='Neuendorf b. Elmshorn' where plz='25335';
UPDATE eccourses set location='Chiemsee' where plz='83256';
UPDATE eccourses set location='Rosenberg' where plz='74749';
UPDATE eccourses set location='Ahorn' where plz='74744';
UPDATE eccourses set location='Ravenstein, Stadt' where plz='74747';
UPDATE eccourses set location='Höpfingen' where plz='74746';
UPDATE eccourses set location='Adelsheim, Stadt' where plz='74740';
UPDATE eccourses set location='Seckach' where plz='74743';
UPDATE eccourses set location='Winkelsett' where plz='27243';
UPDATE eccourses set location='Kirchdorf' where plz='27245';
UPDATE eccourses set location='Borstel' where plz='27246';
UPDATE eccourses set location='Ehrenburg' where plz='27248';
UPDATE eccourses set location='Mellinghausen' where plz='27249';
UPDATE eccourses set location='Starnberg, St' where plz='82319';
UPDATE eccourses set location='Kirchensittenbach' where plz='91241';
UPDATE eccourses set location='Gelsenkirchen, Stadt' where plz='45894';
UPDATE eccourses set location='Bördeland' where plz='39221';
UPDATE eccourses set location='Satteldorf' where plz='74564';
UPDATE eccourses set location='Karlstadt, St' where plz='97753';
UPDATE eccourses set location='Essen, Stadt' where plz='45149';
UPDATE eccourses set location='Penkun, Stadt' where plz='17328';
UPDATE eccourses set location='Nadrensee' where plz='17329';
UPDATE eccourses set location='Breuberg, Stadt' where plz='64747';
UPDATE eccourses set location='Erbach, Kreisstadt' where plz='64743';
UPDATE eccourses set location='Rothenklempenow' where plz='17321';
UPDATE eccourses set location='Rossow' where plz='17322';
UPDATE eccourses set location='Remlingen' where plz='38319';
UPDATE eccourses set location='Schönfeld' where plz='17326';
UPDATE eccourses set location='Mömbris, M' where plz='63776';
UPDATE eccourses set location='Kirchen (Sieg), Stadt' where plz='57548';
UPDATE eccourses set location='Thyrnau' where plz='94136';
UPDATE eccourses set location='Bayreuth' where plz='95448';
UPDATE eccourses set location='Bayreuth' where plz='95447';
UPDATE eccourses set location='Bayreuth' where plz='95445';
UPDATE eccourses set location='Bayreuth' where plz='95444';
UPDATE eccourses set location='Aalen, Stadt' where plz='73434';
UPDATE eccourses set location='Hamburg, Freie und Hansestadt' where plz='21149';
UPDATE eccourses set location='Gruibingen' where plz='73344';
UPDATE eccourses set location='Hamburg, Freie und Hansestadt' where plz='21147';
UPDATE eccourses set location='Flörsheim am Main, Stadt' where plz='65439';
UPDATE eccourses set location='Hohenstadt' where plz='73345';
UPDATE eccourses set location='Mühlhausen im Täle' where plz='73347';
UPDATE eccourses set location='München, Landeshauptstadt' where plz='81667';
UPDATE eccourses set location='München, Landeshauptstadt' where plz='81669';
UPDATE eccourses set location='Haar' where plz='85540';
UPDATE eccourses set location='Kleinostheim' where plz='63801';
UPDATE eccourses set location='Haibach' where plz='63808';
UPDATE eccourses set location='Nahrendorf' where plz='21369';
UPDATE eccourses set location='Dahlenburg, Flecken' where plz='21368';
UPDATE eccourses set location='Hermsdorf/Erzgeb.' where plz='01776';
UPDATE eccourses set location='Jersbek' where plz='22941';
UPDATE eccourses set location='Zorge' where plz='37449';
UPDATE eccourses set location='Altenberg, Stadt' where plz='01773';
UPDATE eccourses set location='Talkau' where plz='21493';
UPDATE eccourses set location='Vögelsen' where plz='21360';
UPDATE eccourses set location='Walkenried' where plz='37445';
UPDATE eccourses set location='Braunlage, Stadt' where plz='37444';
UPDATE eccourses set location='Adendorf' where plz='21365';
UPDATE eccourses set location='Ammersbek' where plz='22949';
UPDATE eccourses set location='Bad Sachsa, Stadt' where plz='37441';
UPDATE eccourses set location='Hinterzarten' where plz='79856';
UPDATE eccourses set location='Rühen' where plz='38471';
UPDATE eccourses set location='Waldkirchen, St' where plz='94065';
UPDATE eccourses set location='Jembke' where plz='38477';
UPDATE eccourses set location='Lenzkirch' where plz='79853';
UPDATE eccourses set location='Tettenweis' where plz='94060';
UPDATE eccourses set location='Tülau' where plz='38474';
UPDATE eccourses set location='Oederan, Stadt' where plz='09569';
UPDATE eccourses set location='Tappenbeck' where plz='38479';
UPDATE eccourses set location='Schluchsee' where plz='79859';
UPDATE eccourses set location='Berlin, Stadt' where plz='12621';
UPDATE eccourses set location='Vaihingen an der Enz, Stadt' where plz='71665';
UPDATE eccourses set location='Iserlohn, Stadt' where plz='58638';
UPDATE eccourses set location='Iserlohn, Stadt' where plz='58636';
UPDATE eccourses set location='Watzerath' where plz='54595';
UPDATE eccourses set location='Berlin, Stadt' where plz='10585';
UPDATE eccourses set location='Berlin, Stadt' where plz='10587';
UPDATE eccourses set location='Berlin, Stadt' where plz='10589';
UPDATE eccourses set location='Monschau, Stadt' where plz='52156';
UPDATE eccourses set location='Tuttlingen, Stadt' where plz='78532';
UPDATE eccourses set location='Lugau/Erzgeb., Stadt' where plz='09385';
UPDATE eccourses set location='Jahnsdorf/Erzgeb.' where plz='09387';
UPDATE eccourses set location='Vilshofen an der Donau, St' where plz='94474';
UPDATE eccourses set location='Zeven, Stadt' where plz='27404';
UPDATE eccourses set location='Schleiden, Stadt' where plz='53937';
UPDATE eccourses set location='Bernau a.Chiemsee' where plz='83233';
UPDATE eccourses set location='Ludwigshafen am Rhein, Stadt' where plz='67071';
UPDATE eccourses set location='Übersee' where plz='83236';
UPDATE eccourses set location='Rengsdorf' where plz='56579';
UPDATE eccourses set location='Trebendorf' where plz='02959';
UPDATE eccourses set location='Weißkeißel' where plz='02957';
UPDATE eccourses set location='Kalkar, Stadt' where plz='47546';
UPDATE eccourses set location='St. Ingbert, Stadt' where plz='66386';
UPDATE eccourses set location='Groß Düben' where plz='02953';
UPDATE eccourses set location='Wittmar' where plz='38170';
UPDATE eccourses set location='Waldheim, Stadt' where plz='04736';
UPDATE eccourses set location='Bermatingen' where plz='88697';
UPDATE eccourses set location='Uelzen, Stadt' where plz='29525';
UPDATE eccourses set location='Wehr, Stadt' where plz='79664';
UPDATE eccourses set location='Wilhelmsdorf' where plz='07389';
UPDATE eccourses set location='Wernburg' where plz='07381';
UPDATE eccourses set location='Unterammergau' where plz='82497';
UPDATE eccourses set location='Zell im Wiesental, Stadt' where plz='79669';
UPDATE eccourses set location='Waltenhofen' where plz='87448';
UPDATE eccourses set location='Borkum, Stadt' where plz='26757';
UPDATE eccourses set location='Jerichow, Stadt' where plz='39319';
UPDATE eccourses set location='Elbe-Parey' where plz='39317';
UPDATE eccourses set location='Südbrookmerland' where plz='26759';
UPDATE eccourses set location='Neunkirchen, Kreisstadt' where plz='66540';
UPDATE eccourses set location='Westfeld' where plz='31079';
UPDATE eccourses set location='Delligsen, Flecken' where plz='31073';
UPDATE eccourses set location='Alerheim' where plz='86733';
UPDATE eccourses set location='Meinheim' where plz='91802';
UPDATE eccourses set location='Markt Berolzheim, M' where plz='91801';
UPDATE eccourses set location='Solnhofen' where plz='91807';
UPDATE eccourses set location='Polsingen' where plz='91805';
UPDATE eccourses set location='Mörnsheim, M' where plz='91804';
UPDATE eccourses set location='Riederich' where plz='72585';
UPDATE eccourses set location='Hülben' where plz='72584';
UPDATE eccourses set location='Wellheim, M' where plz='91809';
UPDATE eccourses set location='Dettingen an der Erms' where plz='72581';
UPDATE eccourses set location='Schmitten' where plz='61389';
UPDATE eccourses set location='Grabenstetten' where plz='72582';
UPDATE eccourses set location='Lauchhammer, Stadt' where plz='01979';
UPDATE eccourses set location='Auhausen' where plz='86736';
UPDATE eccourses set location='Bergheim, Stadt' where plz='50127';
UPDATE eccourses set location='Bergheim, Stadt' where plz='50126';
UPDATE eccourses set location='Rothselberg' where plz='67753';
UPDATE eccourses set location='Bergheim, Stadt' where plz='50129';
UPDATE eccourses set location='Winterborn' where plz='67822';
UPDATE eccourses set location='Aken (Elbe), Stadt' where plz='06385';
UPDATE eccourses set location='Südliches Anhalt, Stadt' where plz='06386';
UPDATE eccourses set location='Frankfurt am Main, Stadt' where plz='60549';
UPDATE eccourses set location='Eßweiler' where plz='67754';
UPDATE eccourses set location='Villmar, Marktflecken' where plz='65606';
UPDATE eccourses set location='Elz' where plz='65604';
UPDATE eccourses set location='Südliches Anhalt, Stadt' where plz='06388';
UPDATE eccourses set location='München, Landeshauptstadt' where plz='81479';
UPDATE eccourses set location='München, Landeshauptstadt' where plz='81477';
UPDATE eccourses set location='Friedberg, St' where plz='86316';
UPDATE eccourses set location='München, Landeshauptstadt' where plz='81475';
UPDATE eccourses set location='Steinwiesen, M' where plz='96349';
UPDATE eccourses set location='Wallenfels, St' where plz='96346';
UPDATE eccourses set location='Stockheim' where plz='96342';
UPDATE eccourses set location='Bad Liebenzell, Stadt' where plz='75378';
UPDATE eccourses set location='Frankfurt am Main, Stadt' where plz='60385';
UPDATE eccourses set location='Frankfurt am Main, Stadt' where plz='60386';
UPDATE eccourses set location='Frankfurt am Main, Stadt' where plz='60388';
UPDATE eccourses set location='Frankfurt am Main, Stadt' where plz='60389';
UPDATE eccourses set location='Kirchheim unter Teck, Stadt' where plz='73230';
UPDATE eccourses set location='Steinheim am Albuch' where plz='89555';
UPDATE eccourses set location='Warlitz' where plz='19230';
UPDATE eccourses set location='Zotzenheim' where plz='55576';
UPDATE eccourses set location='Detmold, Stadt' where plz='32756';
UPDATE eccourses set location='Gerach' where plz='96161';
UPDATE eccourses set location='Geiselwind, M' where plz='96160';
UPDATE eccourses set location='Gundelsheim' where plz='96163';
UPDATE eccourses set location='Kemmern' where plz='96164';
UPDATE eccourses set location='Königsfeld' where plz='96167';
UPDATE eccourses set location='Kirchlauter' where plz='96166';
UPDATE eccourses set location='Aachen, Stadt' where plz='52072';
UPDATE eccourses set location='Aachen, Stadt' where plz='52070';
UPDATE eccourses set location='Aachen, Stadt' where plz='52076';
UPDATE eccourses set location='Aachen, Stadt' where plz='52074';
UPDATE eccourses set location='Aachen, Stadt' where plz='52078';
UPDATE eccourses set location='Mainaschaff' where plz='63814';
UPDATE eccourses set location='Hasloh' where plz='25474';
UPDATE eccourses set location='Becherbach' where plz='67827';
UPDATE eccourses set location='Ellerau' where plz='25479';
UPDATE eccourses set location='Wiefelstede' where plz='26215';
UPDATE eccourses set location='Neufahrn b.Freising' where plz='85375';
UPDATE eccourses set location='Neufahrn b.Freising' where plz='85376';
UPDATE eccourses set location='Essen, Stadt' where plz='45359';
UPDATE eccourses set location='Neckarsulm, Stadt' where plz='74172';
UPDATE eccourses set location='Niederaula, Marktgemeinde' where plz='36272';
UPDATE eccourses set location='Schenklengsfeld' where plz='36277';
UPDATE eccourses set location='Kirchheim' where plz='36275';
UPDATE eccourses set location='Groß Rheide' where plz='24872';
UPDATE eccourses set location='Havetoft' where plz='24873';
UPDATE eccourses set location='Ellingstedt' where plz='24870';
UPDATE eccourses set location='Hollingstedt' where plz='24876';
UPDATE eccourses set location='Schleswig-Flensburg' where plz='24875';
UPDATE eccourses set location='Lottorf' where plz='24878';
UPDATE eccourses set location='Neuberend' where plz='24879';
UPDATE eccourses set location='Essen, Stadt' where plz='45239';
UPDATE eccourses set location='Ochtrup, Stadt' where plz='48607';
UPDATE eccourses set location='Nordwalde' where plz='48356';
UPDATE eccourses set location='Everswinkel' where plz='48351';
UPDATE eccourses set location='Dessau-Roßlau, Stadt' where plz='06842';
UPDATE eccourses set location='Zernitz-Lohm' where plz='16845';
UPDATE eccourses set location='Hawangen' where plz='87749';
UPDATE eccourses set location='Wunsiedel, St' where plz='95632';
UPDATE eccourses set location='Fellheim' where plz='87748';
UPDATE eccourses set location='Berlin, Stadt' where plz='10119';
UPDATE eccourses set location='Berlin, Stadt' where plz='10117';
UPDATE eccourses set location='Berlin, Stadt' where plz='10115';
UPDATE eccourses set location='Renningen, Stadt' where plz='71272';
UPDATE eccourses set location='Dietzenbach, Kreisstadt' where plz='63128';
UPDATE eccourses set location='Steinau' where plz='21775';
UPDATE eccourses set location='Stinstedt' where plz='21772';
UPDATE eccourses set location='Rutesheim, Stadt' where plz='71277';
UPDATE eccourses set location='Mittelstenahe' where plz='21770';
UPDATE eccourses set location='Hohenstein' where plz='99755';
UPDATE eccourses set location='Kalefeld' where plz='37589';
UPDATE eccourses set location='Unteregg' where plz='87742';
UPDATE eccourses set location='Bad Gandersheim, Stadt' where plz='37581';
UPDATE eccourses set location='Dassel, Stadt' where plz='37586';
UPDATE eccourses set location='Niederstetten, Stadt' where plz='97980';
UPDATE eccourses set location='Adelzhausen' where plz='86559';
UPDATE eccourses set location='Hohenwart, M' where plz='86558';
UPDATE eccourses set location='Pöttmes, M' where plz='86554';
UPDATE eccourses set location='Schiltberg' where plz='86556';
UPDATE eccourses set location='Aichach, St' where plz='86551';
UPDATE eccourses set location='Holzen' where plz='37632';
UPDATE eccourses set location='Dielmissen' where plz='37633';
UPDATE eccourses set location='Lüerdissen' where plz='37635';
UPDATE eccourses set location='Hüfingen, Stadt' where plz='78183';
UPDATE eccourses set location='Brevörde' where plz='37639';
UPDATE eccourses set location='Geisingen, Stadt' where plz='78187';
UPDATE eccourses set location='Dresden, Stadt' where plz='01129';
UPDATE eccourses set location='Schwetzingen, Stadt' where plz='68723';
UPDATE eccourses set location='Dresden, Stadt' where plz='01127';
UPDATE eccourses set location='Dessau-Roßlau, Stadt' where plz='06844';
UPDATE eccourses set location='Schmalenberg' where plz='67718';
UPDATE eccourses set location='Wiesengrund' where plz='03149';
UPDATE eccourses set location='Lambsheim' where plz='67245';
UPDATE eccourses set location='Waldfischbach-Burgalben' where plz='67714';
UPDATE eccourses set location='Geiselberg' where plz='67715';
UPDATE eccourses set location='Bobenheim-Roxheim' where plz='67240';
UPDATE eccourses set location='Hürth, Stadt' where plz='50354';
UPDATE eccourses set location='Mitterteich, St' where plz='95666';
UPDATE eccourses set location='Seeblick' where plz='14728';
UPDATE eccourses set location='Premnitz, Stadt' where plz='14727';
UPDATE eccourses set location='Fuldatal' where plz='34233';
UPDATE eccourses set location='Ilvesheim' where plz='68549';
UPDATE eccourses set location='Zehrental' where plz='39615';
UPDATE eccourses set location='Heddesheim' where plz='68542';
UPDATE eccourses set location='Germersheim, Stadt' where plz='76726';
UPDATE eccourses set location='Rostock, Hansestadt' where plz='18119';
UPDATE eccourses set location='Wilburgstetten' where plz='91634';
UPDATE eccourses set location='Windelsbach' where plz='91635';
UPDATE eccourses set location='Wörnitz' where plz='91637';
UPDATE eccourses set location='Wettringen' where plz='91631';
UPDATE eccourses set location='Wieseth' where plz='91632';
UPDATE eccourses set location='Efringen-Kirchen' where plz='79588';
UPDATE eccourses set location='Binzen' where plz='79589';
UPDATE eccourses set location='Salzgitter, Stadt' where plz='38259';
UPDATE eccourses set location='Vörstetten' where plz='79279';
UPDATE eccourses set location='Gräfenberg, St' where plz='91322';
UPDATE eccourses set location='Leonberg, Stadt' where plz='71229';
UPDATE eccourses set location='Ebermannstadt, St' where plz='91320';
UPDATE eccourses set location='St. Peter' where plz='79271';
UPDATE eccourses set location='Reute' where plz='79276';
UPDATE eccourses set location='Gößweinstein, M' where plz='91327';
UPDATE eccourses set location='St. Märgen' where plz='79274';
UPDATE eccourses set location='Adelsdorf' where plz='91325';
UPDATE eccourses set location='Grimmen, Stadt' where plz='18507';
UPDATE eccourses set location='Heidenheim an der Brenz, Stadt' where plz='89518';
UPDATE eccourses set location='Wolfertschwenden' where plz='87787';
UPDATE eccourses set location='Winterrieden' where plz='87785';
UPDATE eccourses set location='Westerheim' where plz='87784';
UPDATE eccourses set location='Unteregg' where plz='87782';
UPDATE eccourses set location='Ungerhausen' where plz='87781';
UPDATE eccourses set location='Woringen' where plz='87789';
UPDATE eccourses set location='Enge-Sande' where plz='25917';
UPDATE eccourses set location='Hamburg, Freie und Hansestadt' where plz='22339';
UPDATE eccourses set location='Hamburg, Freie und Hansestadt' where plz='22337';
UPDATE eccourses set location='Hamburg, Freie und Hansestadt' where plz='22335';
UPDATE eccourses set location='Magdeburg, Landeshauptstadt' where plz='39126';
UPDATE eccourses set location='Magdeburg, Landeshauptstadt' where plz='39124';
UPDATE eccourses set location='Speinshart' where plz='92676';
UPDATE eccourses set location='Magdeburg, Landeshauptstadt' where plz='39122';
UPDATE eccourses set location='Windischeschenbach, St' where plz='92670';
UPDATE eccourses set location='Magdeburg, Landeshauptstadt' where plz='39120';
UPDATE eccourses set location='Magdeburg, Landeshauptstadt' where plz='39128';
UPDATE eccourses set location='Köfering' where plz='93096';
UPDATE eccourses set location='Michelfeld' where plz='74545';
UPDATE eccourses set location='Hagelstadt' where plz='93095';
UPDATE eccourses set location='Barbing' where plz='93092';
UPDATE eccourses set location='Donaustauf, M' where plz='93093';
UPDATE eccourses set location='Bach a.d.Donau' where plz='93090';
UPDATE eccourses set location='Mintraching' where plz='93098';
UPDATE eccourses set location='Mötzing' where plz='93099';
UPDATE eccourses set location='Radevormwald, Stadt auf der Höhe' where plz='42477';
UPDATE eccourses set location='Neuhausen ob Eck' where plz='78579';
UPDATE eccourses set location='Oberreute' where plz='88179';
UPDATE eccourses set location='Heimenkirch, M' where plz='88178';
UPDATE eccourses set location='Geroda, M' where plz='97779';
UPDATE eccourses set location='Fellen' where plz='97778';
UPDATE eccourses set location='Weiler-Simmerberg, M' where plz='88171';
UPDATE eccourses set location='Eußenheim' where plz='97776';
UPDATE eccourses set location='Obersinn, M' where plz='97775';
UPDATE eccourses set location='Aura i.Sinngrund' where plz='97773';
UPDATE eccourses set location='Wildflecken, M' where plz='97772';
UPDATE eccourses set location='Michelstadt, Stadt' where plz='64720';
UPDATE eccourses set location='Laichingen, Stadt' where plz='89150';
UPDATE eccourses set location='Neunkhausen' where plz='57520';
UPDATE eccourses set location='Wees' where plz='24999';
UPDATE eccourses set location='Freienwill' where plz='24991';
UPDATE eccourses set location='Süderhackstedt' where plz='24992';
UPDATE eccourses set location='Weesby' where plz='24994';
UPDATE eccourses set location='Wanderup' where plz='24997';
UPDATE eccourses set location='Sterup' where plz='24996';
UPDATE eccourses set location='Vallendar, Stadt' where plz='56179';
UPDATE eccourses set location='Laubach, Stadt' where plz='35321';
UPDATE eccourses set location='Bottrop, Stadt' where plz='46244';
UPDATE eccourses set location='Bad Rothenfelde' where plz='49214';
UPDATE eccourses set location='Kleinkahl' where plz='63828';
UPDATE eccourses set location='Krombach' where plz='63829';
UPDATE eccourses set location='Bottrop, Stadt' where plz='46242';
UPDATE eccourses set location='Ottobrunn' where plz='85521';
UPDATE eccourses set location='Wiesen' where plz='63825';
UPDATE eccourses set location='Geiselbach' where plz='63826';
UPDATE eccourses set location='Elsenfeld, M' where plz='63820';
UPDATE eccourses set location='Glandorf' where plz='49219';
UPDATE eccourses set location='Hagen, Stadt der FernUniversität' where plz='58135';
UPDATE eccourses set location='Ahrensburg, Stadt' where plz='22926';
UPDATE eccourses set location='Großhansdorf' where plz='22927';
UPDATE eccourses set location='Roßbach' where plz='94439';
UPDATE eccourses set location='Rausdorf' where plz='22929';
UPDATE eccourses set location='Frankfurt am Main, Stadt' where plz='60594';
UPDATE eccourses set location='Reichenbach' where plz='55743';
UPDATE eccourses set location='Wutach' where plz='79879';
UPDATE eccourses set location='Seiffen/Erzgeb., Kurort' where plz='09548';
UPDATE eccourses set location='Breitnau' where plz='79874';
UPDATE eccourses set location='St. Blasien, Stadt' where plz='79875';
UPDATE eccourses set location='Friedenweiler' where plz='79877';
UPDATE eccourses set location='Frankfurt am Main, Stadt' where plz='60599';
UPDATE eccourses set location='Eisenbach (Hochschwarzwald)' where plz='79871';
UPDATE eccourses set location='Bernau im Schwarzwald' where plz='79872';
UPDATE eccourses set location='Wanzleben-Börde, Stadt' where plz='39164';
UPDATE eccourses set location='Simbach, M' where plz='94436';
UPDATE eccourses set location='Budenheim' where plz='55257';
UPDATE eccourses set location='Ludwigsburg, Stadt' where plz='71642';
UPDATE eccourses set location='Ludwigsburg, Stadt' where plz='71640';
UPDATE eccourses set location='Kernen im Remstal' where plz='71394';
UPDATE eccourses set location='Leutenbach' where plz='71397';
UPDATE eccourses set location='Dambeck' where plz='19357';
UPDATE eccourses set location='Kutenholz' where plz='27449';
UPDATE eccourses set location='Aufseß' where plz='91347';
UPDATE eccourses set location='Schefflenz' where plz='74850';
UPDATE eccourses set location='Fulda, Stadt' where plz='36041';
UPDATE eccourses set location='Fulda, Stadt' where plz='36043';
UPDATE eccourses set location='Frankenhardt' where plz='74586';
UPDATE eccourses set location='Münster, Stadt' where plz='48167';
UPDATE eccourses set location='Münster, Stadt' where plz='48165';
UPDATE eccourses set location='Groitzsch, Stadt' where plz='04539';
UPDATE eccourses set location='Münster, Stadt' where plz='48163';
UPDATE eccourses set location='Münster, Stadt' where plz='48161';
UPDATE eccourses set location='Leipzig, Stadt' where plz='04289';
UPDATE eccourses set location='Leipzig, Stadt' where plz='04288';
UPDATE eccourses set location='Unterwössen' where plz='83250';
UPDATE eccourses set location='Wiegendorf' where plz='99441';
UPDATE eccourses set location='Gstadt a.Chiemsee' where plz='83254';
UPDATE eccourses set location='Gstadt a.Chiemsee' where plz='83257';
UPDATE eccourses set location='Blankenhain, Stadt' where plz='99444';
UPDATE eccourses set location='Schleching' where plz='83259';
UPDATE eccourses set location='Tonndorf' where plz='99448';
UPDATE eccourses set location='Weißenberg, Stadt' where plz='02627';
UPDATE eccourses set location='Bautzen, Stadt' where plz='02625';
UPDATE eccourses set location='Reinsdorf' where plz='08141';
UPDATE eccourses set location='Hirschfeld' where plz='08144';
UPDATE eccourses set location='Crinitzberg' where plz='08147';
UPDATE eccourses set location='Spreetal' where plz='02979';
UPDATE eccourses set location='Hoyerswerda, Stadt' where plz='02977';
UPDATE eccourses set location='Viersen, Stadt' where plz='41749';
UPDATE eccourses set location='Oschatz, Stadt' where plz='04758';
UPDATE eccourses set location='Viersen, Stadt' where plz='41747';
UPDATE eccourses set location='Bad Bevensen, Stadt' where plz='29549';
UPDATE eccourses set location='Moos' where plz='94554';
UPDATE eccourses set location='Villingen-Schwenningen, Stadt' where plz='78048';
UPDATE eccourses set location='Alesheim' where plz='91793';
UPDATE eccourses set location='Ellingen, St' where plz='91792';
UPDATE eccourses set location='Raitenbuch' where plz='91790';
UPDATE eccourses set location='Ettenstatt' where plz='91796';
UPDATE eccourses set location='Dollnstein, M' where plz='91795';
UPDATE eccourses set location='Langenaltheim' where plz='91799';
UPDATE eccourses set location='Höttingen' where plz='91798';
UPDATE eccourses set location='Mengkofen' where plz='84152';
UPDATE eccourses set location='Lohsa' where plz='02999';
UPDATE eccourses set location='Steinberg am See' where plz='92449';
UPDATE eccourses set location='Kulmbach, GKSt' where plz='95326';
UPDATE eccourses set location='Schwarzhofen, M' where plz='92447';
UPDATE eccourses set location='Rötz, St' where plz='92444';
UPDATE eccourses set location='Neukirchen-Balbini, M' where plz='92445';
UPDATE eccourses set location='Wackersdorf' where plz='92442';
UPDATE eccourses set location='Tholey' where plz='66636';
UPDATE eccourses set location='Bad Saulgau, Stadt' where plz='88348';
UPDATE eccourses set location='Hohenmölsen, Stadt' where plz='06679';
UPDATE eccourses set location='Senftenberg, Stadt' where plz='01968';
UPDATE eccourses set location='Hamburg, Freie und Hansestadt' where plz='22453';
UPDATE eccourses set location='Bad Schmiedeberg, Stadt' where plz='06905';
UPDATE eccourses set location='Hamburg, Freie und Hansestadt' where plz='22457';
UPDATE eccourses set location='Arnstein, Stadt' where plz='06456';
UPDATE eccourses set location='Hamburg, Freie und Hansestadt' where plz='22455';
UPDATE eccourses set location='Selke-Aue' where plz='06458';
UPDATE eccourses set location='Hamburg, Freie und Hansestadt' where plz='22459';
UPDATE eccourses set location='Mengerskirchen, Marktflecken' where plz='35794';
UPDATE eccourses set location='Zetel' where plz='26340';
UPDATE eccourses set location='Weinbach' where plz='35796';
UPDATE eccourses set location='Bockhorn' where plz='26345';
UPDATE eccourses set location='Jade' where plz='26349';
UPDATE eccourses set location='Merenberg, Marktflecken' where plz='35799';
UPDATE eccourses set location='Wain' where plz='89165';
UPDATE eccourses set location='Dornstadt' where plz='89160';
UPDATE eccourses set location='Niederstotzingen, Stadt' where plz='89168';
UPDATE eccourses set location='Kulmbach, GKSt' where plz='96369';
UPDATE eccourses set location='Baumholder, Stadt' where plz='55774';
UPDATE eccourses set location='Mettweiler' where plz='55777';
UPDATE eccourses set location='Ruschberg' where plz='55776';
UPDATE eccourses set location='Leitzweiler' where plz='55779';
UPDATE eccourses set location='Steinbach a.Wald' where plz='96361';
UPDATE eccourses set location='Tschirn' where plz='96367';
UPDATE eccourses set location='Nordhalben, M' where plz='96365';
UPDATE eccourses set location='Marktrodach, M' where plz='96364';
UPDATE eccourses set location='Lich, Stadt' where plz='35423';
UPDATE eccourses set location='Lenningen' where plz='73252';
UPDATE eccourses set location='Langgöns' where plz='35428';
UPDATE eccourses set location='Köngen' where plz='73257';
UPDATE eccourses set location='Altendorf' where plz='96146';
UPDATE eccourses set location='Seßlach, St' where plz='96145';
UPDATE eccourses set location='Plankenfels' where plz='96142';
UPDATE eccourses set location='Wesenberg' where plz='23858';
UPDATE eccourses set location='Breitengüßbach' where plz='96149';
UPDATE eccourses set location='Reckendorf' where plz='96148';
UPDATE eccourses set location='Altendiez' where plz='65624';
UPDATE eccourses set location='Birlenbach' where plz='65626';
UPDATE eccourses set location='Elbtal' where plz='65627';
UPDATE eccourses set location='Wonsheim' where plz='55599';
UPDATE eccourses set location='Schiesheim' where plz='65623';
UPDATE eccourses set location='Wiehl, Stadt' where plz='51674';
UPDATE eccourses set location='Wöllstein' where plz='55597';
UPDATE eccourses set location='Waldböckelheim' where plz='55596';
UPDATE eccourses set location='Meisenheim, Stadt' where plz='55590';
UPDATE eccourses set location='Rüdesheim' where plz='55593';
UPDATE eccourses set location='Rehborn' where plz='55592';
UPDATE eccourses set location='Oberharz am Brocken, Stadt' where plz='38889';
UPDATE eccourses set location='Alheim' where plz='36211';
UPDATE eccourses set location='Quickborn, Stadt' where plz='25451';
UPDATE eccourses set location='Nentershausen' where plz='36214';
UPDATE eccourses set location='Ronshausen' where plz='36217';
UPDATE eccourses set location='Nentershausen' where plz='36219';
UPDATE eccourses set location='Hebertsfelden' where plz='84332';
UPDATE eccourses set location='Schuby' where plz='24850';
UPDATE eccourses set location='Süderhackstedt' where plz='24852';
UPDATE eccourses set location='Jübek' where plz='24855';
UPDATE eccourses set location='Fahrdorf' where plz='24857';
UPDATE eccourses set location='Thermalbad Wiesenbad' where plz='09488';
UPDATE eccourses set location='Darmstadt, Wissenschaftsstadt' where plz='64289';
UPDATE eccourses set location='Darmstadt, Wissenschaftsstadt' where plz='64285';
UPDATE eccourses set location='Darmstadt, Wissenschaftsstadt' where plz='64287';
UPDATE eccourses set location='Scheibenberg, Stadt' where plz='09481';
UPDATE eccourses set location='Schlettau, Stadt' where plz='09487';
UPDATE eccourses set location='Oberwiesenthal, Kurort, Stadt' where plz='09484';
UPDATE eccourses set location='Duisburg, Stadt' where plz='47053';
UPDATE eccourses set location='Wusterhausen/Dosse' where plz='16868';
UPDATE eccourses set location='Duisburg, Stadt' where plz='47051';
UPDATE eccourses set location='Gumtow' where plz='16866';
UPDATE eccourses set location='Randersacker, M' where plz='97236';
UPDATE eccourses set location='Altertheim' where plz='97237';
UPDATE eccourses set location='Reichenberg, M' where plz='97234';
UPDATE eccourses set location='Giebelstadt, M' where plz='97232';
UPDATE eccourses set location='Berlin, Stadt' where plz='12159';
UPDATE eccourses set location='Prosselsheim' where plz='97230';
UPDATE eccourses set location='Berlin, Stadt' where plz='12157';
UPDATE eccourses set location='Sonderhofen' where plz='97239';
UPDATE eccourses set location='Sundern (Sauerland), Stadt' where plz='59846';
UPDATE eccourses set location='Winsen (Aller)' where plz='29229';
UPDATE eccourses set location='Hanau, Brüder-Grimm-Stadt' where plz='63457';
UPDATE eccourses set location='Königswinter, Stadt' where plz='53639';
UPDATE eccourses set location='Lehesten, Stadt' where plz='07349';
UPDATE eccourses set location='Hanau, Brüder-Grimm-Stadt' where plz='63452';
UPDATE eccourses set location='Celle, Stadt' where plz='29221';
UPDATE eccourses set location='Celle, Stadt' where plz='29223';
UPDATE eccourses set location='Celle, Stadt' where plz='29225';
UPDATE eccourses set location='Celle, Stadt' where plz='29227';
UPDATE eccourses set location='Lastrup' where plz='49688';
UPDATE eccourses set location='Hechthausen' where plz='21755';
UPDATE eccourses set location='Osten' where plz='21756';
UPDATE eccourses set location='Ditzingen, Stadt' where plz='71254';
UPDATE eccourses set location='Garrel' where plz='49681';
UPDATE eccourses set location='Mainburg, St' where plz='84048';
UPDATE eccourses set location='Börger' where plz='26904';
UPDATE eccourses set location='Dersum' where plz='26906';
UPDATE eccourses set location='Walchum' where plz='26907';
UPDATE eccourses set location='Rastdorf' where plz='26901';
UPDATE eccourses set location='Aue, Stadt' where plz='08280';
UPDATE eccourses set location='Neulehe' where plz='26909';
UPDATE eccourses set location='Schneeberg, Stadt' where plz='08289';
UPDATE eccourses set location='Waidhofen' where plz='86579';
UPDATE eccourses set location='Obergriesbach' where plz='86573';
UPDATE eccourses set location='Langenmosen' where plz='86571';
UPDATE eccourses set location='Inchenhofen, M' where plz='86570';
UPDATE eccourses set location='Sielenbach' where plz='86577';
UPDATE eccourses set location='Schiltberg' where plz='86576';
UPDATE eccourses set location='Petersdorf' where plz='86574';
UPDATE eccourses set location='Dresden, Stadt' where plz='01109';
UPDATE eccourses set location='Dresden, Stadt' where plz='01108';
UPDATE eccourses set location='Fünfstetten' where plz='86681';
UPDATE eccourses set location='Genderkingen' where plz='86682';
UPDATE eccourses set location='Huisheim' where plz='86685';
UPDATE eccourses set location='Holzheim' where plz='86684';
UPDATE eccourses set location='Kaisheim, M' where plz='86687';
UPDATE eccourses set location='Langendorf' where plz='29484';
UPDATE eccourses set location='Marxheim' where plz='86688';
UPDATE eccourses set location='Reichenbach im Vogtland, Stadt' where plz='08468';
UPDATE eccourses set location='Karwitz' where plz='29481';
UPDATE eccourses set location='Raubling' where plz='83064';
UPDATE eccourses set location='Dortmund, Stadt' where plz='44309';
UPDATE eccourses set location='Strande' where plz='24229';
UPDATE eccourses set location='Schönkirchen' where plz='24226';
UPDATE eccourses set location='Schwentinental, Stadt' where plz='24223';
UPDATE eccourses set location='Schwentinental, Stadt' where plz='24222';
UPDATE eccourses set location='Techelsdorf' where plz='24220';
UPDATE eccourses set location='Geseke, Stadt' where plz='59590';
UPDATE eccourses set location='Kronau' where plz='76709';
UPDATE eccourses set location='Erwitte, Stadt' where plz='59597';
UPDATE eccourses set location='Kraichtal, Stadt' where plz='76703';
UPDATE eccourses set location='Hambrücken' where plz='76707';
UPDATE eccourses set location='Dettenheim' where plz='76706';
UPDATE eccourses set location='Obernkirchen, Stadt' where plz='31683';
UPDATE eccourses set location='Hildesheim, Stadt' where plz='31139';
UPDATE eccourses set location='Hildesheim, Stadt' where plz='31135';
UPDATE eccourses set location='Hildesheim, Stadt' where plz='31134';
UPDATE eccourses set location='Hildesheim, Stadt' where plz='31137';
UPDATE eccourses set location='Nienstädt' where plz='31688';
UPDATE eccourses set location='Forchheim, GKSt' where plz='91301';
UPDATE eccourses set location='Dornstetten, Stadt' where plz='72280';
UPDATE eccourses set location='Oberried' where plz='79254';
UPDATE eccourses set location='Buchenbach' where plz='79256';
UPDATE eccourses set location='Pfalzgrafenweiler' where plz='72285';
UPDATE eccourses set location='Hartheim am Rhein' where plz='79258';
UPDATE eccourses set location='Sulzbachtal' where plz='67734';
UPDATE eccourses set location='Mehlbach' where plz='67735';
UPDATE eccourses set location='Kreimbach-Kaulbach' where plz='67737';
UPDATE eccourses set location='Otterbach' where plz='67731';
UPDATE eccourses set location='Hirschhorn/ Pfalz' where plz='67732';
UPDATE eccourses set location='Pfaffenhofen a.d.Roth, M' where plz='89284';
UPDATE eccourses set location='Bellenberg' where plz='89287';
UPDATE eccourses set location='Osterberg' where plz='89281';
UPDATE eccourses set location='Grünberg, Stadt' where plz='35305';
UPDATE eccourses set location='Bergisch Gladbach, Stadt' where plz='51465';
UPDATE eccourses set location='Krummesse' where plz='23628';
UPDATE eccourses set location='Scharbeutz' where plz='23629';
UPDATE eccourses set location='Ratekau' where plz='23626';
UPDATE eccourses set location='Groß Sarau' where plz='23627';
UPDATE eccourses set location='Glasau' where plz='23623';
UPDATE eccourses set location='Bad Salzuflen, Stadt' where plz='32105';
UPDATE eccourses set location='Oberrieden' where plz='87769';
UPDATE eccourses set location='Laatzen, Stadt' where plz='30880';
UPDATE eccourses set location='Legau, M' where plz='87764';
UPDATE eccourses set location='Niederrieden' where plz='87767';
UPDATE eccourses set location='Ungerhausen' where plz='87766';
UPDATE eccourses set location='Lauben' where plz='87761';
UPDATE eccourses set location='Lachen' where plz='87760';
UPDATE eccourses set location='Lautrach' where plz='87763';
UPDATE eccourses set location='Delmenhorst, Stadt' where plz='27751';
UPDATE eccourses set location='Esslingen am Neckar, Stadt' where plz='73730';
UPDATE eccourses set location='Esslingen am Neckar, Stadt' where plz='73733';
UPDATE eccourses set location='Esslingen am Neckar, Stadt' where plz='73732';
UPDATE eccourses set location='Wyk auf Föhr, Stadt' where plz='25938';
UPDATE eccourses set location='Esslingen am Neckar, Stadt' where plz='73734';
UPDATE eccourses set location='Hohen Viecheln' where plz='23996';
UPDATE eccourses set location='Züsow' where plz='23992';
UPDATE eccourses set location='Osterburken, Stadt' where plz='74706';
UPDATE eccourses set location='Insel Poel' where plz='23999';
UPDATE eccourses set location='Unterbreizbach' where plz='36414';
UPDATE eccourses set location='Verden (Aller), Stadt' where plz='27283';
UPDATE eccourses set location='Wain' where plz='88489';
UPDATE eccourses set location='Wißmannsdorf' where plz='54636';
UPDATE eccourses set location='Balzheim' where plz='88481';
UPDATE eccourses set location='Achstetten' where plz='88480';
UPDATE eccourses set location='Burgrieden' where plz='88483';
UPDATE eccourses set location='Gutenzell-Hürbel' where plz='88484';
UPDATE eccourses set location='Mietingen' where plz='88487';
UPDATE eccourses set location='Kirchberg an der Iller' where plz='88486';
UPDATE eccourses set location='Magdeburg, Landeshauptstadt' where plz='39108';
UPDATE eccourses set location='Grafenwöhr, St' where plz='92655';
UPDATE eccourses set location='Zell unter Aichelberg' where plz='73087';
UPDATE eccourses set location='Magdeburg, Landeshauptstadt' where plz='39106';
UPDATE eccourses set location='Salach' where plz='73084';
UPDATE eccourses set location='Obere Warnow' where plz='19374';
UPDATE eccourses set location='Gundelsheim, Stadt' where plz='74831';
UPDATE eccourses set location='Tessenow' where plz='19376';
UPDATE eccourses set location='Parchim, Stadt' where plz='19370';
UPDATE eccourses set location='Elztal' where plz='74834';
UPDATE eccourses set location='Limbach' where plz='74838';
UPDATE eccourses set location='Florstadt, Stadt' where plz='61197';
UPDATE eccourses set location='Niddatal, Stadt' where plz='61194';
UPDATE eccourses set location='Weißenohe' where plz='91367';
UPDATE eccourses set location='Rosbach v. d. Höhe, Stadt' where plz='61191';
UPDATE eccourses set location='Berlin, Stadt' where plz='10967';
UPDATE eccourses set location='Berlin, Stadt' where plz='10965';
UPDATE eccourses set location='Berlin, Stadt' where plz='10963';
UPDATE eccourses set location='Berlin, Stadt' where plz='10961';
UPDATE eccourses set location='Berlin, Stadt' where plz='10969';
UPDATE eccourses set location='Ochtersum' where plz='26489';
UPDATE eccourses set location='Neuschoo' where plz='26487';
UPDATE eccourses set location='Wangerooge, Nordseebad' where plz='26486';
UPDATE eccourses set location='Wesel, Stadt' where plz='46487';
UPDATE eccourses set location='Aschaffenburg' where plz='63739';
UPDATE eccourses set location='Wesel, Stadt' where plz='46485';
UPDATE eccourses set location='Wesel, Stadt' where plz='46483';
UPDATE eccourses set location='Hamburg, Freie und Hansestadt' where plz='21107';
UPDATE eccourses set location='Hamburg, Freie und Hansestadt' where plz='21109';
UPDATE eccourses set location='Raunheim, Stadt' where plz='65479';
UPDATE eccourses set location='Bischofsheim' where plz='65474';
UPDATE eccourses set location='Kirchheim' where plz='97268';
UPDATE eccourses set location='Pretzfeld, M' where plz='91362';
UPDATE eccourses set location='Reher' where plz='25593';
UPDATE eccourses set location='Osterstedt' where plz='25590';
UPDATE eccourses set location='Ottenbüttel' where plz='25591';
UPDATE eccourses set location='Wacken' where plz='25596';
UPDATE eccourses set location='Westermoor' where plz='25597';
UPDATE eccourses set location='Vaalermoor' where plz='25594';
UPDATE eccourses set location='Wewelsfleth' where plz='25599';
UPDATE eccourses set location='Leidersbach' where plz='63849';
UPDATE eccourses set location='Twist' where plz='49767';
UPDATE eccourses set location='Niedernberg' where plz='63843';
UPDATE eccourses set location='Hausen' where plz='63840';
UPDATE eccourses set location='Sailauf' where plz='63846';
UPDATE eccourses set location='Sustrum' where plz='49762';
UPDATE eccourses set location='Dorfhain' where plz='01738';
UPDATE eccourses set location='Kreischa' where plz='01731';
UPDATE eccourses set location='Rabenau, Stadt' where plz='01734';
UPDATE eccourses set location='Wilsdruff, Stadt' where plz='01737';
UPDATE eccourses set location='Weitramsdorf' where plz='96479';
UPDATE eccourses set location='Hemau, St' where plz='93155';
UPDATE eccourses set location='Winkel (Eifel)' where plz='54558';
UPDATE eccourses set location='Hemer, Stadt' where plz='58675';
UPDATE eccourses set location='Utzerath' where plz='54552';
UPDATE eccourses set location='Daun, Stadt' where plz='54550';
UPDATE eccourses set location='Rödental, St' where plz='96472';
UPDATE eccourses set location='Fichtelberg' where plz='95686';
UPDATE eccourses set location='Ingolstadt' where plz='85055';
UPDATE eccourses set location='Ingolstadt' where plz='85057';
UPDATE eccourses set location='Ingolstadt' where plz='85051';
UPDATE eccourses set location='Ingolstadt' where plz='85053';
UPDATE eccourses set location='Biebergemünd' where plz='63599';
UPDATE eccourses set location='Rackwitz' where plz='04519';
UPDATE eccourses set location='Münster, Stadt' where plz='48149';
UPDATE eccourses set location='Münster, Stadt' where plz='48145';
UPDATE eccourses set location='Münster, Stadt' where plz='48147';
UPDATE eccourses set location='Münster, Stadt' where plz='48143';
UPDATE eccourses set location='Troistedt' where plz='99428';
UPDATE eccourses set location='Traunstein, GKSt' where plz='83278';
UPDATE eccourses set location='Weimar, Stadt' where plz='99423';
UPDATE eccourses set location='Weimar, Stadt' where plz='99425';
UPDATE eccourses set location='Weimar, Stadt' where plz='99427';
UPDATE eccourses set location='Dahlen, Stadt' where plz='04774';
UPDATE eccourses set location='Weiltingen, M' where plz='91744';
UPDATE eccourses set location='Neuhütten' where plz='97843';
UPDATE eccourses set location='Wermsdorf' where plz='04779';
UPDATE eccourses set location='Schönberg, M' where plz='94513';
UPDATE eccourses set location='Münnerstadt, St' where plz='97702';
UPDATE eccourses set location='Wriedel' where plz='29565';
UPDATE eccourses set location='Suhlendorf' where plz='29562';
UPDATE eccourses set location='Siegsdorf' where plz='83313';
UPDATE eccourses set location='Neuffen, Stadt' where plz='72639';
UPDATE eccourses set location='Unterspreewald' where plz='15910';
UPDATE eccourses set location='Straupitz' where plz='15913';
UPDATE eccourses set location='Aichtal, Stadt' where plz='72631';
UPDATE eccourses set location='Gaggenau, Stadt' where plz='76571';
UPDATE eccourses set location='Waldleiningen' where plz='67693';
UPDATE eccourses set location='Hochspeyer' where plz='67691';
UPDATE eccourses set location='Otterberg, Stadt' where plz='67697';
UPDATE eccourses set location='Oebisfelde-Weferlingen, Stadt' where plz='39356';
UPDATE eccourses set location='Oebisfelde-Weferlingen, Stadt' where plz='39359';
UPDATE eccourses set location='Schneckenhausen' where plz='67699';
UPDATE eccourses set location='Marktoffingen' where plz='86748';
UPDATE eccourses set location='Hainsfarth' where plz='86744';
UPDATE eccourses set location='Hohenaltheim' where plz='86745';
UPDATE eccourses set location='Maihingen' where plz='86747';
UPDATE eccourses set location='Ehingen a.Ries' where plz='86741';
UPDATE eccourses set location='Fremdingen' where plz='86742';
UPDATE eccourses set location='Neukirchen-Vluyn, Stadt' where plz='47506';
UPDATE eccourses set location='Püttlingen, Stadt' where plz='66346';
UPDATE eccourses set location='Bergatreute' where plz='88368';
UPDATE eccourses set location='Schwenningen' where plz='89420';
UPDATE eccourses set location='Bad Homburg v. d. Höhe, Stadt' where plz='61348';
UPDATE eccourses set location='Schwepnitz' where plz='01936';
UPDATE eccourses set location='Eichstegen' where plz='88361';
UPDATE eccourses set location='Wethau' where plz='06618';
UPDATE eccourses set location='Neukirch' where plz='88099';
UPDATE eccourses set location='Wolfegg' where plz='88364';
UPDATE eccourses set location='Hohentengen' where plz='88367';
UPDATE eccourses set location='Calau, Stadt' where plz='03205';
UPDATE eccourses set location='Neunkirchen, Kreisstadt' where plz='66539';
UPDATE eccourses set location='Wittislingen, M' where plz='89426';
UPDATE eccourses set location='Bremen, Stadt' where plz='28219';
UPDATE eccourses set location='Bremen, Stadt' where plz='28217';
UPDATE eccourses set location='Bremen, Stadt' where plz='28215';
UPDATE eccourses set location='Bremen, Stadt' where plz='28213';
UPDATE eccourses set location='Bremen, Stadt' where plz='28211';
UPDATE eccourses set location='Annaburg, Stadt' where plz='06925';
UPDATE eccourses set location='St.Gangloff' where plz='07629';
UPDATE eccourses set location='Neusäß, St' where plz='86356';
UPDATE eccourses set location='Rechtenbach' where plz='97848';
UPDATE eccourses set location='Blaubeuren, Stadt' where plz='89143';
UPDATE eccourses set location='Langweiler' where plz='55758';
UPDATE eccourses set location='Herrstein' where plz='55756';
UPDATE eccourses set location='Zahrensdorf' where plz='19412';
UPDATE eccourses set location='Blomberg, Stadt' where plz='32825';
UPDATE eccourses set location='Blankenberg' where plz='19417';
UPDATE eccourses set location='Holzmaden' where plz='73271';
UPDATE eccourses set location='Neidlingen' where plz='73272';
UPDATE eccourses set location='Notzingen' where plz='73274';
UPDATE eccourses set location='Ohmden' where plz='73275';
UPDATE eccourses set location='Zachenberg' where plz='94239';
UPDATE eccourses set location='Owen, Stadt' where plz='73277';
UPDATE eccourses set location='Willroth' where plz='56594';
UPDATE eccourses set location='Viechtach, St' where plz='94234';
UPDATE eccourses set location='Urmitz' where plz='56220';
UPDATE eccourses set location='Pleckhausen' where plz='56593';
UPDATE eccourses set location='Bochum, Stadt' where plz='44879';
UPDATE eccourses set location='Linden, Stadt' where plz='35440';
UPDATE eccourses set location='Biebertal' where plz='35444';
UPDATE eccourses set location='Reiskirchen' where plz='35447';
UPDATE eccourses set location='Leipzig' where plz='04574';
UPDATE eccourses set location='Lage, Stadt' where plz='32791';
UPDATE eccourses set location='Niederkirchen' where plz='67806';
UPDATE eccourses set location='Mölln, Stadt' where plz='23879';
UPDATE eccourses set location='Rehling' where plz='86508';
UPDATE eccourses set location='Uetersen, Stadt' where plz='25436';
UPDATE eccourses set location='Untergruppenbach' where plz='74199';
UPDATE eccourses set location='Hirzenhain' where plz='63697';
UPDATE eccourses set location='Glauburg' where plz='63695';
UPDATE eccourses set location='Limeshain' where plz='63694';
UPDATE eccourses set location='Ranstadt' where plz='63691';
UPDATE eccourses set location='Berlin, Stadt' where plz='14089';
UPDATE eccourses set location='Kefenrod' where plz='63699';
UPDATE eccourses set location='Gerbrunn' where plz='97218';
UPDATE eccourses set location='Weigenheim' where plz='97215';
UPDATE eccourses set location='Alfter' where plz='53347';
UPDATE eccourses set location='Berlin, Stadt' where plz='10405';
UPDATE eccourses set location='Meckenheim, Stadt' where plz='53340';
UPDATE eccourses set location='Berlin, Stadt' where plz='10407';
UPDATE eccourses set location='Berlin, Stadt' where plz='10409';
UPDATE eccourses set location='Bad Berleburg, Stadt' where plz='57319';
UPDATE eccourses set location='Maintal, Stadt' where plz='63477';
UPDATE eccourses set location='Langeneß' where plz='25863';
UPDATE eccourses set location='Dollern' where plz='21739';
UPDATE eccourses set location='Krummendeich' where plz='21732';
UPDATE eccourses set location='Venningen' where plz='67482';
UPDATE eccourses set location='Balje' where plz='21730';
UPDATE eccourses set location='Wischhafen' where plz='21737';
UPDATE eccourses set location='Wischhafen' where plz='21734';
UPDATE eccourses set location='Kirchendemenreuth' where plz='92665';
UPDATE eccourses set location='Schierling, M' where plz='84069';
UPDATE eccourses set location='Langenbrettach' where plz='74243';
UPDATE eccourses set location='Löwenstedt' where plz='25864';
UPDATE eccourses set location='Drensteinfurt, Stadt' where plz='48317';
UPDATE eccourses set location='Essen, Stadt' where plz='45276';
UPDATE eccourses set location='Essen, Stadt' where plz='45279';
UPDATE eccourses set location='Ergoldsbach, M' where plz='84061';
UPDATE eccourses set location='Mallersdorf-Pfaffenberg, M' where plz='84066';
UPDATE eccourses set location='Schmiechen' where plz='86511';
UPDATE eccourses set location='Ried' where plz='86510';
UPDATE eccourses set location='Ursberg' where plz='86513';
UPDATE eccourses set location='Ustersbach' where plz='86514';
UPDATE eccourses set location='Wehringen' where plz='86517';
UPDATE eccourses set location='Wiesenbach' where plz='86519';
UPDATE eccourses set location='Klingenthal, Stadt' where plz='08267';
UPDATE eccourses set location='Butjadingen' where plz='26969';
UPDATE eccourses set location='Schöneck/Vogtl., Stadt' where plz='08261';
UPDATE eccourses set location='Muldenhammer' where plz='08262';
UPDATE eccourses set location='Eydelstedt' where plz='49406';
UPDATE eccourses set location='Damme, Stadt' where plz='49401';
UPDATE eccourses set location='Bremen, Stadt' where plz='28209';
UPDATE eccourses set location='Hockenheim, Stadt' where plz='68766';
UPDATE eccourses set location='Arnsberg, Stadt' where plz='59821';
UPDATE eccourses set location='Arnsberg, Stadt' where plz='59823';
UPDATE eccourses set location='Mürlenbach' where plz='54570';
UPDATE eccourses set location='Dortmund, Stadt' where plz='44328';
UPDATE eccourses set location='Dortmund, Stadt' where plz='44329';
UPDATE eccourses set location='Föhren' where plz='54343';
UPDATE eccourses set location='Stralsund, Hansestadt' where plz='18439';
UPDATE eccourses set location='Fell' where plz='54341';
UPDATE eccourses set location='Thörnich' where plz='54340';
UPDATE eccourses set location='Schwelm, Stadt' where plz='58332';
UPDATE eccourses set location='Mehring' where plz='54346';
UPDATE eccourses set location='Kenn' where plz='54344';
UPDATE eccourses set location='Trittenheim' where plz='54349';
UPDATE eccourses set location='Breckerfeld, Hansestadt' where plz='58339';
UPDATE eccourses set location='Rülzheim' where plz='76761';
UPDATE eccourses set location='Bad Hindelang, M' where plz='87541';
UPDATE eccourses set location='Gelsenkirchen, Stadt' where plz='45897';
UPDATE eccourses set location='Gelsenkirchen, Stadt' where plz='45896';
UPDATE eccourses set location='Gelsenkirchen, Stadt' where plz='45891';
UPDATE eccourses set location='Rheinzabern' where plz='76764';
UPDATE eccourses set location='Hagenbach, Stadt' where plz='76767';
UPDATE eccourses set location='Gelsenkirchen, Stadt' where plz='45892';
UPDATE eccourses set location='Berg (Pfalz)' where plz='76768';
UPDATE eccourses set location='Gelsenkirchen, Stadt' where plz='45899';
UPDATE eccourses set location='Hannover, Landeshauptstadt' where plz='30539';
UPDATE eccourses set location='Burgberg i.Allgäu' where plz='87545';
UPDATE eccourses set location='Blaichach' where plz='87544';
UPDATE eccourses set location='Oberndorf am Neckar, Stadt' where plz='78727';
UPDATE eccourses set location='Missen-Wilhams' where plz='87547';
UPDATE eccourses set location='Rettenberg' where plz='87549';
UPDATE eccourses set location='Kaufbeuren' where plz='87600';
UPDATE eccourses set location='Wolfstein, Stadt' where plz='67752';
UPDATE eccourses set location='Irschenberg' where plz='83737';
UPDATE eccourses set location='Hausham' where plz='83734';
UPDATE eccourses set location='Bad Aibling, St' where plz='83043';
UPDATE eccourses set location='Oberweiler im Tal' where plz='67756';
UPDATE eccourses set location='Kreimbach-Kaulbach' where plz='67757';
UPDATE eccourses set location='Fischbachau' where plz='83730';
UPDATE eccourses set location='Nußbach' where plz='67759';
UPDATE eccourses set location='Königsbronn' where plz='89551';
UPDATE eccourses set location='Dommershausen' where plz='56332';
UPDATE eccourses set location='Böhmenkirch' where plz='89558';
UPDATE eccourses set location='Karlsruhe, Stadt' where plz='76185';
UPDATE eccourses set location='Karlsruhe, Stadt' where plz='76187';
UPDATE eccourses set location='Ganderkesee' where plz='27777';
UPDATE eccourses set location='Karlsruhe, Stadt' where plz='76189';
UPDATE eccourses set location='Urspringen' where plz='97857';
UPDATE eccourses set location='Steinfeld' where plz='97854';
UPDATE eccourses set location='Triefenstein, M' where plz='97855';
UPDATE eccourses set location='Schollbrunn' where plz='97852';
UPDATE eccourses set location='Rothenfels, St' where plz='97851';
UPDATE eccourses set location='Lauben' where plz='87743';
UPDATE eccourses set location='Waldmünchen, St' where plz='93449';
UPDATE eccourses set location='Buxheim' where plz='87740';
UPDATE eccourses set location='Westerheim' where plz='87746';
UPDATE eccourses set location='Eppishausen' where plz='87745';
UPDATE eccourses set location='Wiesthal' where plz='97859';
UPDATE eccourses set location='Buchen (Odenwald), Stadt' where plz='74722';
UPDATE eccourses set location='Schrecksbach' where plz='34637';
UPDATE eccourses set location='Gilserberg' where plz='34630';
UPDATE eccourses set location='Ottrau' where plz='34633';
UPDATE eccourses set location='Jesberg' where plz='34632';
UPDATE eccourses set location='Bisingen' where plz='72406';
UPDATE eccourses set location='Schwarzenborn, Stadt' where plz='34639';
UPDATE eccourses set location='Haigerloch, Stadt' where plz='72401';
UPDATE eccourses set location='Geislingen, Stadt' where plz='72351';
UPDATE eccourses set location='Quarnbek' where plz='24107';
UPDATE eccourses set location='Mücke' where plz='35325';
UPDATE eccourses set location='Ulrichstein, Stadt' where plz='35327';
UPDATE eccourses set location='Gemünden (Felda)' where plz='35329';
UPDATE eccourses set location='Hohe Börde' where plz='39167';
UPDATE eccourses set location='Theisseil' where plz='92637';
UPDATE eccourses set location='Aglasterhausen' where plz='74858';
UPDATE eccourses set location='Satteldorf' where plz='74589';
UPDATE eccourses set location='Wiesbaden, Landeshauptstadt' where plz='55252';
UPDATE eccourses set location='Lügde, Stadt der Osterräder' where plz='32676';
UPDATE eccourses set location='Gerabronn, Stadt' where plz='74582';
UPDATE eccourses set location='Haßmersheim' where plz='74855';
UPDATE eccourses set location='Hatzenbühl' where plz='76770';
UPDATE eccourses set location='Rot am See' where plz='74585';
UPDATE eccourses set location='Wiesbaden, Landeshauptstadt' where plz='65189';
UPDATE eccourses set location='Voigtstedt' where plz='06556';
UPDATE eccourses set location='Sauldorf' where plz='88605';
UPDATE eccourses set location='Dotternhausen' where plz='72359';
UPDATE eccourses set location='Wiesbaden, Landeshauptstadt' where plz='65183';
UPDATE eccourses set location='Wiesbaden, Landeshauptstadt' where plz='65185';
UPDATE eccourses set location='Wiesbaden, Landeshauptstadt' where plz='65187';
UPDATE eccourses set location='Neupotz' where plz='76777';
UPDATE eccourses set location='Schaafheim' where plz='64850';
UPDATE eccourses set location='Otzberg' where plz='64853';
UPDATE eccourses set location='Eppertshausen' where plz='64859';
UPDATE eccourses set location='Wankendorf' where plz='24601';
UPDATE eccourses set location='Reckenroth' where plz='65326';
UPDATE eccourses set location='Heidenrod' where plz='65321';
UPDATE eccourses set location='Kelsterbach, Stadt' where plz='65451';
UPDATE eccourses set location='Harrislee' where plz='24955';
UPDATE eccourses set location='Hohenstein' where plz='65329';
UPDATE eccourses set location='Biebesheim am Rhein' where plz='64584';
UPDATE eccourses set location='Halberstadt, Stadt' where plz='38820';
UPDATE eccourses set location='Stockstadt am Rhein' where plz='64589';
UPDATE eccourses set location='Zapel' where plz='19089';
UPDATE eccourses set location='Soderstorf' where plz='21388';
UPDATE eccourses set location='Pforzheim, Stadt' where plz='75180';
UPDATE eccourses set location='Pforzheim, Stadt' where plz='75181';
UPDATE eccourses set location='Brietlingen' where plz='21382';
UPDATE eccourses set location='Artlenburg, Flecken' where plz='21380';
UPDATE eccourses set location='Betzendorf' where plz='21386';
UPDATE eccourses set location='Rehlingen' where plz='21385';
UPDATE eccourses set location='St. Blasien, Stadt' where plz='79837';
UPDATE eccourses set location='Zichow' where plz='17291';
UPDATE eccourses set location='Siegen, Universitätsstadt' where plz='57078';
UPDATE eccourses set location='Rohrbach' where plz='85296';
UPDATE eccourses set location='Reichertshausen' where plz='85293';
UPDATE eccourses set location='Geisenfeld, St' where plz='85290';
UPDATE eccourses set location='Siegen, Universitätsstadt' where plz='57072';
UPDATE eccourses set location='Siegen, Universitätsstadt' where plz='57074';
UPDATE eccourses set location='Siegen, Universitätsstadt' where plz='57076';
UPDATE eccourses set location='Scheyern' where plz='85298';
UPDATE eccourses set location='Schlangen' where plz='33189';
UPDATE eccourses set location='Bad Wünnenberg, Stadt' where plz='33181';
UPDATE eccourses set location='Altenbeken' where plz='33184';
UPDATE eccourses set location='Berlin, Stadt' where plz='13187';
UPDATE eccourses set location='Berlin, Stadt' where plz='13189';
UPDATE eccourses set location='Göttingen, Stadt' where plz='37079';
UPDATE eccourses set location='Straßlach-Dingharting' where plz='82064';
UPDATE eccourses set location='Rothenbuch' where plz='63860';
UPDATE eccourses set location='Walting' where plz='85072';
UPDATE eccourses set location='Eschau, M' where plz='63863';
UPDATE eccourses set location='Manching, M' where plz='85077';
UPDATE eccourses set location='Johannesberg' where plz='63867';
UPDATE eccourses set location='Großwallstadt' where plz='63868';
UPDATE eccourses set location='Heinrichsthal' where plz='63869';
UPDATE eccourses set location='Wermelskirchen, Stadt' where plz='42929';
UPDATE eccourses set location='Rötha, Stadt' where plz='04571';
UPDATE eccourses set location='Unterspreewald' where plz='15938';
UPDATE eccourses set location='Neukieritzsch' where plz='04575';
UPDATE eccourses set location='Rheine, Stadt' where plz='48431';
UPDATE eccourses set location='Rheine, Stadt' where plz='48432';
UPDATE eccourses set location='Leipzig' where plz='04579';
UPDATE eccourses set location='Kopp' where plz='54574';
UPDATE eccourses set location='Extertal' where plz='32699';
UPDATE eccourses set location='Hillesheim, Stadt' where plz='54576';
UPDATE eccourses set location='Stralsund, Hansestadt' where plz='18435';
UPDATE eccourses set location='Stralsund, Hansestadt' where plz='18437';
UPDATE eccourses set location='Volkertshausen' where plz='78269';
UPDATE eccourses set location='Büsingen am Hochrhein' where plz='78266';
UPDATE eccourses set location='Aach, Stadt' where plz='78267';
UPDATE eccourses set location='Gailingen am Hochrhein' where plz='78262';
UPDATE eccourses set location='Üxheim' where plz='54579';
UPDATE eccourses set location='Uhlstädt-Kirchhasel' where plz='07407';
UPDATE eccourses set location='Gundremmingen' where plz='89355';
UPDATE eccourses set location='Helbra' where plz='06311';
UPDATE eccourses set location='Ihlow' where plz='15936';
UPDATE eccourses set location='Gehrden, Stadt' where plz='30989';
UPDATE eccourses set location='Emstek' where plz='49685';
UPDATE eccourses set location='Pattensen, Stadt' where plz='30982';
UPDATE eccourses set location='Kupferberg, St' where plz='95362';
UPDATE eccourses set location='Krummhörn' where plz='26736';
UPDATE eccourses set location='Ködnitz' where plz='95361';
UPDATE eccourses set location='Trebgast' where plz='95367';
UPDATE eccourses set location='Ludwigschorgast, M' where plz='95364';
UPDATE eccourses set location='Rugendorf' where plz='95365';
UPDATE eccourses set location='Untersteinach' where plz='95369';
UPDATE eccourses set location='Krün' where plz='82467';
UPDATE eccourses set location='Monheim am Rhein, Stadt' where plz='40789';
UPDATE eccourses set location='Garstedt' where plz='21441';
UPDATE eccourses set location='Nienburg (Weser), Stadt' where plz='31582';
UPDATE eccourses set location='Krefeld, Stadt' where plz='47839';
UPDATE eccourses set location='Wechingen' where plz='86720';
UPDATE eccourses set location='Karsdorf' where plz='06638';
UPDATE eccourses set location='Mücheln (Geiseltal), Stadt' where plz='06632';
UPDATE eccourses set location='Laucha an der Unstrut, Stadt' where plz='06636';
UPDATE eccourses set location='Kamenz, Stadt' where plz='01917';
UPDATE eccourses set location='Bedburg, Stadt' where plz='50181';
UPDATE eccourses set location='Jelmstorf' where plz='29585';
UPDATE eccourses set location='Neupetershain' where plz='03229';
UPDATE eccourses set location='Elsdorf, Stadt' where plz='50189';
UPDATE eccourses set location='Vetschau/Spreewald, Stadt' where plz='03226';
UPDATE eccourses set location='Lübbenau/Spreewald, Stadt' where plz='03222';
UPDATE eccourses set location='Bremen, Stadt' where plz='28237';
UPDATE eccourses set location='Teltow, Stadt' where plz='14513';
UPDATE eccourses set location='Bremen, Stadt' where plz='28239';
UPDATE eccourses set location='Wendeburg' where plz='38176';
UPDATE eccourses set location='Eichstetten am Kaiserstuhl' where plz='79356';
UPDATE eccourses set location='Altdorf' where plz='72655';
UPDATE eccourses set location='Sexau' where plz='79350';
UPDATE eccourses set location='Bahlingen am Kaiserstuhl' where plz='79353';
UPDATE eccourses set location='Bempflingen' where plz='72658';
UPDATE eccourses set location='Riegel am Kaiserstuhl' where plz='79359';
UPDATE eccourses set location='Waldbrunn (Westerwald)' where plz='65620';
UPDATE eccourses set location='Schwülper' where plz='38179';
UPDATE eccourses set location='Setzingen' where plz='89129';
UPDATE eccourses set location='Horn-Bad Meinberg, Stadt' where plz='32805';
UPDATE eccourses set location='Küps, M' where plz='96328';
UPDATE eccourses set location='Hütschenhausen' where plz='66892';
UPDATE eccourses set location='Wiesbach' where plz='66894';
UPDATE eccourses set location='Nümbrecht' where plz='51588';
UPDATE eccourses set location='Reichshof' where plz='51580';
UPDATE eccourses set location='Frankfurt am Main, Stadt' where plz='60322';
UPDATE eccourses set location='Rabenau' where plz='35466';
UPDATE eccourses set location='Frankfurt am Main, Stadt' where plz='60320';
UPDATE eccourses set location='Frankfurt am Main, Stadt' where plz='60326';
UPDATE eccourses set location='Vollersode' where plz='27729';
UPDATE eccourses set location='Frankfurt am Main, Stadt' where plz='60325';
UPDATE eccourses set location='Frankfurt am Main, Stadt' where plz='60329';
UPDATE eccourses set location='Allendorf (Lumda), Stadt' where plz='35469';
UPDATE eccourses set location='Gera, Stadt' where plz='07549';
UPDATE eccourses set location='Gera, Stadt' where plz='07548';
UPDATE eccourses set location='Stettfeld' where plz='96188';
UPDATE eccourses set location='Neu Kaliß' where plz='19294';
UPDATE eccourses set location='Leipzig, Stadt' where plz='04329';
UPDATE eccourses set location='Reckendorf' where plz='96182';
UPDATE eccourses set location='Nehms' where plz='23813';
UPDATE eccourses set location='Wahlstedt, Stadt' where plz='23812';
UPDATE eccourses set location='Wattendorf' where plz='96187';
UPDATE eccourses set location='Schönbrunn i.Steigerwald' where plz='96185';
UPDATE eccourses set location='Rentweinsdorf, M' where plz='96184';
UPDATE eccourses set location='Harzgerode, Stadt' where plz='06493';
UPDATE eccourses set location='Sulzbach (Taunus)' where plz='65843';
UPDATE eccourses set location='Schwifting' where plz='86940';
UPDATE eccourses set location='Weil' where plz='86947';
UPDATE eccourses set location='Velbert, Stadt' where plz='42555';
UPDATE eccourses set location='Nettetal, Stadt' where plz='41334';
UPDATE eccourses set location='Velbert, Stadt' where plz='42551';
UPDATE eccourses set location='Velbert, Stadt' where plz='42553';
UPDATE eccourses set location='Hillscheid' where plz='56204';
UPDATE eccourses set location='Kammerforst' where plz='56206';
UPDATE eccourses set location='Königsdorf' where plz='82549';
UPDATE eccourses set location='Höhr-Grenzhausen, Stadt' where plz='56203';
UPDATE eccourses set location='Neuhaus am Rennweg, Stadt' where plz='98724';
UPDATE eccourses set location='Münsing' where plz='82541';
UPDATE eccourses set location='Eurasburg' where plz='82547';
UPDATE eccourses set location='Egling' where plz='82544';
UPDATE eccourses set location='Leinatal' where plz='99894';
UPDATE eccourses set location='Tambach-Dietharz/Thür. Wald, Stadt' where plz='99897';
UPDATE eccourses set location='Waltershausen, Stadt' where plz='99891';
UPDATE eccourses set location='Veitsbronn' where plz='90587';
UPDATE eccourses set location='Werneuchen, Stadt' where plz='16356';
UPDATE eccourses set location='Leipzig, Stadt' where plz='04103';
UPDATE eccourses set location='Schotten, Stadt' where plz='63679';
UPDATE eccourses set location='Neuruppin, Stadt' where plz='16827';
UPDATE eccourses set location='Altenstadt' where plz='63674';
UPDATE eccourses set location='Sydower Fließ' where plz='16359';
UPDATE eccourses set location='Leipzig, Stadt' where plz='04107';
UPDATE eccourses set location='Prosselsheim' where plz='97279';
UPDATE eccourses set location='Leipzig, Stadt' where plz='04109';
UPDATE eccourses set location='Koblenz, Stadt' where plz='56068';
UPDATE eccourses set location='Kürnach' where plz='97273';
UPDATE eccourses set location='Altertheim' where plz='97270';
UPDATE eccourses set location='Vollrathsruhe' where plz='17194';
UPDATE eccourses set location='Margetshöchheim' where plz='97276';
UPDATE eccourses set location='Schloen-Dratow' where plz='17192';
UPDATE eccourses set location='Leinach' where plz='97274';
UPDATE eccourses set location='Berlin, Stadt' where plz='10178';
UPDATE eccourses set location='Berlin, Stadt' where plz='10179';
UPDATE eccourses set location='Nagel' where plz='95697';
UPDATE eccourses set location='Mehlmeisel' where plz='95694';
UPDATE eccourses set location='Bad Laasphe, Stadt' where plz='57334';
UPDATE eccourses set location='Erndtebrück' where plz='57339';
UPDATE eccourses set location='Wielen' where plz='49847';
UPDATE eccourses set location='Engelschoff' where plz='21710';
UPDATE eccourses set location='Großenwörden' where plz='21712';
UPDATE eccourses set location='Hammah' where plz='21714';
UPDATE eccourses set location='Zusmarshausen, M' where plz='86441';
UPDATE eccourses set location='Fredenbeck' where plz='21717';
UPDATE eccourses set location='Neuhausen' where plz='75242';
UPDATE eccourses set location='Neulingen' where plz='75245';
UPDATE eccourses set location='Rotenburg (Wümme), Stadt' where plz='27356';
UPDATE eccourses set location='Kieselbronn' where plz='75249';
UPDATE eccourses set location='Ölbronn-Dürrn' where plz='75248';
UPDATE eccourses set location='Chemnitz, Stadt' where plz='09119';
UPDATE eccourses set location='Hattingen, Stadt' where plz='45529';
UPDATE eccourses set location='Essen, Stadt' where plz='45259';
UPDATE eccourses set location='Essen, Stadt' where plz='45257';
UPDATE eccourses set location='Chemnitz, Stadt' where plz='09111';
UPDATE eccourses set location='Chemnitz, Stadt' where plz='09112';
UPDATE eccourses set location='Chemnitz, Stadt' where plz='09113';
UPDATE eccourses set location='Chemnitz, Stadt' where plz='09114';
UPDATE eccourses set location='Chemnitz, Stadt' where plz='09116';
UPDATE eccourses set location='Chemnitz, Stadt' where plz='09117';
UPDATE eccourses set location='Unterschleißheim, St' where plz='85716';
UPDATE eccourses set location='Klingenthal, Stadt' where plz='08248';
UPDATE eccourses set location='Derental' where plz='37691';
UPDATE eccourses set location='Marienmünster, Stadt' where plz='37696';
UPDATE eccourses set location='Lauenförde, Flecken' where plz='37697';
UPDATE eccourses set location='Goldenstedt' where plz='49424';
UPDATE eccourses set location='Fürstenberg' where plz='37699';
UPDATE eccourses set location='Erfurt, Stadt' where plz='99094';
UPDATE eccourses set location='Erfurt, Stadt' where plz='99096';
UPDATE eccourses set location='Erfurt, Stadt' where plz='99097';
UPDATE eccourses set location='Erfurt, Stadt' where plz='99091';
UPDATE eccourses set location='Erfurt, Stadt' where plz='99092';
UPDATE eccourses set location='Gundelfingen a.d.Donau, St' where plz='89423';
UPDATE eccourses set location='Erfurt, Stadt' where plz='99098';
UPDATE eccourses set location='Erfurt, Stadt' where plz='99099';
UPDATE eccourses set location='Veltheim (Ohe)' where plz='38173';
UPDATE eccourses set location='Altenriet' where plz='72657';
UPDATE eccourses set location='Neusitz' where plz='91616';
UPDATE eccourses set location='Konz, Stadt' where plz='54329';
UPDATE eccourses set location='Waldrach' where plz='54320';
UPDATE eccourses set location='Herdecke, Stadt' where plz='58313';
UPDATE eccourses set location='Gronau (Westf.), Stadt' where plz='48599';
UPDATE eccourses set location='Wörth am Rhein, Stadt' where plz='76744';
UPDATE eccourses set location='Hannover, Landeshauptstadt' where plz='30519';
UPDATE eccourses set location='Cleebronn' where plz='74389';
UPDATE eccourses set location='Mönchsroth' where plz='91614';
UPDATE eccourses set location='Sölden' where plz='79294';
UPDATE eccourses set location='Sulzburg, Stadt' where plz='79295';
UPDATE eccourses set location='Winden im Elztal' where plz='79297';
UPDATE eccourses set location='Merdingen' where plz='79291';
UPDATE eccourses set location='Pfaffenweiler' where plz='79292';
UPDATE eccourses set location='Wittnau' where plz='79299';
UPDATE eccourses set location='Füssen, St' where plz='87629';
UPDATE eccourses set location='Wendisch Baggendorf' where plz='18513';
UPDATE eccourses set location='Fraureuth' where plz='08427';
UPDATE eccourses set location='Warngau' where plz='83714';
UPDATE eccourses set location='Süderholz' where plz='18516';
UPDATE eccourses set location='Langenbernsdorf' where plz='08428';
UPDATE eccourses set location='Langenwetzendorf' where plz='07957';
UPDATE eccourses set location='Auma-Weidatal, Stadt' where plz='07955';
UPDATE eccourses set location='Pausa-Mühltroff, Stadt' where plz='07952';
UPDATE eccourses set location='Zeulenroda-Triebes, Stadt' where plz='07950';
UPDATE eccourses set location='Saarbrücken, Landeshauptstadt' where plz='66131';
UPDATE eccourses set location='Saarbrücken, Landeshauptstadt' where plz='66130';
UPDATE eccourses set location='Saarbrücken, Landeshauptstadt' where plz='66133';
UPDATE eccourses set location='Saarbrücken, Landeshauptstadt' where plz='66132';
UPDATE eccourses set location='Hohenleuben, Stadt' where plz='07958';
UPDATE eccourses set location='Homburg, Kreisstadt' where plz='66424';
UPDATE eccourses set location='Osterholz-Scharmbeck, Stadt' where plz='27711';
UPDATE eccourses set location='Ottobeuren, M' where plz='87724';
UPDATE eccourses set location='Babenhausen, M' where plz='87727';
UPDATE eccourses set location='Selm, Stadt' where plz='59379';
UPDATE eccourses set location='Marktbergel, M' where plz='91613';
UPDATE eccourses set location='Sundhagen ' where plz='18519';
UPDATE eccourses set location='Wertheim, Stadt' where plz='97877';
UPDATE eccourses set location='Nordstemmen' where plz='31171';
UPDATE eccourses set location='Schellerten' where plz='31174';
UPDATE eccourses set location='Harsum' where plz='31177';
UPDATE eccourses set location='Lichtenau, Stadt' where plz='77839';
UPDATE eccourses set location='Rheinmünster' where plz='77836';
UPDATE eccourses set location='Ottersweier' where plz='77833';
UPDATE eccourses set location='Bühlertal' where plz='77830';
UPDATE eccourses set location='Woppenroth' where plz='55490';
UPDATE eccourses set location='Wahlenau' where plz='55491';
UPDATE eccourses set location='Hille' where plz='32479';
UPDATE eccourses set location='Argenthal' where plz='55496';
UPDATE eccourses set location='Schnorbach' where plz='55497';
UPDATE eccourses set location='Riesweiler' where plz='55499';
UPDATE eccourses set location='Schwalmstadt, Stadt' where plz='34613';
UPDATE eccourses set location='Sandersdorf-Brehna, Stadt' where plz='06796';
UPDATE eccourses set location='Meßstetten, Stadt' where plz='72469';
UPDATE eccourses set location='Sandersdorf-Brehna, Stadt' where plz='06792';
UPDATE eccourses set location='Raisting' where plz='82399';
UPDATE eccourses set location='Polling' where plz='82398';
UPDATE eccourses set location='Pähl' where plz='82396';
UPDATE eccourses set location='Obersöchering' where plz='82395';
UPDATE eccourses set location='Albstadt, Stadt' where plz='72461';
UPDATE eccourses set location='Mittelbiberach' where plz='88441';
UPDATE eccourses set location='Sindelsdorf' where plz='82392';
UPDATE eccourses set location='Obersöchering' where plz='82390';
UPDATE eccourses set location='Allersberg, M' where plz='92342';
UPDATE eccourses set location='Dietfurt a.d.Altmühl, St' where plz='92345';
UPDATE eccourses set location='Neumarkt i.d.OPf., GKSt' where plz='92348';
UPDATE eccourses set location='Wapelfeld' where plz='24594';
UPDATE eccourses set location='Schwenningen' where plz='72477';
UPDATE eccourses set location='Dillenburg, Stadt' where plz='35690';
UPDATE eccourses set location='Latendorf' where plz='24598';
UPDATE eccourses set location='Plattenburg' where plz='19339';
UPDATE eccourses set location='Weinolsheim' where plz='55278';
UPDATE eccourses set location='Oppenheim, Stadt' where plz='55276';
UPDATE eccourses set location='Zornheim' where plz='55270';
UPDATE eccourses set location='Stadecken-Elsheim' where plz='55271';
UPDATE eccourses set location='Weisen' where plz='19336';
UPDATE eccourses set location='Wiehe, Stadt' where plz='06571';
UPDATE eccourses set location='Oldisleben' where plz='06577';
UPDATE eccourses set location='Kannawurf' where plz='06578';
UPDATE eccourses set location='Babenhausen, Stadt' where plz='64832';
UPDATE eccourses set location='Gorxheimertal' where plz='69517';
UPDATE eccourses set location='Laudenbach' where plz='69514';
UPDATE eccourses set location='Abtsteinach' where plz='69518';
UPDATE eccourses set location='Friedeburg' where plz='26446';
UPDATE eccourses set location='Wangerland' where plz='26441';
UPDATE eccourses set location='Großenaspe' where plz='24623';
UPDATE eccourses set location='Gnutz' where plz='24622';
UPDATE eccourses set location='Bönebüttel' where plz='24620';
UPDATE eccourses set location='Groß Kummerfeld' where plz='24626';
UPDATE eccourses set location='Negenharrie' where plz='24625';
UPDATE eccourses set location='Kisdorf' where plz='24629';
UPDATE eccourses set location='Hartenholm' where plz='24628';
UPDATE eccourses set location='Bad Schwalbach, Kreisstadt' where plz='65307';
UPDATE eccourses set location='Steinbergkirche' where plz='24972';
UPDATE eccourses set location='Westerholz' where plz='24977';
UPDATE eccourses set location='Handewitt' where plz='24976';
UPDATE eccourses set location='Maasbüll' where plz='24975';
UPDATE eccourses set location='Bad Überkingen' where plz='73337';
UPDATE eccourses set location='Gingen an der Fils' where plz='73333';
UPDATE eccourses set location='München, Landeshauptstadt' where plz='81379';
UPDATE eccourses set location='Offenburg, Stadt' where plz='77652';
UPDATE eccourses set location='München, Landeshauptstadt' where plz='81371';
UPDATE eccourses set location='München, Landeshauptstadt' where plz='81373';
UPDATE eccourses set location='Großenkneten' where plz='26197';
UPDATE eccourses set location='München, Landeshauptstadt' where plz='81375';
UPDATE eccourses set location='Offenburg, Stadt' where plz='77654';
UPDATE eccourses set location='München, Landeshauptstadt' where plz='81377';
UPDATE eccourses set location='Bamberg, Kreisfreie Stadt' where plz='96047';
UPDATE eccourses set location='Sonneberg, Stadt' where plz='96515';
UPDATE eccourses set location='Bamberg' where plz='96049';
UPDATE eccourses set location='Benshausen' where plz='98554';
UPDATE eccourses set location='Stockheim' where plz='97640';
UPDATE eccourses set location='Willmars' where plz='97647';
UPDATE eccourses set location='Nahetal-Waldau' where plz='98553';
UPDATE eccourses set location='Ostheim v.d.Rhön, St' where plz='97645';
UPDATE eccourses set location='Wusterhusen' where plz='17509';
UPDATE eccourses set location='Gehlberg' where plz='98559';
UPDATE eccourses set location='Pfaffenhofen a.d.Ilm, St' where plz='85276';
UPDATE eccourses set location='Neustadt a.d.Aisch, St' where plz='91413';
UPDATE eccourses set location='Frankfurt am Main, Stadt' where plz='60323';
UPDATE eccourses set location='Fernwald' where plz='35463';
UPDATE eccourses set location='Frankfurt am Main, Stadt' where plz='60327';
UPDATE eccourses set location='Staufenberg, Stadt' where plz='35460';
UPDATE eccourses set location='München, Landeshauptstadt' where plz='80539';
UPDATE eccourses set location='München, Landeshauptstadt' where plz='80538';
UPDATE eccourses set location='Leipzig, Stadt' where plz='04229';
UPDATE eccourses set location='Hamburg, Freie und Hansestadt' where plz='20457';
UPDATE eccourses set location='Hamburg, Freie und Hansestadt' where plz='20459';
UPDATE eccourses set location='Zettlitz' where plz='09306';
UPDATE eccourses set location='Borna, Stadt' where plz='04552';
UPDATE eccourses set location='Lohmar, Stadt' where plz='53797';
UPDATE eccourses set location='Bad Friedrichshall, Stadt' where plz='74177';
UPDATE eccourses set location='Althengstett' where plz='75382';
UPDATE eccourses set location='Gottmadingen' where plz='78244';
UPDATE eccourses set location='Hilzingen' where plz='78247';
UPDATE eccourses set location='Sohland a. d. Spree' where plz='02689';
UPDATE eccourses set location='Wilthen, Stadt' where plz='02681';
UPDATE eccourses set location='Berlin, Stadt' where plz='12305';
UPDATE eccourses set location='Berlin, Stadt' where plz='12307';
UPDATE eccourses set location='Wittlich, Stadt' where plz='54516';
UPDATE eccourses set location='Niersbach' where plz='54518';
UPDATE eccourses set location='Berlin, Stadt' where plz='12309';
UPDATE eccourses set location='Karlsdorf-Neuthard' where plz='76689';
UPDATE eccourses set location='Hannover, Landeshauptstadt' where plz='30169';
UPDATE eccourses set location='Hannover, Landeshauptstadt' where plz='30165';
UPDATE eccourses set location='Hannover, Landeshauptstadt' where plz='30167';
UPDATE eccourses set location='Hannover, Landeshauptstadt' where plz='30161';
UPDATE eccourses set location='Hannover, Landeshauptstadt' where plz='30163';
UPDATE eccourses set location='Schalkenbach' where plz='53426';
UPDATE eccourses set location='Remagen, Stadt' where plz='53424';
UPDATE eccourses set location='Herrenberg, Stadt' where plz='71083';
UPDATE eccourses set location='Reichelsheim (Odenwald)' where plz='64385';
UPDATE eccourses set location='Holzgerlingen, Stadt' where plz='71088';
UPDATE eccourses set location='Glinde, Stadt' where plz='21509';
UPDATE eccourses set location='München, Landeshauptstadt' where plz='80687';
UPDATE eccourses set location='Nußdorf' where plz='83365';
UPDATE eccourses set location='Teisendorf, M' where plz='83364';
UPDATE eccourses set location='Waging a.See, M' where plz='83367';
UPDATE eccourses set location='Kienberg' where plz='83361';
UPDATE eccourses set location='Surberg' where plz='83362';
UPDATE eccourses set location='Traunreut, St' where plz='83368';
UPDATE eccourses set location='Otting' where plz='86700';
UPDATE eccourses set location='Thurnau, M' where plz='95349';
UPDATE eccourses set location='Rögling' where plz='86703';
UPDATE eccourses set location='Tagmersheim' where plz='86704';
UPDATE eccourses set location='Markt Bibart, M' where plz='91477';
UPDATE eccourses set location='Weichering' where plz='86706';
UPDATE eccourses set location='Westendorf' where plz='86707';
UPDATE eccourses set location='Schwandorf, GKSt' where plz='92421';
UPDATE eccourses set location='Marzling' where plz='85417';
UPDATE eccourses set location='Stadtsteinach, St' where plz='95346';
UPDATE eccourses set location='Waabs' where plz='24369';
UPDATE eccourses set location='Loose' where plz='24366';
UPDATE eccourses set location='Osterby' where plz='24367';
UPDATE eccourses set location='Holzdorf' where plz='24364';
UPDATE eccourses set location='Nachrodt-Wiblingwerde' where plz='58769';
UPDATE eccourses set location='Holtsee' where plz='24363';
UPDATE eccourses set location='Gammelby' where plz='24360';
UPDATE eccourses set location='Goosefeld' where plz='24361';
UPDATE eccourses set location='Weingarten (Baden)' where plz='76356';
UPDATE eccourses set location='Heuweiler' where plz='79194';
UPDATE eccourses set location='Linkenheim-Hochstetten' where plz='76351';
UPDATE eccourses set location='Karlsbad' where plz='76359';
UPDATE eccourses set location='Kirchzarten' where plz='79199';
UPDATE eccourses set location='Neustadt an der Weinstraße, Stadt' where plz='67433';
UPDATE eccourses set location='Deidesheim, Stadt' where plz='67435';
UPDATE eccourses set location='Neustadt an der Weinstraße, Stadt' where plz='67434';
UPDATE eccourses set location='Gera, Stadt' where plz='07545';
UPDATE eccourses set location='Lonnerstadt, M' where plz='91475';
UPDATE eccourses set location='Sonnewalde, Stadt' where plz='03249';
UPDATE eccourses set location='Schmidgaden' where plz='92546';
UPDATE eccourses set location='Gera, Stadt' where plz='07546';
UPDATE eccourses set location='Massen-Niederlausitz' where plz='03246';
UPDATE eccourses set location='Bremen, Stadt' where plz='28259';
UPDATE eccourses set location='Stahnsdorf' where plz='14532';
UPDATE eccourses set location='Baiersdorf, St' where plz='91083';
UPDATE eccourses set location='Baden-Baden, Stadt' where plz='76532';
UPDATE eccourses set location='Uttenreuth' where plz='91080';
UPDATE eccourses set location='Baden-Baden, Stadt' where plz='76534';
UPDATE eccourses set location='Oberreichenbach' where plz='91086';
UPDATE eccourses set location='Weisendorf, M' where plz='91085';
UPDATE eccourses set location='Muhr a.See' where plz='91735';
UPDATE eccourses set location='Mitteleschenbach' where plz='91734';
UPDATE eccourses set location='Ornbau, St' where plz='91737';
UPDATE eccourses set location='Bubenreuth' where plz='91088';
UPDATE eccourses set location='Langfurth' where plz='91731';
UPDATE eccourses set location='Merkendorf, St' where plz='91732';
UPDATE eccourses set location='Ursensollen' where plz='92289';
UPDATE eccourses set location='Gammelshausen' where plz='73108';
UPDATE eccourses set location='Poppenricht' where plz='92284';
UPDATE eccourses set location='Heiningen' where plz='73107';
UPDATE eccourses set location='Rieden, M' where plz='92286';
UPDATE eccourses set location='Schmidmühlen, M' where plz='92287';
UPDATE eccourses set location='Kastl, M' where plz='92280';
UPDATE eccourses set location='Königstein, M' where plz='92281';
UPDATE eccourses set location='Lauterhofen, M' where plz='92283';
UPDATE eccourses set location='Dinkelsbühl, GKSt' where plz='91550';
UPDATE eccourses set location='Uebigau-Wahrenbrück, Stadt' where plz='04895';
UPDATE eccourses set location='Feuchtwangen, St' where plz='91555';
UPDATE eccourses set location='Frankfurt am Main, Stadt' where plz='60308';
UPDATE eccourses set location='Frankfurt am Main, Stadt' where plz='60306';
UPDATE eccourses set location='Oyten' where plz='28876';
UPDATE eccourses set location='Hohenwarth' where plz='93480';
UPDATE eccourses set location='Pösing' where plz='93483';
UPDATE eccourses set location='Pemfling' where plz='93482';
UPDATE eccourses set location='Rimbach' where plz='93485';
UPDATE eccourses set location='Pfofeld' where plz='91738';
UPDATE eccourses set location='Ottersberg, Flecken' where plz='28870';
UPDATE eccourses set location='Runding' where plz='93486';
UPDATE eccourses set location='Schorndorf' where plz='93489';
UPDATE eccourses set location='Schönthal' where plz='93488';
UPDATE eccourses set location='Grasberg' where plz='28879';
UPDATE eccourses set location='Ranschbach' where plz='76829';
UPDATE eccourses set location='Schwalbach am Taunus, Stadt' where plz='65824';
UPDATE eccourses set location='Züssow' where plz='17495';
UPDATE eccourses set location='Oberderdingen' where plz='75038';
UPDATE eccourses set location='Rödinghausen' where plz='32289';
UPDATE eccourses set location='Würzburg' where plz='97074';
UPDATE eccourses set location='Berlin, Stadt' where plz='12681';
UPDATE eccourses set location='Würzburg' where plz='97076';
UPDATE eccourses set location='Berlin, Stadt' where plz='12683';
UPDATE eccourses set location='Würzburg' where plz='97070';
UPDATE eccourses set location='Fronreute' where plz='88273';
UPDATE eccourses set location='Würzburg' where plz='97072';
UPDATE eccourses set location='Wilhelmsdorf' where plz='88271';
UPDATE eccourses set location='Berlin, Stadt' where plz='12689';
UPDATE eccourses set location='Würzburg' where plz='97078';
UPDATE eccourses set location='Amtzell' where plz='88279';
UPDATE eccourses set location='Berlin, Stadt' where plz='10827';
UPDATE eccourses set location='Pennewitz' where plz='98708';
UPDATE eccourses set location='Berlin, Stadt' where plz='10823';
UPDATE eccourses set location='Wildenspring' where plz='98701';
UPDATE eccourses set location='Marienhausen' where plz='56269';
UPDATE eccourses set location='Wolfsberg' where plz='98704';
UPDATE eccourses set location='Hummeltal' where plz='95503';
UPDATE eccourses set location='Heinersreuth' where plz='95500';
UPDATE eccourses set location='Kastl' where plz='95506';
UPDATE eccourses set location='Immenreuth' where plz='95505';
UPDATE eccourses set location='Kulmain' where plz='95508';
UPDATE eccourses set location='Marktschorgast, M' where plz='95509';
UPDATE eccourses set location='Sulzfeld' where plz='75031';
UPDATE eccourses set location='Spenge, Stadt' where plz='32139';
UPDATE eccourses set location='Enger, Widukindstadt' where plz='32130';
UPDATE eccourses set location='Büdingen, Stadt' where plz='63654';
UPDATE eccourses set location='Erlabrunn' where plz='97250';
UPDATE eccourses set location='Merseburg, Stadt' where plz='06217';
UPDATE eccourses set location='Frickenhausen a.Main, M' where plz='97252';
UPDATE eccourses set location='Gaukönigshofen' where plz='97253';
UPDATE eccourses set location='Sonderhofen' where plz='97255';
UPDATE eccourses set location='Geroldshausen' where plz='97256';
UPDATE eccourses set location='Oberickelsheim' where plz='97258';
UPDATE eccourses set location='Greußenheim' where plz='97259';
UPDATE eccourses set location='Wuppertal, Stadt' where plz='42103';
UPDATE eccourses set location='Wolframs-Eschenbach, St' where plz='91639';
UPDATE eccourses set location='Bippen' where plz='49626';
UPDATE eccourses set location='Bad Laer' where plz='49196';
UPDATE eccourses set location='Welle' where plz='21261';
UPDATE eccourses set location='Ispringen' where plz='75228';
UPDATE eccourses set location='Landshut' where plz='84028';
UPDATE eccourses set location='Niefern-Öschelbronn' where plz='75223';
UPDATE eccourses set location='Tannenberg' where plz='09468';
UPDATE eccourses set location='Münchberg, St' where plz='95213';
UPDATE eccourses set location='Ismaning' where plz='85737';
UPDATE eccourses set location='Berlin, Stadt' where plz='14059';
UPDATE eccourses set location='Berlin, Stadt' where plz='14053';
UPDATE eccourses set location='Berlin, Stadt' where plz='14052';
UPDATE eccourses set location='Berlin, Stadt' where plz='14050';
UPDATE eccourses set location='Berlin, Stadt' where plz='14057';
UPDATE eccourses set location='Berlin, Stadt' where plz='14055';
UPDATE eccourses set location='Mühldorf a.Inn, St' where plz='84453';
UPDATE eccourses set location='Rauhenebrach' where plz='96181';
UPDATE eccourses set location='Densborn' where plz='54655';
UPDATE eccourses set location='Kordel' where plz='54306';
UPDATE eccourses set location='Nuthe-Urstromtal' where plz='14947';
UPDATE eccourses set location='Bondorf' where plz='71149';
UPDATE eccourses set location='Luckenwalde, Stadt' where plz='14943';
UPDATE eccourses set location='Leinfelden-Echterdingen, Stadt' where plz='71144';
UPDATE eccourses set location='Rheda-Wiedenbrück, Stadt' where plz='33378';
UPDATE eccourses set location='Newel' where plz='54309';
UPDATE eccourses set location='Langsur' where plz='54308';
UPDATE eccourses set location='Braunlage, Stadt' where plz='38700';
UPDATE eccourses set location='Liebenburg' where plz='38704';
UPDATE eccourses set location='Clausthal-Zellerfeld, Berg- und Universitätsstadt' where plz='38707';
UPDATE eccourses set location='Clausthal-Zellerfeld, Berg- und Universitätsstadt' where plz='38709';
UPDATE eccourses set location='Werda' where plz='08223';
UPDATE eccourses set location='Rechtmehring' where plz='83558';
UPDATE eccourses set location='Gars a.Inn, M' where plz='83559';
UPDATE eccourses set location='Griesstätt' where plz='83556';
UPDATE eccourses set location='Rodewisch, Stadt' where plz='08228';
UPDATE eccourses set location='Gars a.Inn, M' where plz='83555';
UPDATE eccourses set location='Frauenneuharting' where plz='83553';
UPDATE eccourses set location='Emmering' where plz='83550';
UPDATE eccourses set location='Stäbelow' where plz='18198';
UPDATE eccourses set location='Dummerstorf' where plz='18196';
UPDATE eccourses set location='Zarnewanz' where plz='18195';
UPDATE eccourses set location='Sanitz' where plz='18190';
UPDATE eccourses set location='Gescher, Glockenstadt' where plz='48712';
UPDATE eccourses set location='Aitrang' where plz='87648';
UPDATE eccourses set location='Oberaudorf' where plz='83080';
UPDATE eccourses set location='Wundersleben' where plz='99610';
UPDATE eccourses set location='Riedering' where plz='83083';
UPDATE eccourses set location='Halblech' where plz='87642';
UPDATE eccourses set location='Ruderatshofen' where plz='87640';
UPDATE eccourses set location='Kiefersfelden' where plz='83088';
UPDATE eccourses set location='Unterleinleiter' where plz='91364';
UPDATE eccourses set location='Schwangau' where plz='87645';
UPDATE eccourses set location='Weilersbach' where plz='91365';
UPDATE eccourses set location='Wahrenholz' where plz='29399';
UPDATE eccourses set location='Lüder' where plz='29394';
UPDATE eccourses set location='March' where plz='79232';
UPDATE eccourses set location='Schönewörde' where plz='29396';
UPDATE eccourses set location='Wesendorf' where plz='29392';
UPDATE eccourses set location='Groß Oesingen' where plz='29393';
UPDATE eccourses set location='Wachtendonk' where plz='47669';
UPDATE eccourses set location='Sonsbeck' where plz='47665';
UPDATE eccourses set location='Wiesenthau' where plz='91361';
UPDATE eccourses set location='Issum' where plz='47661';
UPDATE eccourses set location='Allersberg, M' where plz='90584';
UPDATE eccourses set location='Unna, Stadt' where plz='59425';
UPDATE eccourses set location='Unna, Stadt' where plz='59427';
UPDATE eccourses set location='Winsen (Aller)' where plz='29308';
UPDATE eccourses set location='Unna, Stadt' where plz='59423';
UPDATE eccourses set location='Memmingen' where plz='87700';
UPDATE eccourses set location='Bühl, Stadt' where plz='77815';
UPDATE eccourses set location='Kampen (Sylt)' where plz='25999';
UPDATE eccourses set location='Wenningstedt-Braderup (Sylt)' where plz='25996';
UPDATE eccourses set location='Hörnum (Sylt)' where plz='25997';
UPDATE eccourses set location='Lohr a.Main, St' where plz='97816';
UPDATE eccourses set location='Allendorf (Eder)' where plz='35108';
UPDATE eccourses set location='Wietzendorf' where plz='29649';
UPDATE eccourses set location='Estorf' where plz='31629';
UPDATE eccourses set location='Landesbergen' where plz='31628';
UPDATE eccourses set location='Sarstedt, Stadt' where plz='31157';
UPDATE eccourses set location='Kiel, Landeshauptstadt' where plz='24143';
UPDATE eccourses set location='Rohrsen' where plz='31627';
UPDATE eccourses set location='Haßbergen' where plz='31626';
UPDATE eccourses set location='Pennigsehl' where plz='31621';
UPDATE eccourses set location='Drakenburg, Flecken' where plz='31623';
UPDATE eccourses set location='Heemsen' where plz='31622';
UPDATE eccourses set location='Balingen, Stadt' where plz='72336';
UPDATE eccourses set location='Bad Bellingen' where plz='79415';
UPDATE eccourses set location='Badenweiler' where plz='79410';
UPDATE eccourses set location='Porta Westfalica, Stadt' where plz='32457';
UPDATE eccourses set location='Schliengen' where plz='79418';
UPDATE eccourses set location='Wüschheim' where plz='55471';
UPDATE eccourses set location='Raguhn-Jeßnitz, Stadt' where plz='06779';
UPDATE eccourses set location='Muldestausee' where plz='06774';
UPDATE eccourses set location='Freiburg im Breisgau, Stadt' where plz='79110';
UPDATE eccourses set location='Gräfenhainichen, Stadt' where plz='06773';
UPDATE eccourses set location='Gräfenhainichen, Stadt' where plz='06772';
UPDATE eccourses set location='Sengenthal' where plz='92369';
UPDATE eccourses set location='Pilsach' where plz='92367';
UPDATE eccourses set location='Hohenfels, M' where plz='92366';
UPDATE eccourses set location='Deining' where plz='92364';
UPDATE eccourses set location='Breitenbrunn, M' where plz='92363';
UPDATE eccourses set location='Berngau' where plz='92361';
UPDATE eccourses set location='Mühlhausen' where plz='92360';
UPDATE eccourses set location='Saarbrücken, Landeshauptstadt' where plz='66117';
UPDATE eccourses set location='Blieskastel, Stadt' where plz='66440';
UPDATE eccourses set location='Saarbrücken, Landeshauptstadt' where plz='66115';
UPDATE eccourses set location='Unterwachingen' where plz='89597';
UPDATE eccourses set location='Saarbrücken, Landeshauptstadt' where plz='66113';
UPDATE eccourses set location='Saarbrücken, Landeshauptstadt' where plz='66111';
UPDATE eccourses set location='Saarbrücken, Landeshauptstadt' where plz='66119';
UPDATE eccourses set location='Ingelheim am Rhein, Stadt' where plz='55218';
UPDATE eccourses set location='Königstein im Taunus, Stadt' where plz='61462';
UPDATE eccourses set location='Buchholz in der Nordheide, Stadt' where plz='21244';
UPDATE eccourses set location='Langeoog' where plz='26465';
UPDATE eccourses set location='Wiemersdorf' where plz='24649';
UPDATE eccourses set location='Stuvenborn' where plz='24641';
UPDATE eccourses set location='Aitrach' where plz='88319';
UPDATE eccourses set location='Struvenhütten' where plz='24643';
UPDATE eccourses set location='Timmaspe' where plz='24644';
UPDATE eccourses set location='Wasbek' where plz='24647';
UPDATE eccourses set location='Warder' where plz='24646';
UPDATE eccourses set location='Mühlacker, Stadt' where plz='75417';
UPDATE eccourses set location='Geisenheim, Hochschulstadt' where plz='65366';
UPDATE eccourses set location='Geislingen an der Steige, Stadt' where plz='73312';
UPDATE eccourses set location='Bühlerzell' where plz='74426';
UPDATE eccourses set location='Bad Münder am Deister, Stadt' where plz='31848';
UPDATE eccourses set location='Hessisch Oldendorf, Stadt' where plz='31840';
UPDATE eccourses set location='Werl, Stadt' where plz='59457';
UPDATE eccourses set location='Oberriexingen, Stadt' where plz='71739';
UPDATE eccourses set location='Volkesfeld' where plz='56745';
UPDATE eccourses set location='Schwerin, Landeshauptstadt' where plz='19061';
UPDATE eccourses set location='Kempenich' where plz='56746';
UPDATE eccourses set location='Thür' where plz='56743';
UPDATE eccourses set location='Schmalkalden, Kurort, Stadt' where plz='98574';
UPDATE eccourses set location='Schwerin, Landeshauptstadt' where plz='19063';
UPDATE eccourses set location='Hameln, Stadt' where plz='31787';
UPDATE eccourses set location='Raben Steinfeld' where plz='19065';
UPDATE eccourses set location='Hameln, Stadt' where plz='31785';
UPDATE eccourses set location='Detmold, Stadt' where plz='32758';
UPDATE eccourses set location='Leezen' where plz='19067';
UPDATE eccourses set location='Neubrunn, M' where plz='97277';
UPDATE eccourses set location='Leverkusen, Stadt' where plz='51379';
UPDATE eccourses set location='Sulzemoos' where plz='85259';
UPDATE eccourses set location='Weichs' where plz='85258';
UPDATE eccourses set location='Erdweg' where plz='85253';
UPDATE eccourses set location='Altomünster, M' where plz='85250';
UPDATE eccourses set location='Vierkirchen' where plz='85256';
UPDATE eccourses set location='Sulzemoos' where plz='85254';
UPDATE eccourses set location='Konnersreuth, M' where plz='95692';
UPDATE eccourses set location='Neustadt b.Coburg, GKSt' where plz='96465';
UPDATE eccourses set location='Mühltal' where plz='64367';
UPDATE eccourses set location='Bietigheim-Bissingen, Stadt' where plz='74321';
UPDATE eccourses set location='Mähring, M' where plz='95695';
UPDATE eccourses set location='Berlin, Stadt' where plz='12099';
UPDATE eccourses set location='Neualbenreuth, M' where plz='95698';
UPDATE eccourses set location='Lichtenberg/Erzgeb.' where plz='09638';
UPDATE eccourses set location='Leipzig, Stadt' where plz='04209';
UPDATE eccourses set location='Lunzenau, Stadt' where plz='09328';
UPDATE eccourses set location='Penig, Stadt' where plz='09322';
UPDATE eccourses set location='Halsbrücke' where plz='09633';
UPDATE eccourses set location='Marl, Stadt' where plz='45770';
UPDATE eccourses set location='Geringswalde, Stadt' where plz='09326';
UPDATE eccourses set location='Marl, Stadt' where plz='45772';
UPDATE eccourses set location='Hörstel, Stadt' where plz='48477';
UPDATE eccourses set location='Berlin, Stadt' where plz='10783';
UPDATE eccourses set location='Berlin, Stadt' where plz='10781';
UPDATE eccourses set location='Berlin, Stadt' where plz='10787';
UPDATE eccourses set location='Berlin, Stadt' where plz='10785';
UPDATE eccourses set location='Berlin, Stadt' where plz='10789';
UPDATE eccourses set location='Singen (Hohentwiel), Stadt' where plz='78224';
UPDATE eccourses set location='Harsefeld, Flecken' where plz='21698';
UPDATE eccourses set location='Kinheim' where plz='54538';
UPDATE eccourses set location='Zeltingen-Rachtig' where plz='54539';
UPDATE eccourses set location='Wallscheid' where plz='54531';
UPDATE eccourses set location='Oberkail' where plz='54533';
UPDATE eccourses set location='Büren, Stadt' where plz='33142';
UPDATE eccourses set location='Verl, Stadt' where plz='33415';
UPDATE eccourses set location='Kröv' where plz='54536';
UPDATE eccourses set location='Burgpreppach, M' where plz='97496';
UPDATE eccourses set location='Tiddische' where plz='38473';
UPDATE eccourses set location='Königsheim' where plz='78598';
UPDATE eccourses set location='Hohnstorf (Elbe)' where plz='21522';
UPDATE eccourses set location='Reinbek, Stadt' where plz='21521';
UPDATE eccourses set location='Bad Sooden-Allendorf, Stadt' where plz='37242';
UPDATE eccourses set location='Kollow' where plz='21527';
UPDATE eccourses set location='Hohenhorn' where plz='21526';
UPDATE eccourses set location='Großalmerode, Stadt' where plz='37247';
UPDATE eccourses set location='Brunstorf' where plz='21524';
UPDATE eccourses set location='Neu-Eichenberg' where plz='37249';
UPDATE eccourses set location='Durchhausen' where plz='78591';
UPDATE eccourses set location='Egesheim' where plz='78592';
UPDATE eccourses set location='Gunningen' where plz='78594';
UPDATE eccourses set location='Hausen ob Verena' where plz='78595';
UPDATE eccourses set location='Irndorf' where plz='78597';
UPDATE eccourses set location='Pfarrkirchen, St' where plz='84347';
UPDATE eccourses set location='Hilden, Stadt' where plz='40721';
UPDATE eccourses set location='Tacherting' where plz='83342';
UPDATE eccourses set location='Vachendorf' where plz='83346';
UPDATE eccourses set location='Palling' where plz='83349';
UPDATE eccourses set location='Hilden, Stadt' where plz='40723';
UPDATE eccourses set location='Kaiserslautern, Stadt' where plz='67657';
UPDATE eccourses set location='Windeby' where plz='24340';
UPDATE eccourses set location='Rödersheim-Gronau' where plz='67127';
UPDATE eccourses set location='Willich, Stadt' where plz='47877';
UPDATE eccourses set location='Bad Herrenalb, Stadt' where plz='76332';
UPDATE eccourses set location='Waldbronn' where plz='76337';
UPDATE eccourses set location='Düsseldorf, Stadt' where plz='40470';
UPDATE eccourses set location='Ratingen, Stadt' where plz='40472';
UPDATE eccourses set location='Düsseldorf, Stadt' where plz='40474';
UPDATE eccourses set location='Düsseldorf, Stadt' where plz='40476';
UPDATE eccourses set location='Düsseldorf, Stadt' where plz='40477';
UPDATE eccourses set location='Düsseldorf, Stadt' where plz='40479';
UPDATE eccourses set location='Haßloch' where plz='67454';
UPDATE eccourses set location='Barwedel' where plz='38476';
UPDATE eccourses set location='Bremen, Stadt' where plz='28279';
UPDATE eccourses set location='Nuthetal' where plz='14558';
UPDATE eccourses set location='Groß Kreutz (Havel)' where plz='14550';
UPDATE eccourses set location='Seddiner See' where plz='14554';
UPDATE eccourses set location='Bremen, Stadt' where plz='28277';
UPDATE eccourses set location='Westheim' where plz='91719';
UPDATE eccourses set location='Dautmergen' where plz='72356';
UPDATE eccourses set location='Theilenhofen' where plz='91710';
UPDATE eccourses set location='Auhausen' where plz='91717';
UPDATE eccourses set location='Selsingen' where plz='27446';
UPDATE eccourses set location='Angelburg' where plz='35719';
UPDATE eccourses set location='Dietzhölztal' where plz='35716';
UPDATE eccourses set location='Eschenburg' where plz='35713';
UPDATE eccourses set location='Hattingen, Stadt' where plz='45525';
UPDATE eccourses set location='Merchweiler' where plz='66589';
UPDATE eccourses set location='Sassenberg, Stadt' where plz='48336';
UPDATE eccourses set location='Berghülen' where plz='89180';
UPDATE eccourses set location='Hattingen, Stadt' where plz='45527';
UPDATE eccourses set location='Steinalben' where plz='66851';
UPDATE eccourses set location='Windsbach, St' where plz='91575';
UPDATE eccourses set location='Bechhofen, M' where plz='91572';
UPDATE eccourses set location='Train' where plz='93358';
UPDATE eccourses set location='Waldbröl, Stadt' where plz='51545';
UPDATE eccourses set location='Tirschenreuth, St' where plz='95643';
UPDATE eccourses set location='Leutershausen, St' where plz='91578';
UPDATE eccourses set location='Welt' where plz='25836';
UPDATE eccourses set location='Tönning, Stadt' where plz='25832';
UPDATE eccourses set location='Stegen' where plz='79252';
UPDATE eccourses set location='Zedlitz' where plz='07589';
UPDATE eccourses set location='Erbendorf, St' where plz='92681';
UPDATE eccourses set location='Kraftsdorf' where plz='07586';
UPDATE eccourses set location='Seelingstädt' where plz='07580';
UPDATE eccourses set location='Berlin, Stadt' where plz='12524';
UPDATE eccourses set location='Berlin, Stadt' where plz='12527';
UPDATE eccourses set location='Berlin, Stadt' where plz='12526';
UPDATE eccourses set location='Striegistal' where plz='09661';
UPDATE eccourses set location='Schönefeld' where plz='12529';
UPDATE eccourses set location='Gommern, Stadt' where plz='39264';
UPDATE eccourses set location='Zerbst/Anhalt, Stadt' where plz='39261';
UPDATE eccourses set location='Drelsdorf' where plz='25853';
UPDATE eccourses set location='Frankenberg/Sa., Stadt' where plz='09669';
UPDATE eccourses set location='Gaildorf, Stadt' where plz='74405';
UPDATE eccourses set location='Kabelsketal' where plz='06184';
UPDATE eccourses set location='Baindt' where plz='88255';
UPDATE eccourses set location='Weingarten, Stadt' where plz='88250';
UPDATE eccourses set location='Landsberg, Stadt' where plz='06188';
UPDATE eccourses set location='Herschbach' where plz='56249';
UPDATE eccourses set location='Hirschberg an der Bergstraße' where plz='69493';
UPDATE eccourses set location='Selters (Westerwald), Stadt' where plz='56242';
UPDATE eccourses set location='Weidenhahn' where plz='56244';
UPDATE eccourses set location='Visbek' where plz='49429';
UPDATE eccourses set location='Birstein' where plz='63633';
UPDATE eccourses set location='Jossgrund' where plz='63637';
UPDATE eccourses set location='Brachttal' where plz='63636';
UPDATE eccourses set location='Flörsbachtal' where plz='63639';
UPDATE eccourses set location='Jevenstedt' where plz='24808';
UPDATE eccourses set location='Kelkheim (Taunus), Stadt' where plz='65779';
UPDATE eccourses set location='Uehlfeld, M' where plz='91486';
UPDATE eccourses set location='Leuna, Stadt' where plz='06237';
UPDATE eccourses set location='Bad Dürrenberg, Stadt' where plz='06231';
UPDATE eccourses set location='Karlsruhe, Stadt' where plz='76137';
UPDATE eccourses set location='Utting am Ammersee' where plz='86919';
UPDATE eccourses set location='Kaufering, M' where plz='86916';
UPDATE eccourses set location='Dießen am Ammersee, M' where plz='86911';
UPDATE eccourses set location='Karlsruhe, Stadt' where plz='76131';
UPDATE eccourses set location='Neumagen-Dhron' where plz='54347';
UPDATE eccourses set location='Markt Taschendorf, M' where plz='91480';
UPDATE eccourses set location='Osnabrück, Stadt' where plz='49076';
UPDATE eccourses set location='Königsbach-Stein' where plz='75203';
UPDATE eccourses set location='Osterode am Harz, Stadt' where plz='37520';
UPDATE eccourses set location='Osnabrück, Stadt' where plz='49074';
UPDATE eccourses set location='Zschopau, Stadt' where plz='09405';
UPDATE eccourses set location='Wiebelsheim' where plz='56291';
UPDATE eccourses set location='Stein, St' where plz='90547';
UPDATE eccourses set location='Eckental, M' where plz='90542';
UPDATE eccourses set location='Morbach' where plz='54497';
UPDATE eccourses set location='Zeltingen-Rachtig' where plz='54492';
UPDATE eccourses set location='Karlsfeld' where plz='85757';
UPDATE eccourses set location='Piesport' where plz='54498';
UPDATE eccourses set location='Dresden, Stadt' where plz='01189';
UPDATE eccourses set location='Dresden, Stadt' where plz='01187';
UPDATE eccourses set location='Fürth' where plz='90768';
UPDATE eccourses set location='Schlüchtern, Stadt' where plz='36381';
UPDATE eccourses set location='Fürth' where plz='90763';
UPDATE eccourses set location='Fürth' where plz='90762';
UPDATE eccourses set location='Fürth' where plz='90765';
UPDATE eccourses set location='Moorgrund' where plz='36433';
UPDATE eccourses set location='Fürth' where plz='90766';
UPDATE eccourses set location='Preischeid' where plz='54673';
UPDATE eccourses set location='Bielefeld, Stadt' where plz='33609';
UPDATE eccourses set location='Wallendorf' where plz='54675';
UPDATE eccourses set location='Wittenbeck' where plz='18209';
UPDATE eccourses set location='Bielefeld, Stadt' where plz='33605';
UPDATE eccourses set location='Bielefeld, Stadt' where plz='33604';
UPDATE eccourses set location='Grafenau' where plz='71120';
UPDATE eccourses set location='Gäufelden' where plz='71126';
UPDATE eccourses set location='Bielefeld, Stadt' where plz='33602';
UPDATE eccourses set location='Wallmoden' where plz='38729';
UPDATE eccourses set location='Seesen, Stadt' where plz='38723';
UPDATE eccourses set location='Hannover, Landeshauptstadt' where plz='30559';
UPDATE eccourses set location='Ebersbach-Neugersdorf, Stadt' where plz='02727';
UPDATE eccourses set location='Auerbach/Vogtl., Stadt' where plz='08209';
UPDATE eccourses set location='Dorfen, St' where plz='84405';
UPDATE eccourses set location='Groß-Gerau, Stadt' where plz='64521';
UPDATE eccourses set location='Irsee, M' where plz='87660';
UPDATE eccourses set location='Osterzell' where plz='87662';
UPDATE eccourses set location='Lengenwang' where plz='87663';
UPDATE eccourses set location='Mauerstetten' where plz='87665';
UPDATE eccourses set location='Rieden' where plz='87666';
UPDATE eccourses set location='Reken' where plz='48734';
UPDATE eccourses set location='Rieden' where plz='87668';
UPDATE eccourses set location='Rieden am Forggensee' where plz='87669';
UPDATE eccourses set location='Legden' where plz='48739';
UPDATE eccourses set location='Riethgen' where plz='99638';
UPDATE eccourses set location='Wundersleben' where plz='99634';
UPDATE eccourses set location='Rastenberg, Stadt' where plz='99636';
UPDATE eccourses set location='Weißensee, Stadt' where plz='99631';
UPDATE eccourses set location='Traitsching' where plz='93455';
UPDATE eccourses set location='Dortmund, Stadt' where plz='44388';
UPDATE eccourses set location='Lauchringen' where plz='79787';
UPDATE eccourses set location='Elchesheim-Illingen' where plz='76477';
UPDATE eccourses set location='Bischweier' where plz='76476';
UPDATE eccourses set location='Ötigheim' where plz='76470';
UPDATE eccourses set location='Stühlingen, Stadt' where plz='79780';
UPDATE eccourses set location='Steinmauern' where plz='76479';
UPDATE eccourses set location='Trendelburg, Stadt' where plz='34388';
UPDATE eccourses set location='Frammersbach, M' where plz='97833';
UPDATE eccourses set location='Birkenfeld' where plz='97834';
UPDATE eccourses set location='Woltersdorf' where plz='15569';
UPDATE eccourses set location='Esselbach' where plz='97836';
UPDATE eccourses set location='Erlenbach b.Marktheidenfeld' where plz='97837';
UPDATE eccourses set location='Esselbach' where plz='97839';
UPDATE eccourses set location='Schöneiche bei Berlin' where plz='15566';
UPDATE eccourses set location='Bad Karlshafen, Stadt' where plz='34385';
UPDATE eccourses set location='Rüdersdorf bei Berlin' where plz='15562';
UPDATE eccourses set location='Hilkenbrook' where plz='26897';
UPDATE eccourses set location='Renchen, Stadt' where plz='77871';
UPDATE eccourses set location='Kappelrodeck' where plz='77876';
UPDATE eccourses set location='Kerken' where plz='47647';
UPDATE eccourses set location='Rhede (Ems)' where plz='26899';
UPDATE eccourses set location='Balge' where plz='31609';
UPDATE eccourses set location='Marklohe' where plz='31608';
UPDATE eccourses set location='Schönbrunn i.Steigerwald' where plz='96138';
UPDATE eccourses set location='Diepenau, Flecken' where plz='31603';
UPDATE eccourses set location='Uchte, Flecken' where plz='31600';
UPDATE eccourses set location='Warmsen' where plz='31606';
UPDATE eccourses set location='Raddestorf' where plz='31604';
UPDATE eccourses set location='Kassel, documenta-Stadt' where plz='34125';
UPDATE eccourses set location='Warthausen' where plz='88400';
UPDATE eccourses set location='Fuldatal' where plz='34127';
UPDATE eccourses set location='Kassel, documenta-Stadt' where plz='34121';
UPDATE eccourses set location='Kassel, documenta-Stadt' where plz='34123';
UPDATE eccourses set location='Daaden' where plz='57567';
UPDATE eccourses set location='Kassel, documenta-Stadt' where plz='34128';
UPDATE eccourses set location='Oberschwarzach, M' where plz='97516';
UPDATE eccourses set location='Kelbra (Kyffhäuser), Stadt' where plz='06537';
UPDATE eccourses set location='Südharz' where plz='06536';
UPDATE eccourses set location='Steinbach (Taunus), Stadt' where plz='61449';
UPDATE eccourses set location='Bad Vilbel, Stadt' where plz='61118';
UPDATE eccourses set location='Oberursel (Taunus), Stadt' where plz='61440';
UPDATE eccourses set location='Wittmund, Stadt' where plz='26409';
UPDATE eccourses set location='Horrweiler' where plz='55457';
UPDATE eccourses set location='Langenlonsheim' where plz='55450';
UPDATE eccourses set location='Mitwitz, M' where plz='96268';
UPDATE eccourses set location='Großheirath' where plz='96269';
UPDATE eccourses set location='Altenkunstadt' where plz='96264';
UPDATE eccourses set location='Grolsheim' where plz='55459';
UPDATE eccourses set location='Weismain, St' where plz='96260';
UPDATE eccourses set location='Knittlingen, Stadt' where plz='75438';
UPDATE eccourses set location='Urbar' where plz='56182';
UPDATE eccourses set location='Maulbronn, Stadt' where plz='75433';
UPDATE eccourses set location='Pohle' where plz='31867';
UPDATE eccourses set location='Coppenbrügge, Flecken' where plz='31863';
UPDATE eccourses set location='Emmerthal' where plz='31860';
UPDATE eccourses set location='Kehl, Stadt' where plz='77694';
UPDATE eccourses set location='Ottenstein, Flecken' where plz='31868';
UPDATE eccourses set location='Sassen-Trantow' where plz='17121';
UPDATE eccourses set location='Günzburg, GKSt' where plz='89312';
UPDATE eccourses set location='Jarmen, Stadt' where plz='17126';
UPDATE eccourses set location='Ensheim' where plz='55232';
UPDATE eccourses set location='Wendelsheim' where plz='55234';
UPDATE eccourses set location='Lonsheim' where plz='55237';
UPDATE eccourses set location='Gau-Odernheim' where plz='55239';
UPDATE eccourses set location='Monreal' where plz='56761';
UPDATE eccourses set location='Lemgo, Stadt' where plz='32657';
UPDATE eccourses set location='Horperath' where plz='56766';
UPDATE eccourses set location='Wokuhl-Dabelow' where plz='17237';
UPDATE eccourses set location='Retterath' where plz='56769';
UPDATE eccourses set location='Neustrelitz, Stadt' where plz='17235';
UPDATE eccourses set location='Leverkusen, Stadt' where plz='51381';
UPDATE eccourses set location='Berlin, Stadt' where plz='13439';
UPDATE eccourses set location='Berlin, Stadt' where plz='13435';
UPDATE eccourses set location='Berlin, Stadt' where plz='13437';
UPDATE eccourses set location='Pracht' where plz='57589';
UPDATE eccourses set location='Bergkirchen' where plz='85232';
UPDATE eccourses set location='Pfaffenhofen a.d.Glonn' where plz='85235';
UPDATE eccourses set location='Gebhardshain' where plz='57580';
UPDATE eccourses set location='Petershausen' where plz='85238';
UPDATE eccourses set location='Mörlen' where plz='57583';
UPDATE eccourses set location='Wallmenroth' where plz='57584';
UPDATE eccourses set location='Weitefeld' where plz='57586';
UPDATE eccourses set location='Hövels' where plz='57587';
UPDATE eccourses set location='Eltville am Rhein, Stadt' where plz='65347';
UPDATE eccourses set location='Eltville am Rhein, Stadt' where plz='65346';
UPDATE eccourses set location='Eltville am Rhein, Stadt' where plz='65345';
UPDATE eccourses set location='Eltville am Rhein, Stadt' where plz='65344';
UPDATE eccourses set location='Eltville am Rhein, Stadt' where plz='65343';
UPDATE eccourses set location='Dörverden' where plz='27313';
UPDATE eccourses set location='Flensburg, Stadt' where plz='24939';
UPDATE eccourses set location='Flensburg, Stadt' where plz='24937';
UPDATE eccourses set location='Hoyerhagen' where plz='27318';
UPDATE eccourses set location='Heidelberg, Stadt' where plz='69117';
UPDATE eccourses set location='Seeheim-Jugenheim' where plz='64342';
UPDATE eccourses set location='Heidelberg, Stadt' where plz='69115';
UPDATE eccourses set location='Griesheim, Stadt' where plz='64347';
UPDATE eccourses set location='Heidelberg, Stadt' where plz='69118';
UPDATE eccourses set location='Lauffen am Neckar, Stadt' where plz='74348';
UPDATE eccourses set location='Poing' where plz='85586';
UPDATE eccourses set location='Sachsenheim, Stadt' where plz='74343';
UPDATE eccourses set location='Wiesenbronn' where plz='97355';
UPDATE eccourses set location='Prichsenstadt, St' where plz='97357';
UPDATE eccourses set location='Mainbernheim, St' where plz='97350';
UPDATE eccourses set location='Wiesentheid, M' where plz='97353';
UPDATE eccourses set location='Winterbach' where plz='89368';
UPDATE eccourses set location='Schwarzach a.Main, M' where plz='97359';
UPDATE eccourses set location='Marsberg, Stadt' where plz='34431';
UPDATE eccourses set location='Datteln, Stadt' where plz='45711';
UPDATE eccourses set location='Nierstein, Stadt' where plz='55283';
UPDATE eccourses set location='Lichtenau, Stadt' where plz='33165';
UPDATE eccourses set location='Paderborn, Stadt' where plz='33161';
UPDATE eccourses set location='Waiblingen, Stadt' where plz='71336';
UPDATE eccourses set location='Waiblingen, Stadt' where plz='71334';
UPDATE eccourses set location='Waiblingen, Stadt' where plz='71332';
UPDATE eccourses set location='Loiching' where plz='84180';
UPDATE eccourses set location='Neufraunhofen' where plz='84181';
UPDATE eccourses set location='Niederviehbach' where plz='84183';
UPDATE eccourses set location='Tiefenbach' where plz='84184';
UPDATE eccourses set location='Vilsheim' where plz='84186';
UPDATE eccourses set location='Weng' where plz='84187';
UPDATE eccourses set location='Wurmsham' where plz='84189';
UPDATE eccourses set location='Berlin, Stadt' where plz='12347';
UPDATE eccourses set location='Feldkirchen' where plz='94351';
UPDATE eccourses set location='Wonsees, M' where plz='95359';
UPDATE eccourses set location='Grafengehaig, M' where plz='95356';
UPDATE eccourses set location='Eschwege, Kreisstadt' where plz='37269';
UPDATE eccourses set location='Lingen (Ems), Stadt' where plz='49811';
UPDATE eccourses set location='Marktleugast, M' where plz='95352';
UPDATE eccourses set location='Mannheim, Universitätsstadt' where plz='68199';
UPDATE eccourses set location='Bad Birnbach, M' where plz='84364';
UPDATE eccourses set location='Zeilarn' where plz='84367';
UPDATE eccourses set location='Sayda, Stadt' where plz='09619';
UPDATE eccourses set location='Großhartmannsdorf' where plz='09618';
UPDATE eccourses set location='Waging a.See, M' where plz='83329';
UPDATE eccourses set location='Ruhpolding' where plz='83324';
UPDATE eccourses set location='Tröndel' where plz='24321';
UPDATE eccourses set location='Harth-Pöllnitz' where plz='07570';
UPDATE eccourses set location='Kletkamp' where plz='24327';
UPDATE eccourses set location='Rantzau' where plz='24329';
UPDATE eccourses set location='Wiggensbach, M' where plz='87487';
UPDATE eccourses set location='Mannheim, Universitätsstadt' where plz='68229';
UPDATE eccourses set location='Bruchsal, Stadt' where plz='76646';
UPDATE eccourses set location='Malsch' where plz='76316';
UPDATE eccourses set location='Braunschweig, Stadt' where plz='38110';
UPDATE eccourses set location='Herbolzheim, Stadt' where plz='79336';
UPDATE eccourses set location='Braunschweig, Stadt' where plz='38112';
UPDATE eccourses set location='St. Johann' where plz='72813';
UPDATE eccourses set location='Teningen' where plz='79331';
UPDATE eccourses set location='Gomaringen' where plz='72810';
UPDATE eccourses set location='Braunschweig, Stadt' where plz='38118';
UPDATE eccourses set location='Trochtelfingen, Stadt' where plz='72818';
UPDATE eccourses set location='Wolfhagen, Stadt' where plz='34466';
UPDATE eccourses set location='Köln, Stadt' where plz='50969';
UPDATE eccourses set location='Ramstein-Miesenbach, Stadt' where plz='66877';
UPDATE eccourses set location='Theisbergstegen' where plz='66871';
UPDATE eccourses set location='Krefeld, Stadt' where plz='47829';
UPDATE eccourses set location='Oberstaufenbach' where plz='66879';
UPDATE eccourses set location='Lübeck, Hansestadt' where plz='23569';
UPDATE eccourses set location='Lübeck, Hansestadt' where plz='23568';
UPDATE eccourses set location='Lübeck, Hansestadt' where plz='23564';
UPDATE eccourses set location='Lübeck, Hansestadt' where plz='23566';
UPDATE eccourses set location='Lauingen (Donau), St' where plz='89415';
UPDATE eccourses set location='Lübeck, Hansestadt' where plz='23560';
UPDATE eccourses set location='Schkölen, Stadt' where plz='07613';
UPDATE eccourses set location='Lübeck, Hansestadt' where plz='23562';
UPDATE eccourses set location='Mittenwalde, Stadt' where plz='15749';
UPDATE eccourses set location='Dresden, Stadt' where plz='01328';
UPDATE eccourses set location='Dentlein a.Forst, M' where plz='91599';
UPDATE eccourses set location='Colmberg, M' where plz='91598';
UPDATE eccourses set location='Burgoberbach' where plz='91595';
UPDATE eccourses set location='Burk' where plz='91596';
UPDATE eccourses set location='Bruckberg' where plz='91590';
UPDATE eccourses set location='Marktbergel, M' where plz='91593';
UPDATE eccourses set location='Buch a.Wald' where plz='91592';
UPDATE eccourses set location='Südermarsch' where plz='25813';
UPDATE eccourses set location='Weidenthal' where plz='67475';
UPDATE eccourses set location='Lindenberg' where plz='67473';
UPDATE eccourses set location='Esthal' where plz='67472';
UPDATE eccourses set location='Elmstein' where plz='67471';
UPDATE eccourses set location='Perl' where plz='66706';
UPDATE eccourses set location='Beckingen' where plz='66701';
UPDATE eccourses set location='Bahrdorf' where plz='38459';
UPDATE eccourses set location='Weiskirchen' where plz='66709';
UPDATE eccourses set location='Belgern-Schildau, Stadt' where plz='04874';
UPDATE eccourses set location='Reutlingen, Stadt' where plz='72764';
UPDATE eccourses set location='Reutlingen, Stadt' where plz='72766';
UPDATE eccourses set location='Reutlingen, Stadt' where plz='72760';
UPDATE eccourses set location='Reutlingen, Stadt' where plz='72762';
UPDATE eccourses set location='Achim, Stadt' where plz='28832';
UPDATE eccourses set location='Reutlingen, Stadt' where plz='72768';
UPDATE eccourses set location='Herxheimweyher' where plz='76863';
UPDATE eccourses set location='Grünwald' where plz='82031';
UPDATE eccourses set location='Calbe (Saale), Stadt' where plz='39240';
UPDATE eccourses set location='Gommern, Stadt' where plz='39245';
UPDATE eccourses set location='Barby, Stadt' where plz='39249';
UPDATE eccourses set location='Oberrot' where plz='74420';
UPDATE eccourses set location='Wald' where plz='93192';
UPDATE eccourses set location='Rettenbach' where plz='93191';
UPDATE eccourses set location='Timmendorfer Strand' where plz='23669';
UPDATE eccourses set location='Zeitlarn' where plz='93197';
UPDATE eccourses set location='Mühlenbecker Land' where plz='16552';
UPDATE eccourses set location='Walderbach' where plz='93194';
UPDATE eccourses set location='Sulzbach-Laufen' where plz='74429';
UPDATE eccourses set location='Zell' where plz='93199';
UPDATE eccourses set location='Liebenwalde, Stadt' where plz='16559';
UPDATE eccourses set location='Wangen im Allgäu, Stadt' where plz='88239';
UPDATE eccourses set location='Sonneberg' where plz='98749';
UPDATE eccourses set location='Meuselbach-Schwarzmühle' where plz='98746';
UPDATE eccourses set location='Unterweißbach' where plz='98744';
UPDATE eccourses set location='Gräfenthal, Stadt' where plz='98743';
UPDATE eccourses set location='Burggen' where plz='86975';
UPDATE eccourses set location='Bad Orb, Stadt' where plz='63619';
UPDATE eccourses set location='Ustersbach' where plz='86459';
UPDATE eccourses set location='Unterpleichfeld' where plz='97294';
UPDATE eccourses set location='Waldbrunn' where plz='97295';
UPDATE eccourses set location='Waldbüttelbrunn' where plz='97297';
UPDATE eccourses set location='Thüngersheim' where plz='97291';
UPDATE eccourses set location='Uettingen' where plz='97292';
UPDATE eccourses set location='Zell a.Main, M' where plz='97299';
UPDATE eccourses set location='Schkopau' where plz='06258';
UPDATE eccourses set location='Zell am Harmersbach, Stadt' where plz='77736';
UPDATE eccourses set location='Willstätt' where plz='77731';
UPDATE eccourses set location='Mücheln (Geiseltal), Stadt' where plz='06255';
UPDATE eccourses set location='Schondorf am Ammersee' where plz='86938';
UPDATE eccourses set location='Jork' where plz='21635';
UPDATE eccourses set location='Pürgen' where plz='86932';
UPDATE eccourses set location='Scheuring' where plz='86931';
UPDATE eccourses set location='Scheuring' where plz='86937';
UPDATE eccourses set location='Rott' where plz='86935';
UPDATE eccourses set location='Thaining' where plz='86934';
UPDATE eccourses set location='Seevetal' where plz='21220';
UPDATE eccourses set location='Lünen, Stadt' where plz='44532';
UPDATE eccourses set location='Rosengarten' where plz='21224';
UPDATE eccourses set location='Bendestorf' where plz='21227';
UPDATE eccourses set location='Harmstorf' where plz='21228';
UPDATE eccourses set location='Wuppertal, Stadt' where plz='42399';
UPDATE eccourses set location='Zeithain' where plz='01619';
UPDATE eccourses set location='Strehla, Stadt' where plz='01616';
UPDATE eccourses set location='Oberneukirchen' where plz='84565';
UPDATE eccourses set location='Nünchritz' where plz='01612';
UPDATE eccourses set location='Berlin, Stadt' where plz='13597';
UPDATE eccourses set location='Wolkenstein, Stadt' where plz='09429';
UPDATE eccourses set location='Berlin, Stadt' where plz='13595';
UPDATE eccourses set location='Berlin, Stadt' where plz='13593';
UPDATE eccourses set location='Berlin, Stadt' where plz='13591';
UPDATE eccourses set location='Wassenberg, Stadt' where plz='41849';
UPDATE eccourses set location='Wegberg, Stadt' where plz='41844';
UPDATE eccourses set location='Gelenau/Erzgeb.' where plz='09423';
UPDATE eccourses set location='Berlin, Stadt' where plz='13599';
UPDATE eccourses set location='Ehrenfriedersdorf, Stadt' where plz='09427';
UPDATE eccourses set location='Bonn, Stadt' where plz='53123';
UPDATE eccourses set location='Bonn, Stadt' where plz='53121';
UPDATE eccourses set location='Bonn, Stadt' where plz='53127';
UPDATE eccourses set location='Bonn, Stadt' where plz='53125';
UPDATE eccourses set location='Großensee' where plz='99837';
UPDATE eccourses set location='Gerstungen' where plz='99834';
UPDATE eccourses set location='Bonn, Stadt' where plz='53129';
UPDATE eccourses set location='Treffurt, Stadt' where plz='99830';
UPDATE eccourses set location='Ifta' where plz='99831';
UPDATE eccourses set location='Schkölen, Stadt' where plz='07619';
UPDATE eccourses set location='Hagen, Stadt der FernUniversität' where plz='58119';
UPDATE eccourses set location='Lieser' where plz='54470';
UPDATE eccourses set location='Veldenz' where plz='54472';
UPDATE eccourses set location='Schemmerhofen' where plz='88433';
UPDATE eccourses set location='München, Landeshauptstadt' where plz='80995';
UPDATE eccourses set location='Schleid' where plz='36419';
UPDATE eccourses set location='Kirchhundem' where plz='57399';
UPDATE eccourses set location='Euskirchen, Stadt' where plz='53879';
UPDATE eccourses set location='Schmallenberg, Stadt' where plz='57392';
UPDATE eccourses set location='Südheide' where plz='29345';
UPDATE eccourses set location='Scheid' where plz='54611';
UPDATE eccourses set location='Gütersloh, Stadt' where plz='33330';
UPDATE eccourses set location='Gütersloh, Stadt' where plz='33333';
UPDATE eccourses set location='Gütersloh, Stadt' where plz='33332';
UPDATE eccourses set location='Gütersloh, Stadt' where plz='33335';
UPDATE eccourses set location='Gütersloh, Stadt' where plz='33334';
UPDATE eccourses set location='Sevenig (Our)' where plz='54617';
UPDATE eccourses set location='Winterspelt' where plz='54616';
UPDATE eccourses set location='Emsdetten, Stadt' where plz='48282';
UPDATE eccourses set location='Ueckermünde, Stadt' where plz='17373';
UPDATE eccourses set location='Borken, Stadt' where plz='46325';
UPDATE eccourses set location='Nordhorn, Stadt' where plz='48531';
UPDATE eccourses set location='Wasserburg a.Inn, St' where plz='83512';
UPDATE eccourses set location='Nörvenich' where plz='52388';
UPDATE eccourses set location='Dortmund, Stadt' where plz='44149';
UPDATE eccourses set location='Unterföhring' where plz='85774';
UPDATE eccourses set location='Fahrenzhausen' where plz='85777';
UPDATE eccourses set location='Haimhausen' where plz='85778';
UPDATE eccourses set location='Dortmund, Stadt' where plz='44141';
UPDATE eccourses set location='Dortmund, Stadt' where plz='44143';
UPDATE eccourses set location='Dortmund, Stadt' where plz='44145';
UPDATE eccourses set location='Dortmund, Stadt' where plz='44147';
UPDATE eccourses set location='Untermarchtal' where plz='89617';
UPDATE eccourses set location='Sankt Wolfgang' where plz='84427';
UPDATE eccourses set location='Isen, M' where plz='84424';
UPDATE eccourses set location='Buchbach, M' where plz='84428';
UPDATE eccourses set location='Wahlbach' where plz='55494';
UPDATE eccourses set location='Vohburg a.d.Donau, St' where plz='85088';
UPDATE eccourses set location='Wustrow (Wendland), Stadt' where plz='29462';
UPDATE eccourses set location='Niederzier' where plz='52382';
UPDATE eccourses set location='Lengenfeld, Stadt' where plz='08485';
UPDATE eccourses set location='Mettmann, Stadt' where plz='40822';
UPDATE eccourses set location='Selb, GKSt' where plz='95100';
UPDATE eccourses set location='Schnega' where plz='29465';
UPDATE eccourses set location='Quirnheim' where plz='67280';
UPDATE eccourses set location='Kirchheim an der Weinstraße' where plz='67281';
UPDATE eccourses set location='Bergen an der Dumme, Flecken' where plz='29468';
UPDATE eccourses set location='Obrigheim (Pfalz)' where plz='67283';
UPDATE eccourses set location='Kühlungsborn, Stadt' where plz='18225';
UPDATE eccourses set location='Magstadt' where plz='71106';
UPDATE eccourses set location='Wriezen, Stadt' where plz='16269';
UPDATE eccourses set location='Garbsen, Stadt' where plz='30826';
UPDATE eccourses set location='Garbsen, Stadt' where plz='30827';
UPDATE eccourses set location='Kuppenheim, Stadt' where plz='76456';
UPDATE eccourses set location='Garbsen, Stadt' where plz='30823';
UPDATE eccourses set location='Ense' where plz='59469';
UPDATE eccourses set location='Olfen, Stadt' where plz='59399';
UPDATE eccourses set location='Nordkirchen' where plz='59394';
UPDATE eccourses set location='Balzhausen' where plz='86483';
UPDATE eccourses set location='Aystetten' where plz='86482';
UPDATE eccourses set location='Waltenhausen' where plz='86480';
UPDATE eccourses set location='Bonstetten' where plz='86486';
UPDATE eccourses set location='Biberbach, M' where plz='86485';
UPDATE eccourses set location='Deisenhausen' where plz='86489';
UPDATE eccourses set location='Breitenthal' where plz='86488';
UPDATE eccourses set location='Achern, Stadt' where plz='77855';
UPDATE eccourses set location='Moers, Stadt' where plz='47445';
UPDATE eccourses set location='Moers, Stadt' where plz='47447';
UPDATE eccourses set location='Moers, Stadt' where plz='47441';
UPDATE eccourses set location='Moers, Stadt' where plz='47443';
UPDATE eccourses set location='Attenweiler' where plz='88448';
UPDATE eccourses set location='Wittenberg, Lutherstadt' where plz='06886';
UPDATE eccourses set location='Hechingen, Stadt' where plz='72379';
UPDATE eccourses set location='Bad Schussenried, Stadt' where plz='88427';
UPDATE eccourses set location='Tiefenbach' where plz='88422';
UPDATE eccourses set location='Wittenberg, Lutherstadt' where plz='06889';
UPDATE eccourses set location='Wittenberg, Lutherstadt' where plz='06888';
UPDATE eccourses set location='Ummendorf' where plz='88444';
UPDATE eccourses set location='Potsdam, Stadt' where plz='14480';
UPDATE eccourses set location='Warthausen' where plz='88447';
UPDATE eccourses set location='Augsburg' where plz='86159';
UPDATE eccourses set location='Sindelfingen, Stadt' where plz='71065';
UPDATE eccourses set location='Iffeldorf' where plz='82393';
UPDATE eccourses set location='Augsburg' where plz='86153';
UPDATE eccourses set location='Augsburg' where plz='86152';
UPDATE eccourses set location='Augsburg' where plz='86154';
UPDATE eccourses set location='Augsburg' where plz='86157';
UPDATE eccourses set location='Augsburg' where plz='86156';
UPDATE eccourses set location='Kevelaer, Stadt' where plz='47623';
UPDATE eccourses set location='Kevelaer, Stadt' where plz='47624';
UPDATE eccourses set location='Kevelaer, Stadt' where plz='47625';
UPDATE eccourses set location='Rechtenstein' where plz='89611';
UPDATE eccourses set location='Zeulenroda-Triebes, Stadt' where plz='07937';
UPDATE eccourses set location='Rüdenau' where plz='63924';
UPDATE eccourses set location='Hamburg, Freie und Hansestadt' where plz='22559';
UPDATE eccourses set location='Salem' where plz='88682';
UPDATE eccourses set location='Everode' where plz='31085';
UPDATE eccourses set location='Freden (Leine)' where plz='31084';
UPDATE eccourses set location='Landwehr' where plz='31087';
UPDATE eccourses set location='Eichenbühl' where plz='63928';
UPDATE eccourses set location='Werdum' where plz='26427';
UPDATE eccourses set location='Duingen, Flecken' where plz='31089';
UPDATE eccourses set location='Winzenburg' where plz='31088';
UPDATE eccourses set location='Michelau i.OFr.' where plz='96247';
UPDATE eccourses set location='Sonnefeld' where plz='96242';
UPDATE eccourses set location='Elchingen' where plz='89081';
UPDATE eccourses set location='Niederburg' where plz='55432';
UPDATE eccourses set location='Wolfenbüttel, Stadt' where plz='38304';
UPDATE eccourses set location='Urbar' where plz='55430';
UPDATE eccourses set location='Wolfenbüttel, Stadt' where plz='38300';
UPDATE eccourses set location='Wolfenbüttel, Stadt' where plz='38302';
UPDATE eccourses set location='Sigmaringen, Stadt' where plz='72488';
UPDATE eccourses set location='Königsee-Rottenbach, Stadt' where plz='07426';
UPDATE eccourses set location='Regensburg' where plz='93053';
UPDATE eccourses set location='Regensburg' where plz='93051';
UPDATE eccourses set location='Saalfelder Höhe' where plz='07422';
UPDATE eccourses set location='Regensburg' where plz='93057';
UPDATE eccourses set location='Regensburg' where plz='93055';
UPDATE eccourses set location='Waldstetten, M' where plz='89335';
UPDATE eccourses set location='Regensburg' where plz='93059';
UPDATE eccourses set location='Burgau, St' where plz='89331';
UPDATE eccourses set location='Wittgendorf' where plz='07429';
UPDATE eccourses set location='Oberammergau' where plz='82487';
UPDATE eccourses set location='Schöneck' where plz='61137';
UPDATE eccourses set location='Niddatal, Stadt' where plz='61130';
UPDATE eccourses set location='Mittenwald, M' where plz='82481';
UPDATE eccourses set location='Niederdorfelden' where plz='61138';
UPDATE eccourses set location='Ettal' where plz='82488';
UPDATE eccourses set location='Neureichenau' where plz='94089';
UPDATE eccourses set location='Fürstenzell, M' where plz='94081';
UPDATE eccourses set location='Bad Griesbach i.Rottal, St' where plz='94086';
UPDATE eccourses set location='Rattiszell' where plz='94372';
UPDATE eccourses set location='Wrohm' where plz='25799';
UPDATE eccourses set location='Tielenhemme' where plz='25794';
UPDATE eccourses set location='Weddingstedt' where plz='25795';
UPDATE eccourses set location='Wöhrden' where plz='25797';
UPDATE eccourses set location='Linden' where plz='25791';
UPDATE eccourses set location='Strübbel' where plz='25792';
UPDATE eccourses set location='Inning a.Ammersee' where plz='82266';
UPDATE eccourses set location='Geltendorf' where plz='82269';
UPDATE eccourses set location='Blender' where plz='27337';
UPDATE eccourses set location='Asendorf' where plz='27330';
UPDATE eccourses set location='Ochsenfurt, St' where plz='97199';
UPDATE eccourses set location='Warpe' where plz='27333';
UPDATE eccourses set location='Plaue, Stadt' where plz='99330';
UPDATE eccourses set location='Witzleben' where plz='99334';
UPDATE eccourses set location='Plaue, Stadt' where plz='99338';
UPDATE eccourses set location='Mülheim an der Ruhr, Stadt' where plz='45481';
UPDATE eccourses set location='Hünfeld, Konrad-Zuse-Stadt' where plz='36088';
UPDATE eccourses set location='Kirchheim am Neckar' where plz='74366';
UPDATE eccourses set location='Güglingen, Stadt' where plz='74363';
UPDATE eccourses set location='Neckarwestheim' where plz='74360';
UPDATE eccourses set location='Löchgau' where plz='74369';
UPDATE eccourses set location='Dorsten, Stadt' where plz='46282';
UPDATE eccourses set location='Dorsten, Stadt' where plz='46284';
UPDATE eccourses set location='Dorsten, Stadt' where plz='46286';
UPDATE eccourses set location='Schmeheim' where plz='98530';
UPDATE eccourses set location='Kuckssee' where plz='17217';
UPDATE eccourses set location='Penkow' where plz='17213';
UPDATE eccourses set location='Jülich, Stadt' where plz='52428';
UPDATE eccourses set location='Schloen-Dratow' where plz='17219';
UPDATE eccourses set location='Stuttgart, Landeshauptstadt' where plz='70199';
UPDATE eccourses set location='Stuttgart, Landeshauptstadt' where plz='70629';
UPDATE eccourses set location='Stuttgart, Landeshauptstadt' where plz='70195';
UPDATE eccourses set location='Stuttgart, Landeshauptstadt' where plz='70197';
UPDATE eccourses set location='Stuttgart, Landeshauptstadt' where plz='70190';
UPDATE eccourses set location='Stuttgart, Landeshauptstadt' where plz='70191';
UPDATE eccourses set location='Stuttgart, Landeshauptstadt' where plz='70192';
UPDATE eccourses set location='Stuttgart, Landeshauptstadt' where plz='70193';
UPDATE eccourses set location='Paderborn, Stadt' where plz='33102';
UPDATE eccourses set location='Walsdorf' where plz='96194';
UPDATE eccourses set location='Paderborn, Stadt' where plz='33100';
UPDATE eccourses set location='Paderborn, Stadt' where plz='33106';
UPDATE eccourses set location='Paderborn, Stadt' where plz='33104';
UPDATE eccourses set location='Steinach' where plz='94377';
UPDATE eccourses set location='Weilar' where plz='36457';
UPDATE eccourses set location='Wonsees, M' where plz='96197';
UPDATE eccourses set location='Aham' where plz='84168';
UPDATE eccourses set location='Baierbach' where plz='84169';
UPDATE eccourses set location='Adlkofen' where plz='84166';
UPDATE eccourses set location='Lichtenfels, Stadt' where plz='35104';
UPDATE eccourses set location='Moosthenning' where plz='84164';
UPDATE eccourses set location='Reisbach, M' where plz='84163';
UPDATE eccourses set location='Frontenhausen, M' where plz='84160';
UPDATE eccourses set location='Dortmund, Stadt' where plz='44287';
UPDATE eccourses set location='Sinzig, Stadt' where plz='53489';
UPDATE eccourses set location='Schwarzach, M' where plz='94374';
UPDATE eccourses set location='Dortmund, Stadt' where plz='44289';
UPDATE eccourses set location='Kaltennordheim, Stadt' where plz='36452';
UPDATE eccourses set location='Niedereschach' where plz='78083';
UPDATE eccourses set location='Wietmarschen' where plz='49835';
UPDATE eccourses set location='Oberhaid' where plz='96173';
UPDATE eccourses set location='Brigachtal' where plz='78086';
UPDATE eccourses set location='Thuine' where plz='49832';
UPDATE eccourses set location='Unterkirnach' where plz='78089';
UPDATE eccourses set location='Wettrup' where plz='49838';
UPDATE eccourses set location='Überlingen, Stadt' where plz='88662';
UPDATE eccourses set location='Poxdorf' where plz='91090';
UPDATE eccourses set location='Waltrop, Stadt' where plz='45731';
UPDATE eccourses set location='Leipzig, Stadt' where plz='04249';
UPDATE eccourses set location='Stollberg/Erzgeb., Stadt' where plz='09366';
UPDATE eccourses set location='Eggenfelden, St' where plz='84307';
UPDATE eccourses set location='Neuss, Stadt' where plz='41470';
UPDATE eccourses set location='Cottbus, Stadt' where plz='03048';
UPDATE eccourses set location='Rosenbach/Vogtl.' where plz='08548';
UPDATE eccourses set location='Ulm, Universitätsstadt' where plz='89073';
UPDATE eccourses set location='Cottbus, Stadt' where plz='03042';
UPDATE eccourses set location='Plauen, Stadt' where plz='08547';
UPDATE eccourses set location='Cottbus, Stadt' where plz='03044';
UPDATE eccourses set location='Theuma' where plz='08541';
UPDATE eccourses set location='Cottbus, Stadt' where plz='03046';
UPDATE eccourses set location='Pöhl' where plz='08543';
UPDATE eccourses set location='Menden (Sauerland), Stadt' where plz='58706';
UPDATE eccourses set location='Ennepetal, Stadt der Kluterthöhle' where plz='58256';
UPDATE eccourses set location='Wittmoldt' where plz='24306';
UPDATE eccourses set location='Menden (Sauerland), Stadt' where plz='58708';
UPDATE eccourses set location='Nandlstadt, M' where plz='85405';
UPDATE eccourses set location='Philippsburg, Stadt' where plz='76661';
UPDATE eccourses set location='Bad Schönborn' where plz='76669';
UPDATE eccourses set location='Hannover, Landeshauptstadt' where plz='30459';
UPDATE eccourses set location='Hannover, Landeshauptstadt' where plz='30455';
UPDATE eccourses set location='Hannover, Landeshauptstadt' where plz='30457';
UPDATE eccourses set location='Hannover, Landeshauptstadt' where plz='30451';
UPDATE eccourses set location='Hannover, Landeshauptstadt' where plz='30453';
UPDATE eccourses set location='Beilstein, Stadt' where plz='71717';
UPDATE eccourses set location='Münster' where plz='64839';
UPDATE eccourses set location='Steinheim an der Murr, Stadt' where plz='71711';
UPDATE eccourses set location='Welzow, Stadt' where plz='03119';
UPDATE eccourses set location='Rottweil, Stadt' where plz='78628';
UPDATE eccourses set location='Leopoldshöhe' where plz='33818';
UPDATE eccourses set location='Oerlinghausen, Stadt' where plz='33813';
UPDATE eccourses set location='Gernsbach, Stadt' where plz='76593';
UPDATE eccourses set location='Forbach' where plz='76596';
UPDATE eccourses set location='Schöllnach, M' where plz='94508';
UPDATE eccourses set location='Maulburg' where plz='79689';
UPDATE eccourses set location='Hausen im Wiesental' where plz='79688';
UPDATE eccourses set location='Bernried' where plz='94505';
UPDATE eccourses set location='Hasel' where plz='79686';
UPDATE eccourses set location='Häg-Ehrsberg' where plz='79685';
UPDATE eccourses set location='Weisenbach' where plz='76599';
UPDATE eccourses set location='Haarbach' where plz='94501';
UPDATE eccourses set location='Todtmoos' where plz='79682';
UPDATE eccourses set location='Traunreut, St' where plz='83301';
UPDATE eccourses set location='Mehlingen' where plz='67678';
UPDATE eccourses set location='Trostberg, St' where plz='83308';
UPDATE eccourses set location='Haunsheim' where plz='89437';
UPDATE eccourses set location='Finningen' where plz='89435';
UPDATE eccourses set location='Blindheim' where plz='89434';
UPDATE eccourses set location='Bächingen a.d.Brenz' where plz='89431';
UPDATE eccourses set location='Holzheim' where plz='89438';
UPDATE eccourses set location='Rösrath, Stadt' where plz='51503';
UPDATE eccourses set location='Weißenborn' where plz='07639';
UPDATE eccourses set location='Hamm, Stadt' where plz='59077';
UPDATE eccourses set location='Hamm, Stadt' where plz='59075';
UPDATE eccourses set location='Hamm, Stadt' where plz='59073';
UPDATE eccourses set location='Hamm, Stadt' where plz='59071';
UPDATE eccourses set location='Süderstapel' where plz='25879';
UPDATE eccourses set location='Süderstapel' where plz='25878';
UPDATE eccourses set location='Lauter' where plz='96169';
UPDATE eccourses set location='Oldenswort' where plz='25870';
UPDATE eccourses set location='Rantrum' where plz='25873';
UPDATE eccourses set location='Wittbek' where plz='25872';
UPDATE eccourses set location='Wisch' where plz='25876';
UPDATE eccourses set location='Duisburg, Stadt' where plz='47167';
UPDATE eccourses set location='Duisburg, Stadt' where plz='47166';
UPDATE eccourses set location='Bretzfeld' where plz='74626';
UPDATE eccourses set location='Stuhr' where plz='28816';
UPDATE eccourses set location='Walksfelde' where plz='23896';
UPDATE eccourses set location='Gudow' where plz='23899';
UPDATE eccourses set location='Wentorf (Amt Sandesneben)' where plz='23898';
UPDATE eccourses set location='Pfedelbach' where plz='74629';
UPDATE eccourses set location='Duisburg, Stadt' where plz='47169';
UPDATE eccourses set location='Oberstaufen, M' where plz='87534';
UPDATE eccourses set location='Warnau' where plz='24250';
UPDATE eccourses set location='Hauenstein' where plz='76846';
UPDATE eccourses set location='Wilgartswiesen' where plz='76848';
UPDATE eccourses set location='Obermaiselstein' where plz='87538';
UPDATE eccourses set location='Greifenstein' where plz='35753';
UPDATE eccourses set location='Mittenaar' where plz='35756';
UPDATE eccourses set location='Driedorf' where plz='35759';
UPDATE eccourses set location='Amberg' where plz='92224';
UPDATE eccourses set location='Haidmühle' where plz='94145';
UPDATE eccourses set location='Schwaigern, Stadt' where plz='74193';
UPDATE eccourses set location='Oedheim' where plz='74196';
UPDATE eccourses set location='Emmerich am Rhein, Stadt' where plz='46446';
UPDATE eccourses set location='Berlin, Stadt' where plz='12623';
UPDATE eccourses set location='Ravensburg, Stadt' where plz='88212';
UPDATE eccourses set location='Ravensburg, Stadt' where plz='88213';
UPDATE eccourses set location='Ravensburg, Stadt' where plz='88214';
UPDATE eccourses set location='Berlin, Stadt' where plz='12627';
UPDATE eccourses set location='Berlin, Stadt' where plz='12629';
UPDATE eccourses set location='Ering' where plz='94140';
UPDATE eccourses set location='Grainet' where plz='94143';
UPDATE eccourses set location='Weißenthurm, Stadt' where plz='56575';
UPDATE eccourses set location='Rötgesbüttel' where plz='38531';
UPDATE eccourses set location='Bernstadt a. d. Eigen, Stadt' where plz='02748';
UPDATE eccourses set location='Beuren' where plz='72660';
UPDATE eccourses set location='Kößlarn, M' where plz='94149';
UPDATE eccourses set location='Hamburg, Freie und Hansestadt' where plz='21029';
UPDATE eccourses set location='Großenhain, Stadt' where plz='01558';
UPDATE eccourses set location='Schraplau, Stadt' where plz='06279';
UPDATE eccourses set location='Müglitztal' where plz='01809';
UPDATE eccourses set location='Hofstetten' where plz='77716';
UPDATE eccourses set location='Schongau, St' where plz='86956';
UPDATE eccourses set location='Bösel' where plz='26219';
UPDATE eccourses set location='Tangstedt' where plz='25499';
UPDATE eccourses set location='Prisdorf' where plz='25497';
UPDATE eccourses set location='Kummerfeld' where plz='25495';
UPDATE eccourses set location='Borstel-Hohenraden' where plz='25494';
UPDATE eccourses set location='Hetlingen' where plz='25492';
UPDATE eccourses set location='Hetlingen' where plz='25491';
UPDATE eccourses set location='Raesfeld' where plz='46348';
UPDATE eccourses set location='Landsberg am Lech, GKSt' where plz='86899';
UPDATE eccourses set location='Wallenhorst' where plz='49134';
UPDATE eccourses set location='Kuddewörde' where plz='22958';
UPDATE eccourses set location='Velen, Stadt' where plz='46342';
UPDATE eccourses set location='Eisenach, Stadt' where plz='99817';
UPDATE eccourses set location='Horgenzell' where plz='88263';
UPDATE eccourses set location='Sprakensehl' where plz='29365';
UPDATE eccourses set location='Heßdorf' where plz='91093';
UPDATE eccourses set location='Wolfsburg-Unkeroda' where plz='99819';
UPDATE eccourses set location='Wied' where plz='57629';
UPDATE eccourses set location='Marzhausen' where plz='57627';
UPDATE eccourses set location='Wiltingen' where plz='54459';
UPDATE eccourses set location='Nittel' where plz='54453';
UPDATE eccourses set location='Offenburg, Stadt' where plz='77656';
UPDATE eccourses set location='Irsch' where plz='54451';
UPDATE eccourses set location='Freudenburg' where plz='54450';
UPDATE eccourses set location='Wincheringen' where plz='54457';
UPDATE eccourses set location='Tawern' where plz='54456';
UPDATE eccourses set location='Serrig' where plz='54455';
UPDATE eccourses set location='Söhlde' where plz='31185';
UPDATE eccourses set location='Roßbach' where plz='56271';
UPDATE eccourses set location='Anröchte' where plz='59609';
UPDATE eccourses set location='Neunkirchen-Seelscheid' where plz='53819';
UPDATE eccourses set location='Neckartailfingen' where plz='72666';
UPDATE eccourses set location='Frohburg, Stadt' where plz='04654';
UPDATE eccourses set location='Kohren-Sahlis, Stadt' where plz='04655';
UPDATE eccourses set location='Narsdorf' where plz='04657';
UPDATE eccourses set location='Bad Lausick, Stadt' where plz='04651';
UPDATE eccourses set location='Schmiedefeld' where plz='98739';
UPDATE eccourses set location='Pfaffing' where plz='83539';
UPDATE eccourses set location='Schnaitsee' where plz='83530';
UPDATE eccourses set location='Edling' where plz='83533';
UPDATE eccourses set location='Unterreit' where plz='83536';
UPDATE eccourses set location='Wuppertal, Stadt' where plz='42115';
UPDATE eccourses set location='Wuppertal, Stadt' where plz='42117';
UPDATE eccourses set location='Wuppertal, Stadt' where plz='42111';
UPDATE eccourses set location='Wuppertal, Stadt' where plz='42113';
UPDATE eccourses set location='Zittau, Stadt' where plz='02763';
UPDATE eccourses set location='Wuppertal, Stadt' where plz='42119';
UPDATE eccourses set location='Wildau, Stadt' where plz='15745';
UPDATE eccourses set location='Groß Köris' where plz='15746';
UPDATE eccourses set location='Bestensee' where plz='15741';
UPDATE eccourses set location='Hambühren' where plz='29313';
UPDATE eccourses set location='Münchehofe' where plz='15748';
UPDATE eccourses set location='Gützkow, Stadt' where plz='17506';
UPDATE eccourses set location='Neudrossenfeld' where plz='95512';
UPDATE eccourses set location='Plankenfels' where plz='95515';
UPDATE eccourses set location='Wathlingen' where plz='29339';
UPDATE eccourses set location='Nienhagen' where plz='29336';
UPDATE eccourses set location='Schwarzenbach a.d.Saale, St' where plz='95126';
UPDATE eccourses set location='Lachendorf' where plz='29331';
UPDATE eccourses set location='Schwarzenbruck' where plz='90592';
UPDATE eccourses set location='Oberstedem' where plz='54634';
UPDATE eccourses set location='Zepelin' where plz='18246';
UPDATE eccourses set location='Bielefeld, Stadt' where plz='33647';
UPDATE eccourses set location='Bielefeld, Stadt' where plz='33649';
UPDATE eccourses set location='Warnow' where plz='18249';
UPDATE eccourses set location='Treuenbrietzen, Stadt' where plz='14929';
UPDATE eccourses set location='Breisach am Rhein, Stadt' where plz='79206';
UPDATE eccourses set location='Reinbek, Stadt' where plz='21465';
UPDATE eccourses set location='Wendisch Rietz' where plz='15526';
UPDATE eccourses set location='Spreenhagen' where plz='15528';
UPDATE eccourses set location='Hann. Münden, Stadt' where plz='34346';
UPDATE eccourses set location='Rastatt, Stadt' where plz='76437';
UPDATE eccourses set location='Hannover, Landeshauptstadt' where plz='30669';
UPDATE eccourses set location='Hof' where plz='95028';
UPDATE eccourses set location='Staßfurt, Stadt' where plz='39418';
UPDATE eccourses set location='Gebsattel' where plz='91607';
UPDATE eccourses set location='Dresden, Stadt' where plz='01237';
UPDATE eccourses set location='Rosdorf' where plz='37124';
UPDATE eccourses set location='Scheden' where plz='37127';
UPDATE eccourses set location='Dresden, Stadt' where plz='01239';
UPDATE eccourses set location='Coswig (Anhalt), Stadt' where plz='06869';
UPDATE eccourses set location='Coswig (Anhalt), Stadt' where plz='06868';
UPDATE eccourses set location='Dessau-Roßlau, Stadt' where plz='06861';
UPDATE eccourses set location='Zeitz, Stadt' where plz='06712';
UPDATE eccourses set location='Zeitz, Stadt' where plz='06711';
UPDATE eccourses set location='Dessau-Roßlau, Stadt' where plz='06862';
UPDATE eccourses set location='Würzweiler' where plz='67808';
UPDATE eccourses set location='Bechtsrieth' where plz='92699';
UPDATE eccourses set location='Hoisdorf' where plz='22955';
UPDATE eccourses set location='Georgenberg' where plz='92697';
UPDATE eccourses set location='Flossenbürg' where plz='92696';
UPDATE eccourses set location='Etzenricht' where plz='92694';
UPDATE eccourses set location='Eslarn, M' where plz='92693';
UPDATE eccourses set location='Augsburg' where plz='86179';
UPDATE eccourses set location='Erbendorf, St' where plz='92690';
UPDATE eccourses set location='Kleinrinderfeld' where plz='97271';
UPDATE eccourses set location='Dornhan, Stadt' where plz='72175';
UPDATE eccourses set location='Kleve, Stadt' where plz='47533';
UPDATE eccourses set location='Sulz am Neckar, Stadt' where plz='72172';
UPDATE eccourses set location='Waldachtal' where plz='72178';
UPDATE eccourses set location='Marktschellenberg, M' where plz='83487';
UPDATE eccourses set location='Burgkunstadt, St' where plz='96224';
UPDATE eccourses set location='Pegnitz, St' where plz='91257';
UPDATE eccourses set location='Denkte' where plz='38321';
UPDATE eccourses set location='Semmenstedt' where plz='38327';
UPDATE eccourses set location='Schömberg, Stadt' where plz='72355';
UPDATE eccourses set location='Roklum' where plz='38325';
UPDATE eccourses set location='Kissenbrück' where plz='38324';
UPDATE eccourses set location='Dormettingen' where plz='72358';
UPDATE eccourses set location='Bingen am Rhein, Stadt' where plz='55411';
UPDATE eccourses set location='Wittmar' where plz='38329';
UPDATE eccourses set location='Weiler bei Bingen' where plz='55413';
UPDATE eccourses set location='Herbrechtingen, Stadt' where plz='89522';
UPDATE eccourses set location='Kammeltal' where plz='89358';
UPDATE eccourses set location='Kötz' where plz='89359';
UPDATE eccourses set location='Dörentrup' where plz='32694';
UPDATE eccourses set location='Ellzee' where plz='89352';
UPDATE eccourses set location='Glött' where plz='89353';
UPDATE eccourses set location='Dürrlauingen' where plz='89350';
UPDATE eccourses set location='Neutraubling, St' where plz='93073';
UPDATE eccourses set location='Winterbach' where plz='89356';
UPDATE eccourses set location='Bad Abbach, M' where plz='93077';
UPDATE eccourses set location='Lauben' where plz='87493';
UPDATE eccourses set location='Haldenwang' where plz='87490';
UPDATE eccourses set location='Wertach, M' where plz='87497';
UPDATE eccourses set location='Untrasried' where plz='87496';
UPDATE eccourses set location='Rückholz' where plz='87494';
UPDATE eccourses set location='Wildpoldsried' where plz='87499';
UPDATE eccourses set location='Lindenfels, Stadt' where plz='64658';
UPDATE eccourses set location='Lorsch, Karolingerstadt' where plz='64653';
UPDATE eccourses set location='Oberhausen, Stadt' where plz='46117';
UPDATE eccourses set location='Oberhausen, Stadt' where plz='46119';
UPDATE eccourses set location='Schlangenbad' where plz='65388';
UPDATE eccourses set location='Krailling' where plz='82205';
UPDATE eccourses set location='Rüdesheim am Rhein, Stadt' where plz='65385';
UPDATE eccourses set location='Neckargemünd, Stadt' where plz='69151';
UPDATE eccourses set location='Witzleben' where plz='99310';
UPDATE eccourses set location='Stammham' where plz='85092';
UPDATE eccourses set location='Denkendorf' where plz='85095';
UPDATE eccourses set location='Talheim' where plz='74388';
UPDATE eccourses set location='Pleidelsheim' where plz='74385';
UPDATE eccourses set location='Großmehring' where plz='85098';
UPDATE eccourses set location='Passow' where plz='16278';
UPDATE eccourses set location='Neckarwestheim' where plz='74382';
UPDATE eccourses set location='Wuppertal, Stadt' where plz='42279';
UPDATE eccourses set location='Wuppertal, Stadt' where plz='42275';
UPDATE eccourses set location='Wuppertal, Stadt' where plz='42277';
UPDATE eccourses set location='Sankt Johann' where plz='56727';
UPDATE eccourses set location='Sulzfeld a.Main' where plz='97318';
UPDATE eccourses set location='Linnich, Stadt' where plz='52441';
UPDATE eccourses set location='Titz' where plz='52445';
UPDATE eccourses set location='Lychen, Stadt' where plz='17279';
UPDATE eccourses set location='Nitz' where plz='56729';
UPDATE eccourses set location='Norderstedt, Stadt' where plz='22850';
UPDATE eccourses set location='Neuenkirchen' where plz='49586';
UPDATE eccourses set location='Fürstenau, Stadt' where plz='49584';
UPDATE eccourses set location='Geisenhausen, M' where plz='84144';
UPDATE eccourses set location='Neubulach, Stadt' where plz='75387';
UPDATE eccourses set location='Bad Teinach-Zavelstein, Stadt' where plz='75385';
UPDATE eccourses set location='Gangkofen, M' where plz='84140';
UPDATE eccourses set location='Wurmsham' where plz='84149';
UPDATE eccourses set location='Neuweiler' where plz='75389';
UPDATE eccourses set location='Hengersberg, M' where plz='94491';
UPDATE eccourses set location='Essen, Stadt' where plz='45130';
UPDATE eccourses set location='Essen, Stadt' where plz='45131';
UPDATE eccourses set location='Essen, Stadt' where plz='45136';
UPDATE eccourses set location='Essen, Stadt' where plz='45134';
UPDATE eccourses set location='Essen, Stadt' where plz='45138';
UPDATE eccourses set location='Essen, Stadt' where plz='45139';
UPDATE eccourses set location='Bad Iburg, Stadt' where plz='49186';
UPDATE eccourses set location='Höhenkirchen-Siegertsbrunn' where plz='85635';
UPDATE eccourses set location='Dortmund, Stadt' where plz='44269';
UPDATE eccourses set location='Grasbrunn' where plz='85630';
UPDATE eccourses set location='Dortmund, Stadt' where plz='44265';
UPDATE eccourses set location='Dortmund, Stadt' where plz='44267';
UPDATE eccourses set location='Dortmund, Stadt' where plz='44263';
UPDATE eccourses set location='Hagen, Stadt der FernUniversität' where plz='58097';
UPDATE eccourses set location='Hagen, Stadt der FernUniversität' where plz='58095';
UPDATE eccourses set location='Hagen, Stadt der FernUniversität' where plz='58093';
UPDATE eccourses set location='Remscheid, Stadt' where plz='42859';
UPDATE eccourses set location='Hagen, Stadt der FernUniversität' where plz='58091';
UPDATE eccourses set location='Remscheid, Stadt' where plz='42855';
UPDATE eccourses set location='Remscheid, Stadt' where plz='42857';
UPDATE eccourses set location='Menslage' where plz='49637';
UPDATE eccourses set location='Hagen, Stadt der FernUniversität' where plz='58099';
UPDATE eccourses set location='Remscheid, Stadt' where plz='42853';
UPDATE eccourses set location='Sassenburg' where plz='38524';
UPDATE eccourses set location='Meine' where plz='38527';
UPDATE eccourses set location='Massing, M' where plz='84323';
UPDATE eccourses set location='Mannheim, Universitätsstadt' where plz='68159';
UPDATE eccourses set location='Greifswald, Hansestadt' where plz='17493';
UPDATE eccourses set location='Rimbach' where plz='84326';
UPDATE eccourses set location='Greifswald, Hansestadt' where plz='17491';
UPDATE eccourses set location='Wurmannsquick, M' where plz='84329';
UPDATE eccourses set location='Adenbüttel' where plz='38528';
UPDATE eccourses set location='Weitenhagen' where plz='17498';
UPDATE eccourses set location='Norderstedt, Stadt' where plz='22851';
UPDATE eccourses set location='Neuhofen' where plz='67141';
UPDATE eccourses set location='Plauen, Stadt' where plz='08529';
UPDATE eccourses set location='Plauen, Stadt' where plz='08523';
UPDATE eccourses set location='Rosenbach/Vogtl.' where plz='08527';
UPDATE eccourses set location='Plauen, Stadt' where plz='08525';
UPDATE eccourses set location='Putbus, Stadt' where plz='18581';
UPDATE eccourses set location='Waakirchen' where plz='83666';
UPDATE eccourses set location='Thiessow' where plz='18586';
UPDATE eccourses set location='Denzlingen' where plz='79211';
UPDATE eccourses set location='Freiburg im Breisgau, Stadt' where plz='79117';
UPDATE eccourses set location='Clausthal-Zellerfeld, Berg- und Universitätsstadt' where plz='38667';
UPDATE eccourses set location='Freiburg im Breisgau, Stadt' where plz='79115';
UPDATE eccourses set location='Freiburg im Breisgau, Stadt' where plz='79114';
UPDATE eccourses set location='Freiburg im Breisgau, Stadt' where plz='79112';
UPDATE eccourses set location='Freiburg im Breisgau, Stadt' where plz='79111';
UPDATE eccourses set location='Lenggries' where plz='83661';
UPDATE eccourses set location='Stuttgart, Landeshauptstadt' where plz='70469';
UPDATE eccourses set location='Rostock, Hansestadt' where plz='18057';
UPDATE eccourses set location='Tamm' where plz='71732';
UPDATE eccourses set location='Rostock, Hansestadt' where plz='18055';
UPDATE eccourses set location='Hameln, Stadt' where plz='31789';
UPDATE eccourses set location='Kirchberg an der Murr' where plz='71737';
UPDATE eccourses set location='Tuningen' where plz='78609';
UPDATE eccourses set location='Eberdingen' where plz='71735';
UPDATE eccourses set location='Rietheim-Weilheim' where plz='78604';
UPDATE eccourses set location='Seitingen-Oberflacht' where plz='78606';
UPDATE eccourses set location='Talheim' where plz='78607';
UPDATE eccourses set location='Kolbingen' where plz='78600';
UPDATE eccourses set location='Mahlstetten' where plz='78601';
UPDATE eccourses set location='Ziesendorf' where plz='18059';
UPDATE eccourses set location='Renquishausen' where plz='78603';
UPDATE eccourses set location='Unkenbach' where plz='67823';
UPDATE eccourses set location='Hamburg, Freie und Hansestadt' where plz='22417';
UPDATE eccourses set location='Feilbingert' where plz='67824';
UPDATE eccourses set location='Aicha vorm Wald' where plz='94529';
UPDATE eccourses set location='Hamburg, Freie und Hansestadt' where plz='22415';
UPDATE eccourses set location='Wallersdorf, M' where plz='94522';
UPDATE eccourses set location='Ergolding, M' where plz='84030';
UPDATE eccourses set location='Aholming' where plz='94527';
UPDATE eccourses set location='Metten, M' where plz='94526';
UPDATE eccourses set location='Bichl' where plz='83673';
UPDATE eccourses set location='Bichl' where plz='83671';
UPDATE eccourses set location='Bad Heilbrunn' where plz='83670';
UPDATE eccourses set location='Sachsenkam' where plz='83677';
UPDATE eccourses set location='Jachenau' where plz='83676';
UPDATE eccourses set location='Kaiserslautern, Stadt' where plz='67659';
UPDATE eccourses set location='Gaißach' where plz='83674';
UPDATE eccourses set location='Dannstadt-Schauernheim' where plz='67125';
UPDATE eccourses set location='Sachsenkam' where plz='83679';
UPDATE eccourses set location='Hochdorf-Assenheim' where plz='67126';
UPDATE eccourses set location='Altrip' where plz='67122';
UPDATE eccourses set location='Schmelz' where plz='66839';
UPDATE eccourses set location='Friedrichsthal, Stadt' where plz='66299';
UPDATE eccourses set location='Neenstetten' where plz='89189';
UPDATE eccourses set location='Merklingen' where plz='89188';
UPDATE eccourses set location='Illerrieden' where plz='89186';
UPDATE eccourses set location='Hüttisheim' where plz='89185';
UPDATE eccourses set location='Holzkirch' where plz='89183';
UPDATE eccourses set location='Bernstadt' where plz='89182';
UPDATE eccourses set location='Riegelsberg' where plz='66292';
UPDATE eccourses set location='Staig' where plz='89195';
UPDATE eccourses set location='Cuxhaven' where plz='27632';
UPDATE eccourses set location='Cuxhaven' where plz='27637';
UPDATE eccourses set location='Cuxhaven' where plz='27638';
UPDATE eccourses set location='Weidenstetten' where plz='89197';
UPDATE eccourses set location='Königheim' where plz='97953';
UPDATE eccourses set location='Wobbenbüll' where plz='25856';
UPDATE eccourses set location='Haselund' where plz='25855';
UPDATE eccourses set location='Großrinderfeld' where plz='97950';
UPDATE eccourses set location='Wittighausen' where plz='97957';
UPDATE eccourses set location='Werbach' where plz='97956';
UPDATE eccourses set location='Bondelum' where plz='25850';
UPDATE eccourses set location='Sendenhorst, Stadt' where plz='48324';
UPDATE eccourses set location='Assamstadt' where plz='97959';
UPDATE eccourses set location='Hallig Hooge' where plz='25859';
UPDATE eccourses set location='Högel' where plz='25858';
UPDATE eccourses set location='Ettenheim, Stadt' where plz='77955';
UPDATE eccourses set location='Hamburg, Freie und Hansestadt' where plz='22525';
UPDATE eccourses set location='Saarlouis, Kreisstadt' where plz='66740';
UPDATE eccourses set location='Zschepplin' where plz='04838';
UPDATE eccourses set location='Bad Bentheim, Stadt' where plz='48455';
UPDATE eccourses set location='Wesseling, Stadt' where plz='50389';
UPDATE eccourses set location='Hausen' where plz='55608';
UPDATE eccourses set location='Königsau' where plz='55606';
UPDATE eccourses set location='Oranienburg, Stadt' where plz='16515';
UPDATE eccourses set location='Heddesbach' where plz='69434';
UPDATE eccourses set location='Neckargerach' where plz='69437';
UPDATE eccourses set location='Schönbrunn' where plz='69436';
UPDATE eccourses set location='Zwingenberg' where plz='69439';
UPDATE eccourses set location='Röttenbach' where plz='91341';
UPDATE eccourses set location='Grünsfeld, Stadt' where plz='97947';
UPDATE eccourses set location='Hofheim am Taunus, Kreisstadt' where plz='65719';
UPDATE eccourses set location='Stadt Wehlen, Stadt' where plz='01829';
UPDATE eccourses set location='Rosenthal-Bielatal' where plz='01824';
UPDATE eccourses set location='Liebstadt, Stadt' where plz='01825';
UPDATE eccourses set location='Eisleben, Lutherstadt' where plz='06295';
UPDATE eccourses set location='Hohenfurch' where plz='86978';
UPDATE eccourses set location='Burggen' where plz='86977';
UPDATE eccourses set location='Durbach' where plz='77770';
UPDATE eccourses set location='Dürnau' where plz='73105';
UPDATE eccourses set location='Apfeldorf' where plz='86974';
UPDATE eccourses set location='Schwabsoien' where plz='86972';
UPDATE eccourses set location='Peiting, M' where plz='86971';
UPDATE eccourses set location='Bad Rippoldsau-Schapbach' where plz='77776';
UPDATE eccourses set location='Motten' where plz='97786';
UPDATE eccourses set location='Mittelsinn' where plz='97785';
UPDATE eccourses set location='Gräfendorf' where plz='97782';
UPDATE eccourses set location='Karsbach' where plz='97783';
UPDATE eccourses set location='Gössenheim' where plz='97780';
UPDATE eccourses set location='Birenbach' where plz='73102';
UPDATE eccourses set location='Samerberg' where plz='83122';
UPDATE eccourses set location='Neuendorf' where plz='97788';
UPDATE eccourses set location='Oberleichtersbach' where plz='97789';
UPDATE eccourses set location='Rossin' where plz='17398';
UPDATE eccourses set location='Neetzow-Liepen' where plz='17391';
UPDATE eccourses set location='Ziethen' where plz='17390';
UPDATE eccourses set location='Bogen, St' where plz='94327';
UPDATE eccourses set location='Spantekow' where plz='17392';
UPDATE eccourses set location='Nideggen, Stadt' where plz='52385';
UPDATE eccourses set location='Oberasbach, St' where plz='90522';
UPDATE eccourses set location='Neustadt a.d.Donau, St' where plz='93333';
UPDATE eccourses set location='Großheubach, M' where plz='63920';
UPDATE eccourses set location='Laudenbach' where plz='63925';
UPDATE eccourses set location='Altmannstein, M' where plz='93336';
UPDATE eccourses set location='Neunkirchen' where plz='63927';
UPDATE eccourses set location='Kirchberg i.Wald' where plz='94259';
UPDATE eccourses set location='Riedenburg, St' where plz='93339';
UPDATE eccourses set location='Haßfurt, St' where plz='97437';
UPDATE eccourses set location='Aichelberg' where plz='73101';
UPDATE eccourses set location='Romrod, Stadt' where plz='36329';
UPDATE eccourses set location='Feldatal' where plz='36325';
UPDATE eccourses set location='Barchfeld-Immelborn' where plz='36456';
UPDATE eccourses set location='Kirtorf, Stadt' where plz='36326';
UPDATE eccourses set location='Kirtorf, Stadt' where plz='36320';
UPDATE eccourses set location='Grebenau, Stadt' where plz='36323';
UPDATE eccourses set location='Achslach' where plz='94250';
UPDATE eccourses set location='Gammelsdorf' where plz='85408';
UPDATE eccourses set location='Zolling' where plz='85406';
UPDATE eccourses set location='Morshausen' where plz='56283';
UPDATE eccourses set location='Kranzberg' where plz='85402';
UPDATE eccourses set location='Hamburg, Freie und Hansestadt' where plz='20537';
UPDATE eccourses set location='Hamburg, Freie und Hansestadt' where plz='20535';
UPDATE eccourses set location='Vorbach' where plz='95519';
UPDATE eccourses set location='Sehmatal' where plz='09465';
UPDATE eccourses set location='Ponitz' where plz='04639';
UPDATE eccourses set location='Hamburg, Freie und Hansestadt' where plz='20539';
UPDATE eccourses set location='Neusalza-Spremberg, Stadt' where plz='02742';
UPDATE eccourses set location='Harsdorf' where plz='95499';
UPDATE eccourses set location='Herrnhut, Stadt' where plz='02747';
UPDATE eccourses set location='Gesees' where plz='95494';
UPDATE eccourses set location='Glashütten' where plz='95496';
UPDATE eccourses set location='Goldkronach, St' where plz='95497';
UPDATE eccourses set location='Mistelgau' where plz='95490';
UPDATE eccourses set location='Ahorntal' where plz='95491';
UPDATE eccourses set location='Bischofsgrün' where plz='95493';
UPDATE eccourses set location='Dahn, Stadt' where plz='66994';
UPDATE eccourses set location='Merzkirchen' where plz='54439';
UPDATE eccourses set location='Vogelsang' where plz='15890';
UPDATE eccourses set location='Rüthen, Stadt' where plz='59602';
UPDATE eccourses set location='Neuzelle' where plz='15898';
UPDATE eccourses set location='Berlin, Stadt' where plz='10557';
UPDATE eccourses set location='Berlin, Stadt' where plz='10555';
UPDATE eccourses set location='Berlin, Stadt' where plz='10553';
UPDATE eccourses set location='Drees' where plz='53520';
UPDATE eccourses set location='Berlin, Stadt' where plz='10551';
UPDATE eccourses set location='Landscheid' where plz='54526';
UPDATE eccourses set location='Bundenthal' where plz='76891';
UPDATE eccourses set location='Berlin, Stadt' where plz='10559';
UPDATE eccourses set location='Lam, M' where plz='93462';
UPDATE eccourses set location='Oberkotzau, M' where plz='95145';
UPDATE eccourses set location='Oberstdorf, M' where plz='87561';
UPDATE eccourses set location='Leinefelde-Worbis, Stadt' where plz='37327';
UPDATE eccourses set location='Chamerau' where plz='93466';
UPDATE eccourses set location='Kreuzwertheim, M' where plz='97892';
UPDATE eccourses set location='Freihung, M' where plz='92271';
UPDATE eccourses set location='Hofgeismar, Stadt' where plz='34369';
UPDATE eccourses set location='Eichenbühl' where plz='97896';
UPDATE eccourses set location='Olsberg, Stadt' where plz='59939';
UPDATE eccourses set location='Güsten, Stadt' where plz='39439';
UPDATE eccourses set location='Östringen, Stadt' where plz='76684';
UPDATE eccourses set location='Wolmirsleben' where plz='39435';
UPDATE eccourses set location='Dresden, Stadt' where plz='01217';
UPDATE eccourses set location='Dresden, Stadt' where plz='01219';
UPDATE eccourses set location='Oberndorf' where plz='67821';
UPDATE eccourses set location='Dessau-Roßlau, Stadt' where plz='06849';
UPDATE eccourses set location='Neubeuern, M' where plz='83115';
UPDATE eccourses set location='Frasdorf' where plz='83112';
UPDATE eccourses set location='Hallgarten' where plz='67826';
UPDATE eccourses set location='Schnabelwaid, M' where plz='95473';
UPDATE eccourses set location='Sandersdorf-Brehna, Stadt' where plz='06794';
UPDATE eccourses set location='Schmittweiler' where plz='67829';
UPDATE eccourses set location='Dessau-Roßlau, Stadt' where plz='06847';
UPDATE eccourses set location='Dessau-Roßlau, Stadt' where plz='06846';
UPDATE eccourses set location='Pittenhart' where plz='83119';
UPDATE eccourses set location='Augsburg' where plz='86199';
UPDATE eccourses set location='Bochum, Stadt' where plz='44894';
UPDATE eccourses set location='Bochum, Stadt' where plz='44892';
UPDATE eccourses set location='Neumünster, Stadt' where plz='24539';
UPDATE eccourses set location='Lüdenscheid, Stadt' where plz='58515';
UPDATE eccourses set location='Lüdenscheid, Stadt' where plz='58513';
UPDATE eccourses set location='Lüdenscheid, Stadt' where plz='58511';
UPDATE eccourses set location='Neumünster, Stadt' where plz='24537';
UPDATE eccourses set location='Tasdorf' where plz='24536';
UPDATE eccourses set location='Wasbek' where plz='24534';
UPDATE eccourses set location='Mössingen, Stadt' where plz='72116';
UPDATE eccourses set location='Karlsruhe, Stadt' where plz='76149';
UPDATE eccourses set location='Ammerbuch' where plz='72119';
UPDATE eccourses set location='Welzheim, Stadt' where plz='73642';
UPDATE eccourses set location='Schönau (Pfalz)' where plz='66996';
UPDATE eccourses set location='Burgwald' where plz='35099';
UPDATE eccourses set location='Cölbe' where plz='35091';
UPDATE eccourses set location='Weimar (Lahn)' where plz='35096';
UPDATE eccourses set location='Marburg, Universitätsstadt' where plz='35094';
UPDATE eccourses set location='Bremen, Stadt' where plz='28199';
UPDATE eccourses set location='Bremen, Stadt' where plz='28195';
UPDATE eccourses set location='Bremen, Stadt' where plz='28197';
UPDATE eccourses set location='Worth' where plz='21502';
UPDATE eccourses set location='Wittelshofen' where plz='91725';
UPDATE eccourses set location='Pottenstein, St' where plz='91278';
UPDATE eccourses set location='Auerbach i.d.OPf., St' where plz='91275';
UPDATE eccourses set location='Breitscheid' where plz='35767';"""
DELETES = """"""


def iter_statements(stmts):
    for st in [x for x in stmts.split('\n') if x]:
        op.execute(st)


def upgrade():
    ### commands auto generated by Alembic - please adjust! ###
    pass
    ### end Alembic commands ###
    iter_statements(INSERTS)


def downgrade():
    ### commands auto generated by Alembic - please adjust! ###
    pass
    ### end Alembic commands ###
    iter_statements(DELETES)
